package com.xxh.cloud.etl.common.framework.constant;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.date.DateUtil;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class PatientEventBO {

    private String eventType;

    private String pid;

    private String time;



    private String comCode;

    private String comName;

    private String deptCode;

    private String deptName;

    private String relObjId;


    private String type;


    public PatientEventBO(PatientEventType eventType,Object pid,Object time, Object comCode,Object comName, Object deptCode,Object deptName,Object relObjId, String type){
        this(eventType,pid,time,comCode,comName,deptCode,deptName,relObjId);
        this.type=type;
    }

    public PatientEventBO(PatientEventType eventType,Object pid,Object time,
                          Object comCode,Object comName, Object deptCode,Object deptName,Object relObjId){

        this.eventType=eventType.getCode();

        if(pid!=null){
            this.pid=Convert.toStr(pid);
        }

        if(time!=null){
            if(time instanceof String){
                this.time=(String) time;
            }else {
                Date d= Convert.toDate(time);
                this.time= DateUtil.format(d,"yyyy-MM-dd HH:mm:ss");
            }
        }

        if(comCode!=null){
            this.comCode=Convert.toStr(comCode);
        }

        if(comName!=null){
            this.comName=Convert.toStr(comName);
        }

        if(deptCode!=null){
            this.deptCode=Convert.toStr(deptCode);
        }

        if(deptName!=null){
            this.deptName=Convert.toStr(deptName);
        }

        if(relObjId!=null){
            this.relObjId=Convert.toStr(relObjId);
        }

    }

//    public PatientEventBO(){
//
//    }





}
