package com.xxh.cloud.etl.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * ETL数据清洗规则配置表
 * </p>
 *
 * @author anros
 * @since 2023-09-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_etl_data_clean_config_info")
public class EtlDataCleanConfigInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ApiModelProperty(value = "编号")
    @TableId(value = "code", type = IdType.INPUT)
    private String code;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "清洗数据分类")
    private String type;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
    @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
    private String rowsStatus;


}
