package com.xxh.cloud.etl.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * ETL数据清洗规则明细配置表
 * </p>
 *
 * @author anros
 * @since 2023-09-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_etl_data_clean_config_item_info")
public class EtlDataCleanConfigItemInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    /**
     * 数据清洗编号
     */
    @ApiModelProperty(value = "数据清洗编号")
    private String dataCleanCode;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "原始数据")
    private String sourceName;


    @ApiModelProperty(value = "原始数据")
    private String sourceCode;


    /**
     * 对应标准数据名称
     */
    @ApiModelProperty(value = "对应标准数据名称")
    private String standardName;

    /**
     * 对应标准数据编号
     */
    @ApiModelProperty(value = "对应标准数据编号")
    private String standardCode;

    /**
     * 处理状态
     */
    @ApiModelProperty(value = "处理状态")
    private String status;

    /**
     * 处理时间
     */
    @ApiModelProperty(value = "处理时间")
    private Date handleDate;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
    @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
    private String rowsStatus;


}
