package com.xxh.cloud.etl.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * ETL元数据数据清洗规则关系配置
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_etl_table_clean_config_info")
public class EtlTableCleanConfigInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
     @ApiModelProperty(value = "编号")
    @TableId(value = "code", type = IdType.INPUT)
      private String code;

    /**
     * 项目编号
     */
     @ApiModelProperty(value = "项目编号")
      private String projectCode;

    /**
     * 表编号
     */
     @ApiModelProperty(value = "表编号")
      private String tableCode;

    /**
     * 字段编号
     */
     @ApiModelProperty(value = "字段编号")
      private String columnCode;

    /**
     * 清洗规则编号1
     */
     @ApiModelProperty(value = "清洗规则编号1")
      private String cleanCodeOne;

    /**
     * 清洗规则编号2
     */
     @ApiModelProperty(value = "清洗规则编号2")
      private String cleanCodeTwo;

    /**
     * 清洗规则编号3
     */
     @ApiModelProperty(value = "清洗规则编号3")
      private String cleanCodeThree;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;


}
