package com.xxh.cloud.etl.framework.modules.cache.convert;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.map.MapUtil;
import com.xxh.cloud.etl.client.api.bean.bos.*;
import com.xxh.cloud.etl.framework.modules.base.entity.EtlDataCleanConfigItemInfo;
import com.xxh.cloud.metadata.client.api.bean.bos.standard.StandardKeywordsBO;
import com.xxh.cloud.metadata.client.api.bean.bos.standard.StandardLaboratoryProjectBO;

import java.util.Map;

public class DataCleanConfigCacheConvert {



    /**
     * 数据清洗明细
     * */
    public static DataCleanConfigDetailBO getDataCleanConfigDetail(EtlDataCleanConfigItemInfo entity){
        DataCleanConfigDetailBO data=new DataCleanConfigDetailBO();
        BeanUtil.copyProperties(entity,data);
        return data;
    }

    public static DataCleanConfigDetailBO getDataCleanConfigDetailByKeywords(EtlDataCleanConfigItemInfo entity, Map<String, StandardKeywordsBO> keywordsMap){
        DataCleanConfigDetailBO data=getDataCleanConfigDetail(entity);
        if(MapUtil.isNotEmpty(keywordsMap)){
            StandardKeywordsBO keywords =  keywordsMap.get(entity.getStandardCode());
            if(keywords!=null){
                data.setKeywordsScript(keywords.getRegExp());
            }
        }
        return data;
    }


    public static DataCleanConfigDetailBO getDataCleanConfigDetailByLab(EtlDataCleanConfigItemInfo entity, Map<String, StandardLaboratoryProjectBO> laboratoryProjectMap){
        DataCleanConfigDetailBO data=getDataCleanConfigDetail(entity);
        if(MapUtil.isNotEmpty(laboratoryProjectMap)){
            StandardLaboratoryProjectBO laboratoryProject = laboratoryProjectMap.get(entity.getStandardCode());
            if(laboratoryProject!=null){
                data.setResultType(laboratoryProject.getResultType());
            }
        }
        return data;
    }




//    /**
//     * 表元数据定义
//     * */
//    public static CleanTableColMetaBO getCleanTableColMetaBO(EtlTableColumnMetaInfo entity){
//        CleanTableColMetaBO data=new CleanTableColMetaBO();
//        BeanUtil.copyProperties(entity,data,"readConfig","writeConfig","processConfig","rels");
//
////        if(StrUtil.isNotEmpty(entity.getReadConfig())){
////            data.setReadConfig(JSON.parseObject(entity.getReadConfig(), ReadConfigBO.class));
////        }
////
////
////        if(StrUtil.isNotEmpty(entity.getWriteConfig())){
////            data.setWriteConfig(JSON.parseObject(entity.getWriteConfig(), WriteConfigBO.class));
////        }
////
////        if(StrUtil.isNotEmpty(entity.getProcessConfig())){
////            data.setProcessConfig(JSON.parseObject(entity.getProcessConfig(),ProcessConfigBO.class));
////        }
////
////
////        if(CollUtil.isNotEmpty(relList)){
////            relList.forEach(item->{
////                if(entity.getCode().equals(item.getMetaCode())){
////                    data.addRel(DataCleanConfigCacheConvert.getCleanTableColRelBO(item));
////                }
////            });
////        }
//
//
//
//        return data;
//    }





}
