package com.xxh.cloud.data.framework.modules.cache.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.data.framework.modules.cache.service.DwTableEntityCacheService;
import com.xxh.cloud.framework.common.constant.DataSourceTypeEnum;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.metadata.framework.modules.script.bean.vos.TableEntityPropertyVO;
import com.xxh.cloud.metadata.framework.modules.script.bean.vos.TableEntityVO;
import com.xxh.cloud.metadata.framework.modules.script.service.EntityDDLApiService;
import com.xxh.cloud.metadata.framework.modules.script.service.EntitySchemaApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@DS("wd")
@Service
public class DwTableEntityCacheServiceImpl implements DwTableEntityCacheService {

    @Autowired
    private RedisUtils redisUtils;

    @Autowired
    private EntitySchemaApiService entitySchemaApiService;


    @Override
    public TableEntityVO getTableColumn(String tableCode) {
        List<TableEntityPropertyVO> list= entitySchemaApiService.getTableColumns(DataSourceTypeEnum.MySQL,"bwd_v1",tableCode);
        if(CollUtil.isEmpty(list)){
            return null;
        }

        TableEntityPropertyVO tableEntityPropertyVO=list.get(0);
        TableEntityVO data=new TableEntityVO();
        data.setCode(tableEntityPropertyVO.getTableName());
        data.setName(tableEntityPropertyVO.getTableName());
        data.setProps(list);
        return data;
    }

    @Override
    public List<TableEntityVO> getTableListLike(String tableCodeLike) {
        List<TableEntityVO> list = entitySchemaApiService.getTableLikeList(DataSourceTypeEnum.MySQL,"bwd_v1",tableCodeLike);
        return list;
    }

//    @Override
//    public Map<String, TableEntityPropertyVO> getTableProperty(String tableCode) {
//        Map<String, TableEntityPropertyVO> data=new HashMap<>();
//
//        List<TableEntityPropertyVO> list= entitySchemaApiService.getTableColumns(DataSourceTypeEnum.MySQL,"xx_h_data_1",tableCode);
//        if(CollUtil.isEmpty(list)){
//            return data;
//        }
//
//        list.forEach(item->{
//            data.put(item.getCode(),item);
//        });
//
//        return data;
//    }


}
