package com.xxh.cloud.etl.sys.manager.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.xxh.cloud.data.framework.modules.biz.bean.dto.*;
import com.xxh.cloud.data.framework.modules.biz.bean.vos.DwDataInfoVO;
import com.xxh.cloud.data.framework.modules.biz.bean.vos.DwDataQueryVO;
import com.xxh.cloud.data.framework.modules.biz.service.DwDataBaseQueryService;
import com.xxh.cloud.data.framework.modules.cache.service.DwConfigCacheService;
import com.xxh.cloud.data.framework.modules.cache.service.DwTableEntityCacheService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.metadata.framework.modules.script.bean.vos.TableEntityVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.constraints.NotEmpty;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Log4j2
@RestController
@RequestMapping("/sys/dw/data/ods")
@Api(tags = "运营端,ODS数据管理")
public class DwDataOdsManagerController {


    @Autowired
    private DwDataBaseQueryService dwDataBaseQueryService;

    @Autowired
    private DwTableEntityCacheService dwTableEntityCacheService;


    //@SaCheckPermission("sys:dataLabel:backUpConfig:list")
    @PostMapping("/tableList")
    @ApiOperation(value = "ODS表查询", response = TableEntityVO.class)
    public Result<List<TableEntityVO>> tableList(@RequestBody DwTableNameQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        List<TableEntityVO> data= dwTableEntityCacheService.getTableListLike("ods");
        return new Result<List<TableEntityVO>>().ok(data);
    }

    //@SaCheckPermission("sys:dataLabel:backUpConfig:list")
    @PostMapping("/queryData")
    @ApiOperation(value = "查询数据", response = DwDataQueryVO.class)
    public Result<DwDataQueryVO> queryData(@RequestBody DwTableDataQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        DwDataQueryVO data= dwDataBaseQueryService.query(params);
        return new Result<DwDataQueryVO>().ok(data);
    }


    @PostMapping("/getDataInfo")
    @ApiOperation(value = "获取数据", response = DwDataInfoVO.class)
    public Result<DwDataInfoVO> getDataInfo(@RequestBody DwTableDataGetDTO params) {
        ValidatorUtils.validateEntity(params);
        DwDataInfoVO data= dwDataBaseQueryService.get(params);
        return new Result<DwDataInfoVO>().ok(data);
    }














}
