package com.xxh.cloud.exeEtl.framework.lab.range;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.exeEtl.framework.lab.range.api.LabRangeApi;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigBO;
import com.xxh.cloud.exeEtl.framework.lab.range.handle.*;
import com.xxh.cloud.exeEtl.framework.lab.utils.LabRegexUtil;

import java.util.List;

public class LabRangeFactory {




    public static LabRangeApi getInstall(String text){
        if(StrUtil.isEmpty(text)){
            return null;
        }

        // 滤泡期：0.4-2.5；排卵期：1.2-24.8黄体期：5.5-24.8； 绝经期：0.4-1.4滤泡期：0.4-2.5
        // 滤泡期：3.50--9.20
        // 滤泡期：3.50  --9.20
        // 滤泡期：3.50 -- 9.20
        List<String> terangeVals=LabRegexUtil.terange(text);
        if(CollUtil.isNotEmpty(terangeVals)){
            System.out.println("LabStrategyHandleTextRange");
            return new LabStrategyHandleTextRange(text, terangeVals);
        }


        //5.0E+001--6.0E+001
        //5.0E+001  --6.0E+001
        //5.0E+001--  6.0E+001
        //5.0E+001  --  6.0E+001
        List<String> serangeVales= LabRegexUtil.serange(text);
        if(CollUtil.isNotEmpty(serangeVales)){
            System.out.println("LabStrategyHandleERange");
            return new LabStrategyHandleERange(text, serangeVales);
        }


        //<5.0E+001
        //< 5.0E+001
        //< -5.0E+001
        //< - 5.0E+001
        List<String> srrangeVals= LabRegexUtil.srrange(text);
        if(CollUtil.isNotEmpty(srrangeVals)){
            System.out.println("LabStrategyHandleELt");
            return new LabStrategyHandleELt(text, srrangeVals);
        }

        //≤5.0E+001
        //≤ 5.0E+001
        //≤ -5.0E+001
        //≤ - 5.0E+001
        List<String> srerangeVals= LabRegexUtil.srerange(text);
        if(CollUtil.isNotEmpty(srerangeVals)){
            System.out.println("LabStrategyHandleELe");
            return new LabStrategyHandleELe(text, srerangeVals);
        }

        //>5.0E+001
        //> 5.0E+001
        //> -5.0E+001
        //> - 5.0E+001
        List<String> slrangeVals= LabRegexUtil.slrange(text);
        if(CollUtil.isNotEmpty(slrangeVals)){
            System.out.println("LabStrategyHandleEGt");
            return new LabStrategyHandleEGt(text, slrangeVals);
        }

        //≥5.0E+001
        //≥ 5.0E+001
        //≥ -5.0E+001
        //≥ - 5.0E+001
        List<String> slerangeVals= LabRegexUtil.slerange(text);
        if(CollUtil.isNotEmpty(slerangeVals)){
            System.out.println("LabStrategyHandleEGe");
            return new LabStrategyHandleEGe(text, slerangeVals);
        }


        //-12-- -24
        //-12  --24
        //12--   -24
        //-12  --  -24
        List<String> erangeVals= LabRegexUtil.erange(text);
        if(CollUtil.isNotEmpty(erangeVals)){
            System.out.println("LabStrategyRangeEq");
            return new LabStrategyRangeEq(text, erangeVals);
        }

        //<5.0
        //< 5.0
        //< -5.0
        //< - 5.0
        List<String> rrangeVals=LabRegexUtil.rrange(text);
        if(CollUtil.isNotEmpty(rrangeVals)){
            System.out.println("LabStrategyRangeLt");
            return new LabStrategyRangeLt(text, rrangeVals);
        }

        //≤5.0
        //≤ 5.0
        //≤ -5.0
        //≤ - 5.0
        List<String> rerangeVals=LabRegexUtil.rerange(text);
        if(CollUtil.isNotEmpty(rerangeVals)){
            System.out.println("LabStrategyRangeLe");
            return new LabStrategyRangeLe(text, rerangeVals);
        }

        //>5.0
        //> 5.0
        //> -5.0
        //> - 5.0
        List<String> lrangeVals=LabRegexUtil.lrange(text);
        if(CollUtil.isNotEmpty(lrangeVals)){
            System.out.println("LabStrategyRangeGt");
            return new LabStrategyRangeGt(text, lrangeVals);
        }



        //≥5.0
        //≥ 5.0
        //≥ -5.0
        //≥ - 5.0
        List<String> lerangeVals=LabRegexUtil.lerange(text);
        if(CollUtil.isNotEmpty(lerangeVals)){
            System.out.println("LabStrategyRangeGe");
            return new LabStrategyRangeGe(text, lerangeVals);
        }

        return null;
    }


    public static void main(String[] args) {

        String str=null;
        str=">0.00";
        str="<5.0";
        str="滤泡期：3.50--9.20";
        str="12--24";
        str="50--133";
        str="5.0E+001--6.0E+001";
        str="<5.0E+001";
        str="滤泡期：132--  498  排卵期：132  --498;黄体期：132   --   498  绝经期：90--392";
        str = "1.9--   9.2      |    6.1  --49.1   |     1.3  --  10.8   |   15.4--53.3   |";
        str = "上午：6.0--  40.0||下午：3.0  --30.0|";
        str = "-2  --  3";
        str = "<1.000E+04<1.000E+04";
        str = "正常值< - 256";
        str = "正常值 ≤ - 256";
        str = "正常值 > - 256";
        str = "正常值 ≥ - 256";
        str = "- 5.0E+001 -- -6.0E+001";
        str = "滤泡期： - 132 -- - 498";
        str = "上午：6.0--  -40.0||下午：- 3.0  --30.0|";
         str = "0.0--46.0\\n1.0--47.0";
        // str = "卧位：30--160/立位：70--300";
        // str = "滤泡期：24.0--112  排卵期：36.0--251       ;黄体期：31.0--136  绝经期：<10--45.0";   // 暂时无法解析：<10--45.0
        // str = "1.9--9.2      |    6.1--49.1   |     1.3--10.8   |   15.4--53.3   |";

        LabRangeApi labRangeApi = LabRangeFactory.getInstall(str);
        if(labRangeApi==null){
            System.out.println("++++++++++++++++++ LabRangeApi is null");
            return;
        }

        LabRangeConfigBO data= labRangeApi.process();
        System.out.println("--------------------结果-----------------------");
        System.out.println(JSON.toJSONString(data));

//        double d=5.0E+001;
//        double d=1.000E+004;
//        System.out.println(d);


    }





}
