package com.xxh.cloud.exeEtl.framework.lab.range.api;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigBO;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigNumBO;

import java.util.List;

public abstract class LabRangeStrategyAbstract implements LabRangeApi{

    private String text;

    private List<String> vals;

    public LabRangeStrategyAbstract(String text , List<String> vals){
        this.text=text;
        this.vals=vals;
    }


    @Override
    public LabRangeConfigBO process() {
        LabRangeConfigBO data=new LabRangeConfigBO(this.text,this.vals);
        if(CollUtil.isEmpty(this.vals)){
            return data;
        }

        for(String val:this.vals){
            try {
                LabRangeConfigNumBO  dataItem=  this.handle(val);
                if(dataItem!=null){
                    data.addVal(dataItem);
                }else {
                    data.addFail(val);
                }
            }catch (Exception e){
                data.addFail(val);
                e.printStackTrace();
            }
        }
        return data;
    }

    public abstract LabRangeConfigNumBO handle(String val);


    public void toStr(){
        System.out.println(text);
        System.out.println(StrUtil.join(" [分割] ",vals));
    }





}
