package com.xxh.cloud.exeEtl.framework.lab.range.handle;

import cn.hutool.core.util.ArrayUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.exeEtl.framework.lab.range.api.LabRangeStrategyAbstract;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigNumBO;

import java.math.BigDecimal;
import java.util.List;


/**
 * 区间，值是科学计数
 * 5.0E+001--6.0E+001
 * 5.0E+001 --  6.0E+001
 * */
public class LabStrategyHandleERange extends LabRangeStrategyAbstract {

    public LabStrategyHandleERange(String text , List<String> vals){
        super(text,vals);
    }

    @Override
    public LabRangeConfigNumBO handle(String val) {
        if(StrUtil.isEmpty(val)){
            return null;
        }
        String[] strs = val.split("--");
        if(ArrayUtil.isEmpty(strs)){
            return null;
        }
        if(strs.length!=2){
            return null;
        }

        //
        String lstr1=  strs[0];
        if(StrUtil.isEmpty(lstr1)){
            return null;
        }
        String lstr=lstr1.replace(" ", "");

        //
        String rstr2 = strs[1];
        if(StrUtil.isEmpty(rstr2)){
            return null;
        }
        String rstr =rstr2.replace(" ", "");

        LabRangeConfigNumBO data=new LabRangeConfigNumBO(val);

        Double le=new BigDecimal(lstr).doubleValue();
        Double re=new BigDecimal(rstr).doubleValue();

        if(le.doubleValue()<=re.doubleValue()){
            data.setLeval(le);
            data.setReval(re);
        }else {
            data.setLeval(re);
            data.setReval(le);
        }


        return data;
    }











}
