package com.xxh.cloud.exeEtl.framework.lab.range.handle;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.lang.Dict;
import cn.hutool.core.util.ArrayUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.exeEtl.framework.lab.range.api.LabRangeStrategyAbstract;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigNumBO;

import java.math.BigDecimal;
import java.util.List;

/**
 * 滤泡期：0.4-2.5；排卵期：1.2-24.8黄体期：5.5-24.8； 绝经期：0.4-1.4滤泡期：0.4-2.5
 * 滤泡期：3.50--9.20
 * 滤泡期：3.50  --9.20
 * 滤泡期：3.50 -- 9.20
 */
public class LabStrategyHandleTextRange extends LabRangeStrategyAbstract {



    public LabStrategyHandleTextRange(String text , List<String> vals){
        super(text,vals);
    }


    @Override
    public LabRangeConfigNumBO handle(String val) {
        if(StrUtil.isEmpty(val)){
            return null;
        }

        Dict dict=  this.getOne(val);
        if(dict==null){
            return null;
        }

        String name = dict.getStr("name");
        String text = dict.getStr("text");
        Dict valDict= this.getTwo(text,"--");

        LabRangeConfigNumBO data=new LabRangeConfigNumBO(val);
        data.setName(name);
        data.setLeval(valDict.getDouble("le"));
        data.setReval(valDict.getDouble("re"));
        return data;
    }


    private Dict getOne(String val){
        val = val.replace('：', ':'); // 先把中文冒号替换为英文冒号
        String[] strs = val.split(":");
        if(strs.length!=2){
            return null;
        }

        Dict dict = Dict.create();


        String name=  strs[0];
        if(StrUtil.isEmpty(name)){
            return null;
        }


        String text = strs[1];
        if(StrUtil.isEmpty(text)){
            return null;
        }

        dict.set("name",name);
        dict.set("text",text);
        return dict;
    }

    private Dict getTwo(String val,String separator){
        String[] strs = val.split(separator);
        if(strs.length!=2){
            return null;
        }

        String lstr=  strs[0];
        if(StrUtil.isEmpty(lstr)){
            return null;
        }

        String rstr = strs[1];
        if(StrUtil.isEmpty(rstr)){
            return null;
        }

        Dict dict=Dict.create();
        Double dle = Convert.toDouble(lstr.replace(" ", ""));
        Double dre =Convert.toDouble(rstr.replace(" ", ""));

        if(dle.doubleValue()<=dre.doubleValue()){
            dict.set("le", dle);
            dict.set("re", dre);
        }else {
            dict.set("le", dre);
            dict.set("re", dle);
        }

        return dict;
    }




}
