package com.xxh.cloud.exeEtl.framework.lab.range.handle;

import cn.hutool.core.util.ArrayUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.exeEtl.framework.lab.range.api.LabRangeStrategyAbstract;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigNumBO;

import java.math.BigDecimal;
import java.util.List;

/**
 * 4.2--94.8
 * */
public class LabStrategyRangeEq extends LabRangeStrategyAbstract {



    public LabStrategyRangeEq(String text , List<String> vals){
        super(text,vals);
    }

    @Override
    public LabRangeConfigNumBO handle(String val) {
        if(StrUtil.isEmpty(val)){
            return null;
        }
        String[] strs = val.split("--");
        if(ArrayUtil.isEmpty(strs)){
            return null;
        }
        if(strs.length!=2){
            return null;
        }

        //
        String lstr1=  strs[0];
        if(StrUtil.isEmpty(lstr1)){
            return null;
        }
        String lstr=lstr1.trim();

        //
        String rstr2 = strs[1];
        if(StrUtil.isEmpty(rstr2)){
            return null;
        }
        String rstr =rstr2.trim();

        LabRangeConfigNumBO data=new LabRangeConfigNumBO(val);

        Double le=new BigDecimal(lstr).doubleValue();
        Double re=new BigDecimal(rstr).doubleValue();

        if(le.doubleValue()<=re.doubleValue()){
            data.setLeval(le);
            data.setReval(re);
        }else {
            data.setLeval(re);
            data.setReval(le);
        }
        return data;
    }


}
