package com.xxh.cloud.exeEtl.framework.modules.biz.service.impl;

import cn.hutool.core.util.IdUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.exeEtl.framework.modules.base.entity.DataCleanUserTaskInfo;
import com.xxh.cloud.exeEtl.framework.modules.base.service.DataCleanUserTaskInfoService;
import com.xxh.cloud.exeEtl.framework.modules.biz.bean.dto.DataCleanUserTaskAddDTO;
import com.xxh.cloud.exeEtl.framework.modules.biz.service.DataCleanUserTaskBizService;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Log4j2
@Service
public class DataCleanUserTaskBizServiceImpl implements DataCleanUserTaskBizService {

    @Autowired
    private DataCleanUserTaskInfoService dataCleanUserTaskInfoService;


    @Override
    public void addTask(DataCleanUserTaskAddDTO params) {
        ValidatorUtils.validateEntity(params);
        DataCleanUserTaskInfo entity=new DataCleanUserTaskInfo();
        entity.setId(IdUtil.getSnowflake(1,1).nextIdStr());
        entity.setRuleCode(params.getCleanCode());
        entity.setRuleName(params.getCleanName());
        entity.setExeStatus("NONE");
        entity.setRowsStatus(YN.YES.getCode());
        dataCleanUserTaskInfoService.save(entity);
    }


}
