package com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class ExeDataCleanLogAddDTO {


    /**
     * 表
     */
    private String table;

    /**
     * 字段
     */
    private String col;

    /**
     * 规则编号
     */
    private String ruleCode;

    /**
     * 规则名称
     */
    private String ruleName;


    /**
     *
     */
    private int totalNum = 0;

    /**
     *
     */
    private int successNum = 0;

    /**
     *
     */
    private int failNum = 0;


    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    /**
     * 截止时间
     */
    @ApiModelProperty(value = "截止时间")
    private Date endDate;


    public ExeDataCleanLogAddDTO(String table, String col, String ruleCode, String ruleName) {
        this.table = table;
        this.col = col;
        this.ruleCode = ruleCode;
        this.ruleName = ruleName;
        this.startDate=new Date();
        this.failNum=0;
        this.successNum=0;
        this.totalNum=0;
    }

    public ExeDataCleanLogAddDTO() {

    }

    public void addTotalNum(int num){
        if(this.totalNum<=0){
            this.totalNum=num;
        }else {
            this.totalNum=this.totalNum+num;
        }
    }


    public void addSuccessNum(int num){
        if(this.successNum<=0){
            this.successNum=num;
        }else {
            this.successNum=this.successNum+num;
        }
    }

    public void addFailNum(int num){
        if(this.failNum<=0){
            this.failNum=num;
        }else {
            this.failNum=this.failNum+num;
        }
    }



}
