package com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros;

import com.xxh.cloud.exeEtl.framework.modules.clean.bean.bos.NeedAddCleanRuleBO;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
@Getter
@Setter
public class DataCleanResult {



    /**
     * 规则编号
     * */
    private String ruleCode;

    /**
     * 规则名称
     * */
    private String ruleName;

    /**
     * 结果状态
     * */
    private DCResultEnum result;

    /**
     * 子结果状态
     * */
    private Map<String,DCResultEnum> childResult;



    /**
     * 映射结果
     * */
    private DataCleanValBean mappingValBean;



    /**
     * 关键字结果
     * */
    private List<DataCleanValBean> keywordsValBeans;


    /**
     * 检验项目结果
     * */
    private DataCleanLabProject  labProVal;


    /**
     * 诊断结果
     * */
   private List<DataCleanDiagnoseBean> diagnoseBeans;



    /**
     * 未匹配，需要新增的清洗规则
     * */
    private List<NeedAddCleanRuleBO> addRuleList;





    /**
     * 新增子状态
     * */
    public void addChildResult(String ruleCode, DCResultEnum result){
        if(this.childResult==null){
            this.childResult=new HashMap<>();
        }
        this.childResult.put(ruleCode,result);
    }


    /**
     * 新增普通映射结果
     * */
    public void addMappingVal(String code,String name){
        this.mappingValBean=new DataCleanValBean(code,name);
    }

    /**
     * 新增关键字结果
     * */
    public void addKeywordsVal(String code,String name){
        if(this.keywordsValBeans==null){
            this.keywordsValBeans=new ArrayList<>();
        }
        this.keywordsValBeans.add(new DataCleanValBean(code,name));
    }

    /**
     * 新增诊断
     * */
    public void addDiagnose(DataCleanDiagnoseBean item){
        if(this.diagnoseBeans==null){
            this.diagnoseBeans=new ArrayList<>();
        }
        if(item!=null){
            this.diagnoseBeans.add(item);
        }
    }




    /**
     * 新增需求清洗的规则
     * */
    public void addRuleConfig(NeedAddCleanRuleBO item){
        if(this.addRuleList==null){
            this.addRuleList=new ArrayList<>();
        }
        if(item!=null){
            this.addRuleList.add(item);
        }
    }

    /**
     * 新增需求清洗的规则
     * */
    public void addRuleConfig(String ruleCode,String sourceCode,String sourceName){
        NeedAddCleanRuleBO item=new NeedAddCleanRuleBO(ruleCode,sourceCode,sourceName);
        this.addRuleConfig(item);
    }



    public DataCleanResult(DCResultEnum result){
        this.result=result;
    }

    public DataCleanResult(String ruleCode,String ruleName,DCResultEnum result){
        this.ruleCode=ruleCode;
        this.ruleName=ruleName;
        this.result=result;
    }

    public DataCleanResult(String ruleCode,String ruleName){
        this.ruleCode=ruleCode;
        this.ruleName=ruleName;
    }


    public DataCleanResult(){

    }


}
