package com.xxh.cloud.exeEtl.framework.modules.clean.labReportUtils;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.ArrayUtil;
import cn.hutool.core.util.NumberUtil;
import cn.hutool.core.util.StrUtil;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * 区间工具类
 * */
@Deprecated
public class IntervalUtils {

    private static List<String> splitList=new ArrayList<>();
    static {
        splitList.add(",");
        splitList.add(";");
        splitList.add("/");
        splitList.add("\\|\\|");
        splitList.add("\\|");
    }

    private static List<String> list=new ArrayList<>();
    static {
        list.add("--");
        list.add("-");
        list.add("<");
        list.add(">");
    }

    /**
     * 分割
     * */
    private static String[] split(String val){
        for(String split : splitList){
            String[] strs = val.split(split);
            if(ArrayUtil.isNotEmpty(strs) && strs.length>1){
                return strs;
            }
        }
        return null;
    }



    /**
     *
     * */
    public static IntervalValueBean getIntervalBy(List<IntervalValueBean> ivbList,String status,String statusName ,double reportVal){
        if(CollUtil.isEmpty(ivbList)){
            return null;
        }
        if(ivbList.size()==1){
            return ivbList.get(0);
        }

        for(IntervalValueBean ivbItem:ivbList){
            boolean flag = isIntervalValue(ivbItem,status,statusName,reportVal);
            if(flag){
                return ivbItem;
            }
        }
        return null;
    }

    private static boolean isIntervalValue(IntervalValueBean ivb,String status,String statusName ,double reportVal){
        if("0".equals(status)){ //正常
            boolean flag = isIntervalValue(ivb,reportVal);
            if(flag){
                return true;
            }else {
                return false;
            }
        }else {
            boolean flag = isIntervalValue(ivb,reportVal);
            if(flag){
                return false;
            }else {
                return true;
            }
        }
    }



    private static  boolean isIntervalValue (IntervalValueBean ivb,double reportVal){

        Number le_val=null;
        Number l_val=null;
        if(StrUtil.isNotEmpty(ivb.getLev()) && NumberUtil.isNumber(ivb.getLev())){
            le_val= Convert.toNumber(ivb.getLev());
        }else if(StrUtil.isNotEmpty(ivb.getLv()) && NumberUtil.isNumber(ivb.getLv())){
            l_val= Convert.toNumber(ivb.getLv());
        }


        Number re_val=null;
        Number r_val=null;
        if(StrUtil.isNotEmpty(ivb.getRev()) && NumberUtil.isNumber(ivb.getRev())){
            re_val= Convert.toNumber(ivb.getRev());
        }else if(StrUtil.isNotEmpty(ivb.getRv()) && NumberUtil.isNumber(ivb.getRv())){
            r_val= Convert.toNumber(ivb.getRv());
        }


        boolean flag=true;


        if(flag){
            if(le_val!=null){
                double le=le_val.doubleValue();
                if(le<=reportVal){
                    flag=true;
                }else {
                    flag=false;
                }
            }
        }

        if(flag){
            if(l_val!=null){
                double l=l_val.doubleValue();
                if(l<reportVal){
                    flag=true;
                }else {
                    flag=false;
                }
            }
        }


        if(flag){
            if(re_val!=null){
                double re=re_val.doubleValue();
                if(reportVal<=re){
                    flag=true;
                }else {
                    flag=false;
                }
            }
        }



        if(flag){
            if(r_val!=null){
                double r=r_val.doubleValue();
                if(reportVal<=r){
                    flag=true;
                }else {
                    flag=false;
                }
            }
        }

        return flag;

    }





    /**
     * 获取参考值列表
     * */
    public static List<IntervalValueBean> getInterval(String val){
        List<IntervalValueBean> data=new ArrayList<>();

        String[] strs=split(val);

        if(ArrayUtil.isNotEmpty(strs)){
            for(String str:strs){
                if(StrUtil.isNotEmpty(str)){
                    IntervalValueBean ivb= getCalculate_Interval(str);
                    if(ivb!=null){
                        data.add(ivb);
                    }
                }
            }
        }else {
            IntervalValueBean ivb=getCalculate_Interval(val);
            if(ivb!=null){
                data.add(ivb);
            }
        }
        return data;
    }



    /**
     * 二次切割
     * */




    /**
     * 计算参考值,标题和值
     * */
    private static IntervalValueBean getCalculate_Interval(String val){

        System.out.println("++++++++++++++++++++++++++++");
        System.out.println(val);

        IntervalValueBean result=null;

        int idx1=val.indexOf(":");
        if(idx1>0){
            String key = StrUtil.subPre(val,idx1);
            String keyVal=StrUtil.subSuf(val,idx1+1);
            result = getCalculate_Interval_Value(keyVal);
            result.setName(key);
            result.setSourceName(val);
            return result;
        }

        result = getCalculate_Interval_Value(val);
        result.setSourceName(val);
        return result;
    }

    /**
     * 计算参照值
     * */
    private static IntervalValueBean getCalculate_Interval_Value(String val){
//        System.out.println(StrUtil.format("数据值 ==== {}",val));
//        boolean flag = isChinese(val);
//        if(flag){
//            System.out.println("++++++++++++ 左右中文");
//            return null;
//        }

        System.out.println("###### "+val);


        IntervalValueBean result=new IntervalValueBean();

        int idx1=val.indexOf("--");
        if(idx1>=0){
            //System.out.println("1");
            String left = StrUtil.subPre(val,idx1);
            String right=StrUtil.subSuf(val,idx1+"--".length());
            result.setLev(left);
            result.setRev(right);
            return result;
        }

        int idx2=val.indexOf("-");
        if(idx2>=0){
            //System.out.println("2");
            String left = StrUtil.subPre(val,idx2);
            String right=StrUtil.subSuf(val,idx2+"-".length());
            result.setLev(left);
            result.setRev(right);
            return result;
        }


        int idx3=val.indexOf("<");
        if(idx3>=0){
            //System.out.println("3");
            String name = StrUtil.subPre(val,idx3);
            String value=StrUtil.subSuf(val,idx3+"<".length());
            result.setRn(name);
            result.setRv(value);
            return result;
        }

        int idx4=val.indexOf(">");
        if(idx4>=0){
            //System.out.println("4");
            String name = StrUtil.subPre(val,idx4);
            String value=StrUtil.subSuf(val,idx4+">".length());
            result.setLn(name);
            result.setLv(value);
            return result;
        }
        result.setVal(val);
        return result;
    }


    /**
     * 是否包含中文
     * */
    private static  boolean isChinese(String val){
        Pattern p = Pattern.compile("[\u4e00-\u9fa5]");
        Matcher m = p.matcher(val);
        // m.find()判断为true，表示字符串中含有中文
        return m.find();
    }


    public static void main(String[] args) {
//        String str="<30.0";
//        String str="7.63-42.6";
//        String str="<1.0E+003";
//        String str="阴性(-)";
//        String str="正常值<256";
//        String str="86-324";
//        String str="阴性(<1:100)"; //todo:有bug

//        String str="绝经前期非孕妇女: <5.3;绝经后妇女:<8.3;孕妇:随孕周变化";
//        String str="上午:72.6--322.80;下午:32.4--150.00;";
//        String str="卧位: 3.11--41.20/立位: 4.20--45.6";
//        String str="||31--37周: 3.62--22.40";
//        String str="滤泡期: 3.50--9.20 排卵期: 4.70--25.9;黄体期: 1.70--5.60 绝经期:13.9--103.1"; //todo:
//        String str="女滤泡期:0.05--0.81; 女排卵期:0.05--0.81;女黄体期:0.05--.81 ;女绝经期:0.05--0.81";
//        String str="1.9--9.2 | 6.1--49.1 | 1.3--10.8 | 15.4--53.3 |";
//        String str="卧位:25--60||立位: 50--120||";
//        String str="31--37周: 3.62--22.40";
//        String str="1.9--9.2 ";
//        String str="绝经前期非孕妇女: <5.3";
//
//        String str="女滤泡期:132--498 ; 女排卵期:132--498 ; 女黄体期:132--498  ; 女绝经期:90--392 ;";
//        String str="上午:72.6--322.80;下午:32.4--150.00;";
//        String str="< 1.0E+003";
//        String str="1.9--9.2 | 6.4-49.1 |";
//        String str="绝经前期非孕妇女: <5.3;绝经后妇女:<8.3;孕妇:随孕周变化";
//        String str="<0.65ug/L为阴性，》0.85为阳性";


        String str="0";
//        String str="淡黄色";

//        List<IntervalValueBean> ivbList= getInterval(str);
//        ivbList.forEach(ivb->{
//            System.out.println("------");
//            System.out.println(JSON.toJSONString(ivb));
//            System.out.println(JSON.toJSONString(IntervalValueBean.change(ivb)));
//        });

        String s1="1.000E+03";

        int i= s1.indexOf("E");
        System.out.println(i);


        String vv= new BigDecimal(s1).toPlainString();
        System.out.println(vv);


//        double scientificNumber = 1.000E+03;
//        String vv= new BigDecimal(scientificNumber).toPlainString();
//        System.out.println(vv);


//        BigDecimal normalNumber = new BigDecimal(scientificNumber).toPlainString();
//        DecimalFormat format = new DecimalFormat("0.00");
//        String formattedNumber = format.format(normalNumber);
//        System.out.println("转换前的科学计数法表示：" + scientificNumber);
//        System.out.println("转换后的正常数字表示：" + formattedNumber);



//        滤泡期: 3.50--9.20 排卵期: 4.70--25.9
//        黄体期: 1.70--5.60 绝经期:13.9--103.1

//        String str10="黄体期: 1.70--5.60 绝经期:13.9--103.1";




//        String str9="滤泡期: 3.50--9.20 排卵期: 4.70--25.9";


//        String str="阴性(<1:100)";
//        int i1= str.indexOf("(");
//        int i2=str.indexOf(")");
//        if(i1>=0 && i2>=0){
//            System.out.println("ok");
//        }


    }



}
