package com.xxh.cloud.exeEtl.framework.modules.clean.labReportUtils;

import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.exception.BusinessException;

import java.math.BigDecimal;

/**
 *
 * */
public class SoftMaxUtils {


    public static CalStatusRateMBO catStatusRate(SoftMaxValue2Bean config, BigDecimal reportVal){
        if(config.getLeft()==null && config.getLeftEq()==null && config.getRight()==null && config.getRightEq()==null){
            throw new BusinessException(1,"计算区间配置错误");
        }

        CalStatusRateMBO data=new CalStatusRateMBO();

        if(config.getLeftEq()!=null){
             if(reportVal.doubleValue()<config.getLeftEq().doubleValue()){
                 data.setStatus("decline"); //减低
                 BigDecimal fz= config.getLeftEq().subtract(reportVal);
                 data.setRate(calRate(fz,config.getLeftEq()));
                 return data;
             }
        }

        if(config.getLeft()!=null){
            if(reportVal.doubleValue()<=config.getLeft().doubleValue()){
                data.setStatus("decline"); //减低
                BigDecimal fz= config.getLeft().subtract(reportVal);
                data.setRate(calRate(fz,config.getLeft()));
                return data;
            }
        }

        if(config.getRightEq()!=null){
            if(reportVal.doubleValue()>config.getRightEq().doubleValue()){
                data.setStatus("rise"); //升高
                BigDecimal fz= reportVal.subtract(config.getRightEq());
                data.setRate(calRate(fz,config.getRightEq()));
                return data;
            }
        }

        if(config.getRight()!=null){
            if(reportVal.doubleValue()>=config.getRight().doubleValue()){
                data.setStatus("rise");//升高
                BigDecimal fz= reportVal.subtract(config.getRight());
                data.setRate(calRate(fz,config.getRight()));
                return data;
            }
        }
        //正常
        data.setStatus("normal"); //正常
        return data;
    }

    /**
     * fz / fm
     * */
    private static  BigDecimal calRate(BigDecimal fz ,BigDecimal fm){
        System.out.println(StrUtil.format("+++++计算增长比例: fz={} , fm={}",fz,fm));
        if(fm.doubleValue()==0){
            fm= new BigDecimal(1);
        }
        return fz.divide(fm,4,BigDecimal.ROUND_HALF_UP);
    }

    /**
     * 计算归一值
     * */
    public static BigDecimal cal(SoftMaxValue2Bean config, BigDecimal reportVal){
        if(config.getLeft()==null && config.getLeftEq()==null){
            throw new BusinessException(1,"计算区间配置错误");
        }

        if(config.getRight()==null && config.getRightEq()==null){
            throw new BusinessException(1,"计算区间配置错误");
        }

        BigDecimal leftMin;
        if(config.getLeftEq()!=null){
            leftMin=config.getLeftEq();
        }else {
            leftMin=config.getLeft().add(new BigDecimal(0.00001));
        }

        BigDecimal rightMax;
        if(config.getRightEq()!=null){
            rightMax =config.getRightEq();
        }else {
            rightMax=config.getRight().subtract(new BigDecimal(00001));
        }
        return softmax(leftMin,rightMax,reportVal);
    }


    /**
     * 计算归一值 softmax(x)=(x-min)/(max-min)
     * */
    public static  BigDecimal softmax(BigDecimal leftMin ,BigDecimal rightMax ,BigDecimal result){
        System.out.println(StrUtil.format("+++++计算归一值: leftMin={} , rightMax={} ,result={}",leftMin,rightMax,result));
        BigDecimal f1 = result.subtract(leftMin);
        BigDecimal f2 = rightMax.subtract(leftMin) ;
          if(f2.doubleValue()==0){
              f2=new BigDecimal(1);
          }
          BigDecimal r= f1.divide(f2,4,BigDecimal.ROUND_HALF_UP);
          return r;
    }












}
