package com.xxh.cloud.exeEtl.framework.modules.clean.utils;

import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigDetailBO;
import com.xxh.cloud.etl.common.framework.modules.bean.ods.DiagnoseBO;
import com.xxh.cloud.etl.common.framework.modules.bean.ods.OperationDiagnoseBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanDiagnoseBean;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanResult;

import java.util.ArrayList;
import java.util.List;

public class CleanDiagnoseUtils {



    /**
     * 普通诊断
     * */
    public static List<CleanResultRO> process(List<DiagnoseBO> vals, DataCleanConfigBO rule) {
        List<CleanResultRO> data=new ArrayList<>();
        if(CollUtil.isEmpty(rule.getDetails())){
            return data;
        }
        for(DiagnoseBO diagnose : vals){
            CleanResultRO resultItem = CleanDiagnoseUtils._process(rule,diagnose);
            data.add(resultItem);
        }
        return data;
    }


    /**
     * 手术诊断
     * */
    public static List<CleanResultRO> processOp(List<OperationDiagnoseBO> vals, DataCleanConfigBO rule) {
        List<CleanResultRO> data=new ArrayList<>();
        DataCleanResult result=new DataCleanResult(rule.getCode(),rule.getName());
        for(OperationDiagnoseBO diagnose : vals){
            CleanResultRO resultItem = CleanDiagnoseUtils._process(rule,diagnose);
            data.add(resultItem);
        }
        return data;
    }


    private static CleanResultRO _process(DataCleanConfigBO rule, OperationDiagnoseBO diagnose){
        DataCleanConfigDetailBO mappingItem=null;
        for(DataCleanConfigDetailBO item:rule.getDetails()){
            if(diagnose.getDcode().equals(item.getSourceCode())){
                mappingItem=item;
                break;
            }
        }
        if(mappingItem==null){
            return CleanResultRO.fail(rule.getCode(),rule.getName(),diagnose.getDcode(),diagnose.getDname());
        }
        DataCleanDiagnoseBean dataCleanDiagnose=new DataCleanDiagnoseBean();
        dataCleanDiagnose.setRawCode(diagnose.getDcode());
        dataCleanDiagnose.setRawName(diagnose.getDname());
        dataCleanDiagnose.setCode(mappingItem.getStandardCode());
        dataCleanDiagnose.setName(mappingItem.getStandardName());
        return CleanResultRO.ok(rule.getCode(),rule.getName(),dataCleanDiagnose);
    }


    private static CleanResultRO _process(DataCleanConfigBO rule, DiagnoseBO diagnose){
        DataCleanConfigDetailBO mappingItem=null;
        for(DataCleanConfigDetailBO item:rule.getDetails()){
            if(diagnose.getDicd().equals(item.getSourceCode())){
                mappingItem=item;
                break;
            }
        }
        if(mappingItem==null){
            return CleanResultRO.fail(rule.getCode(),rule.getName(),diagnose.getDicd(),diagnose.getDname());
        }
        DataCleanDiagnoseBean dataCleanDiagnose=new DataCleanDiagnoseBean();
        dataCleanDiagnose.setRawCode(diagnose.getDicd());
        dataCleanDiagnose.setRawName(diagnose.getDname());
        dataCleanDiagnose.setCode(mappingItem.getStandardCode());
        dataCleanDiagnose.setName(mappingItem.getStandardName());
        dataCleanDiagnose.setDeptCode(diagnose.getDpc());
        dataCleanDiagnose.setDeptName(diagnose.getDpn());
        dataCleanDiagnose.setDt(diagnose.getDt());
        dataCleanDiagnose.setDoctorCode(diagnose.getDcc());
        dataCleanDiagnose.setDoctorName(diagnose.getDcn());
        dataCleanDiagnose.setMainFlag(diagnose.getDmain());
        dataCleanDiagnose.setConfirmFlag(diagnose.getDflag());
        return CleanResultRO.ok(rule.getCode(),rule.getName(),dataCleanDiagnose);
    }


    /**
     *
     * */





}
