package com.xxh.cloud.exeEtl.framework.modules.clean.utils;

import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigDetailBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.framework.common.ql.QLExpressHelper;

public class CleanKeywordsUtils {


    public static CleanResultRO process(DataCleanProcessTwoContext context,String val, DataCleanConfigBO rule,String table, String col) {
        if(CollUtil.isEmpty(rule.getDetails())){
            return CleanResultRO.fail(rule.getCode(),rule.getName(),null,null);
        }

        CleanResultRO result=new CleanResultRO(rule.getCode(),rule.getName(),false);
        for(DataCleanConfigDetailBO item:rule.getDetails()){
            try {
                boolean flag= QLExpressHelper.execute(item.getKeywordsScript(), val);
                if(flag){
                    result.addKeywordsVal(item.getStandardCode(),item.getStandardName());
                    result.setResult(true);
                }
            }catch (Exception e){
                context.addErrorLog(rule.getCode(),rule.getName(),table,col,item.getKeywordsScript(),e.getMessage());
                //e.printStackTrace();
            }
        }
        return result;
    }



}