package com.xxh.cloud.exeEtl.framework.modules.clean.utils;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.NumberUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.etl.common.framework.modules.write.bean.ods.LabProjectReportItemBO;
import com.xxh.cloud.exeEtl.framework.lab.range.LabRangeFactory;
import com.xxh.cloud.exeEtl.framework.lab.range.api.LabRangeApi;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigBO;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigNumBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanLabProject;
import com.xxh.cloud.exeEtl.framework.modules.clean.labReportUtils.CalStatusRateMBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.labReportUtils.IntervalValueBean;
import com.xxh.cloud.exeEtl.framework.modules.clean.labReportUtils.SoftMaxUtils;
import com.xxh.cloud.exeEtl.framework.modules.clean.labReportUtils.SoftMaxValue2Bean;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.math.BigDecimal;

/**
 * 结果值
 * */
public class CleanLabProject_Value {

    private static final Logger logger = LoggerFactory.getLogger(CleanLabProject_Value.class);


    private static SoftMaxValue2Bean getSoftMaxValue2Bean(LabRangeConfigNumBO numConfig){
        SoftMaxValue2Bean data=new SoftMaxValue2Bean();
        data.setSource(numConfig.getText());

        boolean lef=true; //是否包含=
        BigDecimal lval=null;

        if(numConfig.getLeval()!=null){
            lval= BigDecimal.valueOf(numConfig.getLeval());
            lef=true;
        }else if(numConfig.getLval()!=null){
            lval=BigDecimal.valueOf(numConfig.getLval());
            lef=false;
        }

        boolean ref=true; //是否包含=
        BigDecimal rval=null;

        if(numConfig.getReval()!=null){
            rval= BigDecimal.valueOf(numConfig.getReval());
            ref=true;
        }else if(numConfig.getRval()!=null){
            rval= BigDecimal.valueOf(numConfig.getRval());
            ref=false;
        }

        //有左 有右
        if(lval!=null && rval!=null){
            if(lef){
                data.setLeftEq(lval);
            }else {
                data.setLeft(lval);
            }
            if(ref){
                data.setRightEq(rval);
            }else {
                data.setRight(rval);
            }
            return data;
        }

        //有左 ，无右
        if(lval!=null && rval==null){
            BigDecimal minVal;
            if(lef){
                minVal=lval;
                data.setLeftEq(lval);
            }else {
                minVal=lval;
                data.setLeft(lval);
            }
            data.setRightEq(minVal.add(new BigDecimal(0.00001)));
            return data;
        }

        //无左 ，有右 ;左=0
        if(lval==null && rval!=null){
            BigDecimal maxVal;
            if(ref){
                maxVal=rval;
                data.setRightEq(maxVal);
            }else {
                maxVal=rval;
                data.setRight(maxVal);
            }
            data.setLeftEq(new BigDecimal(0));
            return data;
        }

        //无左 ，无右
        if(lval==null && rval==null){
            return data;
        }

        return data;
    }


    private static SoftMaxValue2Bean getSoftMaxValue2Bean(LabRangeConfigBO labRangeConfig){
        return CleanLabProject_Value.getSoftMaxValue2Bean(labRangeConfig.getVals().get(1));
    }

    /**
     * 计算数值
     * */
    public static DataCleanLabProject calValue(LabProjectReportItemBO val){
        DataCleanLabProject data=new DataCleanLabProject();
        data.setResultType("result_value");

        boolean flag= NumberUtil.isNumber(val.getInspect_result());

        if(!flag){
            //非数值
            String strLog1= StrUtil.format("+++++ 结果值非数值,项目编号:{} ,项目名称:{} ,结果值:{}",val.getCode(), val.getName(), val.getInspect_result());
            System.out.println(strLog1);
            logger.error(strLog1);
            return data;
        }

        Number number= Convert.toNumber(val.getInspect_result());


        LabRangeApi labRangeApi = LabRangeFactory.getInstall(val.getReference());
        if(labRangeApi==null){
            String strLog1=StrUtil.format("+++++ 无参考区间,项目编号:{} ,项目名称:{} ,结果值:{}",val.getCode(), val.getName(), val.getInspect_result());
            System.out.println(strLog1);
            return data;
        }

        LabRangeConfigBO labRangeConfig= labRangeApi.process();
        if(labRangeConfig==null || CollUtil.isEmpty(labRangeConfig.getVals())){
            String strLog1=StrUtil.format("+++++ 无参考区间,项目编号:{} ,项目名称:{} ,结果值:{}",val.getCode(), val.getName(), val.getInspect_result());
            System.out.println(strLog1);
            return data;
        }
        System.out.println("++++++ 获取的区间:"+ JSON.toJSONString(labRangeConfig));



        SoftMaxValue2Bean softMaxValue2Bean= CleanLabProject_Value.getSoftMaxValue2Bean(labRangeConfig);
        System.out.println("++++++ 计算区间:"+ JSON.toJSONString(softMaxValue2Bean));


        //归一值
        BigDecimal resultVal= SoftMaxUtils.cal(softMaxValue2Bean,new BigDecimal(number.doubleValue()));
        data.setReportVal(resultVal);

        //比例
        CalStatusRateMBO catStatusRate= SoftMaxUtils.catStatusRate(softMaxValue2Bean,new BigDecimal(number.doubleValue()));
        data.setReportValFlag(catStatusRate.getStatus());
        data.setReportValRate(catStatusRate.getRate());
        data.setInterval(JSON.toJSONString(softMaxValue2Bean));

        return data;
    }
}
