package com.xxh.cloud.exeEtl.framework.modules.clean.utils;

import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigDetailBO;

/**
 * 二分类结果
 * */
public class CleanMappingUtils {

    public static CleanResultRO process(String val, DataCleanConfigBO rule){
        return CleanMappingUtils.process(val,val,rule);
    }



    public static CleanResultRO process(String valCode,String valName, DataCleanConfigBO rule){
//        if(StrUtil.isEmpty(valName)){
//            valName=valCode;
//        }

        if(CollUtil.isEmpty(rule.getDetails())){
            return CleanResultRO.fail(rule.getCode(),rule.getName(),valCode,valName);
        }

        DataCleanConfigDetailBO mappingItem=null;
        for(DataCleanConfigDetailBO item:rule.getDetails()){
            if(valCode.equals(item.getSourceCode())){
                mappingItem=item;
                break;
            }
        }

        if(mappingItem==null){
            return  CleanResultRO.fail(rule.getCode(),rule.getName(),valCode,valName);
        }

        return CleanResultRO.ok(rule.getCode(), rule.getName(),
                mappingItem.getStandardCode(),
                mappingItem.getStandardName(),
                mappingItem.getResultType(),
                mappingItem.getSampleType()
        );

    }



}
