package com.xxh.cloud.exeEtl.framework.modules.clean.utils;

import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanDiagnoseBean;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanLabProject;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class CleanResultRO {


    /**
     * 规则编号
     * */
    private String ruleCode;

    /**
     * 规则名称
     * */
    private String ruleName;


    /**
     *
     * */
    private String sourceName;

    private String sourceCode;

    /**
     * 结果状态
     * */
    private boolean result;


    /**
     * 标准数据名称
     * */
    private String standardName;

    /**
     * 标准数据编号
     * */
    private String standardCode;


    /**
     * 结果类型
     * */
    private String resultType;


    /**
     * 样本类型
     * */
    private String sampleType;

    /**
     *
     * */
    private List<CleanResultValueRO> keywordsVals;


    /**
     *
     * */
    private DataCleanDiagnoseBean diagnose;


    private DataCleanLabProject labVal;


    public void addKeywordsVal(CleanResultValueRO item){
        if(this.keywordsVals==null){
            this.keywordsVals=new ArrayList<>();
        }
        if(item!=null){
            this.keywordsVals.add(item);
        }
    }

    public void addKeywordsVal(String standardCode,String standardName){
        this.addKeywordsVal(new CleanResultValueRO(standardCode,standardName));
    }


    public CleanResultRO(){

    }


    public CleanResultRO(String ruleCode,String ruleName){
        this.ruleCode=ruleCode;
        this.ruleName=ruleName;
    }


    public CleanResultRO(String ruleCode,String ruleName, boolean result){
        this.result=result;
        this.ruleCode=ruleCode;
        this.ruleName=ruleName;
    }


    public CleanResultRO(String ruleCode,String ruleName,String standardCode,String standardName,boolean result){
        this.result=result;
        this.ruleCode=ruleCode;
        this.ruleName=ruleName;
        this.standardCode=standardCode;
        this.standardName=standardName;
    }

//    public static CleanResultRO fail(String ruleCode,String ruleName){
//        return new CleanResultRO(ruleCode,ruleName,false);
//    }


    public static CleanResultRO fail(String ruleCode,String ruleName, String sourceCode,String sourceName){
        CleanResultRO resultRO=new CleanResultRO(ruleCode,ruleName,false);
        resultRO.setSourceCode(sourceCode);
        resultRO.setSourceName(sourceName);
        return resultRO;
    }



    public static CleanResultRO ok(String ruleCode,String ruleName,String standardCode,String standardName,String resultType,String sampleType){
        CleanResultRO  cleanResultRO=new CleanResultRO(ruleCode,ruleName,standardCode,standardName,true);
        cleanResultRO.setResultType(resultType);
        cleanResultRO.setSampleType(sampleType);
        return cleanResultRO;
    }


    public static CleanResultRO ok(String ruleCode, String ruleName, DataCleanDiagnoseBean diagnose){
        CleanResultRO resultRO=new CleanResultRO(ruleCode,ruleName,true);
        resultRO.setDiagnose(diagnose);
        return resultRO;
    }


    public static CleanResultRO ok(String ruleCode, String ruleName, DataCleanLabProject labVal){
        CleanResultRO resultRO=new CleanResultRO(ruleCode,ruleName,true);
        resultRO.setLabVal(labVal);
        return resultRO;
    }


}
