package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.biz.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.common.mq.constant.MQCleanTableKeyEnum;
import com.xxh.cloud.etl.common.framework.constant.DwdCleanDataStatus;
import com.xxh.cloud.etl.common.framework.modules.config.ProjectETLConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto.Dwd2DwdCleanByPageDTO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto.Dwd2DwdCleanByWhereDTO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto.Dwd2DwdCleanDataDTO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.vos.Dwd2DwdCleanDataResultVO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.biz.DwdDataClearnBizService;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql.ActivityExamineReportCleanService;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql.DwdExaminationPatientMainCleanService;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql.DwdPatientMainCleanService;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service.*;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.DWDCleanBaseConfigUtils;
import com.xxh.cloud.framework.common.utils.StrSqlUtils;
import com.xxh.cloud.framework.common.write.bean.HwdsWriteDBConfigBean;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Log4j2
@Service
public class DwdDataClearnBizServiceImpl implements DwdDataClearnBizService {


    @Autowired
    private ProjectETLConfig projectETLConfig;

    @Autowired
    private DwdPatientCleanService dwdPatientCleanService;
    @Autowired
    private DwdRegisterCleanService dwdRegisterCleanService;
    @Autowired
    private DwdVisitCleanService dwdVisitCleanService;
    @Autowired
    private DwdInReserveCleanService dwdInReserveCleanService;
    @Autowired
    private DwdInpatientCleanService dwdInpatientCleanService;
    @Autowired
    private DwdDischargeCleanService dwdDischargeCleanService;

    @Autowired
    private DwdOutContentCleanService dwdOutContentCleanService;

    @Autowired
    private DwdExamineApplyCleanService dwdExamineApplyCleanService;

//    @Autowired
//    private DwdExamineReserveCleanService dwdExamineReserveCleanService;
    @Autowired
    private DwdExamineReportCleanService dwdExamineReportCleanService;
    @Autowired
    private DwdLabApplyCleanService dwdLabApplyCleanService;
    @Autowired
    private DwdLabApplyProjectCleanService dwdLabApplyProjectCleanService;

    @Autowired
    private DwdLabReportCleanService dwdLabReportCleanService;
    @Autowired
    private DwdLabReportItemCleanService dwdLabReportItemCleanService;

    @Autowired
    private DwdMedicineCleanService dwdMedicineCleanService;
//    @Autowired
//    private DwdMedicineItemCleanService dwdMedicineItemCleanService;
    @Autowired
    private DwdTherapyCleanService dwdTherapyCleanService;
//    @Autowired
//    private DwdTherapyItemCleanService dwdTherapyItemCleanService;
    @Autowired
    private DwdOpApplyCleanService dwdOpApplyCleanService;
//    @Autowired
//    private DwdOpApplyItemCleanService dwdOpApplyItemCleanService;
    @Autowired
    private DwdOpCleanService dwdOpCleanService;
    @Autowired
    private DwdOpItemCleanService dwdOpItemCleanService;

    @Autowired
    private ActivityExamineReportCleanService activityExamineReportCleanService;

    @Autowired
    private DwdPatientMainCleanService dwdPatientMainCleanService;
    @Autowired
    private DwdExaminationPatientMainCleanService dwdExaminationPatientMainCleanService;

    @Autowired
    private DwdMedicalRecordContentCleanService dwdMedicalRecordContentCleanService;

    @Autowired
    private DwdOperationContentCleanService dwdOperationContentCleanService;

//    private

//    private HwdsWriteDBConfigBean getDiagnosisReportConfig(){
//        return DWDCleanBaseConfigUtils.dwd_diagnosis_report_info(projectETLConfig.getDbUrl(),projectETLConfig.getDbUserName(),projectETLConfig.getDbUserPassword());
//    }

    private HwdsWriteDBConfigBean getLastDateConfig(){
        return DWDCleanBaseConfigUtils.dws_patient_data_last_date_info(projectETLConfig.getDbUrl(),projectETLConfig.getDbUserName(),projectETLConfig.getDbUserPassword());

    }

    private HwdsWriteDBConfigBean getPatientDayConfig(){
        return DWDCleanBaseConfigUtils.dws_patient_data_day_info(projectETLConfig.getDbUrl(),projectETLConfig.getDbUserName(),projectETLConfig.getDbUserPassword());
    }

    @Override
    public Dwd2DwdCleanDataResultVO cleanByPage(Dwd2DwdCleanByPageDTO params) {
        Dwd2DwdCleanDataDTO cleanParams=new Dwd2DwdCleanDataDTO();
        cleanParams.setLogBatchNo(IdUtil.fastSimpleUUID());
        cleanParams.setPageDataFlag(true);

        cleanParams.setCalculateFlag(params.isCalculateFlag());
        cleanParams.setEventFlag(params.isEventFlag());
        cleanParams.setDataMQFlag(params.isDataMQFlag());
        cleanParams.setLastDateConfig(this.getLastDateConfig());
        cleanParams.setPatientDayConfig(this.getPatientDayConfig());
        cleanParams.setStart(params.getStart());
        cleanParams.setNum(params.getNum());
        cleanParams.setWhereItems(params.getWhereItems());
        cleanParams.setCleanConfigFlag(true);


        switch (params.getKey()) {
            case Patient_Info:
                log.debug("+++++ 分页查询清洗:患者基本信息表");
                cleanParams.setTableCode("dwd_patient_info");
                cleanParams.setOrderByCode("patient_id");

                //todo:清洗院内患者，清洗体检患者
                dwdPatientMainCleanService.relationPatient();
                dwdExaminationPatientMainCleanService.relationExaminationPatient();

                return dwdPatientCleanService.cleanData(cleanParams);
            case  Register:
                log.debug("+++++ 分页查询清洗:挂号信息表");
                cleanParams.setTableCode("dwd_register_record_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdRegisterCleanService.cleanData(cleanParams);
            case Visit:
                log.debug("+++++ 分页查询清洗:就诊信息");
                cleanParams.setTableCode("dwd_visit_record_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdVisitCleanService.cleanData(cleanParams);
            case  In_Reserve:
                log.debug("+++++ 分页查询清洗:住院预约信息表");
                cleanParams.setTableCode("dwd_inpatient_reserve_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdInReserveCleanService.cleanData(cleanParams);
            case Inpatient: //住院信息表
                log.debug("+++++ 分页查询清洗:住院信息表");
                cleanParams.setTableCode("dwd_inpatient_record_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdInpatientCleanService.cleanData(cleanParams);
            case Discharge: //出院信息表
                log.debug("+++++ 分页查询清洗:出院信息表");
                cleanParams.setTableCode("dwd_discharge_record_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdDischargeCleanService.cleanData(cleanParams);

            case OutContent: //出院小结内容信息表
                log.debug("+++++ 分页查询清洗:出院小结内容表");
                cleanParams.setTableCode("dwd_discharge_content_info");
                cleanParams.setOrderByCode("patient_id");
                cleanParams.setCleanConfigFlag(false);
                return dwdOutContentCleanService.cleanData(cleanParams);

            case  OperationContent://手术内容
                log.debug("+++++ 分页查询清洗:手术内容表");
                cleanParams.setTableCode("dwd_operation_content_info");
                cleanParams.setOrderByCode("patient_id");
                cleanParams.setCleanConfigFlag(false);
                return dwdOperationContentCleanService.cleanData(cleanParams);

            case  MedicalRecordContent://电子病例内容
                log.debug("+++++ 分页查询清洗:电子病例内容");
                cleanParams.setTableCode("dwd_patient_medical_record_content_info");
                cleanParams.setOrderByCode("patient_id");
                cleanParams.setCleanConfigFlag(false);
                return dwdMedicalRecordContentCleanService.cleanData(cleanParams);

            case ExamineApply: //检查申请单信息表
                log.debug("+++++ 分页查询清洗:检查申请单信息表");
                cleanParams.setTableCode("dwd_examine_apply_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdExamineApplyCleanService.cleanData(cleanParams);
//            case ExamineReserve: //检查预约单信息表 todo:
//                log.debug("+++++ 分页查询清洗:检查预约单信息表");
//                cleanParams.setTableCode("dwd_examine_reserve_info");
//                cleanParams.setOrderByCode("patient_id");
//                return dwdExamineReserveCleanService.cleanData(cleanParams);
            case ExamineReport: //检查报告单信息表
                log.debug("+++++ 分页查询清洗:检查报告单信息表");
                cleanParams.setTableCode("dwd_examine_report_info");
                cleanParams.setOrderByCode("patient_id DESC ");
                return  dwdExamineReportCleanService.cleanData(cleanParams);
            case LaboratoryApply: //检验申请单信息表
                log.debug("+++++ 分页查询清洗:检验申请单信息表");
                cleanParams.setTableCode("dwd_laboratory_apply_info");
                cleanParams.setOrderByCode("patient_id");
                return  dwdLabApplyCleanService.cleanData(cleanParams);
            case LaboratoryApply_Item://检验申请单项目信息
                log.debug("+++++ 分页查询清洗:检验申请单项目信息");
                cleanParams.setTableCode("dwd_laboratory_apply_project_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdLabApplyProjectCleanService.cleanData(cleanParams);
            case LaboratoryReport: //检验报告单信息表
                log.debug("+++++ 分页查询清洗:检验报告单信息表");
                cleanParams.setTableCode("dwd_laboratory_report_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdLabReportCleanService.cleanData(cleanParams);
            case LaboratoryReport_Item: //检验报告单明细信息表
                log.debug("+++++ 分页查询清洗:检验报告单明细信息表");
                cleanParams.setTableCode("dwd_laboratory_report_item_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdLabReportItemCleanService.cleanData(cleanParams);
            case Medicine: //医嘱用药
                log.debug("+++++ 分页查询清洗:医嘱用药");
                cleanParams.setTableCode("dwd_recipe_medicine_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdMedicineCleanService.cleanData(cleanParams);
//            case MedicineItem: //医嘱用药明细
//                log.debug("+++++ 分页查询清洗:医嘱用药明细");
//                cleanParams.setTableCode("dwd_recipe_medicine_item_info");
//                cleanParams.setOrderByCode("patient_id");
//                return dwdMedicineItemCleanService.cleanData(cleanParams);
            case  Therapy: //治疗信息
                log.debug("+++++ 分页查询清洗:治疗信息");
                cleanParams.setTableCode("dwd_recipe_therapy_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdTherapyCleanService.cleanData(cleanParams);
//            case TherapyItem: //治疗明细信息
//                log.debug("+++++ 分页查询清洗:治疗明细信息");
//                cleanParams.setTableCode("dwd_recipe_therapy_item_info");
//                cleanParams.setOrderByCode("patient_id");
//                return dwdTherapyItemCleanService.cleanData(cleanParams);
            case OpApply: //手术申请信息
                log.debug("+++++ 分页查询清洗:手术申请信息");
                cleanParams.setTableCode("dwd_operation_apply_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdOpApplyCleanService.cleanData(cleanParams);
//            case OpApplyItem: //手术申请明细信息
//                log.debug("+++++ 分页查询清洗:手术申请明细信息");
//                cleanParams.setTableCode("dwd_operation_apply_item_info");
//                cleanParams.setOrderByCode("patient_id");
//                return dwdOpApplyItemCleanService.cleanData(cleanParams);
            case  Operation: //手术记录信息
                log.debug("+++++ 分页查询清洗:手术记录信息");
                cleanParams.setTableCode("dwd_operation_record_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdOpCleanService.cleanData(cleanParams);
            case OperationItem: //手术记录明细信息
                log.debug("+++++ 分页查询清洗:手术记录明细信息");
                cleanParams.setTableCode("dwd_operation_record_item_info");
                cleanParams.setOrderByCode("patient_id");
                return dwdOpItemCleanService.cleanData(cleanParams);
            case ExaminationPatient:
                log.debug("+++++ 分页查询清洗:体检患者");
                //todo:清洗院内患者，清洗体检患者
                //todo:
//                dwdPatientMainCleanService.relationPatient();
//                dwdExaminationPatientMainCleanService.relationExaminationPatient();
                return new Dwd2DwdCleanDataResultVO(DwdCleanDataStatus.Success);

//            case ActivityExamineReport:
//                //todo:活动报告
//                log.debug("+++++ 分页查询清洗:活动报告信息");
//                cleanParams.setTableCode("");
//                cleanParams.setOrderByCode("patient_id");
//                return activityExamineReportCleanService.cleanData(cleanParams);
        }
        return null;
    }

    @Override
    public Dwd2DwdCleanDataResultVO cleanByWhere(Dwd2DwdCleanByWhereDTO params) {

        Dwd2DwdCleanDataDTO cleanParams=new Dwd2DwdCleanDataDTO();
        cleanParams.setLogBatchNo(IdUtil.fastSimpleUUID());
        cleanParams.setPageDataFlag(false);
        cleanParams.setCalculateFlag(params.isCalculateFlag());
        cleanParams.setEventFlag(params.isEventFlag());
        cleanParams.setDataMQFlag(params.isDataMQFlag());
        cleanParams.setLastDateConfig(this.getLastDateConfig());
        cleanParams.setPatientDayConfig(this.getPatientDayConfig());
        cleanParams.setCleanConfigFlag(true);


        switch (params.getKey()) {
            case Patient_Info:
                log.debug("+++++ 条件清洗:患者基本信息表");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_patient_info");

                //todo:清洗院内患者，清洗体检患者

                dwdPatientMainCleanService.relationPatient();
                dwdExaminationPatientMainCleanService.relationExaminationPatient();




                return dwdPatientCleanService.cleanData(cleanParams);

            case  Register:
                log.debug("+++++ 条件清洗:挂号信息表");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_register_record_info");
                return dwdRegisterCleanService.cleanData(cleanParams);

            case Visit:
                log.debug("+++++ 条件清洗:就诊信息");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_visit_record_info");
                return dwdVisitCleanService.cleanData(cleanParams);

            case  In_Reserve:
                log.debug("+++++ 条件清洗:住院预约信息表");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_inpatient_reserve_info");
                return dwdInReserveCleanService.cleanData(cleanParams);

            case Inpatient: //住院信息表
                log.debug("+++++ 条件清洗:住院信息表");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_inpatient_record_info");
                return dwdInpatientCleanService.cleanData(cleanParams);

            case Discharge: //出院信息表
                log.debug("+++++ 条件清洗:出院信息表");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_discharge_record_info");
                return dwdDischargeCleanService.cleanData(cleanParams);

            case ExamineApply: //检查申请单信息表
                log.debug("+++++ 条件清洗:检查申请单信息表");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_examine_apply_info");
                return dwdExamineApplyCleanService.cleanData(cleanParams);

//            case ExamineReserve: //检查预约单信息表 todo:
//                log.debug("+++++ 条件清洗:检查预约单信息表");
//                if(StrUtil.isNotEmpty(params.getPatientId())){
//                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
//                }
//
//                if(CollUtil.isNotEmpty(params.getPatientIds())){
//                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
//                }
//                if(CollUtil.isNotEmpty(params.getIds())){
//                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
//                }
//                cleanParams.setTableCode("dwd_examine_reserve_info");
//                return dwdExamineReserveCleanService.cleanData(cleanParams);
            case ExamineReport: //检查报告单信息表
                log.debug("+++++ 条件清洗:检查报告单信息表");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_examine_report_info");
                return dwdExamineReportCleanService.cleanData(cleanParams);
            case LaboratoryApply: //检验申请单信息表
                log.debug("+++++ 条件清洗:检验申请单信息表");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_laboratory_apply_info");
                return dwdLabApplyCleanService.cleanData(cleanParams);

            case LaboratoryApply_Item://检验申请单项目信息
                log.debug("+++++ 条件清洗:检验申请单项目信息");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" laboratory_apply_id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_laboratory_apply_project_info");
                return dwdLabApplyProjectCleanService.cleanData(cleanParams);

            case LaboratoryReport: //检验报告单信息表
                log.debug("+++++ 条件清洗:检验报告单信息表");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_laboratory_report_info");
                return dwdLabReportCleanService.cleanData(cleanParams);



            case LaboratoryReport_Item: //检验报告单明细信息表
                log.debug("+++++ 条件清洗:检验报告单明细信息表");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }

                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" laboratory_report_id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_laboratory_report_item_info");
                return dwdLabReportItemCleanService.cleanData(cleanParams);
            case Medicine: //医嘱用药
                log.debug("+++++ 分页查询清洗:医嘱用药");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }
                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_recipe_medicine_info");
                return dwdMedicineCleanService.cleanData(cleanParams);
//            case MedicineItem: //医嘱用药明细
//                log.debug("+++++ 分页查询清洗:医嘱用药明细");
//                if(StrUtil.isNotEmpty(params.getPatientId())){
//                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
//                }
//                if(CollUtil.isNotEmpty(params.getPatientIds())){
//                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
//                }
//                if(CollUtil.isNotEmpty(params.getIds())){
//                    cleanParams.addWhereItem(StrUtil.format(" recipe_medicine_id in {}", StrSqlUtils.in(params.getIds())));
//                }
//                cleanParams.setTableCode("dwd_recipe_medicine_item_info");
//                return dwdMedicineItemCleanService.cleanData(cleanParams);
            case  Therapy: //治疗信息
                log.debug("+++++ 分页查询清洗:治疗信息");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }
                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_recipe_therapy_info");
                return dwdTherapyCleanService.cleanData(cleanParams);
//            case TherapyItem: //治疗明细信息
//                log.debug("+++++ 分页查询清洗:治疗明细信息");
//                if(StrUtil.isNotEmpty(params.getPatientId())){
//                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
//                }
//                if(CollUtil.isNotEmpty(params.getPatientIds())){
//                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
//                }
//                if(CollUtil.isNotEmpty(params.getIds())){
//                    cleanParams.addWhereItem(StrUtil.format(" therapy_id in {}", StrSqlUtils.in(params.getIds())));
//                }
//                cleanParams.setTableCode("dwd_recipe_therapy_item_info");
//                return dwdTherapyItemCleanService.cleanData(cleanParams);
            case OpApply: //手术申请信息 todo:
                log.debug("+++++ 分页查询清洗:手术申请信息");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }
                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_operation_apply_info");
                return dwdOpApplyCleanService.cleanData(cleanParams);
//            case OpApplyItem: //手术申请明细信息
//                log.debug("+++++ 分页查询清洗:手术申请明细信息");
//                if(StrUtil.isNotEmpty(params.getPatientId())){
//                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
//                }
//                if(CollUtil.isNotEmpty(params.getPatientIds())){
//                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
//                }
//                if(CollUtil.isNotEmpty(params.getIds())){
//                    cleanParams.addWhereItem(StrUtil.format(" operation_apply_id in {}", StrSqlUtils.in(params.getIds())));
//                }
//                cleanParams.setTableCode("dwd_operation_apply_item_info");
//                return dwdOpApplyItemCleanService.cleanData(cleanParams);
            case  Operation: //手术记录信息 todo:
                log.debug("+++++ 分页查询清洗:手术记录信息");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }
                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_operation_record_info");
                return dwdOpCleanService.cleanData(cleanParams);
            case OperationItem: //手术记录明细信息
                log.debug("+++++ 分页查询清洗:手术记录明细信息");
                if(StrUtil.isNotEmpty(params.getPatientId())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
                }
                if(CollUtil.isNotEmpty(params.getPatientIds())){
                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
                }
                if(CollUtil.isNotEmpty(params.getIds())){
                    cleanParams.addWhereItem(StrUtil.format(" operation_record_id in {}", StrSqlUtils.in(params.getIds())));
                }
                cleanParams.setTableCode("dwd_operation_record_item_info");
                return dwdOpItemCleanService.cleanData(cleanParams);
            case ExaminationPatient:
                log.debug("+++++ 分页查询清洗:体检患者");
                //todo:清洗院内患者，清洗体检患者
                //todo:
//                dwdPatientMainCleanService.relationPatient();
//                dwdExaminationPatientMainCleanService.relationExaminationPatient();

                return new Dwd2DwdCleanDataResultVO(DwdCleanDataStatus.Success);
//            case ActivityExamineReport:
//                //活动报告
//                if(StrUtil.isNotEmpty(params.getPatientId())){
//                    cleanParams.addWhereItem(StrUtil.format(" patient_id = '{}' ",params.getPatientId()));
//                }
//                if(CollUtil.isNotEmpty(params.getPatientIds())){
//                    cleanParams.addWhereItem(StrUtil.format(" patient_id in {}", StrSqlUtils.in(params.getPatientIds())));
//                }
//                if(CollUtil.isNotEmpty(params.getIds())){
//                    cleanParams.addWhereItem(StrUtil.format(" operation_record_id in {}", StrSqlUtils.in(params.getIds())));
//                }
//                cleanParams.setTableCode("");
//                activityExamineReportCleanService.cleanData(cleanParams);
//                return null;

        }
        return null;
    }

    @Override
    public Dwd2DwdCleanDataResultVO cleanByWhere2(Dwd2DwdCleanByWhereDTO params) {
        switch (params.getKey()) {
            case LaboratoryApply:
                log.debug("************ 条件清洗:检验申请单信息表");
                this.cleanByWhere(params);
                params.setKey(MQCleanTableKeyEnum.LaboratoryApply_Item);
                return this.cleanByWhere(params);
            case LaboratoryReport: //检验报告单信息表
                log.debug("************ 条件清洗:检验报告单信息表");
                log.debug("************ 条件清洗:检验报告单明细信息表");
                this.cleanByWhere(params);
                params.setKey(MQCleanTableKeyEnum.LaboratoryReport_Item);
                return this.cleanByWhere(params);
            case  Operation: //手术记录信息
                log.debug("************ 分页查询清洗:手术记录信息");
                log.debug("************ 分页查询清洗:手术记录明细信息");
                this.cleanByWhere(params);
                params.setKey(MQCleanTableKeyEnum.OperationItem);
                return  this.cleanByWhere(params);
        }
        return  this.cleanByWhere(params);
    }


}
