package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.common.mq.bean.MQCleanTableIds;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.MQCleanTableKeyEnum;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto.Dwd2DwdCleanDataDTO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.vos.Dwd2DwdCleanDataResultVO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.mapper.Dwd2DwdOpMapper;
import com.xxh.cloud.framework.activemq.constant.ActiveMQWayEnum;
import com.xxh.cloud.framework.activemq.utils.ActiveMQSendUtils;
import com.xxh.cloud.framework.common.utils.StrSqlUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@DS("wd")
@Log4j2
@Service
public class ActivityExamineReportCleanService {


    @Autowired
    private Dwd2DwdOpMapper dwd2DwdOpMapper;


    public List<String> getActNos(){
        List<String> list=new ArrayList<>();
        list.add("XZS");
        list.add("FNJ");
        return list;
    }


    public List<String> getActProjects(String actNo){
        if("XZS".equals(actNo)){
            List<String> list=new ArrayList<>();
            list.add("[心脏彩超（成人）]");
            return list;
        }
        if("FNJ".equals(actNo)){
            List<String> list=new ArrayList<>();
            list.add("[甲状腺,经体表]");
            list.add("[乳腺彩超,经体表]");
            return list;
        }
        return null;
    }



    /**
     * 再次清洗标记
     * */
    public void clean(boolean isAgainClean ,boolean isRuleFlag){

        List<String> actNos=this.getActNos();

        String sql_1= StrUtil.format(" INSERT INTO dwd_activity_patient_info (`patient_id`,`act_no`,`register_id`,`patient_name`) " +
                "  SELECT  patient_id ,reg_level_code_raw  , min(id)  as register_id ,min(patient_name)  as patient_name FROM dwd_register_record_info where  " +
                "  reg_level_code_raw in {} GROUP BY patient_id ,reg_level_code_raw" , StrSqlUtils.in(actNos));

        dwd2DwdOpMapper.insert(sql_1);


        String sql_2="UPDATE ods_activity_examine_report_info set  is_sync ='-1' where is_sync ='N' ";
        dwd2DwdOpMapper.update(sql_2);


        for(String actNo: actNos){

            String sql_3= StrUtil.format("UPDATE ods_activity_examine_report_info a set a.act_no =b.act_no , a.visit_id = b.register_id " +
                    " FROM dwd_activity_patient_info b where a.patient_id =b.patient_id and a.is_sync ='-1'  " +
                    " and b.act_no='{}'  and a.report_name in {}" ,actNo,StrSqlUtils.in(this.getActProjects(actNo)));

            dwd2DwdOpMapper.update(sql_3);


            String sql_3_1= StrUtil.format("UPDATE ods_activity_examine_report_info a set a.act_no =b.act_no , a.visit_id = b.register_id , a.patient_id = b.patient_id " +
                    " FROM dwd_activity_patient_info b where a.patient_name =b.patient_name  and a.patient_id is null  and  a.patient_id_no is null and a.is_sync ='-1'  " +
                    " and b.act_no='{}'  and a.report_name in {}" ,actNo,StrSqlUtils.in(this.getActProjects(actNo)));
            dwd2DwdOpMapper.update(sql_3_1);


            String sql_4=StrUtil.format("INSERT INTO dwd_examine_report_info( " +
                    " patient_id, id, apply_id, visit_id, in_patient_no, patient_name, patient_phone, patient_gender_raw, " +
                    " patient_card_no, patient_age, department_name_raw, department_name_standard, department_code_raw, " +
                    " department_code_standard, reports_time, scene_type_raw, apply_doctor_code, apply_doctor_name, " +
                    " examine_type_raw, examine_type_name_raw, report_name_raw, report_description_raw, report_result_raw, " +
                    " report_path, report_no, data_update_date, op_date, op_data_user ,activity_no )" +
                    " SELECT  patient_id, id, apply_id, visit_id, in_patient_No, patient_name, patient_phone, patient_gender, " +
                    " patient_id_no, patient_age, department_name, department_name as dpn2, department_code, department_code as dpc2, " +
                    " reports_time, scene_type, apply_doctor_code, apply_doctor_name, device_type_code, device_type_name, report_name, " +
                    " report_description, report_result, report_path, report_no, data_update_date, op_update_data,  '20240314' as op_data_user ,act_no " +
                    " FROM ods_activity_examine_report_info where is_sync ='-1' and act_no='{}' ",actNo);

            dwd2DwdOpMapper.insert(sql_4);













        }



        List<String> cleanIds=new ArrayList<>();

        if(isAgainClean){
            String sql_5="select id from ods_activity_examine_report_info where is_sync='-1' and act_no is not null";
            List<Map<String,Object>> list= dwd2DwdOpMapper.selectList(sql_5);
            if(CollUtil.isNotEmpty(list)){
                list.forEach(item->{
                    Object objId= item.get("id");
                    if(objId!=null){
                        cleanIds.add(Convert.toStr(objId));
                    }
                });
            }

        }



        String sql_8="UPDATE ods_activity_examine_report_info set  is_sync ='Y' where is_sync ='-1'";
        dwd2DwdOpMapper.update(sql_8);


        //todo:检验报告活动清洗【心电】
        String sql_9=StrUtil.format("UPDATE dwd_laboratory_report_info a  set a.activity_no =  b.reg_level_code_raw   FROM  dwd_register_record_info  b where a.visit_id = b.id  and a.visit_id is not null and a.activity_no is null and  b.reg_level_code_raw in {} ",StrSqlUtils.in(actNos));
        dwd2DwdOpMapper.update(sql_9);

        if(isAgainClean && cleanIds.size()>0){
            MQCleanTableIds cleanTableIds=new MQCleanTableIds(MQCleanTableKeyEnum.ExamineReport.getCode(),cleanIds);
            if(isRuleFlag){
                ActiveMQSendUtils.send(ActiveMQWayEnum.MQ_SW_Queue, HMQQueueName.Que_CleanTableId,
                        JSON.toJSONString(cleanTableIds));
            }else {
                ActiveMQSendUtils.send(ActiveMQWayEnum.MQ_SW_Queue, HMQQueueName.Que_CleanTableIdNot,
                        JSON.toJSONString(cleanTableIds));
            }
        }


    }


    public static void main(String[] args) {
//        List<String> actNos=new ArrayList<>();
//        actNos.add("XZS");
//        actNos.add("FNJ");
//
//
//        String sql_1= StrUtil.format(" INSERT INTO dwd_activity_patient_info (`patient_id`,`act_no`,`register_id`) " +
//                "  SELECT  patient_id ,reg_level_code_raw  , min(id)  as register_id FROM dwd_register_record_info where  " +
//                "  reg_level_code_raw in {} GROUP BY patient_id ,reg_level_code_raw" , StrSqlUtils.in(actNos));
//
//
//
//        System.out.println(sql_1);


//        String sql_6= "INSERT INTO dwd_examine_report_info(" +
//                " patient_id," +
//                " id," +
//                " apply_id," +
//                " visit_id," +
//                " in_patient_no," +
//                " patient_name," +
//                " patient_phone," +
//                " patient_gender_raw," +
//                " patient_card_no," +
//                " patient_age," +
//                " department_name_raw," +
//                " department_name_standard," +
//                " department_code_raw," +
//                " department_code_standard," +
//                " reports_time," +
//                " scene_type_raw," +
//                " apply_doctor_code," +
//                " apply_doctor_name," +
//                " examine_type_raw," +
//                " examine_type_name_raw," +
//                " report_name_raw," +
//                " report_description_raw," +
//                " report_result_raw," +
//                " report_path," +
//                " report_no," +
//                " data_update_date," +
//                " op_date," +
//                " op_data_user" +
//                " )" +
//                " SELECT " +
//                " patient_id," +
//                " id," +
//                " apply_id," +
//                " visit_id," +
//                " in_patient_No," +
//                " patient_name," +
//                " patient_phone," +
//                " patient_gender," +
//                " patient_id_no," +
//                " patient_age," +
//                " department_name," +
//                " department_name as dpn2," +
//                " department_code," +
//                " department_code as dpc2," +
//                " reports_time," +
//                " scene_type," +
//                " apply_doctor_code," +
//                " apply_doctor_name," +
//                " device_type_code," +
//                " device_type_name," +
//                " report_name," +
//                " report_description," +
//                " report_result," +
//                " report_path," +
//                " report_no," +
//                " data_update_date," +
//                " op_update_data," +
//                " op_data_user" +
//                " FROM ods_examine_report_info where patient_id is not null  and is_sync='NONE'";
//
//        System.out.println(sql_6);


        ActivityExamineReportCleanService t99=new ActivityExamineReportCleanService();
        t99.clean(true,true);



    }



}
