package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.common.mq.bean.MQRuleLabelBean;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.mapper.Dwd2DwdOpMapper;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.DTimeUtils;
import com.xxh.cloud.framework.activemq.constant.ActiveMQWayEnum;
import com.xxh.cloud.framework.activemq.utils.ActiveMQSendUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@DS("wd")
@Log4j2
@Service
public class DwdDiagnosisCleanService {


    @Autowired
    private Dwd2DwdOpMapper dwd2DwdOpMapper;


    /**
     * 再次清洗标记
     * */
    public void clean(boolean isRuleFlag){

        String sql_1="UPDATE ods_diagnosis_report_info set is_sync='NONE' where is_sync='N'";
        dwd2DwdOpMapper.update(sql_1);


        String sql_2=" INSERT INTO dwd_diagnosis_report_info (" +
                "                patient_id , id ,visit_id ,in_patient_no ,patient_name ,department_name_raw ,department_code_raw , department_name_standard , department_code_standard ," +
                "                doctor_code ,doctor_name ,diagnosis_time ,scene_type_raw , scene_type_standard , diagnosis_code_raw , diagnosis_name_raw ,diagnosis_code_standard , " +
                "               diagnosis_name_standard ,main_flag ,confirm_flag , data_update_date ,op_data_user ,op_date ,sort_idx  )" +
                "       SELECT patient_id , id ,  in_patient_no as visit_id, in_patient_no , patient_name  ,department_name as department_name_raw ,department_code as department_code_raw ," +
                "             department_name as department_name_standard , department_code as department_code_standard , doctor_code ,doctor_name , diagnosis_time , diag_type_code as scene_type_raw ," +
                "             diag_type_code as scene_type_standard ,  diag_code as diagnosis_code_raw , diag_name  as diagnosis_name_raw ,  diag_code as diagnosis_code_standard , diag_name as diagnosis_name_standard," +
                "             is_main , is_define , data_update_date , op_data_user ,op_update_data , sort_idx" +
                "        FROM ods_diagnosis_report_info  where is_sync='NONE' ";

        dwd2DwdOpMapper.insert(sql_2);

        List<MQRuleLabelBean> patientIds=new ArrayList<>();

        if(isRuleFlag){
            String sql_5="select id as id , patient_id as pid , diagnosis_time as dtime from ods_diagnosis_report_info where is_sync='NONE' and patient_id is  not null";
            List<Map<String,Object>> list= dwd2DwdOpMapper.selectList(sql_5);
            if(CollUtil.isNotEmpty(list)){
                list.forEach(item->{
                    Object idObj= item.get("id");
                    Object pidObj= item.get("pid");
                    Object dtimeObj= item.get("dtime");

                    String dateTime= DTimeUtils.getDateTimeStr(dtimeObj);

                    if(pidObj!=null && idObj !=null){
                        patientIds.add(new MQRuleLabelBean(Convert.toStr(pidObj), DataSceneType.DS_Diagnosis,dateTime,Convert.toStr(idObj)));
                    }

                });
                this.sendMQCalPatient(patientIds);
            }
        }


        String sql_4="UPDATE ods_diagnosis_report_info set is_sync='Y' where is_sync='NONE'";
        dwd2DwdOpMapper.update(sql_4);
    }



    /**
     * mq rule
     * */
    private  void sendMQCalPatient(List<MQRuleLabelBean> patientIds){
        if(CollUtil.isEmpty(patientIds)){
            log.info("<<<<< 不需要无患者ID");
            return;
        }
        ActiveMQSendUtils.send(ActiveMQWayEnum.MQ_SW_Queue, HMQQueueName.Que_Rule_Data_Save, JSON.toJSONString(patientIds),30);
    }





}
