package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import com.alibaba.fastjson2.JSON;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.common.mq.bean.MQCleanTableIds;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.MQCleanTableKeyEnum;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.mapper.Dwd2DwdOpMapper;
import com.xxh.cloud.framework.activemq.constant.ActiveMQWayEnum;
import com.xxh.cloud.framework.activemq.utils.ActiveMQSendUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@DS("wd")
@Log4j2
@Service
public class DwdExamReportCleanService {


    @Autowired
    private Dwd2DwdOpMapper dwd2DwdOpMapper;


    /**
     * 再次清洗标记
     * */
    public void clean(boolean isAgainClean ,boolean isRuleFlag){

        String sql_1="UPDATE ods_examine_report_info set is_sync='NONE' where is_sync='N' and status in ('70','60','09')";
        dwd2DwdOpMapper.update(sql_1);

        String sql_2="UPDATE ods_examine_report_info a set a.patient_id=b.patient_id FROM  ods_examine_apply_info b  where a.apply_id=b.id and  a.patient_id is null and a.is_sync='NONE' ";
        dwd2DwdOpMapper.update(sql_2);

        String sql_3="UPDATE ods_examine_report_info a set a.patient_id =b.patient_id FROM dwd_inpatient_record_info b where  a.in_patient_no = b.id and a.patient_id is null and a.in_patient_no like 'ZY%' and a.is_sync='NONE'";
        dwd2DwdOpMapper.update(sql_3);

        String sql_4="UPDATE ods_examine_report_info a set a.patient_id =b.patient_id FROM dwd_register_record_info b where a.in_patient_no=b.id and  a.patient_id is null and a.in_patient_no  not  like 'ZY%' and a.is_sync='NONE'";
        dwd2DwdOpMapper.update(sql_4);



        String sql_4_1="UPDATE  ods_examine_report_info a  set a.visit_id=b.id ,a.patient_id=b.patient_id ,a.activity_no =b.reg_level_code FROM  ods_register_record_info b where a.in_patient_no =b.patient_id and a.is_sync ='NONE' and  a.patient_id is null  and b.reg_level_code in ( 'XZS','FNJ' )";
        dwd2DwdOpMapper.update(sql_4_1);

        String sql_4_2="UPDATE  ods_examine_report_info a set a.patient_id=b.patient_id FROM dwd_patient_info b where a.in_patient_no=b.patient_id  and a.is_sync ='NONE' and a.patient_id is null";
        dwd2DwdOpMapper.update(sql_4_2);


        String sql_4_3="UPDATE ods_examine_report_info a  SET a.patient_id = b.visit_id  FROM   dwd_examination_patient_info b where a.visit_id = b.visit_id and  a.is_sync ='NONE' and a.department_name ='体检中心' and a.visit_id is not null and a.patient_id is null";
        dwd2DwdOpMapper.update(sql_4_3);

        String sql_4_4="UPDATE ods_examine_report_info a set a.patient_id=b.patient_id FROM dwd_patient_info b where a.patient_id_no=b.card_no and b.card_no is not null  and a.patient_id_no is not null and a.is_sync ='NONE' and a.patient_id is null";
        dwd2DwdOpMapper.update(sql_4_4);

//        String sql_4_1="UPDATE  ods_examine_report_info a set a.patient_id=b.patient_id FROM dwd_patient_info b where a.patient_id_no=b.card_no and a.patient_id_no is not null and b.card_no is not null   and  a.is_sync ='NONE' and a.patient_id is null " ;
//        dwd2DwdOpMapper.update(sql_4_1);


        List<String> cleanIds=new ArrayList<>();
        if(isAgainClean){
            String sql_5="select id from ods_examine_report_info where is_sync='NONE' and patient_id is  not null";
            List<Map<String,Object>> list= dwd2DwdOpMapper.selectList(sql_5);
            if(CollUtil.isNotEmpty(list)){
                list.forEach(item->{
                     Object objId= item.get("id");
                     if(objId!=null){
                         cleanIds.add(Convert.toStr(objId));
                     }
                });
            }
        }


        String sql_6= "INSERT INTO dwd_examine_report_info(" +
                " patient_id," +
                " id," +
                " apply_id," +
                " visit_id," +
                " in_patient_no," +
                " patient_name," +
                " patient_phone," +
                " patient_gender_raw," +
                " patient_card_no," +
                " patient_age," +
                " department_name_raw," +
                " department_name_standard," +
                " department_code_raw," +
                " department_code_standard," +
                " reports_time," +
                " scene_type_raw," +
                " apply_doctor_code," +
                " apply_doctor_name," +
                " examine_type_raw," +
                " examine_type_name_raw," +
                " report_name_raw," +
                " report_description_raw," +
                " report_result_raw," +
                " report_path," +
                " report_no," +
                " data_update_date," +
                " op_date," +
                " op_data_user , activity_no, status" +
                " )" +
                " SELECT " +
                " patient_id," +
                " id," +
                " apply_id," +
                " visit_id," +
                " in_patient_No," +
                " patient_name," +
                " patient_phone," +
                " patient_gender," +
                " patient_id_no," +
                " patient_age," +
                " department_name," +
                " department_name as dpn2," +
                " department_code," +
                " department_code as dpc2," +
                " reports_time," +
                " scene_type," +
                " apply_doctor_code," +
                " apply_doctor_name," +
                " device_type_code," +
                " device_type_name," +
                " report_name," +
                " report_description," +
                " report_result," +
                " report_path," +
                " report_no," +
                " data_update_date," +
                " op_update_data," +
                " op_data_user , activity_no , status" +
                " FROM ods_examine_report_info where patient_id is not null  and is_sync='NONE'";
        dwd2DwdOpMapper.insert(sql_6);


        String sql_7="UPDATE ods_examine_report_info set is_sync='Y' where patient_id is not null  and is_sync='NONE'";
        dwd2DwdOpMapper.update(sql_7);

        if(isAgainClean && cleanIds.size()>0){
            MQCleanTableIds cleanTableIds=new MQCleanTableIds(MQCleanTableKeyEnum.ExamineReport.getCode(),cleanIds);
            if(isRuleFlag){
                ActiveMQSendUtils.send(ActiveMQWayEnum.MQ_SW_Queue, HMQQueueName.Que_CleanTableId,
                        JSON.toJSONString(cleanTableIds));
            }else {
                ActiveMQSendUtils.send(ActiveMQWayEnum.MQ_SW_Queue, HMQQueueName.Que_CleanTableIdNot,
                        JSON.toJSONString(cleanTableIds));
            }
        }




    }


}
