package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.common.mq.bean.MQRuleLabelBean;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.mapper.Dwd2DwdOpMapper;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.DTimeUtils;
import com.xxh.cloud.framework.activemq.constant.ActiveMQWayEnum;
import com.xxh.cloud.framework.activemq.utils.ActiveMQSendUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@DS("wd")
@Log4j2
@Service
public class DwdInpatientChangeCleanService {

    @Autowired
    private Dwd2DwdOpMapper dwd2DwdOpMapper;




    /**
     * 数据计算标记
     * */
    public void clean(boolean isRuleFlag){
        //todo:

        String sql_1="UPDATE ods_inpatient_change_info set status='NONE' where status='N'";


        String sql_2="UPDATE ods_inpatient_change_info a  set a.patient_id = b.patient_id FROM ods_inpatient_record_info b where a.inpatient_id =b.id and a.status ='NONE'  and b.patient_id is not null";


        String sql_3=" INSERT into  dwd_inpatient_change_info (" +
                " patient_id ,change_id , inpatient_id  , change_time , change_type , change_type_name , code ,name ," +
                " source_code , source_name ,target_name ,target_code , data_update_date ,op_data_user ,op_update_data )" +
                " SELECT patient_id , id ,inpatient_id , change_time ,change_type , change_type_name , code ,name , source_code ,source_name " +
                " ,target_name ,target_code , data_update_date ,'1' as op_data_user ,NOW() as op_update_data " +
                " FROM ods_inpatient_change_info  where status ='NONE' and patient_id is not null";

        dwd2DwdOpMapper.update(sql_1);

        dwd2DwdOpMapper.update(sql_2);

        dwd2DwdOpMapper.insert(sql_3);


        String sql_4=" INSERT INTO dws_patient_inpatient_change_info(patient_id  ,inpatient_id ,change_type ,change_val) " +
                " SELECT patient_id  as patient_id,inpatient_id  as inpatient_id ,change_type as change_type, CONCAT(change_time,'_',code,'_',name) as change_val" +
                "  FROM ods_inpatient_change_info where  status='NONE' and patient_id is  not null ";

        dwd2DwdOpMapper.insert(sql_4);



        //发送计算
        List<MQRuleLabelBean> patientIds=new ArrayList<>();
        if(isRuleFlag){
            String sql_5="select patient_id as pid ,id as id ,change_time as ctime from ods_inpatient_change_info where status='NONE' and patient_id is  not null";
            List<Map<String,Object>> list= dwd2DwdOpMapper.selectList(sql_5);
            if(CollUtil.isNotEmpty(list)){

                list.forEach(item->{
                    Object objPid= item.get("pid");
                    Object objId= item.get("id");
                    Object objTime= item.get("ctime");

                    String dateTime= DTimeUtils.getDateTimeStr(objTime);

                    if(objPid!=null && objId!=null){
                        patientIds.add(new MQRuleLabelBean(Convert.toStr(objPid), DataSceneType.DS_InChange,dateTime,Convert.toStr(objId)));
                    }
                });


                this.sendMQCalPatient(patientIds);
            }
        }


        //
//        if(isRuleFlag){
//          int page = 1000;
//          int total = 50000;
//          int start = 0;
//          while (start<total){
//              int end= start+page;
//
//              String sql50 =  StrUtil.format("select patient_id as id from ods_inpatient_change_info where status='NONE' and patient_id is  not null ORDER BY id DESC limit {} ,{} ",start,end);
//              List<Map<String,Object>> list= dwd2DwdOpMapper.selectList(sql50);
//              if(CollUtil.isEmpty(list)){
//                  break;
//              }
//
//              list.forEach(item->{
//                  Object objId= item.get("id");
//                  if(objId!=null){
//                      patientIds.add(Convert.toStr(objId));
//                  }
//              });
//
//              this.sendMQCalPatient(patientIds);
//
//              start = end;
//          }
//        }


        String sql_6="UPDATE ods_inpatient_change_info set status='Y' where status='NONE'";
        dwd2DwdOpMapper.update(sql_6);

    }



    /**
     * mq rule
     * */
    private  void sendMQCalPatient(List<MQRuleLabelBean> patientIds){
        if(CollUtil.isEmpty(patientIds)){
            log.info("<<<<< 不需要无患者ID");
            return;
        }
        ActiveMQSendUtils.send(ActiveMQWayEnum.MQ_SW_Queue, HMQQueueName.Que_Rule_Data_Save, JSON.toJSONString(patientIds),30);
    }








}
