package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config;

import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;

import java.util.*;

public class Dwd2DwdConfigUtils {

    /**
     * 患者基本信息表
     */
    public static Dwd2DwdCleanConfig getPatientInfoConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"patient_gender_raw","gender"));
        return config;
    }

    /**
     * 挂号
     * */
    public static Dwd2DwdCleanConfig getRegisterConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"scene_type_raw","scene_type")); //场景
        return config;
    }


    /**
     * 就诊  DwdVisitCleanService
     * */
    public static Dwd2DwdCleanConfig getVisitConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"scene_type_raw","scene_type")); //场景
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"status_raw","visit_status")); //就诊状态

        return config;
    }


    /**
     * 住院预约 DwdInReserveCleanService
     * */
    public static Dwd2DwdCleanConfig getInpatientReserveConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"diagnosis_raw","diagnosis")); //诊断
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"status_raw","in_reserve_status")); //住院预约状态
        return config;
    }


    /**
     * 住院 DwdInpatientCleanService
     * */
    public static Dwd2DwdCleanConfig getInpatientConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"status_raw","in_status")); //住院状态
        return config;
    }


    /**
     * 出院 DwdDischargeCleanService
     * */
    public static Dwd2DwdCleanConfig getDischargeConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"diagnosis_raw","diagnosis")); //诊断
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"content_raw","out_content")); //出院小结
        return config;
    }


    /**
     * 检查申请 DwdExamineApplyCleanService
     * */
    public static Dwd2DwdCleanConfig getExamineApplyConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"scene_type_raw","scene_type")); //场景
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"items_raw","exam_project")); //检查项目 del
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"status_raw","exam_apply_status")); //检查状态
        return config;
    }

    /**
     * 检查预约 DwdExamineReserveCleanService
     * */
    //todo:
    public static Dwd2DwdCleanConfig getExamineReserveConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        // config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"patient_gender_raw","gender"));
        return config;
    }


    /**
     *检查报告 DwdExamineReportCleanService
     * */
    public static Dwd2DwdCleanConfig getExamineReportConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"scene_type_raw","scene_type"));//场景
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"report_name_raw","exam_report_name"));//检查报告名称
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"examine_type_raw","exam_report_type"));//检查类别
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"body_part_code_raw","exam_report_part"));//检查部位

        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"report_description_raw","exam_report_show_CT"));//检查所见
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"report_result_raw","exam_report_result_CT"));//检查结果

        return config;
    }



    /**
     * 检验申请单 DwdLabApplyCleanService
     * */
    public static Dwd2DwdCleanConfig getLaboratoryApplyConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"scene_type_raw","scene_type"));//场景
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"status_raw","lab_apply_status"));//检验申请状态
        //
        return config;
    }


    /**
     * 检验申请单项目 DwdLabApplyProjectCleanService
     * */
    public static Dwd2DwdCleanConfig getLaboratoryApplyProjectConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
         config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"item_group_code_raw","lab_group_project")); //检验组套 del
        return config;
    }

    /**
     *检验报告单  DwdLabReportCleanService
     * */
    public static Dwd2DwdCleanConfig getLaboratoryReportConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"scene_type_raw","scene_type")); //场景
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"sample_type_raw","lab_sample")); //样本
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"status_raw","lab_report_status")); //状态
        return config;
    }


    /**
     * 检验报告单明细 DwdLabReportItemCleanService
     * */
    public static Dwd2DwdCleanConfig getLaboratoryReportItemConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"sample_type_raw","lab_sample")); //样本
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"project_group_code_raw","lab_group_project")); //检验组套
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"name_raw","lab_project")); //检验项目
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"unit_raw","lab_unit")); //检验单位


        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"inspect_result_raw","lab_result_two_category")); //检验结果二分类
        //todo:

        return config;
    }


    /**
     *医嘱用药 DwdMedicineCleanService
     * */
    public static Dwd2DwdCleanConfig getMedicineConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"diagnosis_raw","diagnosis")); //
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"scene_type_raw","scene_type")); //
        return config;
    }


    /**
     * 医嘱用药明细 DwdMedicineItemCleanService
     * 无清洗
     * */
    public static Dwd2DwdCleanConfig getMedicineItemConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        return config;
    }


    /**
     * 治疗 DwdTherapyCleanService
     * */
    public static Dwd2DwdCleanConfig getTherapyConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"diagnosis_raw","diagnosis"));  //
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"scene_type_raw","scene_type")); //
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"status_raw","therapy_status")); // 治疗状态
        //
        return config;
    }


    /**
     * 治疗明细 DwdTherapyItemCleanService
     * */
    public static Dwd2DwdCleanConfig getTherapyItemConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"status_raw","therapy_status")); //治疗状态
        return config;
    }


    /**
     * 手术申请 DwdOpApplyCleanService
     * */
    public static Dwd2DwdCleanConfig getOperationApplyConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"scene_type_raw","scene_type"));
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"diagnosis_raw","diagnosis"));
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"status_code_raw","op_apply_status")); // 手术申请状态
        return config;
    }


    /**
     * 手术申请明细 DwdOpApplyItemCleanService
     * 无
     * */
    public static Dwd2DwdCleanConfig getOperationApplyItemConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        return config;
    }


    /**
     * 手术记录 DwdOpCleanService
     * */
    public static Dwd2DwdCleanConfig getOperationConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"scene_type_raw","scene_type"));
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"pre_diagnosis_raw","diagnosis"));
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"final_diagnosis_raw","diagnosis"));
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"content_raw","op_content")); //手术文书N
        config.addConfig(new Dwd2DwdCleanConfigItem(tableCode,"status_code_raw","op_status")); //手术记录状态N
        return config;
    }


    /**
     * 手术记录明细 DwdOpItemCleanService
     * 无
     * */
    public static Dwd2DwdCleanConfig getOperationItemConfig(String tableCode) {
        Dwd2DwdCleanConfig config=new Dwd2DwdCleanConfig();
        config.setTableCode(tableCode);
        return config;
    }


    public static  Dwd2DwdCleanConfig getConfigBean(String tableCode){
        if("dwd_patient_info".equals(tableCode)){
            return getPatientInfoConfig(tableCode);
        }else  if("dwd_register_record_info".equals(tableCode)){
            return getRegisterConfig(tableCode);
        }else if("dwd_visit_record_info".equals(tableCode)){
            return getVisitConfig(tableCode);
        }else if("dwd_visit_record_info".equals(tableCode)){
            return getVisitConfig(tableCode);
        } else if("dwd_inpatient_reserve_info".equals(tableCode)){
            return getInpatientReserveConfig(tableCode);
        }else if("dwd_inpatient_record_info".equals(tableCode)){
            return getInpatientConfig(tableCode);
        }else if("dwd_discharge_record_info".equals(tableCode)){
            return getDischargeConfig(tableCode);
        }else if("dwd_examine_apply_info".equals(tableCode)){
            return getExamineApplyConfig(tableCode);
        }else if("dwd_examine_reserve_info".equals(tableCode)){
            return getExamineReserveConfig(tableCode);
        }else if("dwd_examine_report_info".equals(tableCode)){
            return getExamineReportConfig(tableCode);
        }else if("dwd_laboratory_apply_info".equals(tableCode)){
            return getLaboratoryApplyConfig(tableCode);
        }else if("dwd_laboratory_apply_project_info".equals(tableCode)){
            return getLaboratoryApplyProjectConfig(tableCode);
        }else if("dwd_laboratory_report_info".equals(tableCode)){
            return getLaboratoryReportConfig(tableCode);
        }else if("dwd_laboratory_report_item_info".equals(tableCode)){
            return getLaboratoryReportItemConfig(tableCode);
        }else if("dwd_recipe_medicine_info".equals(tableCode)){
            return getMedicineConfig(tableCode);
        }else if("dwd_recipe_medicine_item_info".equals(tableCode)){
            return getMedicineItemConfig(tableCode);
        }else if("dwd_recipe_therapy_info".equals(tableCode)){
            return getTherapyConfig(tableCode);
        }else if("dwd_recipe_therapy_item_info".equals(tableCode)){
            return getTherapyItemConfig(tableCode);
        }else if("dwd_operation_apply_info".equals(tableCode)){
            return getOperationApplyConfig(tableCode);
        }else if("dwd_operation_apply_item_info".equals(tableCode)){
            return getOperationApplyItemConfig(tableCode);
        }else if("dwd_operation_record_info".equals(tableCode)){
            return getOperationConfig(tableCode);
        }else if("dwd_operation_record_item_info".equals(tableCode)){
            return getOperationItemConfig(tableCode);
        }
        return null;
    }

    public static Set<String> getCleanCodeList(Dwd2DwdCleanConfig config){
        Set<String> data=new HashSet<>();
        if(config==null || MapUtil.isEmpty(config.getConfigMap())){
            return data;
        }

        config.getConfigMap().forEach((key,item)->{
            if(StrUtil.isNotEmpty(item.getCleanCode())){
                List<String> cleanCodes =StrJoinSplitUtils.split2List(item.getCleanCode());
                data.addAll(cleanCodes);
            }
        });
        return data;
    }


    public static void main(String[] args) {
        String str="A,B";
        List<String> list =StrJoinSplitUtils.split2List(str);
        System.out.println(StrUtil.join(",",list));
    }



}
