package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.run;

import cn.hutool.core.thread.ThreadUtil;
import com.xxh.cloud.common.mq.constant.MQCleanTableKeyEnum;
import com.xxh.cloud.etl.common.framework.constant.DwdCleanDataStatus;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto.Dwd2DwdCleanByPageDTO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto.Dwd2DwdCleanByWhereDTO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.vos.Dwd2DwdCleanDataResultVO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.biz.DwdDataClearnBizService;
import com.xxh.cloud.framework.common.redis.RedisUtils;

import java.util.List;

public class DwdHisDataCleanTaskRun implements Runnable{

    private RedisUtils redisUtils;
    private DwdDataClearnBizService dwdDataClearnBizService;

    private MQCleanTableKeyEnum key;

    private String cacheKey;


    private List<String> whereItems;



    public DwdHisDataCleanTaskRun(MQCleanTableKeyEnum key,String cacheKey, RedisUtils redisUtils,DwdDataClearnBizService dwdDataClearnBizService,List<String> whereItems){
        this.key=key;
        this.cacheKey=cacheKey;
        this.redisUtils=redisUtils;
        this.dwdDataClearnBizService=dwdDataClearnBizService;
        this.whereItems=whereItems;
    }



    @Override
    public void run() {
        long idx=0;
        int pageNum=1000;
        while (true){
            boolean flag= this.redisUtils.hasKey(this.cacheKey);
            if(flag==false){
                System.out.println("++++++++++++ 执行历史清洗任务关闭。redis开关已关闭");
                return;
            }
            System.out.println(" ++++++ 执行手动清洗 ++++++ ");

            Dwd2DwdCleanByPageDTO pageDTO=new Dwd2DwdCleanByPageDTO();
            pageDTO.setKey(this.key);
            pageDTO.setCalculateFlag(true);
            pageDTO.setEventFlag(false);
            pageDTO.setDataMQFlag(true);
            pageDTO.setWhereItems(this.whereItems);
            pageDTO.setStart(idx);
            pageDTO.setNum(pageNum);
            Dwd2DwdCleanDataResultVO resultVO= dwdDataClearnBizService.cleanByPage(pageDTO);

            if(resultVO==null || DwdCleanDataStatus.NotData.getCode().equals(resultVO.getStatus())
                    || DwdCleanDataStatus.NotConfig.getCode().equals(resultVO.getStatus())){
                System.out.println("++++++++++++ 执行历史清洗任务完成。无数据或无配置");
                this.redisUtils.delete(this.cacheKey);
                return;
            }
            idx=idx+pageNum;

            if(idx>=500000){
                System.out.println("++++++++++++ 执行历史清洗任务完成。无数据或无配置");
                this.redisUtils.delete(this.cacheKey);
                return;
            }

            try {
                Thread.sleep(1000);
            } catch (InterruptedException e) {
                throw new RuntimeException(e);
            }

        }
    }


}
