package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.common.mq.bean.MQPatientEventBean;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.PatientEventEnum;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventType;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnoseRelTypeEnum;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnosisReportDBRO;
import com.xxh.cloud.etl.common.framework.modules.bean.ods.DiagnoseBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanDiagnoseBean;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnoseDBRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.MQBeanCreateUtils;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * 出院
 * */
@Log4j2
@Service
public class DwdDischargeCleanService extends Dwd2DwdCleanBaseService{

    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;


        //
        String col1="diagnosis_raw";
        //DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,col1);
        Object obj =  dataItem.get(col1);
        if(obj!=null){
            List<DiagnoseBO> vals= JSON.parseArray(Convert.toStr(obj), DiagnoseBO.class);

            if(CollUtil.isNotEmpty(vals)){
                flag=true;
//                List<DiagnoseDBRO> ddbroList=new ArrayList<>();
                Set<String> codes=new HashSet<>();

                vals.forEach(item->{
                     codes.add(item.getDicd());
//                    ddbroList.add(new DiagnoseDBRO(item.getDicd(),item.getDname()));
//                    DiagnosisReportDBRO diagnosisReport= MQBeanCreateUtils.getDiagnosisReportDBRO2(
//                            dataItem.get("patient_id"),dataItem.get("patient_name"),dataItem.get("visit_id"),
//                            dataItem.get("in_patient_no"),item.getDpn(),item.getDpc(),item.getDcc(),item.getDcn(),
//                            item.getDicd(),item.getDname(),item.getDicd(),item.getDname(),
//                            item.getDt(),item.getDmain(),item.getDflag(),
//                            null, DiagnoseRelTypeEnum.Discharge.getCode(), dataItem.get("id"),
//                            dataItem.get("data_update_date"),  dataItem.get("op_data_user"), dataItem.get("op_date")
//                    );
//                    context.addDiagnosis(diagnosisReport);
                });

//                dataItem.put("diagnosis_standard",JSON.toJSONString(ddbroList));
                dataItem.put("diagnosis_code_standard",StrJoinSplitUtils.join(codes));
            }
        }




        //出院小结解密
//        String col2="content_raw";

        if(flag){

            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("leave_date"),
                    null,null,null,null );

            if(context.isEventFlag()) {
                MQPatientEventBean peb= MQBeanCreateUtils.getMQPatientEventBean2(PatientEventEnum.PE_E1070,
                        dataItem.get("patient_id"), dataItem.get("leave_date"), DataSceneType.DS_Out,dataItem.get("id"));
                context.addDataMqItem(HMQQueueName.Que_Event_Data_Sava,peb);
            }else {
                if(context.isCalFlag()){
                    context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_Out,dataItem.get("leave_date"),dataItem.get("id"));
                }
            }

        }

        //院中服务事件
        context.addPatientEvent(PatientEventType.EveDischarge,new PatientEventBO(
                        PatientEventType.EveDischarge,
                        dataItem.get("patient_id"),
                        dataItem.get("leave_date"),
                        dataItem.get("company_code"),
                        dataItem.get("company_name"),
                        dataItem.get("out_department_code_raw"),
                        dataItem.get("out_department_name_raw"),
                        dataItem.get("id")
                )
        );



        return flag;
    }
}
