package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.common.mq.bean.MQPatientEventBean;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.PatientEventEnum;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventType;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnoseDBRO;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnoseRelTypeEnum;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnosisReportDBRO;
import com.xxh.cloud.etl.common.framework.modules.bean.ods.DiagnoseBO;
import com.xxh.cloud.etl.common.framework.modules.write.bean.ods.ExamProjectBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanDiagnoseBean;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.MQBeanCreateUtils;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * 检查申请
 * */
@Log4j2
@Service
public class DwdExamineApplyCleanService extends Dwd2DwdCleanBaseService{

    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //
//        String col3="items_raw";
//        DataCleanConfigBO colDataCleanConfig3= this.getColumnCleanConfig(config,dataCleanConfigMap,col3);
//        Object obj3 =  dataItem.get(col3);
//        if(colDataCleanConfig3!=null && obj3!=null){
//            List<ExamProjectBO> vals= JSON.parseArray(Convert.toStr(obj3), ExamProjectBO.class);
//            if(CollUtil.isNotEmpty(vals)){
//                List<CleanResultValueRO> valueList= dataCleanProcessTwoService.processExamProject(context,tableCode,col3,vals,colDataCleanConfig3);
//                if(CollUtil.isNotEmpty(valueList)){
//                    flag=true;
//                    Set<String> codes=new HashSet<>();
//                    valueList.forEach(item->{
//                        codes.add(item.getCode());
//                    });
//                    dataItem.put("items_standard", StrJoinSplitUtils.join(codes));
//                }
//            }
//        }

        //diagnosis_raw
        String col4="diagnosis_raw";
        Object obj4 =  dataItem.get(col4);
        if(obj4!=null){
            List<DiagnoseBO> vals= JSON.parseArray(Convert.toStr(obj4), DiagnoseBO.class);

            if(CollUtil.isNotEmpty(vals)){
                flag=true;
//                List<DiagnoseDBRO> ddbroList=new ArrayList<>();
                Set<String> codes=new HashSet<>();

                vals.forEach(item->{
//                    ddbroList.add(new DiagnoseDBRO(item.getDicd(),item.getDname()));
                    codes.add(item.getDicd());
//                    DiagnosisReportDBRO diagnosisReport= MQBeanCreateUtils.getDiagnosisReportDBRO2(
//                            dataItem.get("patient_id"),dataItem.get("patient_name"),dataItem.get("visit_id"),
//                            dataItem.get("in_patient_no"),item.getDpn(),item.getDpc(),item.getDcc(),item.getDcn(),
//                            item.getDicd(),item.getDname(),item.getDicd(),item.getDname(),
//                            item.getDt(),item.getDmain(),item.getDflag(),
//                            null, DiagnoseRelTypeEnum.ExamineApply.getCode(), dataItem.get("id"),
//                            dataItem.get("data_update_date"),  dataItem.get("op_data_user"), dataItem.get("op_date")
//                    );
//                    context.addDiagnosis(diagnosisReport);
                });

//                dataItem.put("diagnosis_standard",JSON.toJSONString(ddbroList));
                dataItem.put("diagnosis_code_standard",StrJoinSplitUtils.join(codes));

            }
        }


        if(flag){
//            if(context.isCalFlag()){
//                context.addCalPatientId(dataItem.get("patient_id"));
//            }
            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("apply_date"),
                    dataItem.get("department_code_standard"),dataItem.get("department_name_standard"),
                    dataItem.get("doctor_code"),dataItem.get("doctor_name")
            );

            if(context.isEventFlag()) {
                //发事件且规则
                MQPatientEventBean peb= MQBeanCreateUtils.getMQPatientEventBean2(PatientEventEnum.PE_E1060,
                        dataItem.get("patient_id"), dataItem.get("apply_date"), DataSceneType.DS_ExamineApply,dataItem.get("id"));
                context.addDataMqItem(HMQQueueName.Que_Event_Data_Sava,peb);
            }else {
                //规则
                if(context.isCalFlag()){
                    context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_ExamineApply,dataItem.get("apply_date"),dataItem.get("id"));
                }
            }
        }



        //院中服务事件
        context.addPatientEvent(PatientEventType.EveExaLab,new PatientEventBO(
                        PatientEventType.EveExaLab,
                        dataItem.get("patient_id"),
                        dataItem.get("apply_date"),
                        null,
                       null,
                        dataItem.get("department_code_raw"),
                        dataItem.get("department_name_raw"),
                        dataItem.get("id"),
                        "ExamApply"
                )
        );


        return flag;
    }
}
