package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.common.mq.bean.MQPatientEventBean;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.PatientEventEnum;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventType;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.MQBeanCreateUtils;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 检查报告
 * */
@Log4j2
@Service
public class DwdExamineReportCleanService extends Dwd2DwdCleanBaseService{

    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //scene_type_raw
        String col1="scene_type_raw";
        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,col1);
        Object obj =  dataItem.get(col1);
        if(colDataCleanConfig!=null && obj!=null){
            try {
                CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col1, Convert.toStr(obj),colDataCleanConfig);
                if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                    flag=true;
                    dataItem.put("scene_type_standard",valueRO.getCode());
                }
            }catch (Exception e){
                System.out.println("++++++++++++ scene_type_raw : error");
                e.printStackTrace();
            }

        }


        String typeNameRaw="examine_type_name_raw";
        Object typeNameVal =  dataItem.get(typeNameRaw);
        if(typeNameVal!=null && "病理".equals(Convert.toStr(typeNameVal))){
            dataItem.put("report_name_standard","wbmdblbg");
        }else {
            //report_name_raw
            String col2="report_name_raw";
            DataCleanConfigBO colDataCleanConfig2= this.getColumnCleanConfig(config,dataCleanConfigMap,col2);
            Object obj2 =  dataItem.get(col2);
            if(colDataCleanConfig2!=null && obj2!=null){
                try {
                    CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col2, Convert.toStr(obj2),colDataCleanConfig2);
                    if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                        flag=true;
                        dataItem.put("report_name_standard",valueRO.getCode());
                    }
                }catch (Exception e){
                    System.out.println("++++++++++++ report_name_raw : error");
                    e.printStackTrace();
                }
            }
        }



        //body_part_code_raw
//        String col3="body_part_code_raw";
//        DataCleanConfigBO colDataCleanConfig3= this.getColumnCleanConfig(config,dataCleanConfigMap,col3);
//        Object obj3 =  dataItem.get(col3);
//        if(colDataCleanConfig3!=null && obj3!=null){
//            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col3, Convert.toStr(obj3),colDataCleanConfig3);
//            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
//                flag=true;
//                dataItem.put("body_part_code_standard",valueRO.getCode());
//                dataItem.put("body_part_name_standard",valueRO.getName());
//            }
//        }


        //examine_type_raw
//        String col4="examine_type_raw";
//        DataCleanConfigBO colDataCleanConfig4= this.getColumnCleanConfig(config,dataCleanConfigMap,col4);
//        Object obj4 =  dataItem.get(col4);
//        if(colDataCleanConfig4!=null && obj4!=null){
//            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col4, Convert.toStr(obj4),colDataCleanConfig4);
//            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
//                flag=true;
//                dataItem.put("examine_type_standard",valueRO.getCode());
//            }
//        }

        //report_description_raw
        String col5="report_description_raw";
        DataCleanConfigBO colDataCleanConfig5= this.getColumnCleanConfig(config,dataCleanConfigMap,col5);
        Object obj5 =  dataItem.get(col5);
        if(colDataCleanConfig5!=null && obj5!=null){
            try {
                List<CleanResultValueRO> valueROList= dataCleanProcessTwoService.processKeywords(context,tableCode,col5, Convert.toStr(obj5),colDataCleanConfig5);
                if(CollUtil.isNotEmpty(valueROList)){
                    flag=true;
                    Set<String> codes=new HashSet<>();
                    valueROList.forEach(item->{
                        codes.add(item.getCode());
                    });
                    dataItem.put("report_description_standard", StrJoinSplitUtils.join(codes));
                }
            }catch (Exception e){
                System.out.println("++++++++++++ report_description_raw : error");
                e.printStackTrace();
            }
        }


        //report_result_raw
        String col6="report_result_raw";
        DataCleanConfigBO colDataCleanConfig6= this.getColumnCleanConfig(config,dataCleanConfigMap,col6);
        Object obj6 =  dataItem.get(col6);
        if(colDataCleanConfig6!=null && obj6!=null){
            try {
                List<CleanResultValueRO> valueROList= dataCleanProcessTwoService.processKeywords(context,tableCode,col6, Convert.toStr(obj6),colDataCleanConfig6);
                if(CollUtil.isNotEmpty(valueROList)){
                    flag=true;
                    Set<String> codes=new HashSet<>();
                    valueROList.forEach(item->{
                        codes.add(item.getCode());
                    });
                    dataItem.put("report_result_standard", StrJoinSplitUtils.join(codes));
                }
            }catch (Exception e){
                System.out.println("++++++++++++ report_result_raw : error");
                e.printStackTrace();
            }
        }


        if(flag){
            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("reports_time"),
                    dataItem.get("department_code_standard"),dataItem.get("department_name_standard"),
                    dataItem.get("apply_doctor_code"),dataItem.get("apply_doctor_name")
            );

            if(context.isEventFlag()) {
                MQPatientEventBean peb= MQBeanCreateUtils.getMQPatientEventBean2(PatientEventEnum.PE_E1020,
                        dataItem.get("patient_id"), dataItem.get("reports_time"), DataSceneType.DS_ExamineReport,dataItem.get("id"));
                context.addDataMqItem(HMQQueueName.Que_Event_Data_Sava,peb);
            }else {
                if(context.isCalFlag()){
                    context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_ExamineReport,dataItem.get("reports_time"),dataItem.get("id"));
                }
            }
        }



        //院中服务事件
        context.addPatientEvent(PatientEventType.EveExaLab,new PatientEventBO(
                        PatientEventType.EveExaLab,
                        dataItem.get("patient_id"),
                        dataItem.get("reports_time"),
                        null,
                        null,
                        dataItem.get("department_code_raw"),
                        dataItem.get("department_name_raw"),
                        dataItem.get("id"),
                        "ExamReport"
                )
        );



        return flag;
    }


}
