package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;


import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.common.mq.bean.MQPatientEventBean;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.PatientEventEnum;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventType;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.MQBeanCreateUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 住院预约
 * */
@Log4j2
@Service
public class DwdInReserveCleanService extends Dwd2DwdCleanBaseService {


    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        String col1="status_raw";
        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,col1);
        Object obj =  dataItem.get(col1);
        if(colDataCleanConfig!=null && obj!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col1, Convert.toStr(obj),colDataCleanConfig);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("status_standard",valueRO.getCode());
            }
        }


        //todo:不根据是否有清洗，在发事件
        flag=true;

        if(flag){

            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("apply_date"),
                    dataItem.get("apply_department_code_standard"), dataItem.get("apply_department_name_standard"),
                    dataItem.get("doctor_code"), dataItem.get("doctor_name"));


            if(context.isDataMqFlag()){
                context.addDataMqItem(HMQQueueName.Que_PatientRegister, MQBeanCreateUtils.getMQPatientDeptAddBean(dataItem.get("patient_id"),
                        dataItem.get("apply_department_code_standard"), dataItem.get("status_standard")));
            }

            if(context.isEventFlag()) {
                MQPatientEventBean peb= MQBeanCreateUtils.getMQPatientEventBean2(PatientEventEnum.PE_E1040,
                        dataItem.get("patient_id"), dataItem.get("apply_date"),DataSceneType.DS_InReserve,dataItem.get("id"));
                context.addDataMqItem(HMQQueueName.Que_Event_Data_Sava,peb);
            }else {
                if(context.isCalFlag()){
                    context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_InReserve,dataItem.get("apply_date"),dataItem.get("id"));
                }
            }

        }

        //院中服务事件
        context.addPatientEvent(PatientEventType.EveInpatientReserve,new PatientEventBO(
                        PatientEventType.EveInpatientReserve,
                        dataItem.get("patient_id"),
                        dataItem.get("apply_date"),
                        dataItem.get("company_code"),
                        dataItem.get("company_name"),
                        dataItem.get("apply_department_code_raw"),
                        dataItem.get("apply_department_name_raw"),
                        dataItem.get("id")
                )
        );



        return flag;
    }
}
