package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.io.FileUtil;
import cn.hutool.core.io.file.FileAppender;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.common.mq.bean.MQPatientEventBean;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.PatientEventEnum;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventType;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.MQBeanCreateUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.File;
import java.util.Date;
import java.util.Map;

/**
 * 住院
 * */
@Log4j2
@Service
public class DwdInpatientCleanService extends Dwd2DwdCleanBaseService{

    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //
        String col1="status_raw";
        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,col1);
        Object obj =  dataItem.get(col1);
        if(colDataCleanConfig!=null && obj!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col1, Convert.toStr(obj),colDataCleanConfig);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("status_standard",valueRO.getCode());
            }
        }


        //todo:不根据是否有清洗，在发事件
        flag=true;

        if(flag){


            String path="/home/debug_log/xx_clean/";
            String filePath = path+"dwd_in_clean_"+ DateUtil.format(new Date(),"yyyyMMdd")+".log";
            File file = new File(filePath);
            if(!file.exists()){
                FileUtil.touch(file);
            }
            FileAppender appender =new FileAppender(file,100,true);
            appender.append("DwdInpatientCleanService 住院记录清洗内容 ");
            appender.append(DateUtil.now());


            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("inpatient_date"),
                    dataItem.get("admit_department_code_standard"),dataItem.get("admit_department_name_standard"),
                    null,null);

            if(context.isDataMqFlag()){
                context.addDataMqItem(HMQQueueName.Que_PatientRegister,
                        MQBeanCreateUtils.getMQPatientDeptAddBean(dataItem.get("patient_id"),
                                dataItem.get("admit_department_code_raw"), dataItem.get("status_standard")
                        ));
            }

            if(context.isEventFlag()) {
                MQPatientEventBean peb= MQBeanCreateUtils.getMQPatientEventBean2(PatientEventEnum.PE_E1080,
                        dataItem.get("patient_id"), dataItem.get("inpatient_date"), DataSceneType.DS_In,dataItem.get("id"));
                context.addDataMqItem(HMQQueueName.Que_Event_Data_Sava,peb);
                appender.append("住院E1080事件内容 ："+HMQQueueName.Que_Event_Data_Sava+"  : " + JSON.toJSONString(peb));
            }else {
                appender.append("无，住院E1080事件内容 ："+Convert.toStr(dataItem.get("id")));
                if(context.isCalFlag()){
                    context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_In,dataItem.get("inpatient_date"),dataItem.get("id"));
                }
            }

            appender.flush();

        }

        //院中服务事件
        context.addPatientEvent(PatientEventType.EveInpatient,new PatientEventBO(
                        PatientEventType.EveInpatient,
                        dataItem.get("patient_id"),
                        dataItem.get("inpatient_date"),
                        dataItem.get("company_code"),
                        dataItem.get("company_name"),
                        dataItem.get("admit_department_code_raw"),
                        dataItem.get("admit_department_name_raw"),
                        dataItem.get("id")
                )
        );


        return flag;
    }


}
