package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.common.mq.bean.MQPatientEventBean;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.PatientEventEnum;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventType;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnoseDBRO;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnoseRelTypeEnum;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnosisReportDBRO;
import com.xxh.cloud.etl.common.framework.modules.bean.ods.DiagnoseBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanDiagnoseBean;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.MQBeanCreateUtils;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * 检验申请单
 * */
@Log4j2
@Service
public class DwdLabApplyCleanService  extends Dwd2DwdCleanBaseService{

    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //scene_type_raw
        String col1="scene_type_raw";
        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,col1);
        Object obj =  dataItem.get(col1);
        if(colDataCleanConfig!=null && obj!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col1, Convert.toStr(obj),colDataCleanConfig);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("scene_type_standard",valueRO.getCode());
            }
        }

        //status_raw
        String col2="status_raw";
        DataCleanConfigBO colDataCleanConfig2= this.getColumnCleanConfig(config,dataCleanConfigMap,col2);
        Object obj2 =  dataItem.get(col2);
        if(colDataCleanConfig2!=null && obj2!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col2, Convert.toStr(obj2),colDataCleanConfig2);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("status_standard",valueRO.getCode());
            }
        }



        String col3="diagnosis_raw";
        DataCleanConfigBO colDataCleanConfig3= this.getColumnCleanConfig(config,dataCleanConfigMap,col3);
        Object obj3 =  dataItem.get(col3);
        if(obj3!=null){
            List<DiagnoseBO> vals= JSON.parseArray(Convert.toStr(obj3), DiagnoseBO.class);

            if(CollUtil.isNotEmpty(vals)){
                flag=true;
//                List<DiagnoseDBRO> ddbroList=new ArrayList<>();
                Set<String> codes=new HashSet<>();

                vals.forEach(item->{
//                    ddbroList.add(new DiagnoseDBRO(item.getDicd(),item.getDname()));
                    codes.add(item.getDicd());

//                    DiagnosisReportDBRO diagnosisReport= MQBeanCreateUtils.getDiagnosisReportDBRO2(
//                            dataItem.get("patient_id"),dataItem.get("patient_name"),dataItem.get("visit_id"),
//                            dataItem.get("in_patient_no"),item.getDpn(),item.getDpc(),item.getDcc(),item.getDcn(),
//                            item.getDicd(),item.getDname(),item.getDicd(),item.getDname(),
//                            item.getDt(),item.getDmain(),item.getDflag(),
//                            null, DiagnoseRelTypeEnum.LaboratoryApply.getCode(), dataItem.get("id"),
//                            dataItem.get("data_update_date"),  dataItem.get("op_data_user"), dataItem.get("op_date")
//                    );
//                    context.addDiagnosis(diagnosisReport);
                });

//                dataItem.put("diagnosis_standard",JSON.toJSONString(ddbroList));
                dataItem.put("diagnosis_code_standard",StrJoinSplitUtils.join(codes));

            }

        }


        if(flag){


            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("apply_date"),
                    dataItem.get("department_code_standard"),dataItem.get("department_name_standard"),
                    dataItem.get("doctor_code"),dataItem.get("doctor_name")
            );

            if(context.isEventFlag()) {
                MQPatientEventBean peb= MQBeanCreateUtils.getMQPatientEventBean2(PatientEventEnum.PE_E1050,
                        dataItem.get("patient_id"), dataItem.get("apply_date"), DataSceneType.DS_LaboratoryApply,dataItem.get("id"));
                context.addDataMqItem(HMQQueueName.Que_Event_Data_Sava,peb);
            }else {
                if(context.isCalFlag()){
                    context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_LaboratoryApply,dataItem.get("apply_date"),dataItem.get("id"));
                }
            }
        }


        //院中服务事件
        context.addPatientEvent(PatientEventType.EveExaLab,new PatientEventBO(
                        PatientEventType.EveExaLab,
                        dataItem.get("patient_id"),
                        dataItem.get("apply_date"),
                        null,
                        null,
                        dataItem.get("department_code_raw"),
                        dataItem.get("department_name_raw"),
                        dataItem.get("id"),
                        "LabApply"
                )
        );





        return flag;
    }
}
