package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.common.mq.bean.MQPatientEventBean;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.PatientEventEnum;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventType;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.MQBeanCreateUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 检验报告单
 * */
@Log4j2
@Service
public class DwdLabReportCleanService extends Dwd2DwdCleanBaseService{

    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //scene_type_raw
        String col1="scene_type_raw";
        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,col1);
        Object obj =  dataItem.get(col1);
        if(colDataCleanConfig!=null && obj!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col1, Convert.toStr(obj),colDataCleanConfig);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("scene_type_standard",valueRO.getCode());
            }
        }

        //
        String col2="sample_type_raw";
        DataCleanConfigBO colDataCleanConfig2= this.getColumnCleanConfig(config,dataCleanConfigMap,col2);
        Object obj2 =  dataItem.get(col2);
        if(colDataCleanConfig2!=null && obj2!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col2, Convert.toStr(obj2),colDataCleanConfig2);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("sample_type_standard",valueRO.getCode());
            }
        }

        //
        String col3="status_raw";
        DataCleanConfigBO colDataCleanConfig3= this.getColumnCleanConfig(config,dataCleanConfigMap,col3);
        Object obj3 =  dataItem.get(col3);
        if(colDataCleanConfig3!=null && obj3!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col3, Convert.toStr(obj3),colDataCleanConfig3);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("status_standard",valueRO.getCode());
            }
        }

        if(flag){

            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("reports_time"),
                    dataItem.get("department_code_standard"),dataItem.get("department_name_standard"),
                    dataItem.get("apply_doctor_code"),dataItem.get("apply_doctor_name"));

            if(context.isEventFlag()) {
                MQPatientEventBean peb= MQBeanCreateUtils.getMQPatientEventBean2(PatientEventEnum.PE_E1010,
                        dataItem.get("patient_id"), dataItem.get("reports_time"), DataSceneType.DS_LaboratoryReport,dataItem.get("id"));

                context.addDataMqItem(HMQQueueName.Que_Event_Data_Sava,peb);
            }else {
                //todo:2024-05-08 修改发送事件后不发送计算
                if(context.isCalFlag()){
                    context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_LaboratoryReport, dataItem.get("reports_time"),dataItem.get("id"));
                }
            }

        }



        //院中服务事件
        context.addPatientEvent(PatientEventType.EveExaLab,new PatientEventBO(
                        PatientEventType.EveExaLab,
                        dataItem.get("patient_id"),
                        dataItem.get("reports_time"),
                        null,
                        null,
                        dataItem.get("department_code_raw"),
                        dataItem.get("department_name_raw"),
                        dataItem.get("id"),
                        "LabReport"
                )
        );


        return flag;
    }


}
