package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.modules.write.bean.ods.LabProjectReportItemBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanLabProject;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 检验报告单明细
 * */
@Log4j2
@Service
public class DwdLabReportItemCleanService extends Dwd2DwdCleanBaseService{


    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //sample_type_raw
        boolean flag1 = this.preocessString(tableCode,context,config,dataCleanConfigMap,dataItem,
                "sample_type_raw",null,"sample_type_standard",null,null);
        if(flag1){
            flag=true;
        }




        //unit_raw
        //String col3="unit_raw";
        boolean flag2 = this.preocessString(tableCode,context,config,dataCleanConfigMap,dataItem,
                "unit_raw",null,"unit_standard",null,null);
        if(flag2){
            flag=true;
        }


        //project_group_code_raw
        boolean flag3 = this.preocessString(tableCode,context,config,dataCleanConfigMap,dataItem,
                "project_group_code_raw","project_group_name_raw","project_group_code_standard","project_group_name_standard",null);
        if(flag3){
            flag=true;
        }




        //project_id_raw
        boolean flag4 = this.preocessString(tableCode,context,config,dataCleanConfigMap,dataItem,
                "name_raw","code_raw","sample_type_raw","name_raw","code_raw","sample_type_raw","project_id_standard",
                "name_standard","result_type","sample_type_standard");
        if(flag4){
            flag=true;
        }

        //result_type
        String col4="inspect_result_raw";
        String col4_2="result_type";
        DataCleanConfigBO colDataCleanConfig4= this.getColumnCleanConfig(config,dataCleanConfigMap,col4);
        Object resultTypeObj= dataItem.get(col4_2);
        Object obj4 =  dataItem.get(col4);

        System.out.println("++++ result_type = "+Convert.toStr(resultTypeObj));

        if(obj4!=null && resultTypeObj!=null){
            LabProjectReportItemBO labProjectReportItem= this.getLabProjectReportItemBO(dataItem);

            DataCleanLabProject valueRO= dataCleanProcessTwoService.processLabProject(context,tableCode,col4, labProjectReportItem,Convert.toStr(resultTypeObj),colDataCleanConfig4);
            if(valueRO!=null){
                flag=true;
                dataItem.put("result_two_category_code",valueRO.getTwoCategoryCode());
                dataItem.put("result_two_category_name",valueRO.getTwoCategoryName());

                dataItem.put("result_narrate",valueRO.getNarrate());
                dataItem.put("result_value",valueRO.getReportVal());
                dataItem.put("result_value_flag",valueRO.getReportValFlag());
                dataItem.put("result_value_rate",valueRO.getReportValRate());
                dataItem.put("result_value_reference",valueRO.getInterval());
            }
        }


        if(flag){
//            if(context.isCalFlag()){
//                context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_LaboratoryReportItem);
//            }
            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("data_update_date"),null,null,null,null);
        }


        return flag;
    }


    private LabProjectReportItemBO getLabProjectReportItemBO(Map<String, Object> dataItem){
        LabProjectReportItemBO data=new LabProjectReportItemBO();
        data.setId(Convert.toStr(dataItem.get("id")));
        data.setLaboratory_report_id(Convert.toStr(dataItem.get("laboratory_report_id"))); //
        data.setSample_type(Convert.toStr(dataItem.get("sample_type_raw"))); //
        data.setPrd_id(Convert.toStr(dataItem.get("project_id_raw")));
        data.setCode(Convert.toStr(dataItem.get("code_raw")));
        data.setName(Convert.toStr(dataItem.get("name_raw")));
        data.setAbnormal_indicator(Convert.toStr(dataItem.get("abnormal_indicator")));
        data.setAbnormal(Convert.toStr(dataItem.get("abnormal")));
        data.setUnit(Convert.toStr(dataItem.get("unit_raw"))); //
        data.setReference(Convert.toStr(dataItem.get("reference_raw")));
        data.setInspect_result(Convert.toStr(dataItem.get("inspect_result_raw")));
        return data;
    }



    private boolean preocessString(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config,
                                   Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem,
                                   String codeReadCol,String codeWriteCol,String nameWriteCol ,String resultTypeWriteCol){

        return preocessString(tableCode,context,config,dataCleanConfigMap,dataItem,codeReadCol,null,null,null,
                null,null,null, null,null,null);
    }



    private boolean preocessString(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config,
                      Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem,
                      String codeReadCol,String nameReadCol,String codeWriteCol,String nameWriteCol ,String resultTypeWriteCol){
        return preocessString(tableCode,context,config,dataCleanConfigMap,dataItem,codeReadCol,null,null,
                nameReadCol,null,null,null, null,null,null);
    }




    private boolean preocessString(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config,
                                   Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem,
                                   String codeReadCol1,String codeReadCol2 ,String codeReadCol3,
                                   String nameReadCol1,String nameReadCol2,String nameReadCol3,
                                   String codeWriteCol,String nameWriteCol ,String resultTypeWriteCol ,String sampleTypeWriteCol){

        boolean flag=false;
        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,codeReadCol1);

        //code1
        Object codeobj1 =  dataItem.get(codeReadCol1);

        //code2
        Object codeObj2 =null;
        if(StrUtil.isNotEmpty(codeReadCol2)){
            codeObj2 = dataItem.get(codeReadCol2);
        }

        //code3
        Object codeObj3 =null;
        if(StrUtil.isNotEmpty(codeReadCol3)){
            codeObj3 = dataItem.get(codeReadCol3);
        }

        //name1
        Object nameObj1 =null;
        if(StrUtil.isNotEmpty(nameReadCol1)){
            nameObj1 = dataItem.get(nameReadCol1);
        }

        //name2
        Object nameObj2 =null;
        if(StrUtil.isNotEmpty(nameReadCol2)){
            nameObj2 = dataItem.get(nameReadCol2);
        }

        Object nameObj3 =null;
        if(StrUtil.isNotEmpty(nameReadCol3)){
            nameObj3 = dataItem.get(nameReadCol3);
        }

        StringBuilder readName=new StringBuilder();
        if(nameObj1!=null){
            readName.append(Convert.toStr(nameObj1)).append("_");
        }
        if(nameObj2!=null){
            readName.append(Convert.toStr(nameObj2)).append("_");
        }
        if(nameObj3!=null){
            readName.append(Convert.toStr(nameObj3));
        }


        if(colDataCleanConfig!=null && codeobj1!=null){

            StringBuilder readCode=new StringBuilder();
            readCode.append(Convert.toStr(codeobj1)).append("_");
            if(codeObj2!=null){
                readCode.append(Convert.toStr(codeObj2)).append("_");
            }
            if(codeObj3!=null){
                readCode.append(Convert.toStr(codeObj3));
            }

            System.out.println("+++++++++++++readName = "+readName.toString());
            System.out.println("+++++++++++++readCode = "+readCode.toString());

            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,codeReadCol1,readCode.toString(),readName.toString(),colDataCleanConfig);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                if(StrUtil.isNotEmpty(codeWriteCol)){
                    dataItem.put(codeWriteCol,valueRO.getCode());
                }
                if(StrUtil.isNotEmpty(nameWriteCol)){
                    dataItem.put(nameWriteCol,valueRO.getName());
                }
                if(StrUtil.isNotEmpty(resultTypeWriteCol)){
                    dataItem.put(resultTypeWriteCol,valueRO.getResultType());
                }
                if(StrUtil.isNotEmpty(sampleTypeWriteCol) && StrUtil.isNotEmpty(valueRO.getSampleType())){
                    dataItem.put(sampleTypeWriteCol,valueRO.getSampleType());
                }
            }
        }
        return flag;
    }



}
