package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.io.FileUtil;
import cn.hutool.core.io.file.FileAppender;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.common.mq.bean.MQPatientEventBean;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.PatientEventEnum;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnoseDBRO;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnoseRelTypeEnum;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnosisReportDBRO;
import com.xxh.cloud.etl.common.framework.modules.bean.ods.DiagnoseBO;
import com.xxh.cloud.etl.common.framework.modules.bean.ods.OperationDiagnoseBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanDiagnoseBean;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.MQBeanCreateUtils;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.File;
import java.util.*;

/**
 * 手术记录
 * */
@Log4j2
@Service
public class DwdOpCleanService  extends Dwd2DwdCleanBaseService{

    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //scene_type_raw
        String col1="scene_type_raw";
        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,col1);
        Object obj =  dataItem.get(col1);
        if(colDataCleanConfig!=null && obj!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col1, Convert.toStr(obj),colDataCleanConfig);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("scene_type_standard",valueRO.getCode());
            }
        }

        //status_code_raw
        String col2="status_code_raw";
        DataCleanConfigBO colDataCleanConfig2= this.getColumnCleanConfig(config,dataCleanConfigMap,col2);
        Object obj2 =  dataItem.get(col2);
        if(colDataCleanConfig2!=null && obj2!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col2, Convert.toStr(obj2),colDataCleanConfig2);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("status_standard",valueRO.getCode());
            }
        }

        //pre_diagnosis_raw
//        String col3="pre_diagnosis_raw";
//        DataCleanConfigBO colDataCleanConfig3= this.getColumnCleanConfig(config,dataCleanConfigMap,col3);
//        Object obj3 =  dataItem.get(col3);
//        if(colDataCleanConfig3!=null && obj3!=null){
//            List<OperationDiagnoseBO> vals= JSON.parseArray(Convert.toStr(obj3), OperationDiagnoseBO.class);
//            List<DataCleanDiagnoseBean> valueList= dataCleanProcessTwoService.processDiagnoseOp(context,tableCode,col3,vals,colDataCleanConfig3);
//
//            if(CollUtil.isNotEmpty(valueList)){
//                flag=true;
//                Set<String> codes=new HashSet<>();
//                List<DiagnoseDBRO> ddbroList=new ArrayList<>();
//
//                valueList.forEach(item->{
//                    codes.add(item.getCode());
//                    ddbroList.add(new DiagnoseDBRO(item.getCode(),item.getName()));
//                    DiagnosisReportDBRO diagnosisReport= MQBeanCreateUtils.getDiagnosisReportDBRO2(
//                            dataItem.get("patient_id"),dataItem.get("patient_name"),dataItem.get("visit_id"),
//                            dataItem.get("in_patient_no"),
//                            dataItem.get("department_name_standard"), dataItem.get("department_code_standard"),
//                            dataItem.get("doctor_code"), dataItem.get("doctor_name"),
//                            item.getRawCode(),item.getRawName(),item.getCode(),item.getName(),
//                            dataItem.get("pay_time"),"Y","Y",
//                            dataItem.get("scene_type_standard"), DiagnoseRelTypeEnum.Operation_Pre.getCode(), dataItem.get("id"),
//                            dataItem.get("data_update_date"),  dataItem.get("op_data_user"), dataItem.get("op_date")
//                    );
//                    context.addDiagnosis(diagnosisReport);
//                });
//
//                dataItem.put("pre_diagnosis_standard",JSON.toJSONString(ddbroList));
//                dataItem.put("pre_diagnosis_code_standard", StrJoinSplitUtils.join(codes));
//            }
//        }



        //final_diagnosis_raw
        String col4="final_diagnosis_raw";
        Object obj4 =  dataItem.get(col4);
        if(obj4!=null){
            List<OperationDiagnoseBO> vals= JSON.parseArray(Convert.toStr(obj4), OperationDiagnoseBO.class);


            if(CollUtil.isNotEmpty(vals)){
                flag=true;
//                List<DiagnoseDBRO> ddbroList=new ArrayList<>();
                Set<String> codes=new HashSet<>();

                vals.forEach(item->{
                    codes.add(item.getDcode());

//                    ddbroList.add(new DiagnoseDBRO(item.getDcode(),item.getDname()));
//                    DiagnosisReportDBRO diagnosisReport= MQBeanCreateUtils.getDiagnosisReportDBRO2(
//                            dataItem.get("patient_id"),dataItem.get("patient_name"),dataItem.get("visit_id"),
//                            dataItem.get("in_patient_no"),
//                            dataItem.get("department_name_standard") ,dataItem.get("department_code_standard") ,
//                            dataItem.get("doctor_code") ,dataItem.get("doctor_name") ,
//                            item.getDcode(),item.getDname(),item.getDcode(),item.getDname(),
//                            dataItem.get("apply_time"),"1","1",
//                            null, DiagnoseRelTypeEnum.Operation_Final.getCode(), dataItem.get("id"),
//                            dataItem.get("data_update_date"),  dataItem.get("op_data_user"), dataItem.get("op_date")
//                    );
//                    context.addDiagnosis(diagnosisReport);
                });

//                dataItem.put("diagnosis_standard",JSON.toJSONString(ddbroList));
                dataItem.put("diagnosis_code_standard",StrJoinSplitUtils.join(codes));

            }
        }


        if(flag){



            String path="/home/debug_log/xx_clean/";
            String filePath = path+"op_clean_"+ DateUtil.format(new Date(),"yyyyMMdd")+".log";
            File file = new File(filePath);
            if(!file.exists()){
                FileUtil.touch(file);
            }
            FileAppender appender =new FileAppender(file,100,true);
            appender.append("DwdOpCleanService 手术记录清洗内容 ");
            appender.append(DateUtil.now());
            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("pay_time"),
                    dataItem.get("department_code_standard"),dataItem.get("department_name_standard"),
                    dataItem.get("doctor_code"),dataItem.get("doctor_name"));

            if(context.isEventFlag()) {
                MQPatientEventBean peb= MQBeanCreateUtils.getMQPatientEventBean2(PatientEventEnum.PE_E1110,
                        dataItem.get("patient_id"), dataItem.get("pay_time"), DataSceneType.DS_Operation,dataItem.get("id"));
                context.addDataMqItem(HMQQueueName.Que_Event_Data_Sava,peb);
                appender.append("手术记录清洗事件内容 ： "+HMQQueueName.Que_Event_Data_Sava + " : "+JSON.toJSONString(peb));
            }else {
                appender.append("手术记录不需要时间内容:"+Convert.toStr(dataItem.get("id")));
                if(context.isCalFlag()){
                    context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_Operation,dataItem.get("pay_time"),dataItem.get("id"));
                }
            }

            appender.flush();

        }



//        if(context.isEventFlag()){
//            //事件+规则
//            MQPatientEventBean peb= MQBeanCreateUtils.getMQPatientEventBean2(PatientEventEnum.PE_E1000,
//                    dataItem.get("patient_id"), dataItem.get("reg_date"),DataSceneType.DS_Register,dataItem.get("id"));
//            context.addDataMqItem(HMQQueueName.Que_Event_Data_Sava,peb);
//        }else {
//            //规则
//            if(context.isCalFlag()){
//                context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_Register,dataItem.get("reg_date"),dataItem.get("id"));
//            }
//        }


        return flag;
    }

}
