package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.MQBeanCreateUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 患者基本信息表
 * */
@Log4j2
@Service
public class DwdPatientCleanService extends Dwd2DwdCleanBaseService {


    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    public boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //
        String colCode="patient_gender_raw";
        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,colCode);
        Object obj =  dataItem.get(colCode);
        if(colDataCleanConfig!=null && obj!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,colCode, Convert.toStr(obj),colDataCleanConfig);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("patient_gender_standard",valueRO.getCode());
            }
        }

        if(flag){
            //规则MQ标记
            if(context.isCalFlag()){
                context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_Patient,dataItem.get("op_date"),dataItem.get("id"));
            }

            //
            if(context.isDataMqFlag()){
                context.addDataMqItem(HMQQueueName.Que_PatientInfo,MQBeanCreateUtils.getMQPatientAddBean(
                        dataItem.get("patient_id"),
                        dataItem.get("patient_name"),
                        dataItem.get("card_no"),
                        dataItem.get("patient_gender_standard"),
                        dataItem.get("birthday"),
                        dataItem.get("phone"),
                        dataItem.get("work_phone"),
                        dataItem.get("link_phone"),
                        dataItem.get("home_phone")
                ));
            }

            //
            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("data_update_date"),null,null,null,null);
        }






        return flag;
    }






}
