package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.common.mq.bean.MQPatientEventBean;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.PatientEventEnum;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventType;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.MQBeanCreateUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;
/**
 * 挂号
 * */
@Log4j2
@Service
public class DwdRegisterCleanService extends Dwd2DwdCleanBaseService{


    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;


    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //
        String col1="scene_type_raw";
        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,col1);
        Object obj =  dataItem.get(col1);
        if(colDataCleanConfig!=null && obj!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col1, Convert.toStr(obj),colDataCleanConfig);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("scene_type_standard",valueRO.getCode());
            }
        }

        //
        if(flag){
            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("reg_date"),dataItem.get("department_code_standard") ,dataItem.get("department_name_standard") ,dataItem.get("doctor_code") ,dataItem.get("doctor_name"));

            if(context.isDataMqFlag()){
                context.addDataMqItem(HMQQueueName.Que_PatientRegister, MQBeanCreateUtils.getMQPatientDeptAddBean(dataItem.get("patient_id"), dataItem.get("department_code_raw"), dataItem.get("status_standard")));
            }

            if(context.isEventFlag()){
                //事件+规则
                MQPatientEventBean peb= MQBeanCreateUtils.getMQPatientEventBean2(PatientEventEnum.PE_E1000,
                        dataItem.get("patient_id"), dataItem.get("reg_date"),DataSceneType.DS_Register,dataItem.get("id"));
                context.addDataMqItem(HMQQueueName.Que_Event_Data_Sava,peb);
            }else {
                //规则
                if(context.isCalFlag()){
                    context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_Register,dataItem.get("reg_date"),dataItem.get("id"));
                }
            }
        }

        context.addPatientEvent(PatientEventType.EveRegister,new PatientEventBO(
                    PatientEventType.EveRegister,
                    dataItem.get("patient_id"),
                    dataItem.get("reg_date"),
                    dataItem.get("company_code"),
                    dataItem.get("company_name"),
                    dataItem.get("department_code_raw"),
                    dataItem.get("department_name_raw"),
                    dataItem.get("id")
                )
        );


        return flag;
    }






}
