package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventBO;
import com.xxh.cloud.etl.common.framework.constant.PatientEventType;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 就诊
 * */
@Log4j2
@Service
public class DwdVisitCleanService extends Dwd2DwdCleanBaseService{

    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //
        String col1="scene_type_raw";
        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,col1);
        Object obj =  dataItem.get(col1);
        if(colDataCleanConfig!=null && obj!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col1, Convert.toStr(obj),colDataCleanConfig);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("scene_type_standard",valueRO.getCode());
            }
        }

        //
        String col2="status_raw";
        DataCleanConfigBO colDataCleanConfig2= this.getColumnCleanConfig(config,dataCleanConfigMap,col2);
        Object obj2 =  dataItem.get(col2);
        if(colDataCleanConfig2!=null && obj2!=null){
            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col2, Convert.toStr(obj2),colDataCleanConfig2);
            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
                flag=true;
                dataItem.put("status_standard",valueRO.getCode());
            }
        }

        //
        if(flag){
            if(context.isCalFlag()){
                context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_Visit,dataItem.get("visit_date"),dataItem.get("id"));
            }
            context.addPatientDataTime(dataItem.get("patient_id"), dataItem.get("visit_date"),
                    dataItem.get("department_code_standard"), dataItem.get("department_name_standard"),
                    dataItem.get("doctor_code"), dataItem.get("doctor_name"));
        }


        //院中服务事件
        context.addPatientEvent(PatientEventType.EveVisit,new PatientEventBO(
                        PatientEventType.EveVisit,
                        dataItem.get("patient_id"),
                        dataItem.get("visit_date"),
                        dataItem.get("company_code"),
                        dataItem.get("company_name"),
                        dataItem.get("department_code_raw"),
                        dataItem.get("department_name_raw"),
                        dataItem.get("id")
                )
        );


        return flag;

    }
}
