package com.xxh.cloud.exeEtl.framework.modules.mq.consumer;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.common.mq.bean.MQCleanTableIds;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.common.mq.constant.MQCleanTableKeyEnum;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto.Dwd2DwdCleanByWhereDTO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.biz.DwdDataClearnBizService;
import com.xxh.cloud.framework.common.utils.ConsoleUtils;
import com.xxh.cloud.framework.common.utils.XXEnumUtil;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jms.annotation.JmsListener;
import org.springframework.stereotype.Component;

/**
 * 数据清洗但不计算
 * */
@Log4j2
@Component
public class DataCleanNoRuleConsumer {



    @Autowired
    private DwdDataClearnBizService dwdDataClearnBizService;


    @JmsListener(destination= HMQQueueName.Que_CleanTableIdNot)
    public void queueUserDataOne(String message) {

        ConsoleUtils.log("++++++ ConsoleUtils +消费清洗数据【不需要执行引擎】");
        System.out.println("+++++++++ println 消费清洗数据【不需要执行引擎】+++++++++++");
        log.debug("<<<<< debug 数据清洗消费[不需要执行引擎] : 1. "+message);

        if(StrUtil.isEmpty(message)){
            return;
        }
        MQCleanTableIds cleanTableIds = JSON.parseObject(message, MQCleanTableIds.class);
        this.process(cleanTableIds);
    }


    private void process(MQCleanTableIds cleanTableIds){

        MQCleanTableKeyEnum keyEnum= XXEnumUtil.getEnum(MQCleanTableKeyEnum.class,cleanTableIds.getKey());
        if(keyEnum==null){
            log.error("+++++ 数据清洗消费，不支持的分类 {}",cleanTableIds.getKey());
            return;
        }
        Dwd2DwdCleanByWhereDTO whereDTO=new Dwd2DwdCleanByWhereDTO();
        whereDTO.setKey(keyEnum);
        whereDTO.setCalculateFlag(false);
        whereDTO.setEventFlag(true);
        whereDTO.setDataMQFlag(true);
        whereDTO.setIds(cleanTableIds.getIds());
        dwdDataClearnBizService.cleanByWhere2(whereDTO);

    }



}
