package com.xxh.cloud.exeEtl.framework.modules.read.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.etl.common.framework.modules.config.ProjectETLConfig;
import com.xxh.cloud.exeEtl.framework.modules.read.bean.bos.DwdQueryDataBO;
import com.xxh.cloud.exeEtl.framework.modules.read.bean.dto.DwdDataReadByListDTO;
import com.xxh.cloud.exeEtl.framework.modules.read.bean.dto.DwdDataReadByPageDTO;
import com.xxh.cloud.exeEtl.framework.modules.read.mapper.Dwd2DwdQueryMapper;
import com.xxh.cloud.exeEtl.framework.modules.read.service.DwdCleanDataReadService;
import com.xxh.cloud.framework.common.write.bean.HwdsWriteDBConfigBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

@DS("wd")
@Service
public class DwdCleanDataReadServiceImpl implements DwdCleanDataReadService {

    @Autowired
    private Dwd2DwdQueryMapper dwd2DwdQueryMapper;


    @Autowired
    private ProjectETLConfig eTLProjectETLConfig;


    private HwdsWriteDBConfigBean getHwdsWriteDBConfigBean(String tableCode, Set<String> cols){
        System.out.println("表字段 : "+StrUtil.join(",",cols));
        Map<String,String> colEntityMap=new HashMap<>();
        cols.forEach(col->{
            colEntityMap.put(col,col);
        });
        HwdsWriteDBConfigBean data=new HwdsWriteDBConfigBean(tableCode, eTLProjectETLConfig.getDbUrl(), eTLProjectETLConfig.getDbUserName(),
                eTLProjectETLConfig.getDbUserPassword(), tableCode,colEntityMap
        );
        return data;
    }

    @Override
    public DwdQueryDataBO readDataByPage(DwdDataReadByPageDTO params) {
        DwdQueryDataBO data=new DwdQueryDataBO();
        List<Map<String,Object>> dataList=this.readDataList(params.getTableCode(),params.getWhereSQL(),params.getOrderByCode(),
                params.getStart(),params.getNum());
        if(CollUtil.isEmpty(dataList)){
            return data;
        }
        Map<String,Object> dataItem =dataList.get(0);
        data.setConfig(this.getHwdsWriteDBConfigBean(params.getTableCode(),dataItem.keySet()));
        data.setData(dataList);
        return data;
    }

    @Override
    public DwdQueryDataBO readDataByList(DwdDataReadByListDTO params) {
        DwdQueryDataBO data=new DwdQueryDataBO();
        List<Map<String,Object>> dataList=this.readDataList(params.getTableCode(),params.getWhereSQL());
        if(CollUtil.isEmpty(dataList)){
            return data;
        }
        Map<String,Object> dataItem =dataList.get(0);
        data.setConfig(this.getHwdsWriteDBConfigBean(params.getTableCode(),dataItem.keySet()));
        data.setData(dataList);
        return data;
    }


    @Override
    public List<Map<String,Object>> readDataList(String tableCode , String where , String orderByCode , long start , int num){
        String sql;

        if(StrUtil.isNotEmpty(orderByCode)){
            if(StrUtil.isNotEmpty(where)){
                sql =StrUtil.format("SELECT * FROM {} WHERE {} ORDER BY  {} LIMIT {},{}",tableCode,where,orderByCode,start,num);
            }else {
                sql =StrUtil.format("SELECT * FROM {}  ORDER BY  {} LIMIT {},{}",tableCode,orderByCode,start,num);
            }
        }else {
            if(StrUtil.isNotEmpty(where)){
                sql =StrUtil.format("SELECT * FROM {} WHERE {} LIMIT {},{}",tableCode,where,start,num);
            }else {
                sql =StrUtil.format("SELECT * FROM {}  LIMIT {},{}",tableCode,start,num);
            }
        }

        System.out.println("++++++++++++++++ 查询SQL +++++++++++++++++++++++ ");
        System.out.println(sql);


        List<Map<String,Object>> dataList = dwd2DwdQueryMapper.readListData(sql);

        return dataList;
    }



    @Override
    public List<Map<String,Object>> readDataList(String tableCode , String where ){
        String sql;
        if(StrUtil.isNotEmpty(where)){
            sql =StrUtil.format("SELECT * FROM {} WHERE {} ",tableCode,where);
        }else {
            sql =StrUtil.format("SELECT * FROM {}  ",tableCode);
        }
        List<Map<String,Object>> dataList = dwd2DwdQueryMapper.readListData(sql);
        return dataList;
    }







}
