package com.xxh.cloud.exeEtl.framework.modules.task.service;


import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.io.FileUtil;
import cn.hutool.core.io.file.FileAppender;
import cn.hutool.core.util.StrUtil;
import cn.hutool.db.DbUtil;
import com.alibaba.fastjson2.JSON;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.exeEtl.framework.modules.read.mapper.Dwd2DwdQueryMapper;
import com.xxh.cloud.exeEtl.framework.modules.read.service.DwdCleanDataReadService;
import com.xxh.cloud.exeEtl.framework.modules.task.bean.DZMLContentBO;
import com.xxh.cloud.exeEtl.framework.modules.task.bean.EMRNLPResultBO;
import com.xxh.cloud.exeEtl.framework.modules.task.bean.PmrcnlpInsertBO;
import com.xxh.cloud.exeEtl.framework.modules.task.utils.JsonDictBO;
import com.xxh.cloud.exeEtl.framework.modules.task.utils.MRCNLPUtils;
import com.xxh.cloud.exeEtl.framework.modules.task.utils.NLPContentChangeUtils;
import com.xxh.cloud.exeEtl.framework.modules.task.utils.NLPProcessUtils;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import com.xxh.cloud.framework.common.utils.StrSqlUtils;
import com.xxh.cloud.framework.common.write.bean.HwdsWriteDBConfigBean;
import com.xxh.cloud.framework.common.write.doris.DorisWriter;
import com.xxh.cloud.framework.common.write2.DorisWriteUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;

import javax.sql.DataSource;
import java.io.File;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLData;
import java.sql.SQLException;
import java.util.*;

/**
 * 电子病例NLP
 * */
@DS("wd")
@Log4j2
@Service
public class DwdMedicalContentCleanService {



    @Autowired
    private Dwd2DwdQueryMapper dwd2DwdQueryMapper;


    private List<Map<String,Object>> onRead(){
        String sql="SELECT patient_id , id ,content_standard ,data_update_date FROM dwd_patient_medical_record_content_info where content_standard is not null and struct_flag ='N' LIMIT 10";
        List<Map<String,Object>> data=  dwd2DwdQueryMapper.readListData(sql);
        return data;
    }





//    public void test(){
//        System.out.println("---------------调用NLP接口测试------------------------");
//        MRCNLPUtils.http_nlp("患者于约  30 天前，无外伤情况下感腰背部疼痛剧烈，活动后加重，卧床休息后稍好转，活动受限；不伴有下肢疼痛麻木、不伴有大小便失禁。病程中一般情况可，无昏迷史，无头痛头昏，无恶心呕吐，无胸腹部疼痛，无腰痛，二便未解","symptom_result");
//    }

    public void nlp(){
        List<Map<String,Object>> list= this.onRead();
        if(CollUtil.isEmpty(list)){
            return;
        }

        String path="/home/debug_log/xx_clean/";
        String filePath = path+"mc_content_clean_"+ DateUtil.format(new Date(),"yyyyMMdd")+".log";
        File file = new File(filePath);
        if(!file.exists()){
            FileUtil.touch(file);
        }
        FileAppender appender =new FileAppender(file,100,true);

        List<PmrcnlpInsertBO> dataList=new ArrayList<>();
        Set<String> ids=new HashSet<>();
        for(Map<String,Object> map:list){
            String id=Convert.toStr(map.get("id"));
            String patientId=Convert.toStr(map.get("patient_id"));
            String content= Convert.toStr(map.get("content_standard"));
            dataList.add(new PmrcnlpInsertBO(id,patientId,content));
            ids.add(id);
        }

        String updateSQL1= StrUtil.format("UPDATE dwd_patient_medical_record_content_info set struct_flag='ing' where id in {}", StrSqlUtils.in(ids));
        dwd2DwdQueryMapper.update(updateSQL1);

        for(PmrcnlpInsertBO dataItem:dataList){

            List<EMRNLPResultBO>  emlList= NLPProcessUtils.onProcess(dataItem.getId(),dataItem.getPatientId(),dataItem.getContent());

            appender.append("-----------RML List insert------------------");
            if(CollUtil.isNotEmpty(emlList)){
                String sql= NLPProcessUtils.getWriteSQL(emlList);
                if(StrUtil.isNotEmpty(sql)){
                    appender.append("++++++SQL");
                    appender.append(sql);
                    dwd2DwdQueryMapper.insert(sql);
                }
            }else {
                appender.append("----------------------------调用NLP无数据");
            }

        }

        appender.flush();

    }













}
