package com.xxh.cloud.exeEtl.framework.modules.task.utils;

import cn.hutool.core.io.IoUtil;
import cn.hutool.core.lang.Dict;
import cn.hutool.core.thread.ThreadUtil;
import cn.hutool.core.util.CharsetUtil;
import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;

import java.io.InputStream;
import java.util.*;

public class MRCNLPUtils {

    private static String URL="http://172.18.84.102:8081/api/llm/chat/chat";
    //private static String URL="https://slife.bydsfy.com/llm/chat/chat";

    /**
     * */
    public static String http_nlp(String val,String prompt){

        Map<String,Object> paramMap=new HashMap<>();
        paramMap.put("query",val);
        paramMap.put("conversation_id","");
        paramMap.put("history_len",-1);
        paramMap.put("stream",false);
        paramMap.put("model_name","Qwen-14B-Chat");
        paramMap.put("temperature",0.1);
        paramMap.put("prompt_name",prompt);
        paramMap.put("platform","3");
        paramMap.put("deviceNo","");
        paramMap.put("version","1.0.0");
        paramMap.put("sign","");

        HttpResponse res = HttpRequest
                .post(MRCNLPUtils.URL)
                .body(JSON.toJSONString(paramMap))
                .contentType("application/json")
                .timeout(30000)
                .execute();

        String body=res.body();


        System.out.println("------------------------");
        System.out.println("请求内容: "+val);
        System.out.println("返回结果: "+body);

        ThreadUtil.sleep(2000);
        return body;

    }



    private static Map<String,String> nlp2(String val){

        Map<String,String> httpBodyMap=new HashMap<>();

        //体格-特征检查  physique_format
        String body1 =  MRCNLPUtils.http_nlp(val,"physique_format");
        httpBodyMap.put("physique_format",body1);

        //体格-一般检查  general_format
        String body2 =  MRCNLPUtils.http_nlp(val,"general_format");
        httpBodyMap.put("general_format",body2);

        //体格 - 神经系统  nervous_format
        String body3 =  MRCNLPUtils.http_nlp(val,"nervous_format");
        httpBodyMap.put("nervous_format",body3);

        //体格-皮肤、粘膜  skin_format
        String body4 =  MRCNLPUtils.http_nlp(val,"skin_format");
        httpBodyMap.put("skin_format",body4);

        //体格-浅表淋巴结  lymph_format
        String body5 =  MRCNLPUtils.http_nlp(val,"lymph_format");
        httpBodyMap.put("lymph_format",body5);

        //体格-眼睑情况
        String body6 =  MRCNLPUtils.http_nlp(val,"eye_format");
        httpBodyMap.put("eye_format",body6);

        //体格-耳朵 ears_format
        String body7 =  MRCNLPUtils.http_nlp(val,"ears_format");
        httpBodyMap.put("ears_format",body7);

        //体格 - 鼻子-口腔-舌  nose_oral_cavity_format
        String body8 =  MRCNLPUtils.http_nlp(val,"nose_oral_cavity_format");
        httpBodyMap.put("nose_oral_cavity_format",body8);

        //体格 - 颈部 neck_format
        String body9 =  MRCNLPUtils.http_nlp(val,"neck_format");
        httpBodyMap.put("neck_format",body9);

        //体格 - 胸部 chest_format
        String body10 =  MRCNLPUtils.http_nlp(val,"chest_format");
        httpBodyMap.put("chest_format",body10);

        //体格 - 肺脏 lung_format
        String body11 =  MRCNLPUtils.http_nlp(val,"lung_format");
        httpBodyMap.put("lung_format",body11);

        //体格 - 心脏 heart_format
        String body12 =  MRCNLPUtils.http_nlp(val,"heart_format");
        httpBodyMap.put("heart_format",body12);

        //体格 - 腹部 abdomen_format
        String body13 =  MRCNLPUtils.http_nlp(val,"abdomen_format");
        httpBodyMap.put("abdomen_format",body13);

        //体格 - 四肢 limb_format
        String body14 =  MRCNLPUtils.http_nlp(val,"limb_format");
        httpBodyMap.put("limb_format",body14);

        return httpBodyMap;
    }



    /**
     *
     * */
    public static JsonDictBO getHttpJson(String val, String prompt){
        String body = MRCNLPUtils.http_nlp(val,prompt);
        JsonDictBO jsonDict= toJson(body);
        return jsonDict;
    }


    /**
     *
     * */
    public static JsonTextBO getTextJson(String val){
        try {
            JSONObject jsonObject= JSON.parseObject(val);
            return new  JsonTextBO(true,jsonObject.getString("text")) ;
        }catch (Exception e){
            return new JsonTextBO(false);
        }
    }


    public static boolean isJsonString(String jsonStr){
        try {
            JSON.parseObject(jsonStr);
            return true;
        }catch (Exception e){
            return false;
        }
    }





    private static JsonObjBO getJsonObj(String val){
        try {
            JSONObject jsonObject= JSON.parseObject(val);
            return new  JsonObjBO(true,jsonObject) ;
        }catch (Exception e){
            return new JsonObjBO(false);
        }
    }

    private static JsonObjBO getJsonList(String val){
        try {
            JSONArray jsonArray= JSON.parseArray(val);
            return new  JsonObjBO(true,jsonArray) ;
        }catch (Exception e){
            return new JsonObjBO(false);
        }
    }


    /**
     * ok
     * */
    private static JsonDictBO toJson(String val){
        int idx=val.indexOf("data:");
        String subval;
        if(idx>0){
            subval=val.substring(idx);
        }else {
            subval=val;
        }

        String val2= subval.replaceAll("data:","");

        //System.out.println("------------val2---------------");
        //System.out.println(val2);

        JsonTextBO jsonTextBO= getTextJson(val2);
        if(jsonTextBO.isFlag()==false){
            return new JsonDictBO(false);
        }

        String textJson=jsonTextBO.getText();


        String textJson2= textJson.replaceAll("```json","");
        String textJson3= textJson2.replace("```","");


        int startIdx= textJson3.indexOf("[");
        int endIdx = textJson3.indexOf("]");

        if(startIdx>0 && endIdx>0){
            String tjson4= textJson3.substring(startIdx);
            int endIdx2 = tjson4.indexOf("]");
            String tjson5= tjson4.substring(0,endIdx2+1);
            //System.out.println("===============List json5 ");
            //System.out.println(tjson5);
            JsonObjBO objJson =  MRCNLPUtils.getJsonList(tjson5);
            if(objJson.isFlag()==false){
                return new JsonDictBO(false);
            }
            List<Dict> dataList=new ArrayList<>();
            for (int i = 0; i < objJson.getJsonArray().size(); i++) {
                JSONObject itemJsonObj= objJson.getJsonArray().getJSONObject(i);
                Dict dict=Dict.create();
                Set<String> keys= itemJsonObj.keySet();
                for (String key:keys){
                    dict.set(key, itemJsonObj.get(key));
                }
                dataList.add(dict);
            }
            return new JsonDictBO(true,dataList);
        }else {
            JsonObjBO objJson = MRCNLPUtils.getJsonObj(textJson3);
            if(objJson.isFlag()==false){
                return new JsonDictBO(false);
            }
            Set<String> keys= objJson.getJsonObj().keySet();
            Dict dict=Dict.create();
            for (String key:keys){
                dict.set(key, objJson.getJsonObj().get(key));
            }
            return new JsonDictBO(true,dict);
        }

    }



    public static void main(String[] args) {
//        MRCNLPUtils.test();

//        String val1="患者单大春，男，80岁，因反复胸闷五年，再发加重一周入院，既往有“高血压”病史多年，有“脑梗死”病史数年，体格检查：BP：149/84mmHg，神志清楚，精神差，颈软，颈静脉无怒张，气管居中，甲状腺未触及肿大，双肺呼吸音粗，两肺未闻及啰音，心界无扩大，心率55次／分，心律齐，各瓣膜听诊区未闻及病理性杂音，腹平软，肝脾肋下未触及，无压痛及反跳痛，四肢肌力及肌张力可，双下肢无水肿，双巴氏征（－）。";
//
//        //String val2="便不成形腹泻1年。患者于1年前 无明确诱因下出现大便不成形、腹泻、伴有阵发性腹痛，排便后好转适，程度中等，受凉后腹泻加重，伴有恶心，无呕吐，无发热，无肛门停止排气排便，未予以治疗，腹痛后未再进食。病程中患者无呕血，无昏倒，未进食，小便正常。既往史：无传染病史；无输血史；无手术史； 无个人史； 无家族史；无婚育史；无疫区接触史； 无国内新冠肺炎疫区接触史；无国外新冠肺炎疫区接触史；新冠核酸采样否；无北京疫区接触史。腹部 视诊：外形：正常。胃型：无。肠型：无。腹式呼吸：存在。蠕动波：无。腹壁静脉：无。手术瘢痕：无， 部位：        。";
//
////        String val3="一周前无明显诱因下出现双眼异物感不适，未予重视，无予以相关治疗，症状无明显好转，现自觉不适症状加重，今为进一步治疗就诊。病程中患者无意识障碍，无二便失禁，无寒战、高热，无四肢抽搐";
//        Map<String,String> data= MRCNLPUtils.nlp2(val1);
//
//
//        for (String key:data.keySet()){
//            System.out.println("-----------------------"+key);
//            String keyVal = data.get(key);
//            JsonDictBO keyValObj= MRCNLPUtils.toJson(keyVal);
//            System.out.println(JSON.toJSONString(keyValObj));
//        }





//        String v1=" data: {\"text\": \"{\\n  \\\"体温结果\\\": \\\"未见\\\",\\n  \\\"心率\\\": \\\"55次/分\\\",\\n  \\\"血压\\\": \\\"149/84mmHg\\\",\\n  \\\"体重\\\": \\\"未见\\\",\\n  \\\"身高\\\": \\\"未见\\\",\\n  \\\"BMI\\\": \\\"未见\\\"\\n}\", \"message_id\": \"ecc1fe203d9f4495bcf731c0c8c08ff7\"}";
//        String v2="data: {\"text\": \"{\\n  \\\"体温结果\\\": \\\"未见\\\",\\n  \\\"心率\\\": \\\"55次/分\\\",\\n  \\\"血压\\\": \\\"149/84mmHg\\\",\\n  \\\"体重\\\": \\\"未见\\\",\\n  \\\"身高\\\": \\\"未见\\\",\\n  \\\"BMI\\\": \\\"未见\\\"\\n}\", \"message_id\": \"ecc1fe203d9f4495bcf731c0c8c08ff7\"}";
//        String v3="data: {\"text\": \"```json\\n{\\n  \\\"发育\\\": \\\"未见\\\",\\n  \\\"营养\\\": \\\"未见\\\",\\n  \\\"面容\\\": \\\"未见\\\",\\n  \\\"体位\\\": \\\"未见\\\",\\n  \\\"神志\\\": \\\"清楚\\\"\\n}\\n```\", \"message_id\": \"154747497cf240de94014c3297c56b85\"}";
//        String v4="data: {\"text\": \"```json\\n{\\n  \\\"生理反射\\\": \\\"未见\\\",\\n  \\\"病理反射\\\": \\\"未见\\\",\\n  \\\"脑膜刺激征\\\": \\\"未见\\\"\\n}\\n```\", \"message_id\": \"2a7cf1a0fe754996a48147d6fa9f7507\"}";
//        String v5=" data: {\"text\": \"```json\\n{\\n  \\\"皮肤色泽\\\": \\\"未见\\\",\\n  \\\"皮疹\\\": \\\"未见\\\",\\n  \\\"皮下出血\\\": \\\"未见\\\",\\n  \\\"毛发分布\\\": \\\"未见\\\",\\n  \\\"皮肤温度\\\": \\\"未见\\\",\\n  \\\"皮肤弹性\\\": \\\"未见\\\",\\n  \\\"水肿\\\": \\\"未见\\\",\\n  \\\"肝掌\\\": \\\"未见\\\",\\n  \\\"蜘蛛痣\\\": \\\"未见\\\"\\n}\\n```\", \"message_id\": \"45eb9331fe124390ac6cc2e7b175b98b\"}";

//        String v6=": ping - 2024-09-28 06:31:58.342891 data: {\"text\": \"```json\\n{\\n  \\\"皮肤色泽\\\": \\\"未见\\\",\\n  \\\"皮疹\\\": \\\"未见\\\",\\n  \\\"皮下出血\\\": \\\"未见\\\",\\n  \\\"毛发分布\\\": \\\"未见\\\",\\n  \\\"皮肤温度\\\": \\\"未见\\\",\\n  \\\"皮肤弹性\\\": \\\"未见\\\",\\n  \\\"水肿\\\": \\\"未见\\\",\\n  \\\"肝掌\\\": \\\"未见\\\",\\n  \\\"蜘蛛痣\\\": \\\"未见\\\"\\n}\\n```\", \"message_id\": \"45eb9331fe124390ac6cc2e7b175b98b\"}";
//

        String v7=" data: {\"text\": \"```json\\n{\\n  \\\"呼吸运动\\\": \\\"正常\\\",\\n  \\\"语颤\\\": \\\"正常\\\",\\n  \\\"胸膜摩擦感\\\": \\\"无\\\",\\n  \\\"叩诊\\\": \\\"清音\\\",\\n  \\\"呼吸音\\\": \\\"清\\\",\\n  \\\"啰音\\\": \\\"未闻及\\\",\\n  \\\"语音传导\\\": \\\"正常\\\",\\n  \\\"胸膜摩擦音\\\": \\\"未闻及\\\"\\n}\\n```\", \"message_id\": \"cffa10ca5d4d44409b9d04e1c1f7ba11\"}";


        String v10="  data: {\"text\": \"```json\\n[\\n  {\\n    \\\"症状名称\\\": \\\"血糖升高\\\",\\n    \\\"发生部位\\\": \\\"未见\\\",\\n    \\\"严重程度\\\": \\\"未见\\\",\\n    \\\"持续时间\\\": \\\"1年余\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  }\\n]\\n```\", \"message_id\": \"a1fbc3dd57854c4fb6ae4541e6238834\"}";
        String v11=" data: {\"text\": \"根据已知信息，提取到的症状如下：\\n\\n```json\\n[\\n  {\\n    \\\"症状名称\\\": \\\"右踝关节骨折\\\",\\n    \\\"发生部位\\\": \\\"右踝关节\\\",\\n    \\\"严重程度\\\": \\\"未见\\\",\\n    \\\"持续时间\\\": \\\"未见\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  }\\n]\\n```\\n\\n注意：由于已知信息中没有提到具体的症状，所以只能提取到手术史，即“2021年右踝关节骨折手术史”。\", \"message_id\": \"f281ac1cf60d4dcea77a61f62d1cebf8\"}";
        String v12="data: {\"text\": \"```json\\n[\\n  {\\n    \\\"症状名称\\\": \\\"体重增加\\\",\\n    \\\"发生部位\\\": \\\"全身\\\",\\n    \\\"严重程度\\\": \\\"中度\\\",\\n    \\\"持续时间\\\": \\\"1年余\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  },\\n  {\\n    \\\"症状名称\\\": \\\"空腹血糖升高\\\",\\n    \\\"发生部位\\\": \\\"全身\\\",\\n    \\\"严重程度\\\": \\\"中度\\\",\\n    \\\"持续时间\\\": \\\"1年余\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  },\\n  {\\n    \\\"症状名称\\\": \\\"餐后血糖升高\\\",\\n    \\\"发生部位\\\": \\\"全身\\\",\\n    \\\"严重程度\\\": \\\"中度\\\",\\n    \\\"持续时间\\\": \\\"近期\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  },\\n  {\\n    \\\"症状名称\\\": \\\"双手麻木\\\",\\n    \\\"发生部位\\\": \\\"双手\\\",\\n    \\\"严重程度\\\": \\\"轻度\\\",\\n    \\\"持续时间\\\": \\\"病程中\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  }\\n]\\n```\", \"message_id\": \"6c3616df33f94948b98badecbd4ab1f9\"}";


        String v13="ping - 2024-09-30 08:33:16.764339" +
                "" +
                "data: {\"text\": \"根据已知信息，提取出的症状如下：\\n\\n```json\\n[\\n  {\\n    \\\"症状名称\\\": \\\"2型糖尿病\\\",\\n    \\\"发生部位\\\": \\\"未见\\\",\\n    \\\"严重程度\\\": \\\"未见\\\",\\n    \\\"持续时间\\\": \\\"未见\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  },\\n  {\\n    \\\"症状名称\\\": \\\"体重增加\\\",\\n    \\\"发生部位\\\": \\\"未见\\\",\\n    \\\"严重程度\\\": \\\"未见\\\",\\n    \\\"持续时间\\\": \\\"未见\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  },\\n  {\\n    \\\"症状名称\\\": \\\"双眼视物模糊\\\",\\n    \\\"发生部位\\\": \\\"未见\\\",\\n    \\\"严重程度\\\": \\\"未见\\\",\\n    \\\"持续时间\\\": \\\"未见\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  },\\n  {\\n    \\\"症状名称\\\": \\\"双手麻木\\\",\\n    \\\"发生部位\\\": \\\"未见\\\",\\n    \\\"严重程度\\\": \\\"未见\\\",\\n    \\\"持续时间\\\": \\\"未见\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  },\\n  {\\n    \\\"症状名称\\\": \\\"泡沫\\\",\\n    \\\"发生部位\\\": \\\"未见\\\",\\n    \\\"严重程度\\\": \\\"未见\\\",\\n    \\\"持续时间\\\": \\\"未见\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  },\\n  {\\n    \\\"症状名称\\\": \\\"大便正常\\\",\\n    \\\"发生部位\\\": \\\"未见\\\",\\n    \\\"严重程度\\\": \\\"未见\\\",\\n    \\\"持续时间\\\": \\\"未见\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  },\\n  {\\n    \\\"症状名称\\\": \\\"饮食、睡眠尚可\\\",\\n    \\\"发生部位\\\": \\\"未见\\\",\\n    \\\"严重程度\\\": \\\"未见\\\",\\n    \\\"持续时间\\\": \\\"未见\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  },\\n  {\\n    \\\"症状名称\\\": \\\"近期体重无明显下降\\\",\\n    \\\"发生部位\\\": \\\"未见\\\",\\n    \\\"严重程度\\\": \\\"未见\\\",\\n    \\\"持续时间\\\": \\\"未见\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  }\\n]\\n```\\n\\n注意：以上症状信息仅为根据已知信息提取，可能存在遗漏或错误，具体诊断和治疗需要结合临床医生的专业判断。\", \"message_id\": \"01cdaee9ad8643959653626cca8b8e46\"}";

        String v14=" data: {\"text\": \"根据已知信息，提取到的症状如下：\\n\\n```json\\n[\\n  {\\n    \\\"症状名称\\\": \\\"右踝关节骨折\\\",\\n    \\\"发生部位\\\": \\\"右踝关节\\\",\\n    \\\"严重程度\\\": \\\"未见\\\",\\n    \\\"持续时间\\\": \\\"未见\\\",\\n    \\\"单次时长\\\": \\\"未见\\\"\\n  }\\n]\\n```\\n\\n注意：由于已知信息中没有提到具体的症状，所以只能提取到手术史，即“2021年右踝关节骨折手术史”。\", \"message_id\": \"663f062c25984089908fd1c785f46f35\"}";


//        System.out.println(v10);
        JsonDictBO val= MRCNLPUtils.toJson(v14);
        System.out.println(JSON.toJSONString(val));




    }





}
