package com.xxh.cloud.exeEtl.framework.modules.task.utils;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.xxh.cloud.exeEtl.framework.modules.task.bean.DZMLContentBO;
import com.xxh.cloud.exeEtl.framework.modules.task.bean.EMRNLPResultBO;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;

import java.util.List;
import java.util.Map;

public class NLPContentChangeUtils {


    private static String changeNullStr(String val){
        String val1= val.trim();
        String val2= val1.replaceAll(" ","");
        return val2;
    }


    private static String getStrById(String id, JSONObject jsonObject){
        if(StrUtil.isEmpty(id)){
            return null;
        }
        if(jsonObject==null){
            return null;
        }

        String id2= jsonObject.getString("id");
        String content2=  jsonObject.getString("value");

        if(StrUtil.isEmpty(content2)){
            return null;
        }

        if(StrUtil.isEmpty(id2)){
            return null;
        }

        String newId=changeNullStr(id2);

        if(id.equals(newId)){
            return content2;
        }
        return null;
    }



    private static String getStrByName(String name, JSONObject jsonObject){
        if(StrUtil.isEmpty(name)){
            return null;
        }
        if(jsonObject==null){
            return null;
        }

        String name2= jsonObject.getString("name");
        String content2=  jsonObject.getString("content");

        if(StrUtil.isEmpty(content2)){
            return null;
        }

        if(StrUtil.isEmpty(name2)){
            return null;
        }

        String newName=changeNullStr(name2);

        if(name.equals(newName)){
            return content2;
        }
        return null;
    }

    private static String getStrByTitle(String title,JSONObject jsonObject){
        if(StrUtil.isEmpty(title)){
            return null;
        }
        if(jsonObject==null){
            return null;
        }

        String content2=  jsonObject.getString("content");
        String title2= jsonObject.getString("title");

        if(StrUtil.isEmpty(content2)){
            return null;
        }

        if(StrUtil.isEmpty(title2)){
            return null;
        }


        String newTitle=changeNullStr(title2);

        if(title.equals(newTitle)){
            return content2;
        }

        return null;
    }


    public static DZMLContentBO getChangeBean(JSONArray jsonArray){

        DZMLContentBO data=new DZMLContentBO();


        for (int i = 0; i <jsonArray.size() ; i++) {
            JSONObject itemJsonObj= jsonArray.getJSONObject(i);

            //主诉 ok
            String zs0=NLPContentChangeUtils.getStrById("CHIEF_COMPLAINT",itemJsonObj);
            if(StrUtil.isNotEmpty(zs0)){
                data.setZs(zs0);
            }else {
                String zs1 = NLPContentChangeUtils.getStrByName("CHIEF_COMPLAINT",itemJsonObj);
                if(StrUtil.isNotEmpty(zs1)){
                    data.setZs(zs1);
                }else {
                    String zs2 = NLPContentChangeUtils.getStrByTitle("主诉",itemJsonObj);
                    if(StrUtil.isNotEmpty(zs2)){
                        data.setZs(zs2);
                    }
                }
            }

            //现病史 ok
            String xbs0= NLPContentChangeUtils.getStrById("HPI",itemJsonObj);
            if(StrUtil.isNotEmpty(xbs0)){
                data.setXbs(xbs0);
            }else {
                String xbs1= NLPContentChangeUtils.getStrByName("HPI",itemJsonObj);
                if(StrUtil.isNotEmpty(xbs1)){
                    data.setXbs(xbs1);
                }else {
                    String xbs2= NLPContentChangeUtils.getStrByTitle("现病史",itemJsonObj);
                    if(StrUtil.isNotEmpty(xbs2)){
                        data.setXbs(xbs2);
                    }
                }
            }

            //既往史 ok
            String jws0= NLPContentChangeUtils.getStrById("ELAPSEMHIS",itemJsonObj);
            if(StrUtil.isNotEmpty(jws0)){
                data.setJws(jws0);
            }else {
                String jws1= NLPContentChangeUtils.getStrByName("ELAPSEMHIS",itemJsonObj);
                if(StrUtil.isNotEmpty(jws1)){
                    data.setJws(jws1);
                }else {
                    String jws2= NLPContentChangeUtils.getStrByTitle("既往史",itemJsonObj);
                    if(StrUtil.isNotEmpty(jws2)){
                        data.setJws(jws2);
                    }
                }
            }


            //个人史 ok
            String grs0= NLPContentChangeUtils.getStrById("INDIVIDUALMHIS",itemJsonObj);
            if(StrUtil.isNotEmpty(grs0)){
                data.setGrs(grs0);
            }else {
                String grs1= NLPContentChangeUtils.getStrByName("INDIVIDUALMHIS",itemJsonObj);
                if(StrUtil.isNotEmpty(grs1)){
                    data.setGrs(grs1);
                }else {
                    String grs2= NLPContentChangeUtils.getStrByTitle("个人史",itemJsonObj);
                    if(StrUtil.isNotEmpty(grs2)){
                        data.setGrs(grs2);
                    }
                }
            }




            //体格检查 ok
            String tgjc0= NLPContentChangeUtils.getStrById("BODYCHECK",itemJsonObj);
            if(StrUtil.isNotEmpty(tgjc0)){
                data.setTgjc(tgjc0);
            }else {
                String tgjc1= NLPContentChangeUtils.getStrByName("BODYCHECK",itemJsonObj);
                if(StrUtil.isNotEmpty(tgjc1)){
                    data.setTgjc(tgjc1);
                }else {
                    String tgjc2= NLPContentChangeUtils.getStrByTitle("体格检查",itemJsonObj);
                    if(StrUtil.isNotEmpty(tgjc2)){
                        data.setTgjc(tgjc2);
                    }
                }
            }


            //体格检查:一般状况
            String tg_ybqk1= NLPContentChangeUtils.getStrByName("HDSD0013094",itemJsonObj);
            if(StrUtil.isNotEmpty(tg_ybqk1)){
                data.setTgybqk(tg_ybqk1);
            }else {
                String tg_ybqk2= NLPContentChangeUtils.getStrByTitle("一般状况",itemJsonObj);
                if(StrUtil.isNotEmpty(tg_ybqk2)){
                    data.setTgybqk(tg_ybqk2);
                }
            }



            //体格检查:皮肤、粘膜
            String tg_pfnm1= NLPContentChangeUtils.getStrByName("HDSD0013081",itemJsonObj);
            if(StrUtil.isNotEmpty(tg_pfnm1)){
                data.setTgpfnm(tg_pfnm1);
            }else {
                String tg_pfnm2= NLPContentChangeUtils.getStrByTitle("皮肤、粘膜",itemJsonObj);
                if(StrUtil.isNotEmpty(tg_pfnm2)){
                    data.setTgpfnm(tg_pfnm2);
                }
            }

            //体格检查:浅表淋巴结
            String tg_qblbj1= NLPContentChangeUtils.getStrByName("HDSD0013082",itemJsonObj);
            if(StrUtil.isNotEmpty(tg_qblbj1)){
                data.setTgqblbj(tg_qblbj1);
            }else {
                String tg_qblbj2= NLPContentChangeUtils.getStrByTitle("浅表淋巴结",itemJsonObj);
                if(StrUtil.isNotEmpty(tg_qblbj2)){
                    data.setTgqblbj(tg_qblbj2);
                }
            }


            //体格检查:头部
            String tg_tb1= NLPContentChangeUtils.getStrByName("HDSD0013091",itemJsonObj);
            if(StrUtil.isNotEmpty(tg_tb1)){
                data.setTgtb(tg_tb1);
            }else {
                String tg_tb2= NLPContentChangeUtils.getStrByTitle("头部",itemJsonObj);
                if(StrUtil.isNotEmpty(tg_tb2)){
                    data.setTgtb(tg_tb2);
                }
            }

            //体格检查:颈部
            String tg_jb1= NLPContentChangeUtils.getStrByName("HDSD0013079",itemJsonObj);
            if(StrUtil.isNotEmpty(tg_jb1)){
                data.setTgjb(tg_jb1);
            }else {
                String tg_jb2= NLPContentChangeUtils.getStrByTitle("颈部",itemJsonObj);
                if(StrUtil.isNotEmpty(tg_jb2)){
                    data.setTgjb(tg_jb2);
                }
            }

            //体格检查:胸部



            //体格检查:心脏
            String tg_xz1= NLPContentChangeUtils.getStrByName("xinzang",itemJsonObj);
            if(StrUtil.isNotEmpty(tg_xz1)){
                data.setTgxz(tg_xz1);
            }else {
                String tg_xz2= NLPContentChangeUtils.getStrByTitle("心脏",itemJsonObj);
                if(StrUtil.isNotEmpty(tg_xz2)){
                    data.setTgxz(tg_xz2);
                }
            }


            //体格检查:腹部
            String tg_fb0= NLPContentChangeUtils.getStrById("ABDOMINAL_EXAM",itemJsonObj);
            if(StrUtil.isNotEmpty(tg_fb0)){
                data.setTgfb(tg_fb0);
            }else {
                String tg_fb1= NLPContentChangeUtils.getStrByName("HDSD0013075",itemJsonObj);
                if(StrUtil.isNotEmpty(tg_fb1)){
                    data.setTgfb(tg_fb1);
                }else {
                    String tg_fb2= NLPContentChangeUtils.getStrByTitle("腹部",itemJsonObj);
                    if(StrUtil.isNotEmpty(tg_fb2)){
                        data.setTgfb(tg_fb2);
                    }
                }
            }


            //体格检查:四肢
            String tg_sz1= NLPContentChangeUtils.getStrByName("HDSD0013087",itemJsonObj);
            if(StrUtil.isNotEmpty(tg_sz1)){
                data.setTgsz(tg_sz1);
            }else {
                String tg_sz2= NLPContentChangeUtils.getStrByTitle("四肢",itemJsonObj);
                if(StrUtil.isNotEmpty(tg_sz2)){
                    data.setTgsz(tg_sz2);
                }
            }


            //体格检查:神经系统
            String tg_sjxt1= NLPContentChangeUtils.getStrByName("HDSD0013084",itemJsonObj);
            if(StrUtil.isNotEmpty(tg_sjxt1)){
                data.setTgsjxt(tg_sjxt1);
            }else {
                String tg_sjxt2= NLPContentChangeUtils.getStrByTitle("神经系统",itemJsonObj);
                if(StrUtil.isNotEmpty(tg_sjxt2)){
                    data.setTgsjxt(tg_sjxt2);
                }
            }

        }

        return data;
    }


    public static DZMLContentBO getContentChangeBean(String json){
        if(StrUtil.isEmpty(json)){
            return null;
        }
        JSONObject jsonObject= JSON.parseObject(json);
        if(!jsonObject.containsKey("valueList")){
            return null;
        }
        JSONArray jsonArray= jsonObject.getJSONArray("valueList");
        return getChangeBean(jsonArray);
    }





    private static void showBean(DZMLContentBO dzml){

        System.out.println("主诉----------------");
        System.out.println(dzml.getZs());

        System.out.println("现病史----------------");
        System.out.println(dzml.getXbs());

        System.out.println("既往史----------------");
        System.out.println(dzml.getJws());

        System.out.println("个人史----------------");
        System.out.println(dzml.getGrs());

        System.out.println("体格检查----------------");
        System.out.println(dzml.getTgjc());

        System.out.println("体格检查:一般状况----------------");
        System.out.println(dzml.getTgybqk());

        System.out.println("体格检查:皮肤、粘膜----------------");
        System.out.println(dzml.getTgpfnm());

        System.out.println("体格检查:浅表淋巴结----------------");
        System.out.println(dzml.getTgqblbj());

        System.out.println("体格检查:头部----------------");
        System.out.println(dzml.getTgtb());

        System.out.println("体格检查:颈部----------------");
        System.out.println(dzml.getTgjb());

        System.out.println("体格检查:胸部----------------");
        System.out.println(dzml.getTgxb());

        System.out.println("体格检查:心脏----------------");
        System.out.println(dzml.getTgxz());

        System.out.println("体格检查:腹部----------------");
        System.out.println(dzml.getTgfb());

        System.out.println("体格检查:四肢----------------");
        System.out.println(dzml.getTgsz());


        System.out.println("体格检查:神经系统----------------");
        System.out.println(dzml.getTgsjxt());
    }


    public static void main(String[] args) {
        String json="{\"code\":\"success\",\"value\":\"主诉：双侧胸痛2月。否认发热。\\n现病史：患者于2月前出现胸部疼痛，疼痛部位位于双侧胸部，疼痛呈持续性疼痛，今日为明确诊疗来我院就诊，患者病程中无发热，无咳嗽咳痰，无心慌胸闷，无下肢浮肿，饮食睡眠基本正常，大小便正常。\\n既往史：否认药物、食物过敏；否认传染病史；否认输血史；否认手术外伤史新冠疫苗接种        ，接种        针。\\n无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\\n个人史：长期居住本地区，近半月内外出至疫情地区，未接触疫情疫区的外来人员，否认吸烟史，否认饮酒史。\\n过敏史：过敏史：无\\n查体：\\n胸廓无畸形，胸壁无压痛，听诊双肺呼吸音清，未闻及干湿啰音，心率        次/分钟，心律整齐，心尖搏动正常，心界无扩大，未闻及杂音。\\n辅助检查：\\n门诊诊断:肺结节?\\n诊疗意见：\\n用药： \\n[美洛昔康片][7.5][mg][口服][一日一次]\\n检查：\\n检验：\\n处置： \\n患者去向：□门诊治疗   √门诊随诊   □住院治疗\\n嘱托：1、院外观察，注意休息，减少活动，\\n2、院外口服药物：\\n3、胸痛不缓解，随时来院就诊。\\n4、住院治疗\\n提示：根据诊疗需求选择是否做以下项目:\\n检查:胸部CT，腹部彩超，心脏彩超，下肢动静脉彩超，胃镜等；\\n检验：血常规，生化，肿瘤标志物，凝血测试，PT等；\\n注意事项：\\n1、复诊时间：\\n2、健康宣教：\\n3、其他：\\n                                医师签名：   \\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t时间: 2024-09-30\\n\",\"valueList\":[{\"content\":\"双侧胸痛2月。否认发热。\",\"index\":0,\"name\":\"CHIEF_COMPLAINT\",\"title\":\"主诉\"},{\"content\":\"患者于2月前出现胸部疼痛，疼痛部位位于双侧胸部，疼痛呈持续性疼痛，今日为明确诊疗来我院就诊，患者病程中无发热，无咳嗽咳痰，无心慌胸闷，无下肢浮肿，饮食睡眠基本正常，大小便正常。\",\"index\":1,\"name\":\"HPI\",\"title\":\"现病史\"},{\"content\":\"否认药物、食物过敏；否认传染病史；否认输血史；否认手术外伤史新冠疫苗接种        ，接种        针。无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\",\"index\":2,\"name\":\"ELAPSEMHIS\",\"title\":\"既往史\"},{\"content\":\"无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\",\"index\":3,\"name\":\"40EB33E7FC494EDFB6DA6986C762578F\",\"title\":\"\"},{\"content\":\"无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\",\"index\":4,\"name\":\"44574D6BF07149ECAFE7AFA729C2C688\",\"title\":\"\"},{\"content\":\"长期居住本地区，近半月内外出至疫情地区，未接触疫情疫区的外来人员，否认吸烟史，否认饮酒史。\",\"index\":5,\"name\":\"INDIVIDUALMHIS\",\"title\":\"个人史\"},{\"content\":\"无\",\"index\":6,\"name\":\"ALLERGICHIS\",\"title\":\"过敏史\"},{\"content\":\"无\",\"index\":7,\"name\":\"56E7D761F6DC44D881DB26F8D710770F\",\"title\":\"过敏史\"},{\"content\":\"胸廓无畸形，胸壁无压痛，听诊双肺呼吸音清，未闻及干湿啰音，心率        次/分钟，心律整齐，心尖搏动正常，心界无扩大，未闻及杂音。\",\"index\":8,\"name\":\"BODYCHECK\",\"title\":\"查体\"},{\"content\":\"肺结节?\",\"index\":12,\"name\":\"DIAGNOSES\",\"title\":\"\"},{\"content\":\"肺结节?\",\"index\":13,\"name\":\"AE81488AFF884FC792ACA5CC13FABFF7\",\"title\":\"\"},{\"content\":\"肺结节?\",\"index\":14,\"name\":\"A53C30B09054426792EBA4E6873B0F97\",\"title\":\"\"},{\"content\":\"肺结节?\",\"index\":15,\"name\":\"5CFBD4BC5A4549EBBFBF1F5EB6DDD911\",\"title\":\"门诊诊断:\"},{\"content\":\"[美洛昔康片][7.5][mg][口服][一日一次]\",\"index\":16,\"name\":\"C225A4A7532A4A519BE3DFFE2E2E6221\",\"title\":\"\"},{\"content\":\"[美洛昔康片][7.5][mg][口服][一日一次]\",\"index\":17,\"name\":\"A26B380FCAB94FC0A6114C731DA2607D\",\"title\":\"诊疗意见\"},{\"content\":\"[美洛昔康片][7.5][mg][口服][一日一次]\",\"index\":18,\"name\":\"MEDICAL_ORDER\",\"title\":\"用药\"},{\"content\":\"门诊治疗   门诊随诊   住院治疗\",\"index\":22,\"name\":\"5E330A01DF8D47BDB85F1AE26821DDEE\",\"title\":\"\"},{\"content\":\"门诊治疗   门诊随诊   住院治疗\",\"index\":23,\"name\":\"49F9EA65DD1D47428963E7E3D999E280\",\"title\":\"患者去向\"},{\"content\":\"1、院外观察，注意休息，减少活动，2、院外口服药物：3、胸痛不缓解，随时来院就诊。4、住院治疗\",\"index\":24,\"name\":\"ZT\",\"title\":\"嘱托\"},{\"content\":\"根据诊疗需求选择是否做以下项目:检查:胸部CT，腹部彩超，心脏彩超，下肢动静脉彩超，胃镜等；检验：血常规，生化，肿瘤标志物，凝血测试，PT等；\",\"index\":25,\"name\":\"2F06FDA49C2146A38B9AF5EEB6DC4824\",\"title\":\"根据诊疗需求选择是否做以下项目:检查:胸部CT，腹部彩超，心脏彩超，下肢动静脉彩超，胃镜等；检验\"},{\"content\":\"根据诊疗需求选择是否做以下项目:检查:胸部CT，腹部彩超，心脏彩超，下肢动静脉彩超，胃镜等；检验：血常规，生化，肿瘤标志物，凝血测试，PT等；\",\"index\":26,\"name\":\"EADCC8E3B37C41D69EA696ABC7585F4E\",\"title\":\"提示\"}]}";

        String json2="{\"code\":\"success\",\"value\":\"姓  名：杨璐              职    业：其他\\n性  别：女              工作单位：-\\n年  龄：29岁              住    址：安徽省淮北市烈山区杨庄街道亭矿工人二村２６栋３０２号\\n婚  姻：已婚              供 史 者:患者本人   可靠程度：可靠\\n出生地：安徽省淮北市  入院日期：2024年09月22日 08：31\\n民  族：汉族              记录日期：2024年09月22日 09：46\\n主  诉：发现血糖升高1年余。\\n现病史：患者1年余前因体重增加入住我科，查空腹血糖 7.46mmol/L，完善相关检查后诊断“2型糖尿病”，开始控制饮食+二甲双胍控制血糖，口服药物不规律，近期监测末梢空腹血糖7mmol/L左右，餐后血糖15mmol/L左右，拟调整血糖、甲功并减重后再计划妊娠，现为进一步治疗，门诊拟“2型糖尿病”收住院。病程中患者无双眼视物模糊，有双手麻木，无泡沫，大便正常，饮食、睡眠尚可，近期体重无明显下降；\\n既往史：\\n        一般健康状况：良好；\\n        心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；\\n\\t\\t\\t泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；\\n        传染病史：否认\\n        药物、食物过敏史：无 \\n        手术外伤史：手术史有，名称及时间“2021年右踝关节骨折手术史”\\n                    外伤史无\\n        预防接种史：无\\n        输血史：无\\n个人史：生于原籍，经常居留于原籍：是   寄生虫疫水接触史：无\\n精神病无，癫痫无，遗传病无，冶游史无，其他        \\n吸烟史：否认 \\n饮酒史：否认 \\n其他：        \\n\\n婚姻史：婚姻：已婚 ，结婚年龄：-岁，配偶健康状况： 良好 ，其他： 无\\n月经史：-  \\n生育史：妊娠-次，足月顺产-次，流产-次，早产-次，其他-\\n家族史：父：-\\n母：-\\n其他        \\n体格检查\\nT36.5℃ P93次/分 R20次/分  Bp120/84mmHg  身高：166cm 体重：71kg BMI: 0  \\n一般状况  ：发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。\\n皮肤、粘膜：色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。\\n浅表淋巴结：浅表淋巴结肿大：未触及肿大。\\n头      部：头颅大小：正常，头颅畸形：无，头发分布：正常其他：无。\\n眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，\\n    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。\\n耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。\\n鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。\\n口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。\\n颈      部：颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无 气管：居中，甲状腺：正常，其他：无。\\n胸      部：胸廓：正常，胸骨叩痛：无，乳房：正常。\\n  肺：视诊：呼吸运动：正常。\\n\\t\\t\\t触诊：语颤：正常，胸膜摩擦感：无。\\n\\t\\t\\t叩诊：清音。\\n\\t\\t\\t听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。\\n\\t\\t\\t其他：无。\\n心      脏：视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。\\n触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。\\n叩诊：心脏相对浊音界：正常心相对浊音界方向。\\n\\n右(cm)\\n肋间\\n左(cm)\\n2.5\\nⅡ\\n3\\n3.5\\nⅢ\\n4\\n3.5\\nⅣ\\n6\\n\\nⅤ\\n7.5\\n\\n\\t\\t\\t\\t    \\t      （前正中线距锁骨中线8cm）\\n听诊：心率93次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。\\n周围血管症：无。\\n腹      部：视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。\\n触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。\\n叩诊：肝浊音界：存在肝上界位于右锁骨中线5肋间，叩痛：无，移动性浊音阴性。\\n听诊：肠鸣音：正常，气过水声无，血管杂音无。\\n其他：无。\\n直肠、肛门：未查。\\n外生殖器  ：未查。\\n脊      柱：正常，压痛无。\\n四      肢：杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。\\n神经系统  ：生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。\\n专科情况\\n身高：166cm 体重：71kg BMI: 25.8kg/m2，神志清，精神可，毛发正常，无胡须，下腹部及大腿内侧有皮纹，足部皮肤完整无溃烂，双下肢无水肿。\\n辅助检查\\n(2024-09-21我院门诊）空腹血糖：葡萄糖 7.63mmol/L；甲状腺五项含抗体(TGAB,TPOAB,FT3,FT4,TSH)：促甲状腺激素 5.66mIU/L，抗甲状腺微粒体（过氧化物酶）抗体 70.0IU/mL；2024-09-21糖化血红蛋白：糖化血红蛋白（色谱法） 8.3%。\\n\\n初步诊断：\\n    1、2型糖尿病 \\n    2、亚临床甲状腺机能减退 \\n    3、脂肪肝 \\n医师签名：   \\n日期：2024-09-22 09:00\\n入院诊断：\\n    1、2型糖尿病\\n    2、亚临床甲状腺机能减退\\n    3、高甘油三酯血症\\n    4、脂肪肝\\n    5、胆囊结石\\n医师签名：   \\n日期：2024-09-24 09:07\\n\\n\\n\\n\\n\\n\",\"valueList\":[{\"content\":\"皖北煤电集团总医院内科入院记录姓名:杨璐性别:女 年龄:29岁床号:008住院号:ZY050002062160科室:内分泌二组\",\"index\":0,\"name\":\"16ADDE9D551542978408D4CA3165A2B6\",\"title\":\"\"},{\"content\":\"皖北煤电集团总医院\",\"index\":1,\"name\":\"CC6481EEE9E24B0B9A80F89E69D8AF8F\",\"title\":\"\"},{\"content\":\"姓名:杨璐性别:女 年龄:29岁床号:008住院号:ZY050002062160科室:内分泌二组\",\"index\":2,\"name\":\"7A228BC108504F3E9EB30E93C74BCD82\",\"title\":\"\"},{\"content\":\"姓名:杨璐性别:女 年龄:29岁床号:008住院号:ZY050002062160科室:内分泌二组\",\"index\":3,\"name\":\"941735526BA448E0B99212FD3FA5672F\",\"title\":\"\"},{\"content\":\"姓  名：杨璐              职    业：其他性  别：女              工作单位：-年  龄：29岁              住    址：安徽省淮北市烈山区杨庄街道亭矿工人二村２６栋３０２号婚  姻：已婚              供 史 者:患者本人   可靠程度：可靠出生地：安徽省淮北市  入院日期：2024年09月22日 08：31民  族：汉族              记录日期：2024年09月22日 09：46\",\"index\":4,\"name\":\"C693BB71D02045DEBAEDFD49306A3557\",\"title\":\"姓  名\"},{\"content\":\"发现血糖升高1年余。\",\"index\":5,\"name\":\"CHIEF_COMPLAINT\",\"title\":\"主  诉\"},{\"content\":\"患者1年余前因体重增加入住我科，查空腹血糖 7.46mmol/L，完善相关检查后诊断“2型糖尿病”，开始控制饮食+二甲双胍控制血糖，口服药物不规律，近期监测末梢空腹血糖7mmol/L左右，餐后血糖15mmol/L左右，拟调整血糖、甲功并减重后再计划妊娠，现为进一步治疗，门诊拟“2型糖尿病”收住院。病程中患者无双眼视物模糊，有双手麻木，无泡沫，大便正常，饮食、睡眠尚可，近期体重无明显下降；\",\"index\":6,\"name\":\"HPI\",\"title\":\"现病史\"},{\"content\":\"一般健康状况：良好；      心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；        传染病史：否认        药物、食物过敏史：无         手术外伤史：手术史有，名称及时间“2021年右踝关节骨折手术史”                    外伤史无        预防接种史：无        输血史：无\",\"index\":7,\"name\":\"ELAPSEMHIS\",\"title\":\"既往史\"},{\"content\":\"一般健康状况：良好；\",\"index\":8,\"name\":\"HDSD0013104000\",\"title\":\"一般健康状况\"},{\"content\":\"心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；\",\"index\":9,\"name\":\"HDSD0013042\",\"title\":\"  \"},{\"content\":\"传染病史：否认\",\"index\":10,\"name\":\"DE05.10.119.00\",\"title\":\"传染病史\"},{\"content\":\"药物、食物过敏史：无\",\"index\":11,\"name\":\"HDSD0013037\",\"title\":\"药物、食物过敏史\"},{\"content\":\"手术外伤史：手术史有，名称及时间“2021年右踝关节骨折手术史”                    外伤史无\",\"index\":12,\"name\":\"HDSD0013065\",\"title\":\"手术外伤史\"},{\"content\":\"预防接种史：无\",\"index\":13,\"name\":\"HDSD0013105\",\"title\":\"预防接种史\"},{\"content\":\"输血史：无\",\"index\":14,\"name\":\"HDSD0013066\",\"title\":\"输血史\"},{\"content\":\"生于原籍，经常居留于原籍：是   寄生虫疫水接触史：无精神病无，癫痫无，遗传病无，冶游史无，其他        其他：\",\"index\":15,\"name\":\"INDIVIDUALMHIS\",\"title\":\"个人史\"},{\"content\":\",平均        支/日 时间        年 戒烟:是  时间：        。\",\"index\":16,\"name\":\"B25D0BB6146D42A7B6419C0E7E6E023F\",\"title\":\",平均        支/日 时间        年 戒烟:是  时间\"},{\"content\":\",平均        克/日 时间        年 戒酒:是  时间：        。\",\"index\":17,\"name\":\"07928A22C52C4D3398102A0456986CF8\",\"title\":\",平均        克/日 时间        年 戒酒:是  时间\"},{\"content\":\"婚姻：已婚 ，结婚年龄：-岁，配偶健康状况： 良好 ，其他： 无\",\"index\":18,\"name\":\"MENSESHIS\",\"title\":\"婚姻\"},{\"content\":\"婚姻：已婚 ，结婚年龄：-岁，配偶健康状况： 良好 ，其他： 无\",\"index\":19,\"name\":\"EA4B8DC5F47E4E229517726D529AD6B5\",\"title\":\"婚姻史\"},{\"content\":\"-\",\"index\":20,\"name\":\"MENSTRUALHIS\",\"title\":\"\"},{\"content\":\"-\",\"index\":21,\"name\":\"8777F33E00DF43FFBF67E39A15E360A1\",\"title\":\"月经史\"},{\"content\":\"妊娠-次，足月顺产-次，流产-次，早产-次，其他-\",\"index\":22,\"name\":\"MENSESHIS0\",\"title\":\"生育史\"},{\"content\":\"其他\",\"index\":23,\"name\":\"FAMILYHIS\",\"title\":\"家族史\"},{\"content\":\",患病名称          死因        。\",\"index\":24,\"name\":\"22D8007001434B2FA9859F4E6CDC8C46\",\"title\":\"\"},{\"content\":\",患病名称          死因        。\",\"index\":25,\"name\":\"F44BDD1FD05E441EAE9A512389DFC114\",\"title\":\"\"},{\"content\":\"T36.5℃ P93次/分 R20次/分  Bp120/84mmHg  身高：166cm 体重：71kg BMI: 0  发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。浅表淋巴结肿大：未触及肿大。头颅大小：正常，头颅畸形：无，头发分布：正常其他：无。眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无 气管：居中，甲状腺：正常，其他：无。胸廓：正常，胸骨叩痛：无，乳房：正常。  肺：视诊：呼吸运动：正常。触诊：语颤：正常，胸膜摩擦感：无。叩诊：清音。听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。其他：无。视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常心相对浊音界方向。          （前正中线距锁骨中线8cm）听诊：心率93次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。叩诊：肝浊音界：存在肝上界位于右锁骨中线5肋间，叩痛：无，移动性浊音阴性。听诊：肠鸣音：正常，气过水声无，血管杂音无。其他：无。未查。未查。正常，压痛无。杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。\",\"index\":26,\"name\":\"BODYCHECK\",\"title\":\"体格检查\"},{\"content\":\"T36.5℃ P93次/分 R20次/分  Bp120/84mmHg  身高：166cm 体重：71kg BMI: 0\",\"index\":27,\"name\":\"FFF4036586DB4926B32750EBCCA62AE8\",\"title\":\"T36.5℃ P93次/分 R20次/分  Bp120/84mmHg  身高\"},{\"content\":\"T36.5℃ P93次/分 R20次/分  Bp120/84mmHg  身高：166cm 体重：71kg BMI: 0\",\"index\":28,\"name\":\"92BB6EB79CF34493BF555283D08B0703\",\"title\":\"T36.5℃ P93次/分 R20次/分  Bp120/84mmHg  身高\"},{\"content\":\"发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。\",\"index\":29,\"name\":\"HDSD0013094\",\"title\":\"一般状况  \"},{\"content\":\"色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。\",\"index\":30,\"name\":\"HDSD0013081\",\"title\":\"皮肤、粘膜\"},{\"content\":\"浅表淋巴结肿大：未触及肿大。\",\"index\":31,\"name\":\"HDSD0013082\",\"title\":\"浅表淋巴结\"},{\"content\":\"头颅大小：正常，头颅畸形：无，头发分布：正常其他：无。眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。\",\"index\":32,\"name\":\"HDSD0013091\",\"title\":\"头      部\"},{\"content\":\"颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无 气管：居中，甲状腺：正常，其他：无。\",\"index\":33,\"name\":\"HDSD0013079\",\"title\":\"颈      部\"},{\"content\":\"胸廓：正常，胸骨叩痛：无，乳房：正常。  肺：视诊：呼吸运动：正常。触诊：语颤：正常，胸膜摩擦感：无。叩诊：清音。听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。其他：无。\",\"index\":34,\"name\":\"HDSD0013093\",\"title\":\"胸      部\"},{\"content\":\"视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常心相对浊音界方向。          （前正中线距锁骨中线8cm）听诊：心率93次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。\",\"index\":35,\"name\":\"xinzang\",\"title\":\"心      脏\"},{\"content\":\"（前正中线距锁骨中线8cm）\",\"index\":36,\"name\":\"0E9BD3DE801B49C4BCE02FD956E72E51\",\"title\":\"\"},{\"content\":\"视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。叩诊：肝浊音界：存在肝上界位于右锁骨中线5肋间，叩痛：无，移动性浊音阴性。听诊：肠鸣音：正常，气过水声无，血管杂音无。其他：无。\",\"index\":38,\"name\":\"HDSD0013075\",\"title\":\"腹      部\"},{\"content\":\"未查。\",\"index\":39,\"name\":\"HDSD0013076\",\"title\":\"直肠、肛门\"},{\"content\":\"未查。\",\"index\":40,\"name\":\"HDSD0013092\",\"title\":\"外生殖器  \"},{\"content\":\"正常，压痛无。\",\"index\":41,\"name\":\"HDSD0013078\",\"title\":\"脊      柱\"},{\"content\":\"杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。\",\"index\":42,\"name\":\"HDSD0013087\",\"title\":\"四      肢\"},{\"content\":\"生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。\",\"index\":43,\"name\":\"HDSD0013084\",\"title\":\"神经系统  \"},{\"content\":\"身高：166cm 体重：71kg BMI: 25.8kg/m2，神志清，精神可，毛发正常，无胡须，下腹部及大腿内侧有皮纹，足部皮肤完整无溃烂，双下肢无水肿。\",\"index\":44,\"name\":\"SPECIALCHECK\",\"title\":\"专科情况\"},{\"content\":\"(2024-09-21我院门诊）空腹血糖：葡萄糖 7.63mmol/L；甲状腺五项含抗体(TGAB,TPOAB,FT3,FT4,TSH)：促甲状腺激素 5.66mIU/L，抗甲状腺微粒体（过氧化物酶）抗体 70.0IU/mL；2024-09-21糖化血红蛋白：糖化血红蛋白（色谱法） 8.3%。\",\"index\":45,\"name\":\"ASSISTANTCHECK\",\"title\":\"辅助检查\"},{\"content\":\"1、2型糖尿病     2、亚临床甲状腺机能减退     3、脂肪肝 医师签名：  日期：2024-09-22 09:00\",\"index\":48,\"name\":\"BC0765FD1B2743EBB0E788FB55FC1360\",\"title\":\"初步诊断\"},{\"content\":\"1、2型糖尿病     2、亚临床甲状腺机能减退     3、脂肪肝\",\"index\":49,\"name\":\"982960D2C61241E08B1996EC27944FE2\",\"title\":\"\"},{\"content\":\"1、2型糖尿病\",\"index\":50,\"name\":\"C1933F20D42043DFBEB9A13AFC03178F\",\"title\":\"\"},{\"content\":\"2、亚临床甲状腺机能减退\",\"index\":51,\"name\":\"F2FA50E0760C4C5A89F826E25A1E2046\",\"title\":\"\"},{\"content\":\"3、脂肪肝\",\"index\":52,\"name\":\"8D65CF70A197485C8F3E41AB628C4D02\",\"title\":\"\"},{\"content\":\"1、2型糖尿病    2、亚临床甲状腺机能减退    3、高甘油三酯血症    4、脂肪肝    5、胆囊结石医师签名：  日期：2024-09-24 09:07\",\"index\":55,\"name\":\"AB309BD781174756AD1B7950446843D8\",\"title\":\"入院诊断\"},{\"content\":\"1、2型糖尿病    2、亚临床甲状腺机能减退    3、高甘油三酯血症    4、脂肪肝    5、胆囊结石\",\"index\":56,\"name\":\"E69D7BAC1BB04858A143B80585162C66\",\"title\":\"\"},{\"content\":\"1、2型糖尿病\",\"index\":57,\"name\":\"82CA3D8097144EDBB8288A1878299DCF\",\"title\":\"\"},{\"content\":\"2、亚临床甲状腺机能减退\",\"index\":58,\"name\":\"94CB7178C1D84B0FABF8F4762D8C73F7\",\"title\":\"\"},{\"content\":\"3、高甘油三酯血症\",\"index\":59,\"name\":\"CED6184E936D407092B3AB65611BA8B9\",\"title\":\"\"},{\"content\":\"4、脂肪肝\",\"index\":60,\"name\":\"4C8407D9360D4E939A6216A6EEC7EDC5\",\"title\":\"\"},{\"content\":\"5、胆囊结石\",\"index\":61,\"name\":\"498A2F9F039B46B1868C4696AAA68D78\",\"title\":\"\"},{\"content\":\"医师签名：  日期：\",\"index\":64,\"name\":\"A245633A95174F8BA06B7BC613DB88BA\",\"title\":\"补充诊断\"},{\"content\":\"医师签名：  日期：\",\"index\":67,\"name\":\"E281D7AD1A3F4C71B5FFBA3466BCC8E3\",\"title\":\"修正诊断\"}]}";

//        JSONObject jsonObject= JSON.parseObject(json2);
//        System.out.println(StrJoinSplitUtils.join(jsonObject.keySet()));
//        JSONArray jsonArray= jsonObject.getJSONArray("valueList");
//        DZMLContentBO dzml= getChangeBean(jsonArray);




        long start = System.currentTimeMillis();

//        DZMLContentBO dzml= getContentChangeBean(json2);
//        Map<String,JsonDictBO> tzMap= NLPProcessUtils.process_TG(dzml);
//        System.out.println("------------------体征");
//
//        tzMap.forEach((key,item)->{
//            System.out.println(JSON.toJSONString(item));
//        });
//
//        Map<String,JsonDictBO> zzMap= NLPProcessUtils.process_ZZ(dzml);
//        System.out.println("------------------症状");
//
//        zzMap.forEach((key,item)->{
//            System.out.println(JSON.toJSONString(item));
//        });


        //
//        List<EMRNLPResultBO> list= NLPProcessUtils.onProcess("300","P300",json2);
        //System.out.println(JSON.toJSONString(list));

//        String sql= NLPProcessUtils.getWriteSQL(list);
//        System.out.println("--------------SQL------------------");
//        System.out.println(sql);


//        String str= StrUtil.format("('{}',{})","wjj","");
//        System.out.println(str);


        //String content="{\"code\":\"0\",\"value\":\"       姓  名：侯克民职    业：农民       性  别：男工作单位：安徽省宿州市埇桥区汴河街道       年  龄：51岁住    址：安徽省宿州市埇桥区汴河街道杨圩村       婚  姻：已婚供 史 者：患者本人   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月07日 08:57       民  族：01记录日期：2025年01月07日 10:27主  诉：肺癌脑转移综合治疗后1月，重复治疗现病史：患者于2024.7.20无明显诱因下出现头痛，剧烈，至宿州市中医院行头颅及胸部CT检查：头颅占位灶，周围轻度水肿。左肺占位，两肺多发转移灶，纵膈淋巴结肿大。7.22至蚌埠医学院第一附属医院，2024.7.23行头颅MRI示：脑内多发转移瘤表现，请结合临床。（最大一处位于右侧颞叶，大小约44*30mm）。胸腹部CT：左肺上叶占位，考虑肺CA；两肺多发小结节，部分考虑转移；纵膈淋巴结肿大；两侧胸膜增厚，肝内钙化灶。（左肺上叶实性结节大小约50*45mm）。2024.7.29行左肺穿刺活检，活检病理（K202443996）：（左上肺穿刺）腺癌。治疗上予以降颅压对症处理。8-2PET/CT检查提示肺癌淋巴结、颅内多发转移，外院基因检测报告提示无驱动基因突变。后于我科对症治疗，8-7、9-9、10-2、10-24行贝伐珠单抗600mg联合培美曲塞0.9+卡铂600mg,9-30及10-4复查胸部CT及头颅MRI对比2024-8-1PET/CT缩小，评估治疗有效，11.15复查头颅及胸部病灶对比10-4老片变化不大，评价SD，11.17、12.9重复治疗2期，后患者入院完善放疗前准备，因事中断，现为继续治疗，门诊拟“左肺腺癌”收住院，病程中患者一般情况可，无头晕无头痛，无恶心呕吐不适，无发热，无视物模糊，无咳嗽咳痰，无咯血，无胸闷气喘，无腹泻腹痛，饮食睡眠尚可，大小便基本正常，体重较前略有减轻既往史：一般健康状况：良好；心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；传染病史：无药物、食物过敏史：无，手术外伤史：手术史无外伤史无预防接种史：无输血史：无个人史：经常居留于原籍：是   寄生虫疫水接触史：无精神病无，癫痫无，遗传病无，冶游史无，其他吸烟史：无。饮酒史：无。其他：婚姻史：婚姻：已婚，结婚年龄： 岁，配偶健康状况：良好，其他：无家族史：父：健在,患病名称，死因。母：健在,患病名称，死因。其他：体格检查T36.5℃ P73次/分 R18次/分  Bp135/90mmHg  身高：176cm 体重：67kg BMI: 21.63  一般状况：发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。皮肤黏膜：色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。浅表淋巴：浅表淋巴结肿大：未触及肿大。头    部：头颅大小：正常，头颅畸形：无，头发分布：正常 其他：无。眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。颈    部：颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无气管：居中，甲状腺：正常，其他：无。胸    部：胸廓：正常，胸骨叩痛：无，乳房：正常。  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。心    脏：视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常。      右(cm)肋间左(cm)ⅡⅢⅣⅤ           前正中线距锁骨中线cm）听诊：心率次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。腹    部：视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。叩诊：肝浊音界：存在肝上界位于右锁骨中线 5 肋间，叩痛：无，移动性浊音阴性。听诊：肠鸣音：正常，气过水声无，血管杂音无。其他：无。直肠肛门：未查。外生殖器：未查。脊    柱：正常，压痛无。四    肢：杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。神经系统：生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。专科情况\\\\r\\\\n辅助检查\\\\r\\\\n初步诊断：\\\\r\\\\n    1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)2.脑继发恶性肿瘤    医师签名： 日期： 2025年01月07日10时27分入院诊断：\\\\r\\\\n        医师签名： 日期：           修正诊断：\\\\r\\\\n        医师签名： 日期：           补充诊断：\\\\r\\\\n        医师签名： 日期：           \",\"valueList\":[{\"filedname\":\"\",\"id\":\"jws_ywswgms\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_CZ_XBMCG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_MURPHY\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_B_BPDQYT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_HXY\",\"tablename\":\"\",\"value\":\"清\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FTTBW\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_NM\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_PZ\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_SLFS\",\"tablename\":\"\",\"value\":\"存在\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_KZ_QZZXJSGZX\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_WX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"jws_xhxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_ZY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_Y\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"OPERAHIS\",\"tablename\":\"\",\"value\":\"手术史无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JSB\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JSC\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"Pulse\",\"id\":\"BODYCHECK_PULSE\",\"tablename\":\"TemperatureDetail\",\"value\":\"73\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_YFJZS_DESC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_S\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"C683E4484FC7418EAEFD53CAEA50A239\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"17B1D525A47C4A58A6A6B2A5262CF11E\",\"tablename\":\"\",\"value\":\"补充诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS\",\"tablename\":\"\",\"value\":\"既往史：一般健康状况：良好；心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；传染病史：无药物、食物过敏史：无，手术外伤史：手术史无外伤史无预防接种史：无输血史：无\"},{\"filedname\":\"\",\"id\":\"5D96EA002FC84D17AD74787CEEE483BD\",\"tablename\":\"\",\"value\":\"父：健在,患病名称，死因。母：健在,患病名称，死因。其他：\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_JIAOMO\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_PFWD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_CZ_XMMCG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_YYCD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_GZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"Birthplace\",\"id\":\"BIRTHPLACE\",\"tablename\":\"Patient\",\"value\":\"安徽省宿州市\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZSZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"0\",\"tablename\":\"\",\"value\":\"3.0976\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_JX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_SZ_HXYD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_BD\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"AD006DE19CCB4CABBDE2213258747D83\",\"tablename\":\"\",\"value\":\"经常居留于原籍：是   寄生虫疫水接触史：无精神病无，癫痫无，遗传病无，冶游史无，其他吸烟史：无。饮酒史：无。其他：\"},{\"filedname\":\"\",\"id\":\"CBFA38EE98AA4BD89B96A092806F69C9\",\"tablename\":\"\",\"value\":\"      右(cm)肋间左(cm)ⅡⅢⅣⅤ           前正中线距锁骨中线cm）\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_NMCJZ\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"F26B0F45631A43A1A849AC93163D83AD\",\"tablename\":\"\",\"value\":\"       姓  名：侯克民职    业：农民       性  别：男工作单位：安徽省宿州市埇桥区汴河街道       年  龄：51岁住    址：安徽省宿州市埇桥区汴河街道杨圩村       婚  姻：已婚供 史 者：患者本人   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月07日 08:57       民  族：01记录日期：2025年01月07日 10:27\"},{\"filedname\":\"\",\"id\":\"EXTERNAL_GEN_EXAM_DESC\",\"tablename\":\"\",\"value\":\"未查\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM\",\"tablename\":\"\",\"value\":\"腹    部：视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。叩诊：肝浊音界：存在肝上界位于右锁骨中线 5 肋间，叩痛：无，移动性浊音阴性。听诊：肠鸣音：正常，气过水声无，血管杂音无。其他：无。\"},{\"filedname\":\"Nationality\",\"id\":\"NATIONALITY\",\"tablename\":\"Patient\",\"value\":\"01\"},{\"filedname\":\"\",\"id\":\"HPI\",\"tablename\":\"\",\"value\":\"现病史：患者于2024.7.20无明显诱因下出现头痛，剧烈，至宿州市中医院行头颅及胸部CT检查：头颅占位灶，周围轻度水肿。左肺占位，两肺多发转移灶，纵膈淋巴结肿大。7.22至蚌埠医学院第一附属医院，2024.7.23行头颅MRI示：脑内多发转移瘤表现，请结合临床。（最大一处位于右侧颞叶，大小约44*30mm）。胸腹部CT：左肺上叶占位，考虑肺CA；两肺多发小结节，部分考虑转移；纵膈淋巴结肿大；两侧胸膜增厚，肝内钙化灶。（左肺上叶实性结节大小约50*45mm）。2024.7.29行左肺穿刺活检，活检病理（K202443996）：（左上肺穿刺）腺癌。治疗上予以降颅压对症处理。8-2PET/CT检查提示肺癌淋巴结、颅内多发转移，外院基因检测报告提示无驱动基因突变。后于我科对症治疗，8-7、9-9、10-2、10-24行贝伐珠单抗600mg联合培美曲塞0.9+卡铂600mg,9-30及10-4复查胸部CT及头颅MRI对比2024-8-1PET/CT缩小，评估治疗有效，11.15复查头颅及胸部病灶对比10-4老片变化不大，评价SD，11.17、12.9重复治疗2期，后患者入院完善放疗前准备，因事中断，现为继续治疗，门诊拟“左肺腺癌”收住院，病程中患者一般情况可，无头晕无头痛，无恶心呕吐不适，无发热，无视物模糊，无咳嗽咳痰，无咯血，无胸闷气喘，无腹泻腹痛，饮食睡眠尚可，大小便基本正常，体重较前略有减轻\"},{\"filedname\":\"\",\"id\":\"SPINAL_EXAM_YT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"16C399E4ED954AD99581AA0218AFF644\",\"tablename\":\"\",\"value\":\"初步诊断：\\\\r\\\\n    1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)2.脑继发恶性肿瘤    医师签名： 日期： 2025年01月07日10时27分\"},{\"filedname\":\"\",\"id\":\"jzs_f\",\"tablename\":\"\",\"value\":\"健在\"},{\"filedname\":\"\",\"id\":\"14E18959D8DF46A7B397807282BED930\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"568402BD22762E4A212144AD383CE17\",\"tablename\":\"\",\"value\":\"2.脑继发恶性肿瘤\"},{\"filedname\":\"Sex\",\"id\":\"SEX\",\"tablename\":\"Inpatient\",\"value\":\"男\"},{\"filedname\":\"\",\"id\":\"7B1956EE85DE416F8BA8F5682C883699\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"4AAB12F37AED4C45909AD153C7578750\",\"tablename\":\"\",\"value\":\"皖北煤电集团总医院\"},{\"filedname\":\"\",\"id\":\"F3216DAEE80B49F3AD2A483D14322833\",\"tablename\":\"\",\"value\":\" 姓名:侯克民 性别:男年龄:51岁 床号:002 住院号:ZY080002283840 科室:肿瘤内科二组\"},{\"filedname\":\"\",\"id\":\"F603235AA1BE4CF685CD2757C8372D7D\",\"tablename\":\"\",\"value\":\"    1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)2.脑继发恶性肿瘤\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_EK\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_SHZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS\",\"tablename\":\"\",\"value\":\"个人史：经常居留于原籍：是   寄生虫疫水接触史：无精神病无，癫痫无，遗传病无，冶游史无，其他吸烟史：无。饮酒史：无。其他：\"},{\"filedname\":\"\",\"id\":\"jzs_m\",\"tablename\":\"\",\"value\":\"健在\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_RF\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT3\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT4\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_B_BYSD\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SPINAL_EXAM_XT\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"C0AE8A00177842DE81A099E26C838EE9\",\"tablename\":\"\",\"value\":\"1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_C\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"jws_xxgjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"9857F8A6A11C4415BD3F19EBD898BC43\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"682D87DE4CA744E98A621910D2242232\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_TXT0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"AgeDesc\",\"id\":\"HZNL\",\"tablename\":\"Inpatient\",\"value\":\"51岁\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_TXT1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"Occupation\",\"id\":\"OCCUPATION\",\"tablename\":\"Patient\",\"value\":\"农民\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_FJXY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"BODYCHECK\",\"tablename\":\"\",\"value\":\"体格检查T36.5℃ P73次/分 R18次/分  Bp135/90mmHg  身高：176cm 体重：67kg BMI: 21.63  一般状况：发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。皮肤黏膜：色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。浅表淋巴：浅表淋巴结肿大：未触及肿大。头    部：头颅大小：正常，头颅畸形：无，头发分布：正常 其他：无。眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。颈    部：颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无气管：居中，甲状腺：正常，其他：无。胸    部：胸廓：正常，胸骨叩痛：无，乳房：正常。  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。心    脏：视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常。      右(cm)肋间左(cm)ⅡⅢⅣⅤ           前正中线距锁骨中线cm）听诊：心率次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。腹    部：视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。叩诊：肝浊音界：存在肝上界位于右锁骨中线 5 肋间，叩痛：无，移动性浊音阴性。听诊：肠鸣音：正常，气过水声无，血管杂音无。其他：无。直肠肛门：未查。外生殖器：未查。脊    柱：正常，压痛无。四    肢：杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。神经系统：生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。专科情况\\\\r\\\\n辅助检查\\\\r\\\\n\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_SXS_DESC\",\"tablename\":\"\",\"value\":\"        \"},{\"filedname\":\"Height\",\"id\":\"BODYCHECK_HEIGHT\",\"tablename\":\"Patient\",\"value\":\"176\"},{\"filedname\":\"\",\"id\":\"A2FE4034F15F48FCBAABE219A25F436D\",\"tablename\":\"\",\"value\":\"内科入院记录\"},{\"filedname\":\"\",\"id\":\"FAMILYHIS\",\"tablename\":\"\",\"value\":\"家族史：父：健在,患病名称，死因。母：健在,患病名称，死因。其他：\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_KZ_ZYJFX\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_TFFB\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"DA372542941B40FBA2AC4045029BCEDB\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_OTHER\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"9E02E0319CF241E3895010A03688CE00\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_FBJM\",\"tablename\":\"\",\"value\":\"无显露\"},{\"filedname\":\"\",\"id\":\"BEBD7ABA343842169D0BBC5372E3E52C\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"4FDD46C12FBF44BF957565882987D465\",\"tablename\":\"\",\"value\":\"       姓  名：侯克民职    业：农民       性  别：男工作单位：安徽省宿州市埇桥区汴河街道       年  龄：51岁住    址：安徽省宿州市埇桥区汴河街道杨圩村       婚  姻：已婚供 史 者：患者本人   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月07日 08:57       民  族：01记录日期：2025年01月07日 10:27\"},{\"filedname\":\"\",\"id\":\"jws_nxgjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JBXGZY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"393FC29A5361466486A9AADE86D36894\",\"tablename\":\"\",\"value\":\"内科入院记录\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_CX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"C61B204F6B444A9CB8511E303AB9FA9B\",\"tablename\":\"\",\"value\":\"一般健康状况：良好；\"},{\"filedname\":\"\",\"id\":\"DFFCF7247F58478DAB3BC9539C152AE6\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT3\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_YDXZY\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FJJZD\",\"tablename\":\"\",\"value\":\"柔软\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FNZK_YT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT4\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_BHBW\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_TZ_CMY\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"87E1BF422F6945E6BEB1D7BF0EF08D97\",\"tablename\":\"\",\"value\":\"医师签名： 日期：           \"},{\"filedname\":\"Temper\",\"id\":\"BODYCHECK_TEMPER\",\"tablename\":\"TemperatureDetail\",\"value\":\"36.5\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"17D127C92D3147A895C122C846EA7B25\",\"tablename\":\"\",\"value\":\"医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"ANAL_EXAMINATION\",\"tablename\":\"\",\"value\":\"直肠肛门：未查。\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM\",\"tablename\":\"\",\"value\":\"四    肢：杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。\"},{\"filedname\":\"PatientName\",\"id\":\"NAME\",\"tablename\":\"Inpatient\",\"value\":\"侯克民\"},{\"filedname\":\"\",\"id\":\"1272C90134C648D38EEEF36A64F7E6CA\",\"tablename\":\"\",\"value\":\" 姓名:侯克民 性别:男年龄:51岁 床号:002 住院号:ZY080002283840 科室:肿瘤内科二组\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_HDD\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"0B0F692E17844DCAB9A78F9C08CCC84A\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"Ipid\",\"id\":\"HZZYH\",\"tablename\":\"Inpatient\",\"value\":\"ZY080002283840\"},{\"filedname\":\"\",\"id\":\"67A853F2746040949A94109091C19CF1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"OPERAHIS_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_YY\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_YCB\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_TX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INFECTION_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_POJK\",\"tablename\":\"\",\"value\":\"，其他：\"},{\"filedname\":\"\",\"id\":\"65290E0FFEAB4DD193B06B3FE617E590\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_XGKT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sss_sj\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"MENSESHIS\",\"tablename\":\"\",\"value\":\"婚姻史：婚姻：已婚，结婚年龄： 岁，配偶健康状况：良好，其他：无\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_GJJMHLZ\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"6C17AE65AA5D423DAA41D90C99FF0228\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_PL\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_TZ_QGSS\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"BedNo\",\"id\":\"HZCH\",\"tablename\":\"Inpatient\",\"value\":\"002\"},{\"filedname\":\"\",\"id\":\"3AFA5081E5B44B7691F668E8F5136292\",\"tablename\":\"\",\"value\":\"T36.5℃ P73次/分 R18次/分  Bp135/90mmHg  身高：176cm 体重：67kg BMI: 21.63  \"},{\"filedname\":\"\",\"id\":\"ANAL_EXAMINATION_DESC\",\"tablename\":\"\",\"value\":\"未查\"},{\"filedname\":\"\",\"id\":\"22CBFDF9ABCF40F0B95F21C6E646B5AC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"AgeDesc\",\"id\":\"AGE\",\"tablename\":\"Inpatient\",\"value\":\"51岁\"},{\"filedname\":\"AdmissionTime\",\"id\":\"RYRQ\",\"tablename\":\"Inpatient\",\"value\":\"20250107085705\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_XLJZ\",\"tablename\":\"\",\"value\":\"齐\"},{\"filedname\":\"\",\"id\":\"JZS_FQ\",\"tablename\":\"\",\"value\":\",患病名称，死因。\"},{\"filedname\":\"\",\"id\":\"6CC5A34AA7144865A0F3B7973B0752D2\",\"tablename\":\"\",\"value\":\"药物、食物过敏史：无，\"},{\"filedname\":\"\",\"id\":\"jzs_f_sy\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_FLAG\",\"tablename\":\"\",\"value\":\"否\"},{\"filedname\":\"\",\"id\":\"jws_mnxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_FY\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"30AFF8EFCFBA442E8631C14D3159D3F7\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SOURCE_RELATION\",\"tablename\":\"\",\"value\":\"患者本人\"},{\"filedname\":\"\",\"id\":\"JZS_MQ\",\"tablename\":\"\",\"value\":\",患病名称，死因。\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_XMMCG\",\"tablename\":\"\",\"value\":\"未闻及\"},{\"filedname\":\"\",\"id\":\"87AC32D277AC417BBAA189E5BCBB30C5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_SZ\",\"tablename\":\"\",\"value\":\"清醒\"},{\"filedname\":\"\",\"id\":\"3DB6C1E253814910B8914ED058EB683B\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"MarriageStatus\",\"id\":\"MARRIAGE\",\"tablename\":\"Inpatient\",\"value\":\"已婚\"},{\"filedname\":\"DiastolicPressure\",\"id\":\"BODYCHECK_DP\",\"tablename\":\"Temperature\",\"value\":\"90\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_KZ_KZQK\",\"tablename\":\"\",\"value\":\"清音\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_ZTJX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"C1FF809B03CC496C9B4BFB6A9D0236F2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"jws_nfmxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_GZYJ\",\"tablename\":\"\",\"value\":\"存在\"},{\"filedname\":\"\",\"id\":\"RELIABIITY\",\"tablename\":\"\",\"value\":\"可靠\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZKY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"0629EA1248B141A58F83EA0F72B78108\",\"tablename\":\"\",\"value\":\"=\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_CZ_YC\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_RTYT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"wss\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_YT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZJMQZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"38240DF20AC946D2BFC57A65E29DC8AD\",\"tablename\":\"\",\"value\":\"修正诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_XK\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_KT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SPECIALCHECK\",\"tablename\":\"\",\"value\":\"专科情况\\\\r\\\\n\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_DGFS\",\"tablename\":\"\",\"value\":\"灵敏\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_FSHX\",\"tablename\":\"\",\"value\":\"存在\"},{\"filedname\":\"\",\"id\":\"SUPERFIAL_LYMPH_EXAM\",\"tablename\":\"\",\"value\":\"浅表淋巴：浅表淋巴结肿大：未触及肿大。\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_SSBH\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"DIAGNOSES\",\"tablename\":\"\",\"value\":\"初步诊断：\\\\r\\\\n    1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)2.脑继发恶性肿瘤    医师签名： 日期： 2025年01月07日10时27分入院诊断：\\\\r\\\\n        医师签名： 日期：           修正诊断：\\\\r\\\\n        医师签名： 日期：           补充诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_TW\",\"tablename\":\"\",\"value\":\"自主体位\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_ZD\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"Company\",\"id\":\"COMPANY\",\"tablename\":\"Patient\",\"value\":\"安徽省宿州市埇桥区汴河街道\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM\",\"tablename\":\"\",\"value\":\"心    脏：视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常。      右(cm)肋间左(cm)ⅡⅢⅣⅤ           前正中线距锁骨中线cm）听诊：心率次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。\"},{\"filedname\":\"\",\"id\":\"feibuid\",\"tablename\":\"\",\"value\":\"  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_DGFSBW\",\"tablename\":\"\",\"value\":\"（双）\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FTT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jzs_m_hb\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"868674F4D87D0AB865DBF22E8373EDA\",\"tablename\":\"\",\"value\":\"2.脑继发恶性肿瘤\"},{\"filedname\":\"MarriageStatus\",\"id\":\"MENSESHIS_HYZK\",\"tablename\":\"Inpatient\",\"value\":\"已婚\"},{\"filedname\":\"\",\"id\":\"PREINOHIS\",\"tablename\":\"\",\"value\":\"预防接种史：无\"},{\"filedname\":\"\",\"id\":\"725DF9B41CEC45B38422AFD10C2D0D5F\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_YTK\",\"tablename\":\"\",\"value\":\"3\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_PZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"0F7DAA2A92834E3AA79BE1974D159EFE\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_YFJZS_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM\",\"tablename\":\"\",\"value\":\"胸    部：胸廓：正常，胸骨叩痛：无，乳房：正常。  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON\",\"tablename\":\"\",\"value\":\"一般状况：发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。\"},{\"filedname\":\"\",\"id\":\"370CE14E22834FD9B96C901BFE4D9026\",\"tablename\":\"\",\"value\":\"右(cm)肋间左(cm)ⅡⅢⅣⅤ\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_SXS_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM\",\"tablename\":\"\",\"value\":\"头    部：头颅大小：正常，头颅畸形：无，头发分布：正常 其他：无。眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_TZ_XGZY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"Weight\",\"id\":\"BODYCHECK_WEIGHT\",\"tablename\":\"Patient\",\"value\":\"67\"},{\"filedname\":\"\",\"id\":\"B48295458BE14940919AD03D0F15A379\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_WEIXING\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"82DA07C0849146E1B6D7F69AF8F02F33\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_PJ\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FNZK\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_WZ\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"E37C634DE1D2489D8150DA74EB183BB3\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"BDD34546F093425EBC845F9635071DE1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_SZ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"SystolicPressure\",\"id\":\"BODYCHECK_SP\",\"tablename\":\"Temperature\",\"value\":\"135\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_TK\",\"tablename\":\"\",\"value\":\"等大等圆\"},{\"filedname\":\"Sex\",\"id\":\"HZXB\",\"tablename\":\"Inpatient\",\"value\":\"男\"},{\"filedname\":\"Bmi\",\"id\":\"BMI\",\"tablename\":\"Patient\",\"value\":\"21.63\"},{\"filedname\":\"\",\"id\":\"C2ADF68064B248FBB3EA2505C3AE4AD9\",\"tablename\":\"\",\"value\":\"医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_GZ\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM\",\"tablename\":\"\",\"value\":\"皮肤黏膜：色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。\"},{\"filedname\":\"\",\"id\":\"SUPERFIAL_LYMPH_EXAM_QBLBJZD\",\"tablename\":\"\",\"value\":\"未触及肿大\"},{\"filedname\":\"\",\"id\":\"1E1DB35BF4D74CB98E51B6E689811A4C\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"D2D3F768BB6042D19A1C21CE2AEC64C8\",\"tablename\":\"\",\"value\":\"心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；\"},{\"filedname\":\"\",\"id\":\"0CA44E4F6D4A44DEA1A9FB5DB50E33B1\",\"tablename\":\"\",\"value\":\"20250107102710\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_JTXBD\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"RECORD_TIME\",\"tablename\":\"\",\"value\":\"20250107102703\"},{\"filedname\":\"\",\"id\":\"707BF2F94F1C423E9B050D03291B63E0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_PXCX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_GMHR\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jzs_qt\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JJ_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ALLERGICHIS\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"E18171A343C54E8A8309F7FB2B8F4691\",\"tablename\":\"\",\"value\":\"外伤史无\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JZX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"jws_hxxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JJM\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_DX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"GENERAL_HEA_COND\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_ZTK\",\"tablename\":\"\",\"value\":\"3\"},{\"filedname\":\"\",\"id\":\"7E15E45A4F564B2A819FD3B15554D7A0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_SXFY_DESC\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JXQZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_XLCS\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"245EDE8CA7E64BEAA24B06B4B952E3ED\",\"tablename\":\"\",\"value\":\"听诊：心率次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_DX\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_WEDFMW\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sss_mc\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZHJ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jws_qtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"SPINAL_EXAM\",\"tablename\":\"\",\"value\":\"脊    柱：正常，压痛无。\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_DN\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"jzs_m_sy\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_XJBD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_LJWZ\",\"tablename\":\"\",\"value\":\" 5 \"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_XQQLQ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"BC0C49566DC943449F21B63AE9878B54\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"93ED83E67AD3425F9B8FAAE64FC81FAF\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_YTBW\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"5E21BC55209748B1AF5F04B5AAB5C9F5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"jzs_f_hb\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INFECTHIS\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SYRMHISOFBLOODTRANS\",\"tablename\":\"\",\"value\":\"输血史：无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_B_YCFMW\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"5D96EA002FC84D17AD74787CEEE483BD.2DC04CD5779A43B88A759DAAA41F9439.81579285B18B48619CFE9A3F4381030E\",\"tablename\":\"\",\"value\":\"手术外伤史：手术史无外伤史无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_BTT\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"sxs_a\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"sxs_c\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_POJKZK\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"DD711E0917C241608072D2D007CD7A3C\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"PatientName\",\"id\":\"HZXM\",\"tablename\":\"Inpatient\",\"value\":\"侯克民\"},{\"filedname\":\"\",\"id\":\"C78B204F6B444A9CB8511E303AB9FA9B\",\"tablename\":\"\",\"value\":\"一般健康状况：良好；心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；传染病史：无药物、食物过敏史：无，手术外伤史：手术史无外伤史无预防接种史：无输血史：无\"},{\"filedname\":\"\",\"id\":\"2E2E341DE7E249C8BD78D2A4F941578C\",\"tablename\":\"\",\"value\":\"T36.5℃ P73次/分 R18次/分  Bp135/90mmHg  身高：176cm 体重：67kg BMI: 21.63  \"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_CZZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_GJ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JDM\",\"tablename\":\"\",\"value\":\"搏动正常\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_GZBD\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_JIEMO\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ASSISTANTCHECK\",\"tablename\":\"\",\"value\":\"辅助检查\\\\r\\\\n\"},{\"filedname\":\"\",\"id\":\"A7891916A4AF4B53AD2ECBF6EAE5A136\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_KZ_XZXDZYJ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"CRB\",\"tablename\":\"\",\"value\":\"传染病史：无\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_BLFS\",\"tablename\":\"\",\"value\":\"未引出\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_JH\",\"tablename\":\"\",\"value\":\"，结婚年龄： 岁，配偶健康状况：\"},{\"filedname\":\"\",\"id\":\"C7DFAD4E984E47548A71A77DD0B43507\",\"tablename\":\"\",\"value\":\"1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)\"},{\"filedname\":\"HomeAddress\",\"id\":\"ADDRESS\",\"tablename\":\"Patient\",\"value\":\"安徽省宿州市埇桥区汴河街道杨圩村\"},{\"filedname\":\"\",\"id\":\"jws_gmyw\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JLYJ\",\"tablename\":\"\",\"value\":\"是\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_YJ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"CHIEF_COMPLAINT\",\"tablename\":\"\",\"value\":\"主  诉：肺癌脑转移综合治疗后1月，重复治疗\"},{\"filedname\":\"\",\"id\":\"HOSPITAL_NAME\",\"tablename\":\"\",\"value\":\"皖北煤电集团总医院\"},{\"filedname\":\"Breath\",\"id\":\"BODYCHECK_BREATH\",\"tablename\":\"TemperatureDetail\",\"value\":\"18\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_XJBDWZ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"EXTERNAL_GEN_EXAM\",\"tablename\":\"\",\"value\":\"外生殖器：未查。\"},{\"filedname\":\"\",\"id\":\"964E073F0E274A3BB7A605CF7C1BFD5D\",\"tablename\":\"\",\"value\":\"入院诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_MR\",\"tablename\":\"\",\"value\":\"正常面容\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_CZ_ZC\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"B20872D4984C4E60BAA28D40F2926164\",\"tablename\":\"\",\"value\":\"视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常。\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_ZZZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_XY\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"54BDCA57B81344208C0E2276B6EA0F74\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"C354A3C00FDC48848647A4FFFD51FB40\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM\",\"tablename\":\"\",\"value\":\"神经系统：生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_SZ\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_TLZA\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_MFFB\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"DeptName\",\"id\":\"HZKS\",\"tablename\":\"Inpatient\",\"value\":\"肿瘤内科二组\"},{\"filedname\":\"\",\"id\":\"wss_qk\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JJ_FLAG\",\"tablename\":\"\",\"value\":\"否\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_LY\",\"tablename\":\"\",\"value\":\"未闻及\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM\",\"tablename\":\"\",\"value\":\"颈    部：颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无气管：居中，甲状腺：正常，其他：无。\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_QG\",\"tablename\":\"\",\"value\":\"居中\"},{\"filedname\":\"\",\"id\":\"DAB4AA2F94F24882BDB6C0EB568556FC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_CZ_XJBD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"5685573C866B4D6184560CA851D714D2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"KKCD\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"wss_sj\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SELF_OTHER\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"12D6E17FC6594C70B73DB00B413BA437\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"3DCE7A3F7E034207897DEAAC1B43BAD5\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"yfjz_a\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_YYS\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_RDB\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"4CCED7564D2848468CE672DC1AE8368A\",\"tablename\":\"\",\"value\":\"医师签名： 日期： 2025年01月07日10时27分\"}]}";

        String content="{\"code\":\"0\",\"value\":\"主诉：确诊左肺癌2年余\\n是否发热：否 \\n现病史：患者5年前在南京行左肺癌手术，后于2022年5月患者肺癌复发并转移，并在蚌埠医学院第一附属医院完善检查及基因检测提示ALK阳性，目前口服阿来替尼靶向治疗。\\n既往史：\\n无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\\n 一般健康状况：健康；   疾病史：无       。 患者传染病：无          。药物、食物过敏史：无： 过敏药物、食物名称：       。手术外伤史：无：手术史：       。外伤史：无：    。输血史：无：血型：    ，输血反应：无：    。吸烟史：有     放射线及有害化学元素接触史：无 ；家族肿瘤史：有；化疗药物不良反应： 特殊化疗药物累积量；\\n过敏史：无\\n体格检查：T36.5℃ P-次/分 R-次/分 Bp-/-mmHg 身高：- cm  体重：-kg BMI: -  \\nBSM-ECOG分-NRS分-\\n胸部：胸廓：正常  胸骨叩痛：无\\n  肺：视诊：呼吸运动：正常。\\n\\t\\t\\t触诊：语颤：正常，胸膜摩擦感：无。\\n\\t\\t\\t叩诊：清音。\\n\\t\\t\\t听诊：呼吸音：双肺增粗，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。\\n\\t\\t\\t其他：无。\\n辅助检查：大便常规+隐血， 血常规， 肿瘤标记物, 食管钡餐， 胃镜检查\\n初步诊断:肺恶性肿瘤?\\n诊疗意见：\\n用药：\\n检查：\\n检验：\\n处置：\\n患者去向：□住院治疗 □门诊复诊 □门诊随诊 √门诊治疗 □转科\\n         \\n嘱托：1、胸腹部CT增强 ECT， PET-CT，腹部彩超， 浅表淋巴结肿大活检评估病情。\\n2、必要时（如胸骨后疼痛、反酸、予以口服止痛、抑酸药物等处理）。\\n3、不适及时我科就诊。 \\n注意事项：\\n1、健康宣教：注意保暖，戒烟\\n2、其他：\\n                                医师签名：   \\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t时间: 2025-01-07\\n\",\"valueList\":[{\"filedname\":\"否\",\"id\":\"sffr\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否\"},{\"filedname\":\"体温：\",\"id\":\"tw1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"体温：\"},{\"filedname\":\"\",\"id\":\"tw2\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"℃\",\"id\":\"tw3\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"℃\"},{\"filedname\":\"\",\"id\":\"40EB33E7FC494EDFB6DA6986C762578F\",\"tablename\":\"无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"03689D7C39CA488999949CE1542AB5C3\",\"tablename\":\"无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"crbs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"crbst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sxs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sxst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sxfy\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sxfyt\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sss\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ssst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"jzs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jzst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"健康\",\"id\":\"listbox_46\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"健康\"},{\"filedname\":\"无\",\"id\":\"E560C55C8EC74AEA99FED65280F55B31\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"610B7F52AFE04DACBF58F69D0C7CBE12\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"114AFEDA26F3464EAA5EB19645E37512\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"4AEFDAAE7F7847D18BBA09FD46BAEE62\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"C41815BEA0BD4BC49067D028BEC66052\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"A3D5DB9AB74F40F589A45F8898177F56\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"B722C7A4C26B4817A6456ACE7A7FC9A2\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"有\",\"id\":\"73627B93212F4BCF94C690F115EADAB4\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"有\"},{\"filedname\":\"无\",\"id\":\"1B801C52274F433DB75B4B1A11CC5C21\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"有\",\"id\":\"53763C44BD3D431F97B96C94553E90B8\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"有\"},{\"filedname\":\"过敏史：\",\"id\":\"56E7D761F6DC44D881DB26F8D710770F\",\"tablename\":\"无\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"gms\",\"tablename\":\"\",\"type\":\"textcommbobox\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"AllergicHistory\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"8BF739EAF61D41A2B25A3A505755E9BF\",\"tablename\":\"T36.5℃ P-次/分 R-次/分 Bp-/-mmHg 身高：- cm  体重：-kg BMI: -  \",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"92BB6EB79CF34493BF555283D08B0703\",\"tablename\":\"T36.5℃ P-次/分 R-次/分 Bp-/-mmHg 身高：- cm  体重：-kg BMI: -  \",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"36.5\",\"id\":\"E5C93AC0242C4C62818B68D2075D5447\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"36.5\"},{\"filedname\":\"-\",\"id\":\"E92BCABAD96F4257BC39C7E4D2C605F5\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"B0AF6677BC7C4A46861BD0E48358B649\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"96C4BAC1ECDA4A19A5A9C5836A84BB7D\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"A8033371F1104DAD971795D4F6F3AC00\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"H\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"W\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"BMI\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"0\",\"id\":\"016157457EFF4D84A0E326BA24B3EC13\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"0\"},{\"filedname\":\"-\",\"id\":\"F405FB72F21E43A0BBAB913835CEDD73\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"8DFA3E510BAD463DB7755202C55428CE\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"C884C5D255584E198564FAAE4E407D42\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"DIAGNOSES\",\"tablename\":\"肺恶性肿瘤?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"AE81488AFF884FC792ACA5CC13FABFF7\",\"tablename\":\"肺恶性肿瘤?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"A53C30B09054426792EBA4E6873B0F97\",\"tablename\":\"肺恶性肿瘤?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"初步诊断:\",\"id\":\"5CFBD4BC5A4549EBBFBF1F5EB6DDD911\",\"tablename\":\"肺恶性肿瘤?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"肺恶性肿瘤?\",\"id\":\"C821B989347B4E01A6D6893CC1309BA5\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"肺恶性肿瘤?\"},{\"filedname\":\"\",\"id\":\"C225A4A7532A4A519BE3DFFE2E2E6221\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"诊疗意见：\",\"id\":\"AAA5236B1FD54F85B86DFB349B3CE743\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"用药：\",\"id\":\"MEDICAL_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"检查：\",\"id\":\"EXAM_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"检验：\",\"id\":\"LAB_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"处置：\",\"id\":\"TREATMENT_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"19E981C986404145AE3301455744EE7A\",\"tablename\":\"□住院治疗 □门诊复诊 □门诊随诊 √门诊治疗 □转科\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"患者去向：\",\"id\":\"49F9EA65DD1D47428963E7E3D999E280\",\"tablename\":\"□住院治疗 □门诊复诊 □门诊随诊 √门诊治疗 □转科\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"住院治疗\",\"id\":\"zyzl\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊复诊\",\"id\":\"mzfz\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊随诊\",\"id\":\"mzsz\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊治疗\",\"id\":\"mzzl\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"转科\",\"id\":\"zk\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"复诊时间：\",\"id\":\"textbox_1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"复诊时间：\"},{\"filedname\":\"\",\"id\":\"fzsj1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"复诊，复诊项目：\",\"id\":\"fzsj2\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"复诊，复诊项目：\"},{\"filedname\":\"\",\"id\":\"fzxm\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"；\",\"id\":\"fzxm1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"；\"},{\"filedname\":\"注意事项：\",\"id\":\"ZLYJ\",\"tablename\":\"注意保暖，戒烟\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"1、健康宣教：\",\"id\":\"jkxj\",\"tablename\":\"注意保暖，戒烟\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\" \",\"id\":\"imagSignature1\",\"tablename\":\"\",\"type\":\"objectimage\",\"value\":\"\"},{\"filedname\":\"2025-01-07\",\"id\":\"7B92923E5D7643A4A64A97C7E6942680\",\"tablename\":\"\",\"type\":\"formtime\",\"value\":\"20250107102506\"}]}";

        //String content="";

        DZMLContentBO dzmlContent= NLPContentChangeUtils.getContentChangeBean(content);
        NLPContentChangeUtils.showBean(dzmlContent);



        long end = System.currentTimeMillis();
        System.out.println("start= "+start + " end= "+end+" use= "+(end-start));

    }
}
