package com.xxh.cloud.exeEtl.framework.modules.task.utils;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.exeEtl.framework.modules.task.bean.DZMLContentBO;
import com.xxh.cloud.exeEtl.framework.modules.task.bean.EMRNLPResultBO;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class NLPProcessUtils {


    /**体格*/
    public static String OneType_TG="tg";

    /**体格:特征检查*/
    public static String OneT_TG_TZJC="tg-tzjc";

    /**体格:一般检查*/
    public static String OneT_TG_YBJC="tg-ybjc";

    /**体格:神经系统*/
    public static String OneT_TG_SJXT="tg-sjxt";

    /**体格:皮肤、粘膜*/
    public static String OneT_TG_PFNM="tg-pfnm";
    /**体格:浅表淋巴结*/
    public static String OneT_TG_QBLBJ="tg-qblbj";

    /**体格:眼睑情况*/
    public static String OneT_TG_YLQK="tg-ylqk";

    /**体格:耳朵*/
    public static String OneT_TG_ED="tg-ed";

    /**体格:鼻子-口腔-舌*/
    public static String OneT_TG_BKS="tg-bks";

    /**体格:颈部*/
    public static String OneT_TG_JB="tg-jb";


    /**体格:胸部*/
    public static String OneT_TG_XB="tg-xb";

    /**体格:肺脏*/
    public static String OneT_TG_FZ="tg-fz";


    /**体格:心脏*/
    public static String OneT_TG_XZ="tg-xz";

    /**体格:腹部*/
    public static String OneT_TG_FB="tg-fb";


    /**体格:四肢*/
    public static String OneT_TG_SZ="tg-sz";


    /**症状*/
    public static String OneType_ZZ="zz";

    /**症状:主诉*/
    public static String OneT_ZZ_ZS="zz-zs";

    /**症状:既往史*/
    public static String OneT_ZZ_JWS="zz-jws";

    /**症状:现病史*/
    public static String OneT_ZZ_XBS="zz-xbs";






    /**体格*/
    public static Map<String,JsonDictBO> process_TG(DZMLContentBO content){

        Map<String,JsonDictBO> data=new HashMap<>();


        //体格-特征检查  physique_format 【ALL】
        if(StrUtil.isNotEmpty(content.getTgjc())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgjc(),"physique_format");
            data.put(NLPProcessUtils.OneT_TG_TZJC,nlpBean);
        }

        //体格-一般检查   general_format 【ALL】
        if(StrUtil.isNotEmpty(content.getTgjc())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgjc(),"general_format");
            data.put(NLPProcessUtils.OneT_TG_YBJC,nlpBean);
        }


        //体格 - 四肢 limb_format
        if(StrUtil.isNotEmpty(content.getTgsz())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgsz(),"limb_format");
            data.put(NLPProcessUtils.OneT_TG_SZ,nlpBean);
        }


        //体格 - 神经系统  nervous_format
        if(StrUtil.isNotEmpty(content.getTgsjxt())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgsjxt(),"nervous_format");
            data.put(NLPProcessUtils.OneT_TG_SJXT,nlpBean);
        }

        //体格-皮肤、粘膜  skin_format
        if(StrUtil.isNotEmpty(content.getTgpfnm())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgpfnm(),"skin_format");
            data.put(NLPProcessUtils.OneT_TG_PFNM,nlpBean);
        }

        //体格-浅表淋巴结  lymph_format
        if(StrUtil.isNotEmpty(content.getTgqblbj())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgqblbj(),"lymph_format");
            data.put(NLPProcessUtils.OneT_TG_QBLBJ,nlpBean);
        }

        //体格-眼睑情况 eye_format 【ALL】
        if(StrUtil.isNotEmpty(content.getTgjc())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgjc(),"eye_format");
            data.put(NLPProcessUtils.OneT_TG_YLQK,nlpBean);
        }

        //体格-耳朵 ears_format 【ALL】
        if(StrUtil.isNotEmpty(content.getTgjc())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgjc(),"ears_format");
            data.put(NLPProcessUtils.OneT_TG_ED,nlpBean);
        }

        //体格 - 鼻子-口腔-舌  nose_oral_cavity_format 【ALL】
        if(StrUtil.isNotEmpty(content.getTgjc())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgjc(),"nose_oral_cavity_format");
            data.put(NLPProcessUtils.OneT_TG_BKS,nlpBean);
        }

        //体格 - 颈部 neck_format
        if(StrUtil.isNotEmpty(content.getTgjb())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgjb(),"neck_format");
            data.put(NLPProcessUtils.OneT_TG_JB,nlpBean);
        }

        //体格 - 胸部 chest_format
        if(StrUtil.isNotEmpty(content.getTgxb())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgxb(),"chest_format");
            data.put(NLPProcessUtils.OneT_TG_XB,nlpBean);
        }

        //体格 - 肺脏 lung_format 【ALL】
        if(StrUtil.isNotEmpty(content.getTgjc())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgjc(),"lung_format");
            data.put(NLPProcessUtils.OneT_TG_FZ,nlpBean);
        }

        //体格 - 心脏 heart_format
        if(StrUtil.isNotEmpty(content.getTgxz())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgxz(),"heart_format");
            data.put(NLPProcessUtils.OneT_TG_XZ,nlpBean);
        }

        //体格 - 腹部 abdomen_format
        if(StrUtil.isNotEmpty(content.getTgfb())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getTgfb(),"abdomen_format");
            data.put(NLPProcessUtils.OneT_TG_FB,nlpBean);
        }


        return data;
    }

    /**症状*/
    public static Map<String,JsonDictBO> process_ZZ(DZMLContentBO content){
        Map<String,JsonDictBO> data=new HashMap<>();
        //主诉
        if(StrUtil.isNotEmpty(content.getZs())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getZs(),"symptom_result");
            data.put(NLPProcessUtils.OneT_ZZ_ZS,nlpBean);
        }

        //既往史
        if(StrUtil.isNotEmpty(content.getJws())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getJws(),"symptom_result");
            data.put(NLPProcessUtils.OneT_ZZ_JWS,nlpBean);
        }

        //现病史
        if(StrUtil.isNotEmpty(content.getXbs())){
            JsonDictBO nlpBean= MRCNLPUtils.getHttpJson(content.getXbs(),"symptom_result");
            data.put(NLPProcessUtils.OneT_ZZ_XBS,nlpBean);
        }
        return data;
    }


    public static String getWriteSQL(List<EMRNLPResultBO> list){
        if(CollUtil.isEmpty(list)){
            return null;
        }
        StringBuffer sql=new StringBuffer();
        sql.append("INSERT INTO ods_patient_medical_record_structural_info (patient_id,id,type,child_type,source,content,nlp_status,op_date,sync_status) VALUES ");
        List<String> sqlList=new ArrayList<>();
        for(EMRNLPResultBO item:list){
            sqlList.add(getWriteOneSQL(item));
        }
        sql.append(StrJoinSplitUtils.join(sqlList));
        return sql.toString();
    }

    private static String getWriteOneSQL(EMRNLPResultBO data){


        String sql= StrUtil.format("('{}','{}','{}','{}','{}',{},'{}','{}','{}')",
                data.getPid(),
                data.getId(),
                data.getType(),
                data.getChildType(),
                data.getSource(),
                data.getContent()==null?data.getContent():"'"+data.getContent()+"'",
                data.getStatus(),
                data.getOpDate(),
                "N"
        );
        return sql;
    }




    public static List<EMRNLPResultBO> onProcess(String id, String patientId, String content){

        List<EMRNLPResultBO> data=new ArrayList<>();
        //DZMLContentBO dzmlContent= NLPContentChangeUtils.getContentChangeBean(content);
        DZMLContentBO dzmlContent=NLPContentChangeUtils2.getContentChangeBean(content);

        if(dzmlContent==null){
            return data;
        }

        //体征
        Map<String, JsonDictBO> tzMap= NLPProcessUtils.process_TG(dzmlContent);

        for (String key:tzMap.keySet()){
            JsonDictBO dict=tzMap.get(key);
            EMRNLPResultBO emrItem=new EMRNLPResultBO();
            emrItem.setPid(patientId);
            emrItem.setId(id);
            emrItem.setType(NLPProcessUtils.OneType_TG);
            emrItem.setChildType(key);
            emrItem.setSource("dzml");
            if(dict.isFlag()){
                emrItem.setStatus(YN.YES.getCode());
                emrItem.setContent(JSON.toJSONString(dict.getData()));
            }else {
                emrItem.setStatus(YN.NO.getCode());
            }
            emrItem.setOpDate(DateUtil.now());
            data.add(emrItem);
        }

        //症状
        Map<String, JsonDictBO> zzMap= NLPProcessUtils.process_ZZ(dzmlContent);
        for (String key:zzMap.keySet()){
            JsonDictBO dict=zzMap.get(key);
            EMRNLPResultBO emrItem=new EMRNLPResultBO();
            emrItem.setPid(patientId);
            emrItem.setId(id);
            emrItem.setType(NLPProcessUtils.OneType_ZZ);
            emrItem.setChildType(key);
            emrItem.setSource(key);
            if(dict.isFlag()){
                emrItem.setStatus(YN.YES.getCode());
                if(dict.getData()!=null){
                    emrItem.setContent(JSON.toJSONString(dict.getData()));
                }else if(CollUtil.isNotEmpty(dict.getDataList())){
                    emrItem.setContent(JSON.toJSONString(dict.getDataList()));
                }
            }else {
                emrItem.setStatus(YN.NO.getCode());
            }
            emrItem.setOpDate(DateUtil.now());
            data.add(emrItem);
        }
        return data;
    }


//    public static void main(String[] args) {
//        List<EMRNLPResultBO> list=new ArrayList<>();
//        EMRNLPResultBO data1=new EMRNLPResultBO();
//        data1.setPid("111");
//        data1.setId("111");
//        data1.setType("t");
//        data1.setChildType("t");
//        data1.setSource("s");
//        data1.setContent("s");
//        data1.setStatus("s");
//        data1.setOpDate("d");
//        list.add(data1);
//        String sql= NLPProcessUtils.getWriteSQL(list);
//        System.out.println(sql);
//    }




}
