package com.xxh.cloud.exeEtl.framework.modules.write.service;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.exeEtl.framework.modules.read.bean.bos.DwdQueryDataBO;
import com.xxh.cloud.exeEtl.framework.modules.read.bean.dto.DwdDataReadByPageDTO;
import com.xxh.cloud.exeEtl.framework.modules.read.mapper.Dwd2DwdQueryMapper;
import com.xxh.cloud.exeEtl.framework.modules.read.service.DwdCleanDataReadService;
import com.xxh.cloud.exeEtl.framework.modules.write.utils.WriteSQLUtils;
import com.xxh.cloud.framework.common.utils.StrSqlUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@DS("wd")
@Log4j2
@Service
public class DwdData2Service {

    @Autowired
    private DwdCleanDataReadService dwdCleanDataReadService;

    @Autowired
    private Dwd2DwdQueryMapper dwd2DwdQueryMapper;

    //WriteSQLUtils



    private Set<String> getTextConfig(String tableCode){



//        md5Cols.add("");
//        md5Cols.add("");
//        md5Cols.add("");


        DwdDataReadByPageDTO param=new DwdDataReadByPageDTO();
        param.setTableCode(tableCode);
        param.setNum(1);
        param.setStart(0);
        DwdQueryDataBO data= dwdCleanDataReadService.readDataByPage(param);
        if(data==null || data.getConfig() ==null || MapUtil.isEmpty(data.getConfig().getMapping())){
            return null;
        }
        return data.getConfig().getMapping().keySet();

//        Set<String> cols=new HashSet<>();
//        data.getConfig().getMapping().keySet().forEach(item->{
//            if(md5Cols.contains(item)){
//                cols.add("md5("+item+")");
//            }else {
//                cols.add(item);
//            }
//        });
//        return cols;
    }

    public List<String> getData(String tableCode , String col , List<String> ids){

        Set<String> dbcols=this.getTextConfig(tableCode);

        if(CollUtil.isEmpty(dbcols)){
            return null;
        }

        List<String> data=new ArrayList<>();
        String colSQL= WriteSQLUtils.getSQL(tableCode,dbcols);

        //
        String sql=null;
        if(StrUtil.isNotEmpty(col) && CollUtil.isNotEmpty(ids)){
            String whereItem1= StrUtil.format("{} in {}",col,StrSqlUtils.in(ids));
            sql=StrUtil.format("SELECT {} as s FROM {} where {} ",colSQL,tableCode,whereItem1);
        }else {
            sql=StrUtil.format("SELECT {} as s FROM {}",colSQL,tableCode);
        }

        System.out.println("++++++++++++++");
        System.out.println(sql);

        List<Map<String,Object>> list= dwd2DwdQueryMapper.readListData(sql);
        if(CollUtil.isEmpty(list)){
            return null;
        }
        for(Map<String,Object> listItem:list){
            data.add(Convert.toStr( listItem.get("s")));
        }
        return data;
    }


    public List<String> getList2(List<String> ids){
        List<String> tableCodes=new ArrayList<>();
        tableCodes.add("dwd_patient_info");
        tableCodes.add("dwd_register_record_info");
        tableCodes.add("dwd_visit_record_info");
        tableCodes.add("dwd_inpatient_reserve_info");
        tableCodes.add("dwd_inpatient_record_info");
        tableCodes.add("dwd_discharge_record_info");
        tableCodes.add("dwd_examine_apply_info");
        tableCodes.add("dwd_examine_reserve_info");
        tableCodes.add("dwd_examine_report_info");
        tableCodes.add("dwd_laboratory_apply_info");
        tableCodes.add("dwd_laboratory_apply_project_info");
        tableCodes.add("dwd_laboratory_report_info");
        tableCodes.add("dwd_laboratory_report_item_info");
        List<String> data=new ArrayList<>();
        for(String tableCode: tableCodes){
            String val=get2(tableCode,"patient_id",ids);
            data.add(val);
        }
        return data;
    }


    public String get2(String tableCode , String col , List<String> ids){
        List<String> data=getData(tableCode,col,ids);
        if(CollUtil.isEmpty(data)){
            return null;
        }
        return  WriteSQLUtils.encryptHex("0E12AB3456789HAQ", JSON.toJSONString(data));
    }




}
