package com.xxh.cloud.sync.sys.manager.controller;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.common.mq.bean.MQPatientEventBean;
import com.xxh.cloud.common.mq.constant.MQCleanTableKeyEnum;
import com.xxh.cloud.common.mq.constant.PatientEventEnum;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanDateTimeUtils;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto.Dwd2DwdCleanByPageDTO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto.Dwd2DwdCleanByWhereDTO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.vos.Dwd2DwdCleanDataResultVO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.biz.DwdDataClearnBizService;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils.MQBeanCreateUtils;
import com.xxh.cloud.exeEtl.framework.modules.read.bean.bos.DwdQueryDataBO;
import com.xxh.cloud.exeEtl.framework.modules.read.bean.dto.DwdDataReadByPageDTO;
import com.xxh.cloud.exeEtl.framework.modules.read.service.DwdCleanDataReadService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import com.xxh.cloud.framework.common.utils.XXEnumUtil;
import io.swagger.annotations.Api;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Deprecated
@Log4j2
@RestController
@RequestMapping("/sys/clean/demo")
@Api(tags = "数据清洗执行管理[控制台测试,上线后关闭]")
public class DataCleanDemoManagerController {

    @Autowired
    private DwdDataClearnBizService dwdDataClearnBizService;


    @GetMapping("/pageNotMQ")
    public Result<Dwd2DwdCleanDataResultVO> pageNotMQ(@RequestParam("key") String key, @RequestParam("start") long start,@RequestParam("num") int num) {
        if(StrUtil.isEmpty(key)){
            return new Result<Dwd2DwdCleanDataResultVO>().ok(null);
        }
        MQCleanTableKeyEnum keyEnum= XXEnumUtil.getEnum(MQCleanTableKeyEnum.class,key);
        if(keyEnum==null){
            return new Result<Dwd2DwdCleanDataResultVO>().ok(null);
        }
        Dwd2DwdCleanByPageDTO pageDTO=new Dwd2DwdCleanByPageDTO();
        pageDTO.setKey(keyEnum);
        pageDTO.setCalculateFlag(false);
        pageDTO.setEventFlag(false);
        pageDTO.setDataMQFlag(false);
        pageDTO.setStart(start);
        pageDTO.setNum(num);
        Dwd2DwdCleanDataResultVO data= dwdDataClearnBizService.cleanByPage(pageDTO);
        return new Result<Dwd2DwdCleanDataResultVO>().ok(data);
    }


    @GetMapping("/patientNotMQ")
    public Result<Dwd2DwdCleanDataResultVO> patientNotMQ(@RequestParam("key") String key,@RequestParam("patientId") String patientId) {
        if(StrUtil.isEmpty(key) || StrUtil.isEmpty(patientId)){
            return new Result<Dwd2DwdCleanDataResultVO>().ok(null);
        }
        MQCleanTableKeyEnum keyEnum= XXEnumUtil.getEnum(MQCleanTableKeyEnum.class,key);
        if(keyEnum==null){
            return new Result<Dwd2DwdCleanDataResultVO>().ok(null);
        }
        Dwd2DwdCleanByWhereDTO pageDTO=new Dwd2DwdCleanByWhereDTO();
        pageDTO.setKey(keyEnum);
        pageDTO.setCalculateFlag(false);
        pageDTO.setEventFlag(false);
        pageDTO.setDataMQFlag(false);
        pageDTO.setPatientId(patientId);
        Dwd2DwdCleanDataResultVO data= dwdDataClearnBizService.cleanByWhere(pageDTO);
        return new Result<Dwd2DwdCleanDataResultVO>().ok(data);
    }



    @GetMapping("/patientYesMQ")
    public Result<Dwd2DwdCleanDataResultVO> patientYesMQ(@RequestParam("key") String key,@RequestParam("patientId") String patientId) {
        if(StrUtil.isEmpty(key) || StrUtil.isEmpty(patientId)){
            return new Result<Dwd2DwdCleanDataResultVO>().ok(null);
        }
        MQCleanTableKeyEnum keyEnum= XXEnumUtil.getEnum(MQCleanTableKeyEnum.class,key);
        if(keyEnum==null){
            return new Result<Dwd2DwdCleanDataResultVO>().ok(null);
        }
        Dwd2DwdCleanByWhereDTO pageDTO=new Dwd2DwdCleanByWhereDTO();
        pageDTO.setKey(keyEnum);
        pageDTO.setCalculateFlag(true);
        pageDTO.setEventFlag(true);
        pageDTO.setDataMQFlag(true);
        pageDTO.setPatientId(patientId);
        Dwd2DwdCleanDataResultVO data= dwdDataClearnBizService.cleanByWhere(pageDTO);
        return new Result<Dwd2DwdCleanDataResultVO>().ok(data);
    }


    @GetMapping("/pageYesMQ")
    public Result<Dwd2DwdCleanDataResultVO> pageYesMQ(@RequestParam("key") String key, @RequestParam("start") long start,@RequestParam("num") int num
    , @RequestParam("date") String date, @RequestParam("time1") String time1,@RequestParam("time2") String time2) {
        if(StrUtil.isEmpty(key)){
            return new Result<Dwd2DwdCleanDataResultVO>().ok(null);
        }


        if(StrUtil.isEmpty(date)){
            return new Result<Dwd2DwdCleanDataResultVO>().ok(null);
        }

        if(StrUtil.isEmpty(time1)){
            return new Result<Dwd2DwdCleanDataResultVO>().ok(null);
        }

        if(StrUtil.isEmpty(time2)){
            return new Result<Dwd2DwdCleanDataResultVO>().ok(null);
        }



        MQCleanTableKeyEnum keyEnum= XXEnumUtil.getEnum(MQCleanTableKeyEnum.class,key);
        if(keyEnum==null){
            return new Result<Dwd2DwdCleanDataResultVO>().ok(null);
        }
        Dwd2DwdCleanByPageDTO pageDTO=new Dwd2DwdCleanByPageDTO();
        pageDTO.setKey(keyEnum);
        pageDTO.setCalculateFlag(true);
        pageDTO.setEventFlag(true);
        pageDTO.setDataMQFlag(true);
        pageDTO.setStart(start);
        pageDTO.setNum(num);

        pageDTO.addWhereItem(StrUtil.format(" reports_time >= '{} {}'",date,time1));
        pageDTO.addWhereItem(StrUtil.format(" reports_time <= '{} {}'",date,time2));

        //pageDTO.addWhereItem(" report_name_standard is null ");
        Dwd2DwdCleanDataResultVO data= dwdDataClearnBizService.cleanByPage(pageDTO);
        return new Result<Dwd2DwdCleanDataResultVO>().ok(data);
    }




    @Autowired
    private DwdCleanDataReadService dwdCleanDataReadService;


//    @GetMapping("/test")
//    public Result<String> test() {
//        List<Map<String,Object>> readData= dwdCleanDataReadService.readDataList("dwd_laboratory_apply_info","patient_id='1'");
//
//
//        if(CollUtil.isEmpty(readData)){
//            return new Result<String>().ok("无数据");
//        }
//
//        List<String> rd=new ArrayList<>();
//
//        for (Map<String,Object> dataItem:readData){
//
//
//            this.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("apply_date"),
//                    dataItem.get("department_code_standard"),dataItem.get("department_name_standard"),
//                    dataItem.get("doctor_code"),dataItem.get("doctor_name")
//            );
//
//            MQPatientEventBean peb= MQBeanCreateUtils.getMQPatientEventBean2(PatientEventEnum.PE_E1060,
//                    dataItem.get("patient_id"), dataItem.get("apply_date"));
//
//            rd.add(JSON.toJSONString(peb));
//        }
//
//
//
//
//
//        System.out.println("=====================");
//        return new Result<String>().ok(StrJoinSplitUtils.join(rd));
//    }


    public void addPatientDataTime(Object patientId,Object time,Object deptCode,Object deptName,Object doctorCode,Object doctorName){
        if(patientId==null || time ==null){
            return;
        }
        //
        String _patientId= Convert.toStr(patientId);
        //

        Date _time=null;
        _time = Convert.toDate(time);

        if(_time==null){
            String _str=Convert.toStr(time);
            _time= DataCleanDateTimeUtils.toDate(_str);
            if(_time==null){
                System.out.println("+++++++ 不支持的时间日期格式,{}");
                return;
            }
        }


        System.out.println(StrUtil.format("patientId = {} ,time ={} ,deptCode={} , deptName={} , doctorCode={} , doctorName={} ",_patientId,DateUtil.format(_time,"yyyyMMdd"),Convert.toStr(deptCode),Convert.toStr(deptName),Convert.toStr(doctorCode),Convert.toStr(doctorName)));
    }





}
