package com.xxh.cloud.sync.sys.manager.controller;


import cn.dev33.satoken.annotation.SaCheckPermission;
import com.xxh.cloud.exeEtl.framework.modules.biz.bean.dto.DataCleanUserTaskAddDTO;
import com.xxh.cloud.exeEtl.framework.modules.biz.service.DataCleanUserTaskBizService;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto.DwdDataClearnTaskStartDTO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto.DwdDataClearnTaskStopDTO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.biz.DwdDataClearnTaskBizService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Log4j2
@RestController
@RequestMapping("/sys/clean/exe")
@Api(tags = "数据清洗执行管理")
public class DataCleanExeManagerController {



    @Autowired
    private DataCleanUserTaskBizService dataCleanUserTaskBizService;

    @Autowired
    private DwdDataClearnTaskBizService dwdDataClearnTaskBizService;


    //@SaCheckPermission("sys:clean:exe:start")
    @PostMapping("/start")
    @ApiOperation(value = "开始任务", response = String.class)
    public Result<String> start(@RequestBody DwdDataClearnTaskStartDTO params) {
        ValidatorUtils.validateEntity(params);
        dwdDataClearnTaskBizService.start(params);
        return new Result<String>().ok("启动执行");
    }







    //@SaCheckPermission("sys:clean:exe:stop")
    @PostMapping("/stop")
    @ApiOperation(value = "停止任务", response = String.class)
    public Result<String> stop(@RequestBody DwdDataClearnTaskStopDTO params) {
        ValidatorUtils.validateEntity(params);
        dwdDataClearnTaskBizService.stop(params);
        return new Result<String>().ok("关闭执行");
    }


    //@SaCheckPermission("sys:clean:exe:status")
    @PostMapping("/status")
    @ApiOperation(value = "任务状态", response = String.class)
    public Result<String> status(@RequestBody DwdDataClearnTaskStopDTO params) {
        ValidatorUtils.validateEntity(params);
        boolean flag=  dwdDataClearnTaskBizService.getStatus(params);
        if(flag){
            return new Result<String>().ok("执行中");
        }else {
            return new Result<String>().ok("执行关闭");
        }
    }



//    @SaCheckPermission("sys:clean:exe:addTask")
//    @PostMapping("/addTask")
//    @ApiOperation(value = "新增任务", response = String.class)
//    public Result<String> addTask(@RequestBody DataCleanUserTaskAddDTO params) {
//        ValidatorUtils.validateEntity(params);
//        dataCleanUserTaskBizService.addTask(params);
//        return new Result<String>().ok(null);
//    }












}
