package com.xxh.cloud.sync.sys.manager.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.exeEtl.framework.modules.biz.bean.dto.DataCleanErrorLoQueryDTO;
import com.xxh.cloud.exeEtl.framework.modules.biz.bean.dto.DataCleanLogGetDTO;
import com.xxh.cloud.exeEtl.framework.modules.biz.bean.dto.DataCleanLogQueryDTO;
import com.xxh.cloud.exeEtl.framework.modules.biz.bean.vos.DataCleanErrorLogVO;
import com.xxh.cloud.exeEtl.framework.modules.biz.bean.vos.DataCleanLogVO;
import com.xxh.cloud.exeEtl.framework.modules.biz.service.DataCleanErrorLogBizService;
import com.xxh.cloud.exeEtl.framework.modules.biz.service.DataCleanLogBizService;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Log4j2
@RestController
@RequestMapping("/sys/clean/log")
@Api(tags = "数据清洗日志管理")
public class DataCleanLogManagerController {


    @Autowired
    private DataCleanLogBizService dataCleanLogBizService;

    @Autowired
    private DataCleanErrorLogBizService dataCleanErrorLogBizService;



    @SaCheckPermission("sys:clean:log:query")
    @PostMapping("/query")
    @ApiOperation(value = "查询", response = DataCleanLogVO.class)
    public Result<PageData<DataCleanLogVO>> query(@RequestBody DataCleanLogQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        PageData<DataCleanLogVO> data = dataCleanLogBizService.query(params);
        return new Result<PageData<DataCleanLogVO>>().ok(data);
    }

    @SaCheckPermission("sys:clean:log:getById")
    @PostMapping("/getById")
    @ApiOperation(value = "获取", response = DataCleanLogVO.class)
    public Result<DataCleanLogVO> getById(@RequestBody DataCleanLogGetDTO params) {
        ValidatorUtils.validateEntity(params);
        DataCleanLogVO data = dataCleanLogBizService.getById(params.getId());
        return new Result<DataCleanLogVO>().ok(data);
    }


    @SaCheckPermission("sys:clean:log:queryErrorLog")
    @PostMapping("/queryErrorLog")
    @ApiOperation(value = "查询清洗错误日志", response = DataCleanErrorLogVO.class)
    public Result<PageData<DataCleanErrorLogVO>> queryErrorLog(@RequestBody DataCleanErrorLoQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        PageData<DataCleanErrorLogVO> data = dataCleanErrorLogBizService.query(params);
        return new Result<PageData<DataCleanErrorLogVO>>().ok(data);
    }








}
