package com.xxh.cloud.sync.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 数据同步标记信息表
 * </p>
 *
 * @author anros
 * @since 2023-10-11
 */
@Data
@TableName("bwd_data_sync_flag_info")
public class DataSyncFlagInfo {

    private static final long serialVersionUID = 1L;

    /**
     * 接口编号
     */
    @ApiModelProperty(value = "接口编号")
    @TableId(value = "code", type = IdType.INPUT)
    private String code;

    /**
     * 接口名称
     */
    @ApiModelProperty(value = "接口名称")
    private String name;

    /**
     * 时间戳
     */
    @ApiModelProperty(value = "时间戳")
    private String flag;


    @ApiModelProperty(value = "最大同步时间(分)")
    private Integer syncMaxMinute;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    private String opUser;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date opDate;


    @ApiModelProperty(value = "读配置")
    private String readConfig;

    @ApiModelProperty(value = "写配置")
    private String writeConfig;


}
