package com.xxh.cloud.sync.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 同步数据日志信息表
 * </p>
 *
 * @author anros
 * @since 2023-10-11
 */
@Data
@TableName("bwd_data_sync_log_info")
public class DataSyncLogInfo {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "接口编号")
    private String code;

    @ApiModelProperty(value = "接口名称")
    private String name;

    @ApiModelProperty(value = "接口参数")
    private String params;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "截止时间")
    private Date endDate;


    @ApiModelProperty(value = "读数据量")
    private Integer readNum;


    @ApiModelProperty(value = "读状态")
    private String readStatus;


    @ApiModelProperty(value = "状态")
    private String status;




    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "更新者")
    private String opUser;


    @ApiModelProperty(value = "更新时间")
    private Date opDate;


}
