package com.xxh.cloud.sync.framework.modules.biz.data;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.crypto.SecureUtil;
import cn.hutool.crypto.digest.MD5;
import com.xxh.cloud.etl.common.framework.modules.write.bean.bos.HwdsWriteConfigBean;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.etl.common.framework.constant.SyncConfigTypeEnum;
import com.xxh.cloud.etl.common.framework.constant.SyncDataKeyEnum;
import com.xxh.cloud.etl.common.framework.utils.HospitalSyncDateUtils;
import com.xxh.cloud.framework.common.write.bean.HwdsWriteDBConfigBean;
import com.xxh.cloud.sync.framework.modules.biz.bean.bos.HdsContext;
import com.xxh.cloud.sync.framework.modules.config.bean.bos.HwdsReadConfigBean;
import com.xxh.cloud.sync.framework.modules.config.bean.dto.DataSyncLogSaveDTO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.BwwbSyncDataRespHBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.ElectronMedicalRecordHBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.PatientPriceHBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.SlifeFeeDetailHBO;
import com.xxh.cloud.sync.framework.modules.read.api.service.BwwbSyncDataService;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * 收费信息
 * */
@Service
public class SyncDataPatientFeeService {




    public List<SlifeFeeDetailHBO> getDataList(HdsContext context,HwdsReadConfigBean readConfig, HwdsWriteConfigBean writerConfig, String startDate, String endDate ,
                                             DataSyncLogSaveDTO log, Map<String,List<Map<String,Object>>> writeDataMap,
                                             boolean logFlag, String logBatchNo){

       // BwwbSyncDataRespHBO<PatientPriceHBO> readData = BwwbSyncDataService.getPatientPrice(readConfig,startDate,endDate,logFlag,logBatchNo);

        BwwbSyncDataRespHBO<SlifeFeeDetailHBO> readData = BwwbSyncDataService.getSlifeFeeDetail(readConfig,startDate,endDate,logFlag,logBatchNo);
        log.setParams(startDate+","+endDate);
        log.setReadStatus(readData.getStatus());

        if(YN.NO.getCode().equals(readData.getStatus())){
            log.setStatus(YN.NO.getCode());
            log.setEndDate(new Date());
            log.setRemark("读取数据错误 : "+readData.getMsg());
            return null;
        }

        if(CollUtil.isEmpty(readData.getData())){
            log.setReadNum(0);
            log.setStatus(YN.YES.getCode());
            log.setEndDate(new Date());
            log.setRemark("无读取数据");
            return null;
        }

        log.setReadNum(readData.getData().size());

        for(HwdsWriteDBConfigBean writeDBConfig:writerConfig.getDbConfigs()){
            List<Map<String,Object>>  writeDataList = this.getDataList(readData.getData(),writeDBConfig);
            writeDataMap.put(writeDBConfig.getKey(),writeDataList);
        }

        if(SyncConfigTypeEnum.SCT_Kafka.getCode().equals(writerConfig.getDbType())){
            //
        }
        return readData.getData();
    }



    /**
     *
     * */
    public HwdsWriteConfigBean getWriteConfig(String dbType,String dbUrl,String dbUserName,String dbUserPassword ,String mqType ,String mqTopic){
        List<HwdsWriteDBConfigBean> dbConfigs=new ArrayList<>();
        Map<String,String> map1=new LinkedHashMap<>();
        map1.put("id","_id"); //
//        map1.put("visit_id","cardNo"); //
        map1.put("patient_id","cardNo"); //
        map1.put("fee_order","feeOrder"); //

        map1.put("fee_no","feeNo"); //
        map1.put("trans_type","transType"); //
        map1.put("mo_order","moOrder"); //
        map1.put("invoice_seq","invoiceSeq"); //
        map1.put("patient_name","patientName"); //
        map1.put("visit_card_no","cardNo"); //
        map1.put("register_sn","registerSn"); //
        map1.put("register_date","registerDate"); //
        map1.put("register_department_code","regDeptCode"); //

        map1.put("doctor_code","docCode"); //
        map1.put("department_code","deptCode"); //
        //map1.put("department_name",""); //
        map1.put("finance_department_code","financeDeptCode"); //
        map1.put("fee_code","feeCode"); //
        map1.put("fee_name","feeName"); //
        map1.put("fee_item_code","itemCode"); //
        map1.put("fee_item_name","itemName"); //
        map1.put("total_fee","totCost"); //
        map1.put("own_fee","ownCost"); //
        map1.put("own_pay_fee","payCost"); //
        map1.put("center_pay_fee","centerCost"); //
        map1.put("invoice_no","payNumber"); //
        map1.put("scene_type","MZ"); //
        map1.put("fee_date","feeDate"); //
        map1.put("data_update_date","updateTime"); //
        map1.put("op_data_user", SyncDataKeyEnum.SDKCV_UserNow.getCode());
        map1.put("op_update_data",SyncDataKeyEnum.SDKCV_DateNow.getCode());
        map1.put("is_sync",SyncDataKeyEnum.SDKCV_SyncFlag.getCode());
        dbConfigs.add(new HwdsWriteDBConfigBean("ods_collect_fee_record_info",dbUrl,dbUserName,dbUserPassword,"ods_collect_fee_record_info",map1));




        Map<String,String> map2=new LinkedHashMap<>();
        map2.put("patient_id","cardNo"); //
        map2.put("id","_id"); //
        map2.put("patient_name","patientName"); //

        map2.put("register_sn","registerSn"); //
        map2.put("register_date","registerDate"); //
        map2.put("register_department_code_raw","regDeptCode"); //
        map2.put("register_department_code_standard","regDeptCode"); //

        map2.put("doctor_code","docCode"); //
        map2.put("finance_department_code_raw","financeDeptCode"); //
        map2.put("finance_department_code_standard","financeDeptCode"); //


        map2.put("fee_code_raw","feeCode");
        map2.put("fee_code_standard","feeCode");
        map2.put("fee_name_raw","feeName");
        map2.put("fee_name_standard","feeName");


        map2.put("item_name_raw","itemName"); //
        map2.put("item_name_standard","itemName"); //
        map2.put("item_code_raw","itemCode"); //
        map2.put("item_code_standard","itemCode"); //

        map2.put("department_code_raw","deptCode"); //
        map2.put("department_code_standard","deptCode"); //

        map2.put("total_fee","totCost"); //
        map2.put("own_fee","ownCost"); //
        map2.put("own_pay_fee","payCost"); //
        map2.put("center_pay_fee","centerCost"); //
        map2.put("invoice_no","payNumber"); //

        map2.put("fee_date","feeDate"); //

        map2.put("data_update_date","updateTime"); //
        map2.put("op_data_user", SyncDataKeyEnum.SDKCV_UserNow.getCode());
        map2.put("op_date",SyncDataKeyEnum.SDKCV_DateNow.getCode());
        dbConfigs.add(new HwdsWriteDBConfigBean("dwd_collect_fee_record_info",dbUrl,dbUserName,dbUserPassword,"dwd_collect_fee_record_info",map2));


        HwdsWriteConfigBean config = HospitalSyncDateUtils.getHwdsWriteConfigBean(dbType,mqType,mqTopic,dbConfigs);
        return config;
    }



    private List<Map<String,Object>> getDataList(List<SlifeFeeDetailHBO> dataList , HwdsWriteDBConfigBean config){
        List<Map<String,Object>> data=new ArrayList<>();
        Map<String,String> mapping= config.columnEntityMapping();
        if("ods_collect_fee_record_info".equals(config.getKey())){
            for(SlifeFeeDetailHBO dataItem:dataList){
                Map<String,Object>  writeItemMap=this.getWriteMap(dataItem,mapping);
                if(writeItemMap!=null){
                    data.add(writeItemMap);
                }
            }
        }else if("dwd_collect_fee_record_info".equals(config.getKey())){
            for(SlifeFeeDetailHBO dataItem:dataList){
                Map<String,Object>  writeItemMap=this.getWriteMap(dataItem,mapping);
                if(writeItemMap!=null){
                    data.add(writeItemMap);
                }
            }
        }
        return data;
    }


    private String getId(SlifeFeeDetailHBO dataItem){
        StringBuffer idStr=new StringBuffer();
        if(StrUtil.isNotEmpty(dataItem.getFeeNo())){
            idStr.append(dataItem.getFeeNo());
        }else {
            idStr.append("-");
        }

        //
        if(dataItem.getFeeOrder()>=0){
            idStr.append(dataItem.getFeeOrder());
        }else {
            idStr.append("-");
        }

        //
        if(dataItem.getTransType()>=0){
            idStr.append(dataItem.getTransType());
        }else {
            idStr.append("-");
        }

        //
        if(StrUtil.isNotEmpty(dataItem.getMoOrder())){
            idStr.append(dataItem.getMoOrder());
        }else {
            idStr.append("-");
        }

        //
        if(StrUtil.isNotEmpty(dataItem.getInvoiceSeq())){
            idStr.append(dataItem.getInvoiceSeq());
        }else {
            idStr.append("-");
        }
        return SecureUtil.md5(idStr.toString()).toUpperCase();
    }

    private  Map<String,Object> getWriteMap(SlifeFeeDetailHBO dataItem, Map<String,String> mapping){
        Map<String, Object> readObjMap= BeanUtil.beanToMap(dataItem);
        Map<String,Object> writeObjMap=new HashMap<>();
        mapping.forEach((dp,ep)->{
            writeObjMap.put(dp, HospitalSyncDateUtils.getMapVal(ep,readObjMap));
        });
        writeObjMap.put("id",this.getId(dataItem));
        return writeObjMap;
    }



}
