package com.xxh.cloud.sync.framework.modules.biz.run;

import cn.hutool.core.thread.ThreadUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.sync.framework.constant.SyncApiTypeEnum;
import com.xxh.cloud.sync.framework.modules.biz.bean.dto.HospitalSyncDataDTO;
import com.xxh.cloud.sync.framework.modules.biz.service.HospitalDataSyncBizService;

public class SyncDataRun implements Runnable{


    private String cacheKey;
    private RedisUtils redisUtils;

    private SyncApiTypeEnum key;
    private HospitalDataSyncBizService hospitalDataSyncBizService;




    public SyncDataRun(String cacheKey , SyncApiTypeEnum key, RedisUtils redisUtils, HospitalDataSyncBizService hospitalDataSyncBizService){
        this.cacheKey=cacheKey;
        this.key=key;
        this.redisUtils=redisUtils;
        this.hospitalDataSyncBizService=hospitalDataSyncBizService;
    }


    @Override
    public void run() {
        while (true){
            boolean flag= this.redisUtils.hasKey(this.cacheKey);
            if(flag==false){
              return;
            }
            HospitalSyncDataDTO params=new HospitalSyncDataDTO();
            params.setLogFlag(true);
            params.setCleanMqFlag(true);
            params.setRuleMqFlag(false);
            params.setType(this.key);
            hospitalDataSyncBizService.syncHospitalData(params);
            ThreadUtil.sleep(1000);
        }
    }

}
