package com.xxh.cloud.sync.framework.modules.biz.service.impl;

import cn.hutool.core.thread.ThreadUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.sync.framework.constant.SyncApiTypeEnum;
import com.xxh.cloud.sync.framework.modules.biz.bean.dto.HospitalHisDataStartDTO;
import com.xxh.cloud.sync.framework.modules.biz.run.SyncDataRun;
import com.xxh.cloud.sync.framework.modules.biz.service.HospitalDataSyncBizService;
import com.xxh.cloud.sync.framework.modules.biz.service.HospitalDataSyncThreadBizService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class HospitalDataSyncThreadBizServiceImpl implements HospitalDataSyncThreadBizService {

    @Autowired
    private RedisUtils redisUtils;
    @Autowired
    private HospitalDataSyncBizService hospitalDataSyncBizService;

    private String getCacheKey(String key){
        return StrUtil.format("HSD:{}",key);
    }

    @Override
    public String start(SyncApiTypeEnum key) {
        String cacheKey= this.getCacheKey(key.getCode());
        boolean flag= redisUtils.hasKey(cacheKey);
        if(flag){
            return "服务执行中,不能重复执行。请先关闭执行服务";
        }
        redisUtils.set(cacheKey,YN.YES.getCode());
        SyncDataRun run= new SyncDataRun(cacheKey,key,redisUtils,hospitalDataSyncBizService);
        ThreadUtil.execAsync(run,true);
        return YN.YES.getCode();
    }

    @Override
    public String stop(SyncApiTypeEnum key) {
        String cacheKey= this.getCacheKey(key.getCode());
        redisUtils.delete(cacheKey);
        return YN.YES.getCode();
    }

    @Override
    public String info(SyncApiTypeEnum key) {
        String cacheKey= this.getCacheKey(key.getCode());
        boolean flag= redisUtils.hasKey(cacheKey);
        return flag?YN.YES.getCode() : YN.NO.getCode();
    }
}
