package com.xxh.cloud.sync.framework.modules.config.bean.bos;


import cn.hutool.core.util.StrUtil;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class HwdsReadConfigBean {

    /***/
    private String domain="http://172.17.100.39:5035";


    /***/
    private String appid="14631378478533";


    /***/
    private String secret="7ac0ecfb8c73859fcc9b6eec23c1b769";

    /**患者信息*/
    private String Path_PatientInfo="/api/patientRecord/view_patientInfo";

    /**挂号*/
    private String Path_RegisterRecords="/api/patientRecord/view_outpatient_register";



    /**门诊就诊记录同步   */
    private String Path_OutPatient="/api/patientRecord/view_outpatient_records";


    /**住院记录同步*/
    private String Path_InPatient="/api/patientRecord/view_inpatient_records";

    /**检查申请表*/
    private String Path_CheckApply="/api/patientRecord/view_apply_check";

    /**预约检查记录同步*/
    private String Path_CheckAppointment="/api/patientRecord/view_appointment_check_item";


    /**检查报告*/
    private String Path_CheckReports="/api/patientRecord/view_examine_peports";



    /**预约住院信息记录*/
    private String Path_RecipeInPatient="/api/patientRecord/view_recipe_inpatient";


    /**出院小结记录*/
    private String Path_OutRecipeRecords="/api/patientRecord/view_out_recipe_records";




    /**医生检验申请单*/
    private String Path_Laboratory_Apply ="/api/patientRecord/view_apply_laboratory";

    /***/
    private String Path_Laboratory_Reports="/api/patientRecord/view_laboratory_reports";





    /**医嘱用药数据同步*/
    private String Path_RecipeMedicine="/api/patientRecord/view_recipe_medicine";


    /**医嘱治疗数据同步*/
    private String Path_RecipeTherapy="/api/patientRecord/view_recipe_therapy";



    /**医嘱手术申请数据同步*/
    private String Path_Operation_Apply="/api/patientRecord/view_operation_apply";


    /**手术记录数据同步*/
    private String Path_Operation_Record="/api/patientRecord/view_operation_record";

    /**收费信息同步*/
    private String Path_Patient_Price="/api/patientRecord/view_patient_price";

    /**医嘱数据*/
    private String Path_Recipe_Items="/api/patientRecord/view_recipe_items";


    /**
     *
     * */
    public String getUrl(String path){
        String url= StrUtil.format("{}{}?appid={}&secret={}",this.domain,path,this.appid,this.secret);
        System.out.println(url);
        return url;
    }

    /**
     *  患者信息
     * */
    public String getUrl_PatientInfo(){
        return this.getUrl(this.Path_PatientInfo);
    }


    /**
     *
     * */
    public String getUrl_RegisterRecords(){
        return this.getUrl(this.Path_RegisterRecords);
    }


    /**
     * 门诊就诊记录同步
     * */
    public String getUrl_OutPatient(){
        return this.getUrl(this.Path_OutPatient);
    }

    /**
     *  住院记录同步
     * */
    public String getUrl_InPatient(){
        return this.getUrl(this.Path_InPatient);
    }

    /**
     *  住院转科室
     * */
    public String getUrl_SlifePatientChange(){
        return this.getUrl("/api/patientRecord/view_patient_change");
    }



    /**
     * 预约住院信息记录
     * */
    public String getUrl_RecipeInPatient(){
        return this.getUrl(this.Path_RecipeInPatient);
    }

    /**
     * 出院小结记录
     * */
    public String getUrl_OutRecipeRecords(){
        return this.getUrl(this.Path_OutRecipeRecords);
    }

    /**
     * 检查申请
     * */
    public String getUrl_CheckApply(){
        return this.getUrl(this.Path_CheckApply);
    }

    /**
     * 预约检查
     * */
    public String getUrl_CheckAppointment(){
        return this.getUrl(this.Path_CheckAppointment);
    }



    /**
     * 检查报告
     * */
    public String getUrl_CheckReports(){
        return this.getUrl(this.Path_CheckReports);
    }

    /**
     * 活动检查报告
     * */
    public String getUrl_ActivityCheckReports(){
        return this.getUrl("/api/patientRecord/view_activity_peports");
    }


    /**
     * 医生检验申请单
     * */
    public String getUrl_Laboratory_Apply(){
        return this.getUrl(this.Path_Laboratory_Apply);
    }


    /**
     * 医生检验单
     * */
    public String getUrl_Laboratory_Report(){
        return this.getUrl(this.Path_Laboratory_Reports);
    }


    /**
     * 医嘱用药数据同步
     * */
    public String getUrl_RecipeMedicine(){
        return this.getUrl(this.Path_RecipeMedicine);
    }


    /**
     * 医嘱治疗数据同步
     * */
    public String getUrl_RecipeTherapy(){
        return this.getUrl(this.Path_RecipeTherapy);
    }


    /**
     * 医嘱手术申请数据同步
     * */
    public String getUrl_OperationApply(){
        return this.getUrl(this.Path_Operation_Apply);
    }


    /**
     * 手术记录数据同步
     * */
    public String getUrl_OperationRecord(){
        return this.getUrl(this.Path_Operation_Record);
    }


    /**
     * 诊断
     * */
    public String getUrl_Diagnosis(){
        return this.getUrl("/api/patientRecord/view_sickness_diagnose");
    }



    /**
     * 收费信息同步
     * */
    public String getUrl_PatientPrice(){
        return this.getUrl(this.Path_Patient_Price);
    }

    /**
     * 医嘱数据
     * */
    public String getUrl_RecipeItems(){
        return this.getUrl(this.Path_Recipe_Items);
    }


    /**
     * 主述 现病史
     * */
    public String getUrl_DocumentPatient(){
        return this.getUrl("/api/patientRecord/document_outpatient");
    }



    /**
     * 首次病程
     * */
    public String getUrl_DocumentProgressNode(){
        return this.getUrl("/api/patientRecord/document_progress_node");
    }


    /**
     * 收费信息【牙科 门诊】
     * */
    public String getUrl_FeeDetail(){
        return this.getUrl("/api/patientRecord/stomatology_fee_detail");
    }


    /**
     * 电子病例
     * */
    public String getUrl_ElectronMedicalRecord(){
        return this.getUrl("/api/patientRecord/v_patient_record");
    }


    /**
     *
     * */
    public String getUrl_Docter2Dept(){
        return this.getUrl("/api/patientrecord/sickness_department");
    }


    /**
     *
     * */
    public String getUrl_WebDept(){
        return this.getUrl("/api/patientRecord/web_department");
    }

    /**
     * 体检: 体检客户
     * */
    public String getUrl_Tj_PatientInfo(){
        return this.getUrl("/api/patientRecordTj/tj_patientinfo");
    }

    /**
     * 体检: 体检注册
     * */
    public String getUrl_Tj_Register(){
        return this.getUrl("/api/patientRecordTj/tj_register");
    }

    /**
     * 体检: 体检报告
     * */
    public String getUrl_Tj_ReportResult(){
        return this.getUrl("/api/patientRecordTj/tj_report");
    }

    /**
     * 体检: 总检报告
     * */
    public String getUrl_Tj_FinalReportResult(){
        return this.getUrl("/api/patientRecordTj/tj_final_report");
    }


    /**
     * 体检: 意见
     * */
    public String getUrl_Tj_Suggest(){
        return this.getUrl("/api/patientRecordTj/tj_suggest");
    }





    /**
     *
     * */
    public String getUrl_XD_Patient(){
        return this.getUrl("/api/patientRecord/view_patientInfo_xdroot");
    }

    /**
     *
     * */
    public String getUrl_XD_ExamineApply(){
        return this.getUrl("/api/patientRecord/view_apply_check_XDRoot");
    }

    /**
     *
     * */
    public String getUrl_XD_ExamineReport(){
        return this.getUrl("/api/patientRecord/view_examine_peports_XDRoot");
    }


}
