package com.xxh.cloud.sync.framework.modules.config.service.impl;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.xxh.cloud.etl.common.framework.modules.write.bean.bos.HwdsWriteConfigBean;
import com.xxh.cloud.sync.framework.constant.SyncApiTypeEnum;
import com.xxh.cloud.etl.common.framework.constant.SyncConfigTypeEnum;
import com.xxh.cloud.sync.framework.modules.base.entity.DataSyncFlagInfo;
import com.xxh.cloud.sync.framework.modules.base.service.DataSyncFlagInfoService;
import com.xxh.cloud.sync.framework.modules.biz.data.*;
import com.xxh.cloud.sync.framework.modules.config.bean.dto.DataSyncFlagUpdateDTO;
import com.xxh.cloud.sync.framework.modules.config.bean.vos.DataSyncFlagStartEndVO;
import com.xxh.cloud.sync.framework.modules.config.bean.vos.DataSyncFlagVO;
import com.xxh.cloud.sync.framework.modules.config.service.DataSyncFlagBizService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class DataSyncFlagBizServiceImpl implements DataSyncFlagBizService {

    @Autowired
    private DataSyncFlagInfoService dataSyncFlagInfoService;


    @Override
    public DataSyncFlagVO getByCode(String code) {
        DataSyncFlagInfo entity= dataSyncFlagInfoService.getById(code);
        if(entity==null){
            return null;
        }
        return null;
    }



    @Override
    public DataSyncFlagInfo getEntityByCode(String code) {
        DataSyncFlagInfo entity= dataSyncFlagInfoService.getById(code);
        return entity;
    }

    @Override
    public DataSyncFlagStartEndVO getStartEndDate(String code) {
        return null;
    }

    @Override
    public void update(DataSyncFlagUpdateDTO params) {

    }

    @Override
    public void update(String code, String flag) {
        dataSyncFlagInfoService.update(
                new UpdateWrapper<DataSyncFlagInfo>()
                        .set("flag",flag)
                        .set("op_date",new Date())
                        .eq("code",code)
        );
    }

    @Autowired
    private SyncDataPatientInfoService syncDataPatientInfoService;


    @Autowired
    private SyncDataPatientRegisterService syncDataPatientRegisterService;


    @Autowired
    private SyncDataVisitRecordService syncDataVisitRecordService;
    @Autowired
    private SyncDataInRecordService syncDataInRecordService;

    @Autowired
    private SyncDataInChangeService syncDataInChangeService;

    @Autowired
    private SyncDataExamApplyService syncDataExamApplyService;

    @Autowired
    private SyncDataExamReportService syncDataExamReportService;
    @Autowired
    private SyncDataLaboratoryApplyService syncDataLaboratoryApplyService;
    @Autowired
    private SyncDataLaboratoryReportService syncDataLaboratoryReportService;
    @Autowired
    private SyncDataAdviceMedicationService syncDataAdviceMedicationService;
    @Autowired
    private SyncDataAdviceTherapyService syncDataAdviceTherapyService;

    @Autowired
    private SyncDataOperationApplyService syncDataOperationApplyService;

    @Autowired
    private SyncDataOperationRecordService syncDataOperationRecordService;

    @Autowired
    private SyncDataPatientFeeService syncDataPatientFeeService;

    @Autowired
    private SyncDataDoctorAdviceService syncDataDoctorAdviceService;


    @Autowired
    private SyncDataInAppointmentService syncDataInAppointmentService;
    @Autowired
    private SyncDataOutSummaryService syncDataOutSummaryService;

    @Autowired
    private SyncDataExamAppointmentService syncDataExamAppointmentService;

    @Autowired
    private SyncDataDiagnosisService syncDataDiagnosisService;

    @Autowired
    private TjSyncPatientService tjSyncPatientService;
    @Autowired
    private TjSyncRegisterService tjSyncRegisterService;
    @Autowired
    private TjSyncReportService tjSyncReportService;
    @Autowired
    private TjSyncFinalReportService tjSyncFinalReportService;
    @Autowired
    private TjSyncSuggestService tjSyncSuggestService;

    @Autowired
    private SyncActivityExamReportService syncActivityExamReportService;
    @Autowired
    private SyncDataFirstCourseIllnessService syncDataFirstCourseIllnessService;


    @Autowired
    private SyncDataPastHisService syncDataPastHisService;


    @Autowired
    private SyncDataMedicalRecordService syncDataMedicalRecordService;




    @Override
    public DataSyncFlagInfo initData(SyncApiTypeEnum type, SyncConfigTypeEnum dbType, String dbUrl, String dbUserName, String dbUserPassword , String mqType , String mqTopic) {
        DataSyncFlagInfo entity =this.getEntityByCode(type.getCode());
        if(entity!=null){
            System.out.println("++++++++++++++++++ not save : "+type.getCode());
            return entity;
        }

        DataSyncFlagInfo  saveEntity =new DataSyncFlagInfo();
        saveEntity.setCode(type.getCode());
        saveEntity.setName(type.getName());
        saveEntity.setFlag("2022-01-01 00:00:00");
        saveEntity.setSyncMaxMinute(10);
        saveEntity.setRemark("Add");
        saveEntity.setOpUser("1");
        saveEntity.setOpDate(new Date());
        saveEntity.setReadConfig(null);

        if(SyncApiTypeEnum.SAPI_PatientInfo == type){
            HwdsWriteConfigBean config =syncDataPatientInfoService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //挂号记录同步
        if(SyncApiTypeEnum.SAPI_PatientRegister == type){
            HwdsWriteConfigBean config =syncDataPatientRegisterService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //就诊记录同步
        if(SyncApiTypeEnum.SAPI_VisitRecord == type){
            HwdsWriteConfigBean config =syncDataVisitRecordService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //预约住院信息记录
        if(SyncApiTypeEnum.SAPI_InAppointment == type){
            HwdsWriteConfigBean config =syncDataInAppointmentService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //住院记录同步
        if(SyncApiTypeEnum.SAPI_InRecord ==type){
            HwdsWriteConfigBean config =syncDataInRecordService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        if(SyncApiTypeEnum.SAPI_InChange == type){
            HwdsWriteConfigBean config =syncDataInChangeService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }
//


        //出院小结记录
        if(SyncApiTypeEnum.SAPI_OutSummary == type){
            HwdsWriteConfigBean config =syncDataOutSummaryService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //检查申请
        if(SyncApiTypeEnum.SAPI_ExamApply == type){
            HwdsWriteConfigBean config =syncDataExamApplyService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }


        //检查预约
        if(SyncApiTypeEnum.SAPI_ExamAppointment == type){
            HwdsWriteConfigBean config =syncDataExamAppointmentService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //检查报告单数据
        if(SyncApiTypeEnum.SAPI_ExamReport == type){
            HwdsWriteConfigBean config =syncDataExamReportService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //检验申请
        if(SyncApiTypeEnum.SAPI_LaboratoryApply == type){
            HwdsWriteConfigBean config =syncDataLaboratoryApplyService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //检验报告单
        if(SyncApiTypeEnum.SAPI_LaboratoryReport == type){
            HwdsWriteConfigBean config =syncDataLaboratoryReportService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //医嘱用药数据
        if(SyncApiTypeEnum.SAPI_AdviceMedication == type){
            HwdsWriteConfigBean config =syncDataAdviceMedicationService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //医嘱治疗数据
        if(SyncApiTypeEnum.SAPI_AdviceTherapy == type){
            HwdsWriteConfigBean config =syncDataAdviceTherapyService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //医嘱手术申请数据
        if(SyncApiTypeEnum.SAPI_OperationApply == type){
            HwdsWriteConfigBean config =syncDataOperationApplyService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //手术记录数据
        if(SyncApiTypeEnum.SAPI_OperationRecord == type){
            HwdsWriteConfigBean config =syncDataOperationRecordService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //医嘱数据
        if(SyncApiTypeEnum.SAPI_DoctorAdvice==type){
            HwdsWriteConfigBean config =syncDataDoctorAdviceService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //收费信息
        if(SyncApiTypeEnum.SAPI_PatientFee == type){
            HwdsWriteConfigBean config =syncDataPatientFeeService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //诊断
        if(SyncApiTypeEnum.SAPI_Diagnosis == type){
            HwdsWriteConfigBean config =syncDataDiagnosisService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }


        //既往史数据
        if(SyncApiTypeEnum.SAPI_PastHis == type){
            HwdsWriteConfigBean config =syncDataPastHisService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //首次病程
        if(SyncApiTypeEnum.SAPI_FirstCourseIllness == type){
            HwdsWriteConfigBean config =syncDataFirstCourseIllnessService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }



        //体检患者
        if(SyncApiTypeEnum.SAPI_TJ_Patient == type){
            HwdsWriteConfigBean config =tjSyncPatientService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }
        //体检登记
        if(SyncApiTypeEnum.SAPI_TJ_Register == type){
            HwdsWriteConfigBean config =tjSyncRegisterService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //体检报告
        if(SyncApiTypeEnum.SAPI_TJ_Report == type){
            HwdsWriteConfigBean config =tjSyncReportService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //总检报告
        if(SyncApiTypeEnum.SAPI_TJ_FinalReport == type){
            HwdsWriteConfigBean config =tjSyncFinalReportService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //体检建议
        if(SyncApiTypeEnum.SAPI_TJ_Suggest == type){
            HwdsWriteConfigBean config =tjSyncSuggestService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }

        //活动检查报告单数据
        if(SyncApiTypeEnum.SAPI_ActivityExamReport == type){
            HwdsWriteConfigBean config =syncActivityExamReportService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }


        //电子病例
        if(SyncApiTypeEnum.SAPI_MedicalRecord == type){
            HwdsWriteConfigBean config =syncDataMedicalRecordService.getWriteConfig(dbType.getCode(),dbUrl,dbUserName,dbUserPassword,mqType,mqTopic);
            saveEntity.setWriteConfig(JSON.toJSONString(config));
            dataSyncFlagInfoService.save(saveEntity);
        }



        return saveEntity;


    }




}
