package com.xxh.cloud.sync.framework.modules.config.service.impl;


import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.IdUtil;
import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.sync.framework.modules.base.entity.DataSyncLogInfo;
import com.xxh.cloud.sync.framework.modules.base.entity.DataSyncLogItemInfo;
import com.xxh.cloud.sync.framework.modules.base.service.DataSyncLogInfoService;
import com.xxh.cloud.sync.framework.modules.base.service.DataSyncLogItemInfoService;
import com.xxh.cloud.sync.framework.modules.config.bean.dto.DataSyncLogQueryDTO;
import com.xxh.cloud.sync.framework.modules.config.bean.dto.DataSyncLogSaveDTO;
import com.xxh.cloud.sync.framework.modules.config.bean.vos.DataSyncLogVO;
import com.xxh.cloud.sync.framework.modules.config.service.DataSyncLogBizService;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service
public class DataSyncLogBizServiceImpl implements DataSyncLogBizService {

    @Autowired
    private DataSyncLogInfoService dataSyncLogInfoService;
    @Autowired
    private DataSyncLogItemInfoService dataSyncLogItemInfoService;


    @Override
    public PageData<DataSyncLogVO> query(DataSyncLogQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        //todo:
        return null;
    }

    @Override
    public DataSyncLogVO getById(String id) {
        //todo:
        return null;
    }

    @Override
    public void save(DataSyncLogSaveDTO params) {
        ValidatorUtils.validateEntity(params);
        DataSyncLogInfo entity=new DataSyncLogInfo();
        entity.setId(IdUtil.getSnowflake(5,1).nextIdStr());
        entity.setCode(params.getCode());
        entity.setName(params.getName());
        entity.setParams(params.getParams());
        entity.setStartDate(params.getStartDate());
        entity.setEndDate(params.getEndDate());
        entity.setReadNum(params.getReadNum());
        entity.setReadStatus(params.getReadStatus());
        entity.setStatus(params.getStatus());
        entity.setRemark(params.getRemark());
        entity.setOpUser("A");
        entity.setOpDate(new Date());
        dataSyncLogInfoService.save(entity);

        List<DataSyncLogItemInfo> logItemList=new ArrayList<>();
        if(CollUtil.isNotEmpty(params.getLogItemList())){
            params.getLogItemList().forEach(item->{
                DataSyncLogItemInfo dataItem=new DataSyncLogItemInfo();
                dataItem.setId(IdUtil.getSnowflake(1,2).nextIdStr());
                dataItem.setMainId(entity.getId());
                dataItem.setWriteTable(item.getWriteTable());
                dataItem.setWriteStatus(item.getWriteStatus());
                dataItem.setWriteNum(item.getWriteNum());
                dataItem.setWriteErrInfo(item.getWriteErrInfo());
                dataItem.setStartDate(item.getStartDate());
                dataItem.setEndDate(item.getEndDate());
                dataItem.setOpDate(new Date());
                logItemList.add(dataItem);
            });
        }

        if(logItemList.size()>0){
            dataSyncLogItemInfoService.saveBatch(logItemList);
        }

    }

    @Override
    public void saveBatch(List<DataSyncLogSaveDTO> params) {

    }


}
