package com.xxh.cloud.sync.framework.modules.read.api.resp;

import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.ApplyCheckOrderHBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.DiagnosisReportHBO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 检查申请表
 * */
@Getter
@Setter
public class CheckApplyHBO {


    /**
     * 申请单号 [主键]
     * */
    private String applyId;


    /**
     *  1.门诊；2，急诊；4.住院
     * */
    private String patientType;

    /**
     * 就诊记录号 (门诊: 就诊流水号 住院：住院流水号)
     * */
    private String visitId;

    /**
     * 状态
     * */
    private String status;

    /**
     * 状态名称
     * */
    private String statusName;


    /**
     * 住院号
     * */
    private String inPatientNo;


    /**
     * 患者编号
     * */
    private String patientId;

    /**
     * 患者名称
     * */
    private String patientName;


    /**
     * 申请科室名称
     * */
    private String departmentName;


    /**
     * 申请科室编码
     * */
    private String departmentCode;


    /**
     * 申请时间
     * */
    private Date applyDate;

    /**
     * 1.门诊 2.急诊 4.住院
     * */
    private String type;



    /**
     * 申请医生编号
     * */
    private String doctorCode;

    /**
     * 申请医生姓名
     * */
    private String doctorName;

    /**
     * 更新时间
     * */
    private Date updateTime;

    private String  opid ;



    /**
     * 诊断列表
     * */
    private List<DiagnosisReportHBO> diagnoseList;


    /**
     * 医嘱列表
     * */
    private List<ApplyCheckOrderHBO> orderList;


    public static void main(String[] args) {




    }

}
