package com.xxh.cloud.sync.framework.modules.read.api.resp;

import cn.hutool.core.collection.CollUtil;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 检查报告单数据同步
 */
@Getter
@Setter
public class ExamineReportsHBO {


    /**
     * 关联用 【主键】
     */
    private String id;

    /**
     * 申请流水号
     */
    private String recipeId;


    /**
     * 患者类型
     */
    private String patientType;


    /**
     * 住院流水号
     */
    private String ipid;

    /**
     * 患者就诊卡号
     */
    private String pid;

    /**
     * 患者姓名
     */
    private String patientName;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;


    /**
     * 申请科室名称
     */
    private String deptName;

    /**
     * 申请科室代码
     */
    private String deptCode;


    /**
     * 申请医生代码
     */
    private String docCode;

    /**
     * 申请医生姓名
     */
    private String docName;

    /**
     * 设备类型id
     */
    private String classId;
    /**
     * 设备类型名称
     */
    private String className;


    /**
     * 报告诊断
     */
    private String reportDiagnose;

    /**
     * 报告结果
     */
    private String reportResult;

    /**
     * 报告日期
     */
    private Date reportDate;
    /**
     * 报告名称
     */
    private String serviceName;
    /**
     * 患者电话
     */
    private String patientPhone;


    /**
     * 门诊就诊流水号
     * */
    private String opid;

    /**
     *
     * */
    private Date updateTime;


    /**
     * 报告路径
     * */
    private String filePath;

    /**
     * 报告影象编号
     * */
    private String checkSerialnum;


    private String status;


    /**
     * 相关测量值
     * */
    private List<ExamineReportConsultHBO> consults;



    public String toConsults(){
        if(CollUtil.isEmpty(this.consults)){
            return null;
        }
        StringBuffer str=new StringBuffer();
        this.consults.forEach(item->{
            str.append(item.toContent()).append(" \n ");
        });
        return str.toString();
    }


}
