package com.xxh.cloud.sync.framework.modules.read.api.resp;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 住院记录同步
 * */
@Getter
@Setter
public class InPatientRecordsHBO {



    /**
     * 住院流水号 【主】
     * */
    private String visitId;

    /**
     * 身份证号
     * */
    private String idCardNo;

    /**
     * 住院号 【同 visitId】
     * */
    private String inPatientNo;

    /**
     * 住院状态
     *  R-住院登记；I-病房接诊；B-出院登记；O-出院结算；P-预约出院；N-无费退院
     * */
    private String state;

    /**
     * 患者编号
     * */
    private String patientId;


    /**
     * 患者名称
     * */
    private String patientName;

    /**
     * 医院编号
     * */
    private String companyNo;


    /**
     * 医院名称
     * */
    private String companyName;

    /**
     * 住院科室名称
     * */
    private String departmentName;


    /**
     * 住院科室编码
     * */
    private String departmentCode;


    /**
     * 入院时间
     * */
    private Date date;


    /**
     *  医生编号
     * */
    private String doctorCode;

    /**
     * 医生姓名
     * */
    private String doctorName;


    /**
     * 病区编号
     * */
    public String inPatientWardCode;

    /**
     * 病区名称
     * */
    public String inPatientWardName;

    /**
     * 类型 ：0
     * */
    public String type;

    /**
     * 床号
     * */
    public String bedNo;

    /**
     * 更新时间
     * */
    private Date updateTime;

    /**
     * 住院流水号 或 门(急)诊就诊流水号
     * */
    private String opid;


}
