package com.xxh.cloud.sync.framework.modules.read.api.resp;

import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.ApplyLabOrderHBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.DiagnosisReportHBO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;


/**
 * 医生检验申请单数据同步
 * */
@Getter
@Setter
public class LaboratoryApplyBO {


    /**
     * 检验申请流水号 (主键)
     * */
    private String applyId;

    /**
     * 关联处方id
     * */
    private String visitId;

    /**
     *
     * */
    private String opid;

    /**
     * 住院号
     * */
    private String inPatientNo;

    /**
     * 患者编号
     * */
    private String patientId;

    /**
     * 患者姓名
     * */
    private String patientName;


    /**
     * 申请科室名称
     * */
    private String departmentName;

    /**
     * 申请科室代码
     * */
    private String departmentCode;

    /**
     * 时间
     * */
    private Date payTime;

    /**
     * 申请时间
     * */
    private Date applyDate;



    /**
     * 类型
     * */
    private String type;

    /**
     * 申请医生编号
     * */
    private String doctorCode;

    /**
     * 申请医生姓名
     * */
    private String doctorName;


    /**
     * 申请状态
     * */
    private String status;

    /**
     *
     * */
    private List<ApplyLabOrderHBO> orderList;

    /**
     * 诊断列表
     * */
    private List<DiagnosisReportHBO> diagnoseList;



    private Date updateTime;

}
