package com.xxh.cloud.sync.framework.modules.read.api.resp;

import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.OperationDiagnoseHBO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 *医嘱手术申请数据同步
 * */
@Getter
@Setter
public class OperationApplyHBO {




    /**
     * 关联id 【主键】
     * */
    private String id;



    /**
     * 就诊记录号 【住院号】
     * */
    private String visitId;

    /**
     *  处方检验单id
     * */
    private String recipeId;

    /**
     * 住院号
     * */
    private String inPatientNo;


    /**
     *患者编号
     * */
    private String patientId;

    /**
     * 患者姓名
     * */
    private String patientName;

    /**
     * 申请科室编号
     * */
    private String departmentCode;

    /**
     * 申请科室名称
     * */
    private String departmentName;



    /**
     * 申请手术时间
     * */
    private Date applyTime;

    /**
     * 1.门诊 2。急诊 4.住院
     * */
    private String patientType;

    /**
     * 申请医生编号
     * */
    private String doctorCode;

    /**
     *申请医生名称
     * */
    private String doctorName;



    /**
     * 申请状态
     * */
    private String status;

    /**
     * 申请状态名称
     * */
    private String statusName;



    /**
     * 手术编码
     * */
    private String code;

    /**
     * 手术名称
     * */
    private String name;

    /**
     *手术等级
     * */
    private String operationLevel;

    /**
     * 预计手术时长
     * */
    private String estOptDuration;


    /**
     * 麻醉方法
     * */
    private String anaesthesiaMethod;

    /**
     *手术类别
     * */
    private String operationType;


    /**
     * 手术申请相关术前诊断
     * */
    private List<OperationDiagnoseHBO> diagnoseList;

}
