package com.xxh.cloud.sync.framework.modules.read.api.resp;

import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.OperationDiagnoseHBO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 手术记录数据同步
 * */
@Getter
@Setter
public class OperationRecordHBO {



    /**
     * 关联用id【主键】
     * */
    private String id;


    /**
     * 就诊记录号 【住院记录号】
     * */
    private String visitId;


    /**
     *  记录流水号【关联手术申请】  --处方检验单id
     * */
    private String recipeId;



    /**
     * 住院号
     * */
    private String inPatientNo;


    /**
     * 患者编号
     * */
    private String patientId;


    /**
     * 患者姓名
     * */
    private String patientName;



    /**
     * 申请科室编码
     * */
    private String departmentCode;


    /**
     *申请科室名称
     * */
    private String departmentName;


    /**
     * 申请手术时间
     * */
    private Date applyTime;


    /**
     * 1.门诊 2.急诊 4.住院
     * */
    private String patientType;


    /**
     * 申请医生代码
     * */
    private String doctorCode;


    /**
     * 申请医生姓名
     * */
    private String doctorName;

    /**
     * 备注
     * */
    private String description;


    /**
     * 申请状态
     * */
    private String status;



    /**
     * 申请状态名称
     * */
    private String statusName;


    /**
     * 诊断编码
     * */
    private String code;


    /**
     *  诊断项目/内容
     * */
    private String name;



    /**
     * 手术等级
     * */
    private String operationLevel;


    /**
     * 预计手术时间
     * */
    private String estOptDuration;


    /**
     *麻醉方法
     * */
    private String anaesthesiaMethod;




    /**
     * 手术类别
     * */
    private String operationType;


    /**
     * 手术医生姓名
     * */
    private String operationDoctor;


    /**
     * 手术医生编码
     * */
    private String operationDoctorId;



    /**
     * 实际手术开始时间
     * */
    private Date actStartTime;


    /**
     * 实际手术结束时间
     * */
    private Date actEndTime;


    /**
     *
     * */
    private String xmlContent;


    /**
     *
     * */
    private List<OperationDiagnoseHBO> diagnoseList;




}
