package com.xxh.cloud.sync.framework.modules.read.api.resp;

import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.DiagnosisReportHBO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 出院小结记录
 * */
@Getter
@Setter
public class OutRecipeRecordsHBO {

    /**
     * 就诊记录号 【住院流水号】
     * */
    private String visitId;

    /**
     * 关联住院号 【无用】
     * */
    private String inPatientNo;

    /**
     * 住院状态
     * 4:出院；
     * */
    private String inStatus;

    /**
     * 患者编号
     * */
    private String patientId;

    /**
     * 入院科室名称
     * */
    private String admitDepartmentName;

    /**
     * 入院科室编码
     * */
    private String admitDepartmentCode;


    /**
     * 出院科室名称
     * */
    private String outAdmitdepartmentName;

    /**
     * 出院科室编码
     * */
    private String outAdmitdepartmentCode;

    /**
     * 出院时间
     * */
    private Date outDate;


    /**
     * 出院方式编号
     * */
    private String leaveWay;

    /**
     * 出院方式名称
     * */
    private String  leaveWayName;

    /**
     * 出院总结
     * */
    private String content;


    /**
     * 诊断列表
     * */
    private List<DiagnosisReportHBO> diagnoseList;

    /**
     * 更新时间
     * */
    private Date updateTime;

}
