package com.xxh.cloud.sync.framework.modules.read.api.resp.bo1;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 诊断数据同步
 * */
@Getter
@Setter
public class DiagnosisReportHBO {

    /**
     * 就诊记录号
     * */
    private String visitId;

    /**
     * 关联处方id
     * */
    private String recipeId;

    /**
     * 住院号
     * */
    private String inPatientNo;

    /**
     * 患者编号
     * */
    private String patientId;

    /**
     * 患者姓名
     * */
    private String patientName;

    /**
     * 下诊断科室代码
     * */
    private String departmentCode;

    /**
     * 下诊断科室名称
     * */
    private String departmentName;

    /**
     * 下诊断时间
     * */
    private Date diagnosisTime;

    /**
     * 1.门诊 2.急诊 4.住院
     * */
    private String type;

    /**
     * 下诊断医生代码
     * */
    private String doctorCode;

    /**
     * 下诊断医生名称
     * */
    private String doctorName;

    /**
     * 诊断流水号
     * */
    private String diagSn;

    /**
     * icd代码
     * */
    private String icdCode;

    /**
     * 诊断代码
     * */
    private String diagCode;


    /**
     * 诊断名称
     * */
    private String diagName;


    /**
     *  mzzd门诊诊断
     * */
    private String diagTypeCode;

    /**
     * 是否主诊断:1.主要诊断
     * */
    private String mainFlag;


    /**
     * 是否确诊：1.确诊
     * */
    private String defineFlag;

    /**
     * 诊断顺序
     * */
    private int sortIndex;



}
