package com.xxh.cloud.sync.framework.modules.read.api.service;

import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.sync.framework.modules.config.bean.bos.HwdsReadConfigBean;
import com.xxh.cloud.sync.framework.modules.read.api.resp.*;
import com.xxh.cloud.sync.framework.modules.read.api.utils.ThirdApiResp;
import com.xxh.cloud.sync.framework.modules.read.api.utils.ThirdApiUtils;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;


public class BwwbSyncDataService {


//    public static BwwbSyncDataRespHBO<PatientRecordHBO> getPatientRecord(HwdsReadConfigBean config, String start, String end){
//        BwwbSyncDataRespHBO<PatientRecordHBO> data=new BwwbSyncDataRespHBO<PatientRecordHBO>();
//        data.setStatus(YN.YES.getCode());
//        data.setType("http");
//        data.setMsg("sucess");
//        List<PatientRecordHBO> list=new ArrayList<>();
//        for (int i = 0; i < 3; i++) {
//            PatientRecordHBO data1=new PatientRecordHBO(StrUtil.format("D{}",i+1000),StrUtil.format("{}_name_{}",i, IdUtil.randomUUID()),"id-1","138",new Date());
//            list.add(data1);
//        }
//        data.setData(list);
//        return data;
//    }




    /**
     * 获取患者记录
     * */
    public static BwwbSyncDataRespHBO<PatientRecordHBO> getPatientRecord(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_PatientInfo(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<PatientRecordHBO> data=new BwwbSyncDataRespHBO<PatientRecordHBO>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            if(StrUtil.isNotEmpty(result.getResult())){
                data.setData(JSON.parseArray(result.getResult(), PatientRecordHBO.class));
            }
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;

//        BwwbSyncDataRespHBO<PatientRecordHBO> data=new BwwbSyncDataRespHBO<PatientRecordHBO>();
//        data.setStatus(YN.YES.getCode());
//
//        List<PatientRecordHBO> list=new ArrayList<>();
//        PatientRecordHBO b1=new PatientRecordHBO();
//        b1.setPatientId(IdUtil.simpleUUID());
//        b1.setPhone("1347256874573");
//        b1.setIdCardNo("326683184568703059098");
//
//        list.add(b1);
//        data.setData(list);
//        return  data;
    }



    /**
     * 挂号记录
     * */
    public static BwwbSyncDataRespHBO<RegisterRecordsHBO> getRegisterRecords(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_RegisterRecords(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<RegisterRecordsHBO> data=new BwwbSyncDataRespHBO<RegisterRecordsHBO>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), RegisterRecordsHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;

//        BwwbSyncDataRespHBO<RegisterRecordsHBO> data=new BwwbSyncDataRespHBO<RegisterRecordsHBO>();
//
//        List<RegisterRecordsHBO> list=new ArrayList<>();
//
//        RegisterRecordsHBO d1=new RegisterRecordsHBO();
//        d1.setVisitId("11111");
//        d1.setTransType("1");
//        d1.setPatientId("1000");
//        d1.setPatientType("1");
//        d1.setDepartmentCode("000");
//        d1.setDepartmentName("111");
//        d1.setDate(new Date());
//        d1.setUpdateTime(new Date());
//        list.add(d1);
//
//        RegisterRecordsHBO d2=new RegisterRecordsHBO();
//        d2.setVisitId("2222");
//        d2.setTransType("2");
//        d2.setPatientId("2000");
//        d2.setPatientType("1");
//        d2.setDepartmentCode("000");
//        d2.setDepartmentName("111");
//        d2.setDate(new Date());
//        d2.setUpdateTime(new Date());
//        list.add(d2);
//
//        data.setData(list);
//        return data;
    }




    /**
     *  门诊 就诊记录同步
     * */
    public static BwwbSyncDataRespHBO<OutPatientRecordsHBO> getOutPatientRecord(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_OutPatient(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<OutPatientRecordsHBO> data=new BwwbSyncDataRespHBO<OutPatientRecordsHBO>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), OutPatientRecordsHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }


    /**
     * 住院记录同步
     * */
    public static BwwbSyncDataRespHBO<InPatientRecordsHBO> getInPatientRecord(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_InPatient(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<InPatientRecordsHBO> data=new BwwbSyncDataRespHBO<InPatientRecordsHBO>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), InPatientRecordsHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }

    /**
     * 住院转科室
     * */
    public static BwwbSyncDataRespHBO<SlifePatientChangeHBO> getSlifePatientChange(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            System.out.println("+++++++++++++++++++ 住院转科室 +++++++++++++++++++++");
            result= ThirdApiUtils.getHttpApi(config.getUrl_SlifePatientChange(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<SlifePatientChangeHBO> data=new BwwbSyncDataRespHBO<SlifePatientChangeHBO>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), SlifePatientChangeHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }



    /**
     * 预约住院信息记录
     * */
    public static BwwbSyncDataRespHBO<RecipeInpatientHBO> getRecipeInPatient(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_RecipeInPatient(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<RecipeInpatientHBO> data=new BwwbSyncDataRespHBO<RecipeInpatientHBO>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), RecipeInpatientHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }

    /**
     * 出院小结记录
     * */
    public static BwwbSyncDataRespHBO<OutRecipeRecordsHBO> getOutRecipeRecords(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_OutRecipeRecords(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<OutRecipeRecordsHBO> data=new BwwbSyncDataRespHBO<OutRecipeRecordsHBO>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), OutRecipeRecordsHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }

    /**
     * 检查申请
     * */
    public static BwwbSyncDataRespHBO<CheckApplyHBO> getCheckApply(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_CheckApply(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<CheckApplyHBO> data=new BwwbSyncDataRespHBO<CheckApplyHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(),CheckApplyHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

        return data;
    }


    /**
     * 检查预约
     * */
    public static BwwbSyncDataRespHBO<CheckAppointmentHBO> getCheckAppointment(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_CheckAppointment(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<CheckAppointmentHBO> data=new BwwbSyncDataRespHBO<CheckAppointmentHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(),CheckAppointmentHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

        return data;
    }


    /**
     * 检查报告单数据同步
     * */
    public static BwwbSyncDataRespHBO<ExamineReportsHBO> getCheckReports(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_CheckReports(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<ExamineReportsHBO> data=new BwwbSyncDataRespHBO<ExamineReportsHBO>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(),ExamineReportsHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }


    /**
     * 活动检查报告单数据同步
     * */
    public static BwwbSyncDataRespHBO<ExamineReportsHBO> getActivityCheckReports(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_ActivityCheckReports(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<ExamineReportsHBO> data=new BwwbSyncDataRespHBO<ExamineReportsHBO>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(),ExamineReportsHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }



    /**
     * 医生检验申请单
     * */
    public static BwwbSyncDataRespHBO<LaboratoryApplyBO> getLaboratoryApply(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_Laboratory_Apply(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<LaboratoryApplyBO> data=new BwwbSyncDataRespHBO<LaboratoryApplyBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(),LaboratoryApplyBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

        return data;
    }

    /**
     * 检验报告单
     * */
    public static BwwbSyncDataRespHBO<LaboratoryReportHBO> getLaboratoryReport(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_Laboratory_Report(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<LaboratoryReportHBO> data=new BwwbSyncDataRespHBO<LaboratoryReportHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), LaboratoryReportHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

        return data;
    }



    /**
     *  医嘱用药数据同步
     * */
    public static BwwbSyncDataRespHBO<RecipeMedicineHBO> getRecipeMedicine(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_RecipeMedicine(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<RecipeMedicineHBO> data=new BwwbSyncDataRespHBO<RecipeMedicineHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), RecipeMedicineHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

        return data;
    }



    /**
     * 医嘱治疗数据同步
     * */
    public static BwwbSyncDataRespHBO<RecipeTherapyHBO> getRecipeTherapy(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_RecipeTherapy(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<RecipeTherapyHBO> data=new BwwbSyncDataRespHBO<RecipeTherapyHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), RecipeTherapyHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

        return data;
    }


    /**
     * 医嘱手术申请数据同步
     * */
    public static BwwbSyncDataRespHBO<OperationApplyHBO> getOperationApply(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_OperationApply(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<OperationApplyHBO> data=new BwwbSyncDataRespHBO<OperationApplyHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), OperationApplyHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

        return data;
    }


    /**
     * 手术记录数据同步
     * */
    public static BwwbSyncDataRespHBO<OperationRecordHBO> getOperationRecord(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_OperationRecord(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<OperationRecordHBO> data=new BwwbSyncDataRespHBO<OperationRecordHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), OperationRecordHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

        return data;
    }



    /**
     * 诊断数据同步
     * */
    public static BwwbSyncDataRespHBO<DiagnosisHBO> getDiagnosis(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_Diagnosis(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<DiagnosisHBO> data=new BwwbSyncDataRespHBO<DiagnosisHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), DiagnosisHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

//        //todo:
//        BwwbSyncDataRespHBO<DiagnosisHBO> data=new BwwbSyncDataRespHBO<DiagnosisHBO>();
//        data.setStatus(YN.YES.getCode());
//
//        List<DiagnosisHBO> list=new ArrayList<>();
//
//        DiagnosisHBO d1=new DiagnosisHBO();
//        d1.setVisitId("1");
//       // d1.setR
//        d1.setInPatientNo("ZF001");
//        d1.setPatientId("1111");
//        d1.setPatientName("1111111");
//        d1.setDepartmentCode("1");
//        d1.setDepartmentCode("11");
//        d1.setDiagnosisTime("2022");
//        d1.setType("4");
//        d1.setDoctorCode("0202");
//        d1.setDoctorName("0303");
//        d1.setDiagSn("11111");
//        d1.setIcdCode("1.1");
//        d1.setDiagCode("1.1");
//        d1.setDiagName("kkkk");
//        d1.setDiagTypeCode("cbzd");
//        d1.setMainFlag("1");
//        d1.setDefineFlag("1");
//        d1.setSortIndex(1);
//        d1.setUpdateTime("2022-02-12 06:14:07");
//        d1.setOpid(null);
//
//        list.add(d1);
//
//        data.setData(list);

        return data;
    }


    /**
     *  收费信息同步
     * */
    public static BwwbSyncDataRespHBO<PatientPriceHBO> getPatientPrice(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_PatientPrice(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<PatientPriceHBO> data=new BwwbSyncDataRespHBO<PatientPriceHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), PatientPriceHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

        return data;
    }


    /**
     *  医嘱数据
     * */
    public static BwwbSyncDataRespHBO<RecipeItemsHBO> getRecipeItems(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_RecipeItems(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<RecipeItemsHBO> data=new BwwbSyncDataRespHBO<RecipeItemsHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), RecipeItemsHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

        return data;
    }



    /**
     * 部门医生
     * http://172.17.100.39:5005/api/patientrecord/sickness_department
     * */


    /**
     * todo: 2024-05-29 add
     * 同步门诊就诊记录， 主述 现病史等
     * */
    public static BwwbSyncDataRespHBO<SlifeDocumentOutPatientHBO> getSlifeDocumentOutPatient(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_DocumentPatient(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<SlifeDocumentOutPatientHBO> data=new BwwbSyncDataRespHBO<SlifeDocumentOutPatientHBO>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), SlifeDocumentOutPatientHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }

        return data;
    }

    /**
     * todo: 2024-05-29 add
     * 同步首次病程记录
     * */
    public static BwwbSyncDataRespHBO<SlifeDocumentProgressNoteHBO> getSlifeDocumentProgressNot(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_DocumentProgressNode(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<SlifeDocumentProgressNoteHBO> data=new BwwbSyncDataRespHBO<SlifeDocumentProgressNoteHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), SlifeDocumentProgressNoteHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }


    /**
     * 同步收费记录表
     * */
    public static BwwbSyncDataRespHBO<SlifeFeeDetailHBO> getSlifeFeeDetail(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_FeeDetail(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<SlifeFeeDetailHBO> data=new BwwbSyncDataRespHBO<SlifeFeeDetailHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), SlifeFeeDetailHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }


    /**
     * 电子病例
     * */
    public static BwwbSyncDataRespHBO<ElectronMedicalRecordHBO> getElectronMedicalRecord(HwdsReadConfigBean config, String start, String end,boolean logFlag,String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_ElectronMedicalRecord(),start,end,logFlag,logBatchNo);
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<ElectronMedicalRecordHBO> data=new BwwbSyncDataRespHBO<ElectronMedicalRecordHBO>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            data.setData(JSON.parseArray(result.getResult(), ElectronMedicalRecordHBO.class));
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }






}
