package com.xxh.cloud.sync.framework.modules.read.api.service;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.sync.framework.modules.config.bean.bos.HwdsReadConfigBean;
import com.xxh.cloud.sync.framework.modules.read.api.bean.employee.WebDepartment;
import com.xxh.cloud.sync.framework.modules.read.api.resp.BwwbSyncDataRespHBO;
import com.xxh.cloud.sync.framework.modules.read.api.utils.ThirdApiResp;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.HashMap;
import java.util.Map;

public class BwwbWebEmployeeService {


    private static final Logger logger = LoggerFactory.getLogger(BwwbWebEmployeeService.class);


    /**
     *
     * */
    public static BwwbSyncDataRespHBO<WebDepartment> getWebDept(HwdsReadConfigBean config){
        ThirdApiResp resp= getHttpApi(config.getUrl_WebDept());

        ThirdApiResp result=null;
        try {
            result= BwwbDoctorDeptService.getHttpApi(config.getUrl_WebDept());
        }catch (Exception e){
            e.printStackTrace();
        }

        BwwbSyncDataRespHBO<WebDepartment> data=new BwwbSyncDataRespHBO<WebDepartment>();

        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            if(StrUtil.isNotEmpty(result.getResult())){
                data.setData(JSON.parseArray(result.getResult(), WebDepartment.class));
            }
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }


    public static ThirdApiResp getHttpApi(String url){
        Map<String,String> params=new HashMap<>();
        String result=null;
        try {
            result= HttpUtil.post(url, JSON.toJSONString(params),1000*60);
        }catch (Exception e){
            e.printStackTrace();
            return new ThirdApiResp(-1,"API",e.getMessage());
        }
        if(StrUtil.isEmpty(result)){
            return new ThirdApiResp(-1,"API","调用接口错误!");
        }
        JSONObject jsonObject = JSON.parseObject(result);

        int code = jsonObject.getIntValue("code");
        String type = jsonObject.getString("type");
        String message = jsonObject.getString("message");
        String content= jsonObject.getString("result");

        return new ThirdApiResp(code,type,message,content);
    }





}
