package com.xxh.cloud.sync.framework.modules.read.api.service;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.sync.framework.modules.config.bean.bos.HwdsReadConfigBean;
import com.xxh.cloud.sync.framework.modules.read.api.bean.pe.SlifeTjPatientInfo;
import com.xxh.cloud.sync.framework.modules.read.api.bean.xd.XDExamineApply;
import com.xxh.cloud.sync.framework.modules.read.api.bean.xd.XDExamineReport;
import com.xxh.cloud.sync.framework.modules.read.api.bean.xd.XDPatient;
import com.xxh.cloud.sync.framework.modules.read.api.resp.BwwbSyncDataRespHBO;
import com.xxh.cloud.sync.framework.modules.read.api.utils.ThirdApiResp;
import com.xxh.cloud.sync.framework.modules.read.api.utils.ThirdApiUtils;

public class BwwbXDSyncDataService {



    /**
     * XD:外部心电图患者
     * */
    public static BwwbSyncDataRespHBO<XDPatient> getXDPatient(HwdsReadConfigBean config, String start, String end, boolean logFlag, String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_XD_Patient(),start,end);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<XDPatient> data=new BwwbSyncDataRespHBO<XDPatient>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            if(StrUtil.isNotEmpty(result.getResult())){
                data.setData(JSON.parseArray(result.getResult(), XDPatient.class));
            }
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }




    /**
     * XD:外部心电报告申请
     * */
    public static BwwbSyncDataRespHBO<XDExamineApply> getXDExamineApply(HwdsReadConfigBean config, String start, String end, boolean logFlag, String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_XD_ExamineApply(),start,end);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<XDExamineApply> data=new BwwbSyncDataRespHBO<XDExamineApply>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            if(StrUtil.isNotEmpty(result.getResult())){
                data.setData(JSON.parseArray(result.getResult(), XDExamineApply.class));
            }
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }

    /**
     * XD:外部心电报告
     * */
    public static BwwbSyncDataRespHBO<XDExamineReport> getXDExamineReport(HwdsReadConfigBean config, String start, String end, boolean logFlag, String logBatchNo){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_XD_ExamineReport(),start,end);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<XDExamineReport> data=new BwwbSyncDataRespHBO<XDExamineReport>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            if(StrUtil.isNotEmpty(result.getResult())){
                data.setData(JSON.parseArray(result.getResult(), XDExamineReport.class));
            }
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }




}
