package com.xxh.cloud.sync.framework.modules.read.api.service;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.sync.framework.modules.config.bean.bos.HwdsReadConfigBean;
import com.xxh.cloud.sync.framework.modules.read.api.bean.pe.*;
import com.xxh.cloud.sync.framework.modules.read.api.resp.BwwbSyncDataRespHBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.PatientRecordHBO;
import com.xxh.cloud.sync.framework.modules.read.api.utils.ThirdApiResp;
import com.xxh.cloud.sync.framework.modules.read.api.utils.ThirdApiUtils;

/**
 * 体检同步数据接口
 * */
public class PhysicalExaminationSyncService {

    /**
     * 体检患者信息
     * */
    public static BwwbSyncDataRespHBO<SlifeTjPatientInfo> get_TjPatientInfo(HwdsReadConfigBean config, String start, String end){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_Tj_PatientInfo(),start,end);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<SlifeTjPatientInfo> data=new BwwbSyncDataRespHBO<SlifeTjPatientInfo>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            if(StrUtil.isNotEmpty(result.getResult())){
                data.setData(JSON.parseArray(result.getResult(), SlifeTjPatientInfo.class));
            }
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }


    /**
     * 体检登记
     * */
    public static BwwbSyncDataRespHBO<SlifeTjRegister> get_TjRegister(HwdsReadConfigBean config, String start, String end){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_Tj_Register(),start,end);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<SlifeTjRegister> data=new BwwbSyncDataRespHBO<SlifeTjRegister>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            if(StrUtil.isNotEmpty(result.getResult())){
                data.setData(JSON.parseArray(result.getResult(), SlifeTjRegister.class));
            }
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }



    /**
     * 体检报告结果
     * */
    public static BwwbSyncDataRespHBO<SlifeTjReportResult> get_Tj_ReportResult(HwdsReadConfigBean config, String start, String end){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_Tj_ReportResult(),start,end);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<SlifeTjReportResult> data=new BwwbSyncDataRespHBO<SlifeTjReportResult>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            if(StrUtil.isNotEmpty(result.getResult())){
                data.setData(JSON.parseArray(result.getResult(), SlifeTjReportResult.class));
            }
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }

    /**
     * 体检总检报告结果
     * */
    public static BwwbSyncDataRespHBO<SlifeTjFinalReportResult> get_Tj_FinalReportResult(HwdsReadConfigBean config, String start, String end){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_Tj_FinalReportResult(),start,end);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<SlifeTjFinalReportResult> data=new BwwbSyncDataRespHBO<SlifeTjFinalReportResult>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            if(StrUtil.isNotEmpty(result.getResult())){
                data.setData(JSON.parseArray(result.getResult(), SlifeTjFinalReportResult.class));
            }
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }


    /**
     * 异常指标建议
     * */
    public static BwwbSyncDataRespHBO<SlifeTjSuggest> get_TjSuggest(HwdsReadConfigBean config, String start, String end){
        ThirdApiResp result=null;
        try {
            result= ThirdApiUtils.getHttpApi(config.getUrl_Tj_Suggest(),start,end);
        }catch (Exception e){
            e.printStackTrace();
        }
        BwwbSyncDataRespHBO<SlifeTjSuggest> data=new BwwbSyncDataRespHBO<SlifeTjSuggest>();
        if(result.getCode()==200){
            data.setStatus(YN.YES.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
            if(StrUtil.isNotEmpty(result.getResult())){
                data.setData(JSON.parseArray(result.getResult(), SlifeTjSuggest.class));
            }
        }else {
            data.setStatus(YN.NO.getCode());
            data.setType(result.getType());
            data.setMsg(result.getMessage());
        }
        return data;
    }








}
