package com.xxh.cloud.sync.framework.modules.read.api.utils;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.HashMap;
import java.util.Map;

public class ThirdApiUtils {



    private static final Logger logger = LoggerFactory.getLogger(ThirdApiUtils.class);




    /**
     *
     * */
    public static ThirdApiResp getHttpApi(String url,String start,String end,boolean logFlag,String logBatchNo){
        Map<String,String> params=new HashMap<>();
        params.put("starttime",start);
        params.put("endtime",end);

        String result=null;
        try {
            result= HttpUtil.post(url, JSON.toJSONString(params),1000*120);
        }catch (Exception e){
            e.printStackTrace();
            return new ThirdApiResp(-1,"API",e.getMessage());
        }

        if(StrUtil.isEmpty(result)){
            return new ThirdApiResp(-1,"API","调用接口错误!");
        }

//        if(logFlag){
//            logger.debug(StrUtil.format("+++++ LogNo : {} ,  httpUrl : {}", logBatchNo,url));
//            logger.debug(StrUtil.format("LogNo : {} , Content : {} ",logBatchNo,result));
//        }


        JSONObject jsonObject = JSON.parseObject(result);
        int code = jsonObject.getIntValue("code");
        String type = jsonObject.getString("type");
        String message = jsonObject.getString("message");
        String content= jsonObject.getString("result");
        return new ThirdApiResp(code,type,message,content);
    }



    /**
     *
     * */
    public static ThirdApiResp getHttpApi(String url,String start,String end){
        Map<String,String> params=new HashMap<>();
        params.put("starttime",start);
        params.put("endtime",end);

        String result=null;
        try {
            result= HttpUtil.post(url, JSON.toJSONString(params),1000*120);
        }catch (Exception e){
            e.printStackTrace();
            return new ThirdApiResp(-1,"API",e.getMessage());
        }

        if(StrUtil.isEmpty(result)){
            return new ThirdApiResp(-1,"API","调用接口错误!");
        }

        JSONObject jsonObject = JSON.parseObject(result);
        int code = jsonObject.getIntValue("code");
        String type = jsonObject.getString("type");
        String message = jsonObject.getString("message");
        String content= jsonObject.getString("result");
        return new ThirdApiResp(code,type,message,content);
    }



    public static ThirdApiResp getHttpApi2(){
        String result="{\n" +
                "    \"code\":200,\n" +
                "    \"type\":\"success\",\n" +
                "    \"message\":\"aaa\",\n" +
                "    \"result\":[\n" +
                "        {\n" +
                "            \"patientId\":\"8000173410\",\n" +
                "            \"patientName\":\"蔡福云\",\n" +
                "            \"idCardNo\":\"34060219510111061X\",\n" +
                "            \"patientGender\":1,\n" +
                "            \"birthday\":\"1951-01-11 00:00:00\",\n" +
                "            \"phone\":\"15805576411\",\n" +
                "            \"address\":null,\n" +
                "            \"updateTime\":\"2023-10-05 08:11:44\"\n" +
                "        }\n" +
                "    ]\n" +
                "}";

        JSONObject jsonObject = JSON.parseObject(result);
        int code = jsonObject.getIntValue("code");
        String type = jsonObject.getString("type");
        String message = jsonObject.getString("message");
        String content= jsonObject.getString("result");
        return new ThirdApiResp(code,type,message,content);
    }


    public static void main(String[] args) {




    }


}
