package com.xxh.cloud.sync.framework.modules.task;

import cn.hutool.core.collection.CollUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.common.mq.bean.MQWebDoctorBean;
import com.xxh.cloud.common.mq.constant.HMQQueueName;
import com.xxh.cloud.etl.common.framework.modules.config.ProjectETLConfig;
import com.xxh.cloud.framework.activemq.constant.ActiveMQWayEnum;
import com.xxh.cloud.framework.activemq.utils.ActiveMQSendUtils;
import com.xxh.cloud.sync.framework.modules.config.bean.bos.HwdsReadConfigBean;
import com.xxh.cloud.sync.framework.modules.read.api.bean.employee.WebDepartment;
import com.xxh.cloud.sync.framework.modules.read.api.bean.employee.WebEmployee;
import com.xxh.cloud.sync.framework.modules.read.api.resp.BwwbSyncDataRespHBO;
import com.xxh.cloud.sync.framework.modules.read.api.service.BwwbWebEmployeeService;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Log4j2
@Component
public class SyncWebEmployeeTask {

    @Autowired
    private ProjectETLConfig projectETLConfig;



    private void webDeptEmp(List<WebDepartment> deptList ,List<MQWebDoctorBean> webDoctorList){
        if(CollUtil.isEmpty(deptList)){
            return;
        }
        for(WebDepartment dept:deptList){
            if(CollUtil.isNotEmpty(dept.getEmpList())){
                dept.getEmpList().forEach(item->{
                    webDoctorList.add(getMQWebDoctorBean(item));
                });
            }
            this.webDeptEmp(dept.getDeptList(),webDoctorList);
        }
    }

    private MQWebDoctorBean getMQWebDoctorBean(WebEmployee employee){
        MQWebDoctorBean data=new MQWebDoctorBean();
        data.setName(employee.getDoctorName());
        data.setId(String.valueOf(employee.getDoctorId()));
        data.setImg(employee.getDoctorImg());
        data.setEmpCode(employee.getEmpCode());
        data.setZhic(employee.getEmpZhic());
        data.setZhiw(employee.getEmpZhiw());
        data.setShanc(employee.getEmpShanc());
        data.setXcxImg(employee.getXcxImg());
        return data;
    }



    /**
     *
     * */
    @XxlJob("webDeptEmployee")
    public void webDeptEmployee(){
        HwdsReadConfigBean config=new HwdsReadConfigBean();
        config.setDomain(projectETLConfig.getSyncDomain());
        config.setAppid(projectETLConfig.getSyncAppId());
        config.setSecret(projectETLConfig.getSyncSecret());
        BwwbSyncDataRespHBO<WebDepartment> data= BwwbWebEmployeeService.getWebDept(config);
        if(CollUtil.isEmpty(data.getData())){
            return;
        }
        //log.debug("+++++:{}",JSON.toJSONString(data));
        List<MQWebDoctorBean> doctorList=new ArrayList<>();
        this.webDeptEmp(data.getData(),doctorList);
//        System.out.println(JSON.toJSONString(doctorList));
        if(CollUtil.isNotEmpty(doctorList)){
            log.debug("++++++ 发送 Web Doctor");
            log.debug("发送 Web Doctor 内容 : {}",JSON.toJSONString(doctorList));
            ActiveMQSendUtils.send(ActiveMQWayEnum.MQ_SW_Queue, HMQQueueName.Que_WebDoctor, JSON.toJSONString(doctorList));
        }


    }



}
