package com.xxh.cloud.etlDataSync.sys.manager.controller;


import cn.dev33.satoken.annotation.SaCheckPermission;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.sync.framework.modules.config.bean.dto.DataSyncLogGetDTO;
import com.xxh.cloud.sync.framework.modules.config.bean.dto.DataSyncLogQueryDTO;
import com.xxh.cloud.sync.framework.modules.config.bean.vos.DataSyncLogVO;
import com.xxh.cloud.sync.framework.modules.config.service.DataSyncLogBizService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Log4j2
@RestController
@RequestMapping("/sys/sync/log")
public class DataSyncLogManagerController {


    @Autowired
    private DataSyncLogBizService dataSyncLogBizService;



    @SaCheckPermission("sys:sync:log:query")
    @PostMapping("/query")
    @ApiOperation(value = "查询", response = DataSyncLogVO.class)
    public Result<PageData<DataSyncLogVO>> query(@RequestBody DataSyncLogQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        PageData<DataSyncLogVO> data = dataSyncLogBizService.query(params);
        return new Result<PageData<DataSyncLogVO>>().ok(data);
    }



    @SaCheckPermission("sys:sync:log:getById")
    @PostMapping("/getById")
    @ApiOperation(value = "获取", response = DataSyncLogVO.class)
    public Result<DataSyncLogVO> getById(@RequestBody DataSyncLogGetDTO params) {
        ValidatorUtils.validateEntity(params);
        return new Result<DataSyncLogVO>().ok(null);
    }


    @SaCheckPermission("sys:sync:log:delById")
    @PostMapping("/delById")
    @ApiOperation(value = "删除", response = String.class)
    public Result<String> delById(@RequestBody DataSyncLogGetDTO params) {
        ValidatorUtils.validateEntity(params);
        return new Result<String>().ok("ok");
    }





}
