package com.xxh.cloud.etlDataSync.sys.manager.controller;

import cn.hutool.core.date.DateUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.utils.XXEnumUtil;
import com.xxh.cloud.sync.framework.constant.SyncApiTypeEnum;
import com.xxh.cloud.etl.common.framework.constant.SyncConfigTypeEnum;
import com.xxh.cloud.sync.framework.modules.base.entity.DataSyncFlagInfo;
import com.xxh.cloud.sync.framework.modules.biz.bean.dto.HospitalSyncDataByStartEndDTO;
import com.xxh.cloud.sync.framework.modules.biz.service.HospitalDataSyncBizService;
import com.xxh.cloud.sync.framework.modules.config.service.DataSyncFlagBizService;
import com.xxh.cloud.sync.framework.modules.task.SyncDoc2DeptTask;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Log4j2
@RestController
@RequestMapping("/sys/sync/bizrw")
public class SyncDataReadWriteManagerController {



    @Autowired
    private DataSyncFlagBizService dataSyncFlagBizService;


    @Autowired
    private SyncDoc2DeptTask syncDoc2DeptTask;



    @Autowired
    private HospitalDataSyncBizService hospitalDataSyncBizService;



    @GetMapping("/init/{name}")
    public Result<DataSyncFlagInfo> init(@PathVariable("name") String name) {
        SyncApiTypeEnum type =XXEnumUtil.getEnum(SyncApiTypeEnum.class,name);
        if(type==null){
            return new Result<DataSyncFlagInfo>().ok(null);
        }
        DataSyncFlagInfo data = dataSyncFlagBizService.initData(type, SyncConfigTypeEnum.SCT_Doris,null,null,null,null,null);

        System.out.println("-------------------------------------");

        return new Result<DataSyncFlagInfo>().ok(data);
    }




    @GetMapping("/exe/{name}/{start}/{end}")
    public Result<String> exe(@PathVariable("name") String name,@PathVariable("start") String start,@PathVariable("end") String end) {
        SyncApiTypeEnum type =XXEnumUtil.getEnum(SyncApiTypeEnum.class,name);
        if(type==null){
            return new Result<String>().ok("无:"+DateUtil.now());
        }
        HospitalSyncDataByStartEndDTO param=new HospitalSyncDataByStartEndDTO();
        param.setType(type);
        param.setStartDate(start);
        param.setEndDate(end);
        hospitalDataSyncBizService.syncHospitalDataByStartEnd(param);
        return new Result<String>().ok(DateUtil.now());
    }







}
