package com.xxh.cloud.exeEtl.framework.modules.task.utils;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.xxh.cloud.exeEtl.framework.modules.task.bean.DZMLContentBO;

import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;

public class NLPContentChangeUtils2 {


    private static List<String> EndKeys=new ArrayList<>();

    private static List<String> TGEndKeys=new ArrayList<>();

    static {
        EndKeys.add("现病史");
        EndKeys.add("体格检查");
        EndKeys.add("既往史");
        EndKeys.add("是否发热");
        EndKeys.add("个人史");
        EndKeys.add("遂来我院");
        EndKeys.add("初步诊断");
        EndKeys.add("医师签名");
        EndKeys.add("用药");
        EndKeys.add("辅助检查");
        EndKeys.add("诊疗意见");
        EndKeys.add("检验");
        EndKeys.add("处置");
        EndKeys.add("患者去向");
        EndKeys.add("嘱托");
        EndKeys.add("注意事项");



        TGEndKeys.add("一般状况");
        TGEndKeys.add("头      部");
        TGEndKeys.add("头    部");
        TGEndKeys.add("头部");
        TGEndKeys.add("皮肤黏膜");
        TGEndKeys.add("胸部");
        TGEndKeys.add("胸    部");
        TGEndKeys.add("肺");
//        TGEndKeys.add("眼");
//        TGEndKeys.add("耳");
//        TGEndKeys.add("鼻");
//        TGEndKeys.add("口唇");
        TGEndKeys.add("颈    部");
        TGEndKeys.add("颈部");
        TGEndKeys.add("浅表淋巴");




        TGEndKeys.add("四    肢");
        TGEndKeys.add("四    肢");
        TGEndKeys.add("腹    部");
        TGEndKeys.add("脊    柱");
        TGEndKeys.add("神经系统");
        TGEndKeys.add("专科情况");





    }


    public static DZMLContentBO getContentChangeBean(String json){
        if(StrUtil.isEmpty(json)){
            return null;
        }
        JSONObject jsonObject= JSON.parseObject(json);
        if(!jsonObject.containsKey("value")){
            return null;
        }
        String value=  jsonObject.getString("value");

        DZMLContentBO data=new DZMLContentBO();

        //System.out.println("主诉----------------");
        String zs= NLPContentChangeUtils2.zs(value);
        data.setZs(zs);


        //System.out.println("现病史----------------");
        String xbs=NLPContentChangeUtils2.xbs(value);
        data.setXbs(xbs);

        //System.out.println("既往史----------------");
        String jws=NLPContentChangeUtils2.jws(value);
        data.setJws(jws);

        //System.out.println("个人史----------------");
        String grs=NLPContentChangeUtils2.grs(value);
        data.setGrs(grs);


        //System.out.println("体格检查----------------");
        String tgjc=NLPContentChangeUtils2.tgjc(value);
        //System.out.println(tgjc);
        data.setTgjc(tgjc);

        if(StrUtil.isNotEmpty(tgjc)){
            //System.out.println("体格检查:一般状况----------------");
            String tg_ybzk=NLPContentChangeUtils2.tg_ybzk(tgjc);
            data.setTgybqk(tg_ybzk);
            //System.out.println(tg_ybzk);


            //System.out.println("体格检查:皮肤、粘膜----------------");
            String tg_pf=NLPContentChangeUtils2.tg_pf(tgjc);
            data.setTgpfnm(tg_pf);
            //System.out.println(tg_pf);


            //System.out.println("体格检查:浅表淋巴结----------------");
            String tg_qblbj=NLPContentChangeUtils2.tg_cblbj(tgjc);
            data.setTgqblbj(tg_qblbj);
            //System.out.println(tg_cblbj);

            //System.out.println("体格检查:头部----------------");
            String tg_tb=NLPContentChangeUtils2.tg_tb(tgjc);
            data.setTgtb(tg_tb);
            //System.out.println(tg_tb);

            //System.out.println("体格检查:颈部----------------");
            String tg_jb=NLPContentChangeUtils2.tg_jb(tgjc);
            data.setTgjb(tg_jb);
            //System.out.println(tg_jb);

            //System.out.println("体格检查:胸部----------------");
            String tg_xb=NLPContentChangeUtils2.tg_xb(tgjc);
            data.setTgxb(tg_xb);
            //System.out.println(tg_xb);

            //System.out.println("体格检查:心脏----------------");
            String tg_xz=NLPContentChangeUtils2.tg_xz(tgjc);
            data.setTgxz(tg_xz);
            //System.out.println(tg_xz);

            //System.out.println("体格检查:腹部----------------");
            String tg_fb=NLPContentChangeUtils2.tg_fb(tgjc);
            data.setTgfb(tg_fb);
            //System.out.println(tg_fb);

            //System.out.println("体格检查:四肢----------------");
            String tg_sz=NLPContentChangeUtils2.tg_sz(tgjc);
            data.setTgsz(tg_sz);
            //System.out.println(tg_sz);

            //System.out.println("体格检查:神经系统----------------");
            String tg_sjxt=NLPContentChangeUtils2.tg_sjxt(tgjc);
            data.setTgsjxt(tg_sjxt);
            //System.out.println(tg_sjxt);

        }

        return data;
    }



    /**
     * 主诉
     * */
    private static String zs(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("主诉：");
        startKeys.add("主  诉：");
        startKeys.add("主  诉");
        startKeys.add("主诉");
        return NLPContentChangeUtils2.getVal(startKeys,EndKeys,content);
    }


    /**
     * 现病史
     * */
    private static String xbs(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("现病史");
        return NLPContentChangeUtils2.getVal(startKeys,EndKeys,content);
    }

    /**
     * 既往史
     * */
    private static String jws(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("既往史");
        return NLPContentChangeUtils2.getVal(startKeys,EndKeys,content);
    }

    /**
     * 个人史
     * */
    private static String grs(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("个人史");
        return NLPContentChangeUtils2.getVal(startKeys,EndKeys,content);
    }

    /**
     * 体格检查
     * */
    private static String tgjc(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("体格检查");
        return NLPContentChangeUtils2.getVal(startKeys,EndKeys,content);
    }

    /**
     * 体格检查:一般状况
     * */
    private static String tg_ybzk(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("一般状况");
        return NLPContentChangeUtils2.getVal(startKeys,TGEndKeys,content);
    }


    /**
     * 体格检查:皮肤、粘膜
     * */
    private static String tg_pf(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("皮肤黏膜");
        startKeys.add("皮肤");
        return NLPContentChangeUtils2.getVal(startKeys,TGEndKeys,content);
    }



    /**
     * 体格检查:头    部
     * */
    private static String tg_tb(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("头    部");
        startKeys.add("头部");
        return NLPContentChangeUtils2.getVal(startKeys,TGEndKeys,content);
    }

    /**
     * 体格检查:浅表淋巴结
     * */

    private static String tg_cblbj(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("浅表淋巴结");
        return NLPContentChangeUtils2.getVal(startKeys,TGEndKeys,content);
    }


    /**
     *  体格检查:颈部
     * */
    private static String tg_jb(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("颈部");
        startKeys.add("颈    部");
        return NLPContentChangeUtils2.getVal(startKeys,TGEndKeys,content);
    }

    /**
     *  体格检查:胸部
     * */
    private static String tg_xb(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("胸部");
        startKeys.add("胸    部");
        return NLPContentChangeUtils2.getVal(startKeys,TGEndKeys,content);
    }

    /**
     *  体格检查:心脏
     * */
    private static String tg_xz(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("心脏");
        startKeys.add("心    脏");
        return NLPContentChangeUtils2.getVal(startKeys,TGEndKeys,content);
    }


    /**
     *  体格检查:腹部
     * */
    private static String tg_fb(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("腹部");
        startKeys.add("腹    部");
        startKeys.add("肺");
        return NLPContentChangeUtils2.getVal(startKeys,TGEndKeys,content);
    }

    /**
     *  体格检查:四肢
     * */
    private static String tg_sz(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("四肢");
        startKeys.add("四    肢");
        return NLPContentChangeUtils2.getVal(startKeys,TGEndKeys,content);
    }

    /**
     *  体格检查:神经系统
     * */
    private static String tg_sjxt(String content){
        List<String> startKeys=new ArrayList<>();
        startKeys.add("神经系统");
        return NLPContentChangeUtils2.getVal(startKeys,TGEndKeys,content);
    }



    private static String getVal(List<String> startKeys ,List<String> endKeys , String content){
        int startIdx = getStartIndex(startKeys,content);
        if(startIdx==-1){
            return null;
        }

        System.out.println("startIdx = "+startIdx);

        String val1= content.substring(startIdx);

//        System.out.println(val1);

        int endIdx =getEndIndex(val1,startKeys,endKeys);

        System.out.println("endIdx = "+endIdx);
        if(endIdx==-1){
            return null;
        }
        if(startIdx==endIdx){
            return null;
        }
        String val2=val1.substring(0,endIdx);
        return val2;
    }


    private static int getStartIndex(List<String> keys , String content){
        for(String key:keys){
            int startIdx = content.indexOf(key);
            if(startIdx!=-1){
                return startIdx;
            }
        }
        return -1;
    }

    public static int getEndIndex(String content,List<String> startKeys ,List<String> endKeys){
        int idx=-1;
        for(String key:endKeys){
            if(startKeys.contains(key)){
               continue;
            }
            int i= content.indexOf(key);

            if(i>=0){
                //System.out.println("i="+i);
                if(idx==-1){
                    idx=i;
                }else {
                    if(i<idx){
                        idx=i;
                    }
                }
            }
        }


        if(idx==-1){
            return content.length();
        }else {
            return idx;
        }
    }


    public static void main(String[] args) {


//        String content="{\"code\":\"0\",\"value\":\"       姓  名：侯克民职    业：农民       性  别：男工作单位：安徽省宿州市埇桥区汴河街道       年  龄：51岁住    址：安徽省宿州市埇桥区汴河街道杨圩村       婚  姻：已婚供 史 者：患者本人   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月07日 08:57       民  族：01记录日期：2025年01月07日 10:27主  诉：肺癌脑转移综合治疗后1月，重复治疗现病史：患者于2024.7.20无明显诱因下出现头痛，剧烈，至宿州市中医院行头颅及胸部CT检查：头颅占位灶，周围轻度水肿。左肺占位，两肺多发转移灶，纵膈淋巴结肿大。7.22至蚌埠医学院第一附属医院，2024.7.23行头颅MRI示：脑内多发转移瘤表现，请结合临床。（最大一处位于右侧颞叶，大小约44*30mm）。胸腹部CT：左肺上叶占位，考虑肺CA；两肺多发小结节，部分考虑转移；纵膈淋巴结肿大；两侧胸膜增厚，肝内钙化灶。（左肺上叶实性结节大小约50*45mm）。2024.7.29行左肺穿刺活检，活检病理（K202443996）：（左上肺穿刺）腺癌。治疗上予以降颅压对症处理。8-2PET/CT检查提示肺癌淋巴结、颅内多发转移，外院基因检测报告提示无驱动基因突变。后于我科对症治疗，8-7、9-9、10-2、10-24行贝伐珠单抗600mg联合培美曲塞0.9+卡铂600mg,9-30及10-4复查胸部CT及头颅MRI对比2024-8-1PET/CT缩小，评估治疗有效，11.15复查头颅及胸部病灶对比10-4老片变化不大，评价SD，11.17、12.9重复治疗2期，后患者入院完善放疗前准备，因事中断，现为继续治疗，门诊拟“左肺腺癌”收住院，病程中患者一般情况可，无头晕无头痛，无恶心呕吐不适，无发热，无视物模糊，无咳嗽咳痰，无咯血，无胸闷气喘，无腹泻腹痛，饮食睡眠尚可，大小便基本正常，体重较前略有减轻既往史：一般健康状况：良好；心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；传染病史：无药物、食物过敏史：无，手术外伤史：手术史无外伤史无预防接种史：无输血史：无个人史：经常居留于原籍：是   寄生虫疫水接触史：无精神病无，癫痫无，遗传病无，冶游史无，其他吸烟史：无。饮酒史：无。其他：婚姻史：婚姻：已婚，结婚年龄： 岁，配偶健康状况：良好，其他：无家族史：父：健在,患病名称，死因。母：健在,患病名称，死因。其他：体格检查T36.5℃ P73次/分 R18次/分  Bp135/90mmHg  身高：176cm 体重：67kg BMI: 21.63  一般状况：发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。皮肤黏膜：色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。浅表淋巴：浅表淋巴结肿大：未触及肿大。头    部：头颅大小：正常，头颅畸形：无，头发分布：正常 其他：无。眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。颈    部：颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无气管：居中，甲状腺：正常，其他：无。胸    部：胸廓：正常，胸骨叩痛：无，乳房：正常。  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。心    脏：视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常。      右(cm)肋间左(cm)ⅡⅢⅣⅤ           前正中线距锁骨中线cm）听诊：心率次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。腹    部：视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。叩诊：肝浊音界：存在肝上界位于右锁骨中线 5 肋间，叩痛：无，移动性浊音阴性。听诊：肠鸣音：正常，气过水声无，血管杂音无。其他：无。直肠肛门：未查。外生殖器：未查。脊    柱：正常，压痛无。四    肢：杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。神经系统：生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。专科情况\\\\r\\\\n辅助检查\\\\r\\\\n初步诊断：\\\\r\\\\n    1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)2.脑继发恶性肿瘤    医师签名： 日期： 2025年01月07日10时27分入院诊断：\\\\r\\\\n        医师签名： 日期：           修正诊断：\\\\r\\\\n        医师签名： 日期：           补充诊断：\\\\r\\\\n        医师签名： 日期：           \",\"valueList\":[{\"filedname\":\"\",\"id\":\"jws_ywswgms\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_CZ_XBMCG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_MURPHY\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_B_BPDQYT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_HXY\",\"tablename\":\"\",\"value\":\"清\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FTTBW\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_NM\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_PZ\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_SLFS\",\"tablename\":\"\",\"value\":\"存在\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_KZ_QZZXJSGZX\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_WX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"jws_xhxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_ZY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_Y\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"OPERAHIS\",\"tablename\":\"\",\"value\":\"手术史无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JSB\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JSC\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"Pulse\",\"id\":\"BODYCHECK_PULSE\",\"tablename\":\"TemperatureDetail\",\"value\":\"73\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_YFJZS_DESC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_S\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"C683E4484FC7418EAEFD53CAEA50A239\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"17B1D525A47C4A58A6A6B2A5262CF11E\",\"tablename\":\"\",\"value\":\"补充诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS\",\"tablename\":\"\",\"value\":\"既往史：一般健康状况：良好；心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；传染病史：无药物、食物过敏史：无，手术外伤史：手术史无外伤史无预防接种史：无输血史：无\"},{\"filedname\":\"\",\"id\":\"5D96EA002FC84D17AD74787CEEE483BD\",\"tablename\":\"\",\"value\":\"父：健在,患病名称，死因。母：健在,患病名称，死因。其他：\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_JIAOMO\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_PFWD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_CZ_XMMCG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_YYCD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_GZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"Birthplace\",\"id\":\"BIRTHPLACE\",\"tablename\":\"Patient\",\"value\":\"安徽省宿州市\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZSZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"0\",\"tablename\":\"\",\"value\":\"3.0976\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_JX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_SZ_HXYD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_BD\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"AD006DE19CCB4CABBDE2213258747D83\",\"tablename\":\"\",\"value\":\"经常居留于原籍：是   寄生虫疫水接触史：无精神病无，癫痫无，遗传病无，冶游史无，其他吸烟史：无。饮酒史：无。其他：\"},{\"filedname\":\"\",\"id\":\"CBFA38EE98AA4BD89B96A092806F69C9\",\"tablename\":\"\",\"value\":\"      右(cm)肋间左(cm)ⅡⅢⅣⅤ           前正中线距锁骨中线cm）\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_NMCJZ\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"F26B0F45631A43A1A849AC93163D83AD\",\"tablename\":\"\",\"value\":\"       姓  名：侯克民职    业：农民       性  别：男工作单位：安徽省宿州市埇桥区汴河街道       年  龄：51岁住    址：安徽省宿州市埇桥区汴河街道杨圩村       婚  姻：已婚供 史 者：患者本人   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月07日 08:57       民  族：01记录日期：2025年01月07日 10:27\"},{\"filedname\":\"\",\"id\":\"EXTERNAL_GEN_EXAM_DESC\",\"tablename\":\"\",\"value\":\"未查\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM\",\"tablename\":\"\",\"value\":\"腹    部：视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。叩诊：肝浊音界：存在肝上界位于右锁骨中线 5 肋间，叩痛：无，移动性浊音阴性。听诊：肠鸣音：正常，气过水声无，血管杂音无。其他：无。\"},{\"filedname\":\"Nationality\",\"id\":\"NATIONALITY\",\"tablename\":\"Patient\",\"value\":\"01\"},{\"filedname\":\"\",\"id\":\"HPI\",\"tablename\":\"\",\"value\":\"现病史：患者于2024.7.20无明显诱因下出现头痛，剧烈，至宿州市中医院行头颅及胸部CT检查：头颅占位灶，周围轻度水肿。左肺占位，两肺多发转移灶，纵膈淋巴结肿大。7.22至蚌埠医学院第一附属医院，2024.7.23行头颅MRI示：脑内多发转移瘤表现，请结合临床。（最大一处位于右侧颞叶，大小约44*30mm）。胸腹部CT：左肺上叶占位，考虑肺CA；两肺多发小结节，部分考虑转移；纵膈淋巴结肿大；两侧胸膜增厚，肝内钙化灶。（左肺上叶实性结节大小约50*45mm）。2024.7.29行左肺穿刺活检，活检病理（K202443996）：（左上肺穿刺）腺癌。治疗上予以降颅压对症处理。8-2PET/CT检查提示肺癌淋巴结、颅内多发转移，外院基因检测报告提示无驱动基因突变。后于我科对症治疗，8-7、9-9、10-2、10-24行贝伐珠单抗600mg联合培美曲塞0.9+卡铂600mg,9-30及10-4复查胸部CT及头颅MRI对比2024-8-1PET/CT缩小，评估治疗有效，11.15复查头颅及胸部病灶对比10-4老片变化不大，评价SD，11.17、12.9重复治疗2期，后患者入院完善放疗前准备，因事中断，现为继续治疗，门诊拟“左肺腺癌”收住院，病程中患者一般情况可，无头晕无头痛，无恶心呕吐不适，无发热，无视物模糊，无咳嗽咳痰，无咯血，无胸闷气喘，无腹泻腹痛，饮食睡眠尚可，大小便基本正常，体重较前略有减轻\"},{\"filedname\":\"\",\"id\":\"SPINAL_EXAM_YT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"16C399E4ED954AD99581AA0218AFF644\",\"tablename\":\"\",\"value\":\"初步诊断：\\\\r\\\\n    1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)2.脑继发恶性肿瘤    医师签名： 日期： 2025年01月07日10时27分\"},{\"filedname\":\"\",\"id\":\"jzs_f\",\"tablename\":\"\",\"value\":\"健在\"},{\"filedname\":\"\",\"id\":\"14E18959D8DF46A7B397807282BED930\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"568402BD22762E4A212144AD383CE17\",\"tablename\":\"\",\"value\":\"2.脑继发恶性肿瘤\"},{\"filedname\":\"Sex\",\"id\":\"SEX\",\"tablename\":\"Inpatient\",\"value\":\"男\"},{\"filedname\":\"\",\"id\":\"7B1956EE85DE416F8BA8F5682C883699\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"4AAB12F37AED4C45909AD153C7578750\",\"tablename\":\"\",\"value\":\"皖北煤电集团总医院\"},{\"filedname\":\"\",\"id\":\"F3216DAEE80B49F3AD2A483D14322833\",\"tablename\":\"\",\"value\":\" 姓名:侯克民 性别:男年龄:51岁 床号:002 住院号:ZY080002283840 科室:肿瘤内科二组\"},{\"filedname\":\"\",\"id\":\"F603235AA1BE4CF685CD2757C8372D7D\",\"tablename\":\"\",\"value\":\"    1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)2.脑继发恶性肿瘤\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_EK\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_SHZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS\",\"tablename\":\"\",\"value\":\"个人史：经常居留于原籍：是   寄生虫疫水接触史：无精神病无，癫痫无，遗传病无，冶游史无，其他吸烟史：无。饮酒史：无。其他：\"},{\"filedname\":\"\",\"id\":\"jzs_m\",\"tablename\":\"\",\"value\":\"健在\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_RF\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT3\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT4\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_B_BYSD\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SPINAL_EXAM_XT\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"C0AE8A00177842DE81A099E26C838EE9\",\"tablename\":\"\",\"value\":\"1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_C\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"jws_xxgjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"9857F8A6A11C4415BD3F19EBD898BC43\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"682D87DE4CA744E98A621910D2242232\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_TXT0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"AgeDesc\",\"id\":\"HZNL\",\"tablename\":\"Inpatient\",\"value\":\"51岁\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_TXT1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"Occupation\",\"id\":\"OCCUPATION\",\"tablename\":\"Patient\",\"value\":\"农民\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_FJXY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"BODYCHECK\",\"tablename\":\"\",\"value\":\"体格检查T36.5℃ P73次/分 R18次/分  Bp135/90mmHg  身高：176cm 体重：67kg BMI: 21.63  一般状况：发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。皮肤黏膜：色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。浅表淋巴：浅表淋巴结肿大：未触及肿大。头    部：头颅大小：正常，头颅畸形：无，头发分布：正常 其他：无。眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。颈    部：颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无气管：居中，甲状腺：正常，其他：无。胸    部：胸廓：正常，胸骨叩痛：无，乳房：正常。  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。心    脏：视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常。      右(cm)肋间左(cm)ⅡⅢⅣⅤ           前正中线距锁骨中线cm）听诊：心率次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。腹    部：视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。叩诊：肝浊音界：存在肝上界位于右锁骨中线 5 肋间，叩痛：无，移动性浊音阴性。听诊：肠鸣音：正常，气过水声无，血管杂音无。其他：无。直肠肛门：未查。外生殖器：未查。脊    柱：正常，压痛无。四    肢：杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。神经系统：生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。专科情况\\\\r\\\\n辅助检查\\\\r\\\\n\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_SXS_DESC\",\"tablename\":\"\",\"value\":\"        \"},{\"filedname\":\"Height\",\"id\":\"BODYCHECK_HEIGHT\",\"tablename\":\"Patient\",\"value\":\"176\"},{\"filedname\":\"\",\"id\":\"A2FE4034F15F48FCBAABE219A25F436D\",\"tablename\":\"\",\"value\":\"内科入院记录\"},{\"filedname\":\"\",\"id\":\"FAMILYHIS\",\"tablename\":\"\",\"value\":\"家族史：父：健在,患病名称，死因。母：健在,患病名称，死因。其他：\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_KZ_ZYJFX\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_TFFB\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"DA372542941B40FBA2AC4045029BCEDB\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_OTHER\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"9E02E0319CF241E3895010A03688CE00\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_FBJM\",\"tablename\":\"\",\"value\":\"无显露\"},{\"filedname\":\"\",\"id\":\"BEBD7ABA343842169D0BBC5372E3E52C\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"4FDD46C12FBF44BF957565882987D465\",\"tablename\":\"\",\"value\":\"       姓  名：侯克民职    业：农民       性  别：男工作单位：安徽省宿州市埇桥区汴河街道       年  龄：51岁住    址：安徽省宿州市埇桥区汴河街道杨圩村       婚  姻：已婚供 史 者：患者本人   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月07日 08:57       民  族：01记录日期：2025年01月07日 10:27\"},{\"filedname\":\"\",\"id\":\"jws_nxgjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JBXGZY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"393FC29A5361466486A9AADE86D36894\",\"tablename\":\"\",\"value\":\"内科入院记录\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_CX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"C61B204F6B444A9CB8511E303AB9FA9B\",\"tablename\":\"\",\"value\":\"一般健康状况：良好；\"},{\"filedname\":\"\",\"id\":\"DFFCF7247F58478DAB3BC9539C152AE6\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT3\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_YDXZY\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FJJZD\",\"tablename\":\"\",\"value\":\"柔软\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FNZK_YT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT4\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_BHBW\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_TZ_CMY\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"87E1BF422F6945E6BEB1D7BF0EF08D97\",\"tablename\":\"\",\"value\":\"医师签名： 日期：           \"},{\"filedname\":\"Temper\",\"id\":\"BODYCHECK_TEMPER\",\"tablename\":\"TemperatureDetail\",\"value\":\"36.5\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"17D127C92D3147A895C122C846EA7B25\",\"tablename\":\"\",\"value\":\"医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"ANAL_EXAMINATION\",\"tablename\":\"\",\"value\":\"直肠肛门：未查。\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM\",\"tablename\":\"\",\"value\":\"四    肢：杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。\"},{\"filedname\":\"PatientName\",\"id\":\"NAME\",\"tablename\":\"Inpatient\",\"value\":\"侯克民\"},{\"filedname\":\"\",\"id\":\"1272C90134C648D38EEEF36A64F7E6CA\",\"tablename\":\"\",\"value\":\" 姓名:侯克民 性别:男年龄:51岁 床号:002 住院号:ZY080002283840 科室:肿瘤内科二组\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_HDD\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"0B0F692E17844DCAB9A78F9C08CCC84A\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"Ipid\",\"id\":\"HZZYH\",\"tablename\":\"Inpatient\",\"value\":\"ZY080002283840\"},{\"filedname\":\"\",\"id\":\"67A853F2746040949A94109091C19CF1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"OPERAHIS_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_YY\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_YCB\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_TX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INFECTION_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_POJK\",\"tablename\":\"\",\"value\":\"，其他：\"},{\"filedname\":\"\",\"id\":\"65290E0FFEAB4DD193B06B3FE617E590\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_XGKT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sss_sj\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"MENSESHIS\",\"tablename\":\"\",\"value\":\"婚姻史：婚姻：已婚，结婚年龄： 岁，配偶健康状况：良好，其他：无\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_GJJMHLZ\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"6C17AE65AA5D423DAA41D90C99FF0228\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_PL\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_TZ_QGSS\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"BedNo\",\"id\":\"HZCH\",\"tablename\":\"Inpatient\",\"value\":\"002\"},{\"filedname\":\"\",\"id\":\"3AFA5081E5B44B7691F668E8F5136292\",\"tablename\":\"\",\"value\":\"T36.5℃ P73次/分 R18次/分  Bp135/90mmHg  身高：176cm 体重：67kg BMI: 21.63  \"},{\"filedname\":\"\",\"id\":\"ANAL_EXAMINATION_DESC\",\"tablename\":\"\",\"value\":\"未查\"},{\"filedname\":\"\",\"id\":\"22CBFDF9ABCF40F0B95F21C6E646B5AC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"AgeDesc\",\"id\":\"AGE\",\"tablename\":\"Inpatient\",\"value\":\"51岁\"},{\"filedname\":\"AdmissionTime\",\"id\":\"RYRQ\",\"tablename\":\"Inpatient\",\"value\":\"20250107085705\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_XLJZ\",\"tablename\":\"\",\"value\":\"齐\"},{\"filedname\":\"\",\"id\":\"JZS_FQ\",\"tablename\":\"\",\"value\":\",患病名称，死因。\"},{\"filedname\":\"\",\"id\":\"6CC5A34AA7144865A0F3B7973B0752D2\",\"tablename\":\"\",\"value\":\"药物、食物过敏史：无，\"},{\"filedname\":\"\",\"id\":\"jzs_f_sy\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_FLAG\",\"tablename\":\"\",\"value\":\"否\"},{\"filedname\":\"\",\"id\":\"jws_mnxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_FY\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"30AFF8EFCFBA442E8631C14D3159D3F7\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SOURCE_RELATION\",\"tablename\":\"\",\"value\":\"患者本人\"},{\"filedname\":\"\",\"id\":\"JZS_MQ\",\"tablename\":\"\",\"value\":\",患病名称，死因。\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_XMMCG\",\"tablename\":\"\",\"value\":\"未闻及\"},{\"filedname\":\"\",\"id\":\"87AC32D277AC417BBAA189E5BCBB30C5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_SZ\",\"tablename\":\"\",\"value\":\"清醒\"},{\"filedname\":\"\",\"id\":\"3DB6C1E253814910B8914ED058EB683B\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"MarriageStatus\",\"id\":\"MARRIAGE\",\"tablename\":\"Inpatient\",\"value\":\"已婚\"},{\"filedname\":\"DiastolicPressure\",\"id\":\"BODYCHECK_DP\",\"tablename\":\"Temperature\",\"value\":\"90\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_KZ_KZQK\",\"tablename\":\"\",\"value\":\"清音\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_ZTJX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"C1FF809B03CC496C9B4BFB6A9D0236F2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"jws_nfmxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_GZYJ\",\"tablename\":\"\",\"value\":\"存在\"},{\"filedname\":\"\",\"id\":\"RELIABIITY\",\"tablename\":\"\",\"value\":\"可靠\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZKY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"0629EA1248B141A58F83EA0F72B78108\",\"tablename\":\"\",\"value\":\"=\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_CZ_YC\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_RTYT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"wss\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_YT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZJMQZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"38240DF20AC946D2BFC57A65E29DC8AD\",\"tablename\":\"\",\"value\":\"修正诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_XK\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_KT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SPECIALCHECK\",\"tablename\":\"\",\"value\":\"专科情况\\\\r\\\\n\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_DGFS\",\"tablename\":\"\",\"value\":\"灵敏\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_FSHX\",\"tablename\":\"\",\"value\":\"存在\"},{\"filedname\":\"\",\"id\":\"SUPERFIAL_LYMPH_EXAM\",\"tablename\":\"\",\"value\":\"浅表淋巴：浅表淋巴结肿大：未触及肿大。\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_SSBH\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"DIAGNOSES\",\"tablename\":\"\",\"value\":\"初步诊断：\\\\r\\\\n    1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)2.脑继发恶性肿瘤    医师签名： 日期： 2025年01月07日10时27分入院诊断：\\\\r\\\\n        医师签名： 日期：           修正诊断：\\\\r\\\\n        医师签名： 日期：           补充诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_TW\",\"tablename\":\"\",\"value\":\"自主体位\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_ZD\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"Company\",\"id\":\"COMPANY\",\"tablename\":\"Patient\",\"value\":\"安徽省宿州市埇桥区汴河街道\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM\",\"tablename\":\"\",\"value\":\"心    脏：视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常。      右(cm)肋间左(cm)ⅡⅢⅣⅤ           前正中线距锁骨中线cm）听诊：心率次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。\"},{\"filedname\":\"\",\"id\":\"feibuid\",\"tablename\":\"\",\"value\":\"  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_DGFSBW\",\"tablename\":\"\",\"value\":\"（双）\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FTT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jzs_m_hb\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"868674F4D87D0AB865DBF22E8373EDA\",\"tablename\":\"\",\"value\":\"2.脑继发恶性肿瘤\"},{\"filedname\":\"MarriageStatus\",\"id\":\"MENSESHIS_HYZK\",\"tablename\":\"Inpatient\",\"value\":\"已婚\"},{\"filedname\":\"\",\"id\":\"PREINOHIS\",\"tablename\":\"\",\"value\":\"预防接种史：无\"},{\"filedname\":\"\",\"id\":\"725DF9B41CEC45B38422AFD10C2D0D5F\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_YTK\",\"tablename\":\"\",\"value\":\"3\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_PZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"0F7DAA2A92834E3AA79BE1974D159EFE\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_YFJZS_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM\",\"tablename\":\"\",\"value\":\"胸    部：胸廓：正常，胸骨叩痛：无，乳房：正常。  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON\",\"tablename\":\"\",\"value\":\"一般状况：发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。\"},{\"filedname\":\"\",\"id\":\"370CE14E22834FD9B96C901BFE4D9026\",\"tablename\":\"\",\"value\":\"右(cm)肋间左(cm)ⅡⅢⅣⅤ\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_SXS_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM\",\"tablename\":\"\",\"value\":\"头    部：头颅大小：正常，头颅畸形：无，头发分布：正常 其他：无。眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_TZ_XGZY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"Weight\",\"id\":\"BODYCHECK_WEIGHT\",\"tablename\":\"Patient\",\"value\":\"67\"},{\"filedname\":\"\",\"id\":\"B48295458BE14940919AD03D0F15A379\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_WEIXING\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"82DA07C0849146E1B6D7F69AF8F02F33\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_PJ\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FNZK\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_WZ\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"E37C634DE1D2489D8150DA74EB183BB3\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"BDD34546F093425EBC845F9635071DE1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_SZ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"SystolicPressure\",\"id\":\"BODYCHECK_SP\",\"tablename\":\"Temperature\",\"value\":\"135\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_TK\",\"tablename\":\"\",\"value\":\"等大等圆\"},{\"filedname\":\"Sex\",\"id\":\"HZXB\",\"tablename\":\"Inpatient\",\"value\":\"男\"},{\"filedname\":\"Bmi\",\"id\":\"BMI\",\"tablename\":\"Patient\",\"value\":\"21.63\"},{\"filedname\":\"\",\"id\":\"C2ADF68064B248FBB3EA2505C3AE4AD9\",\"tablename\":\"\",\"value\":\"医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_GZ\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM\",\"tablename\":\"\",\"value\":\"皮肤黏膜：色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。\"},{\"filedname\":\"\",\"id\":\"SUPERFIAL_LYMPH_EXAM_QBLBJZD\",\"tablename\":\"\",\"value\":\"未触及肿大\"},{\"filedname\":\"\",\"id\":\"1E1DB35BF4D74CB98E51B6E689811A4C\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"D2D3F768BB6042D19A1C21CE2AEC64C8\",\"tablename\":\"\",\"value\":\"心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；\"},{\"filedname\":\"\",\"id\":\"0CA44E4F6D4A44DEA1A9FB5DB50E33B1\",\"tablename\":\"\",\"value\":\"20250107102710\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_JTXBD\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"RECORD_TIME\",\"tablename\":\"\",\"value\":\"20250107102703\"},{\"filedname\":\"\",\"id\":\"707BF2F94F1C423E9B050D03291B63E0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_PXCX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_GMHR\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jzs_qt\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JJ_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ALLERGICHIS\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"E18171A343C54E8A8309F7FB2B8F4691\",\"tablename\":\"\",\"value\":\"外伤史无\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JZX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"jws_hxxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JJM\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_DX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"GENERAL_HEA_COND\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_ZTK\",\"tablename\":\"\",\"value\":\"3\"},{\"filedname\":\"\",\"id\":\"7E15E45A4F564B2A819FD3B15554D7A0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_SXFY_DESC\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JXQZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_XLCS\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"245EDE8CA7E64BEAA24B06B4B952E3ED\",\"tablename\":\"\",\"value\":\"听诊：心率次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_DX\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_WEDFMW\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sss_mc\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZHJ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jws_qtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"SPINAL_EXAM\",\"tablename\":\"\",\"value\":\"脊    柱：正常，压痛无。\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_DN\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"jzs_m_sy\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_XJBD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_LJWZ\",\"tablename\":\"\",\"value\":\" 5 \"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_XQQLQ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"BC0C49566DC943449F21B63AE9878B54\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"93ED83E67AD3425F9B8FAAE64FC81FAF\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_YTBW\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"5E21BC55209748B1AF5F04B5AAB5C9F5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"jzs_f_hb\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INFECTHIS\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SYRMHISOFBLOODTRANS\",\"tablename\":\"\",\"value\":\"输血史：无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_B_YCFMW\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"5D96EA002FC84D17AD74787CEEE483BD.2DC04CD5779A43B88A759DAAA41F9439.81579285B18B48619CFE9A3F4381030E\",\"tablename\":\"\",\"value\":\"手术外伤史：手术史无外伤史无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_BTT\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"sxs_a\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"sxs_c\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_POJKZK\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"DD711E0917C241608072D2D007CD7A3C\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"PatientName\",\"id\":\"HZXM\",\"tablename\":\"Inpatient\",\"value\":\"侯克民\"},{\"filedname\":\"\",\"id\":\"C78B204F6B444A9CB8511E303AB9FA9B\",\"tablename\":\"\",\"value\":\"一般健康状况：良好；心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；传染病史：无药物、食物过敏史：无，手术外伤史：手术史无外伤史无预防接种史：无输血史：无\"},{\"filedname\":\"\",\"id\":\"2E2E341DE7E249C8BD78D2A4F941578C\",\"tablename\":\"\",\"value\":\"T36.5℃ P73次/分 R18次/分  Bp135/90mmHg  身高：176cm 体重：67kg BMI: 21.63  \"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_CZZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_GJ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JDM\",\"tablename\":\"\",\"value\":\"搏动正常\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_GZBD\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_JIEMO\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ASSISTANTCHECK\",\"tablename\":\"\",\"value\":\"辅助检查\\\\r\\\\n\"},{\"filedname\":\"\",\"id\":\"A7891916A4AF4B53AD2ECBF6EAE5A136\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_KZ_XZXDZYJ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"CRB\",\"tablename\":\"\",\"value\":\"传染病史：无\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_BLFS\",\"tablename\":\"\",\"value\":\"未引出\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_JH\",\"tablename\":\"\",\"value\":\"，结婚年龄： 岁，配偶健康状况：\"},{\"filedname\":\"\",\"id\":\"C7DFAD4E984E47548A71A77DD0B43507\",\"tablename\":\"\",\"value\":\"1.肺恶性肿瘤(腺癌 cTxNxM1 IV期 无驱动基因突变)\"},{\"filedname\":\"HomeAddress\",\"id\":\"ADDRESS\",\"tablename\":\"Patient\",\"value\":\"安徽省宿州市埇桥区汴河街道杨圩村\"},{\"filedname\":\"\",\"id\":\"jws_gmyw\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JLYJ\",\"tablename\":\"\",\"value\":\"是\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_YJ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"CHIEF_COMPLAINT\",\"tablename\":\"\",\"value\":\"主  诉：肺癌脑转移综合治疗后1月，重复治疗\"},{\"filedname\":\"\",\"id\":\"HOSPITAL_NAME\",\"tablename\":\"\",\"value\":\"皖北煤电集团总医院\"},{\"filedname\":\"Breath\",\"id\":\"BODYCHECK_BREATH\",\"tablename\":\"TemperatureDetail\",\"value\":\"18\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_XJBDWZ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"EXTERNAL_GEN_EXAM\",\"tablename\":\"\",\"value\":\"外生殖器：未查。\"},{\"filedname\":\"\",\"id\":\"964E073F0E274A3BB7A605CF7C1BFD5D\",\"tablename\":\"\",\"value\":\"入院诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_MR\",\"tablename\":\"\",\"value\":\"正常面容\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_CZ_ZC\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"B20872D4984C4E60BAA28D40F2926164\",\"tablename\":\"\",\"value\":\"视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常。\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_ZZZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_XY\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"54BDCA57B81344208C0E2276B6EA0F74\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"C354A3C00FDC48848647A4FFFD51FB40\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM\",\"tablename\":\"\",\"value\":\"神经系统：生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_SZ\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_TLZA\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_MFFB\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"DeptName\",\"id\":\"HZKS\",\"tablename\":\"Inpatient\",\"value\":\"肿瘤内科二组\"},{\"filedname\":\"\",\"id\":\"wss_qk\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JJ_FLAG\",\"tablename\":\"\",\"value\":\"否\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_LY\",\"tablename\":\"\",\"value\":\"未闻及\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM\",\"tablename\":\"\",\"value\":\"颈    部：颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无气管：居中，甲状腺：正常，其他：无。\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_QG\",\"tablename\":\"\",\"value\":\"居中\"},{\"filedname\":\"\",\"id\":\"DAB4AA2F94F24882BDB6C0EB568556FC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_CZ_XJBD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"5685573C866B4D6184560CA851D714D2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"KKCD\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"wss_sj\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SELF_OTHER\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"12D6E17FC6594C70B73DB00B413BA437\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"3DCE7A3F7E034207897DEAAC1B43BAD5\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"yfjz_a\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_YYS\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_RDB\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"4CCED7564D2848468CE672DC1AE8368A\",\"tablename\":\"\",\"value\":\"医师签名： 日期： 2025年01月07日10时27分\"}]}";

//        String content="{\"code\":\"0\",\"value\":\"主诉：确诊左肺癌2年余\\n是否发热：否 \\n现病史：患者5年前在南京行左肺癌手术，后于2022年5月患者肺癌复发并转移，并在蚌埠医学院第一附属医院完善检查及基因检测提示ALK阳性，目前口服阿来替尼靶向治疗。\\n既往史：\\n无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\\n 一般健康状况：健康；   疾病史：无       。 患者传染病：无          。药物、食物过敏史：无： 过敏药物、食物名称：       。手术外伤史：无：手术史：       。外伤史：无：    。输血史：无：血型：    ，输血反应：无：    。吸烟史：有     放射线及有害化学元素接触史：无 ；家族肿瘤史：有；化疗药物不良反应： 特殊化疗药物累积量；\\n过敏史：无\\n体格检查：T36.5℃ P-次/分 R-次/分 Bp-/-mmHg 身高：- cm  体重：-kg BMI: -  \\nBSM-ECOG分-NRS分-\\n胸部：胸廓：正常  胸骨叩痛：无\\n  肺：视诊：呼吸运动：正常。\\n\\t\\t\\t触诊：语颤：正常，胸膜摩擦感：无。\\n\\t\\t\\t叩诊：清音。\\n\\t\\t\\t听诊：呼吸音：双肺增粗，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。\\n\\t\\t\\t其他：无。\\n辅助检查：大便常规+隐血， 血常规， 肿瘤标记物, 食管钡餐， 胃镜检查\\n初步诊断:肺恶性肿瘤?\\n诊疗意见：\\n用药：\\n检查：\\n检验：\\n处置：\\n患者去向：□住院治疗 □门诊复诊 □门诊随诊 √门诊治疗 □转科\\n         \\n嘱托：1、胸腹部CT增强 ECT， PET-CT，腹部彩超， 浅表淋巴结肿大活检评估病情。\\n2、必要时（如胸骨后疼痛、反酸、予以口服止痛、抑酸药物等处理）。\\n3、不适及时我科就诊。 \\n注意事项：\\n1、健康宣教：注意保暖，戒烟\\n2、其他：\\n                                医师签名：   \\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t时间: 2025-01-07\\n\",\"valueList\":[{\"filedname\":\"否\",\"id\":\"sffr\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否\"},{\"filedname\":\"体温：\",\"id\":\"tw1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"体温：\"},{\"filedname\":\"\",\"id\":\"tw2\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"℃\",\"id\":\"tw3\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"℃\"},{\"filedname\":\"\",\"id\":\"40EB33E7FC494EDFB6DA6986C762578F\",\"tablename\":\"无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"03689D7C39CA488999949CE1542AB5C3\",\"tablename\":\"无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"crbs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"crbst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sxs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sxst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sxfy\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sxfyt\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sss\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ssst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"jzs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jzst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"健康\",\"id\":\"listbox_46\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"健康\"},{\"filedname\":\"无\",\"id\":\"E560C55C8EC74AEA99FED65280F55B31\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"610B7F52AFE04DACBF58F69D0C7CBE12\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"114AFEDA26F3464EAA5EB19645E37512\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"4AEFDAAE7F7847D18BBA09FD46BAEE62\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"C41815BEA0BD4BC49067D028BEC66052\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"A3D5DB9AB74F40F589A45F8898177F56\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"无\",\"id\":\"B722C7A4C26B4817A6456ACE7A7FC9A2\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"有\",\"id\":\"73627B93212F4BCF94C690F115EADAB4\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"有\"},{\"filedname\":\"无\",\"id\":\"1B801C52274F433DB75B4B1A11CC5C21\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"有\",\"id\":\"53763C44BD3D431F97B96C94553E90B8\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"有\"},{\"filedname\":\"过敏史：\",\"id\":\"56E7D761F6DC44D881DB26F8D710770F\",\"tablename\":\"无\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"gms\",\"tablename\":\"\",\"type\":\"textcommbobox\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"AllergicHistory\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"8BF739EAF61D41A2B25A3A505755E9BF\",\"tablename\":\"T36.5℃ P-次/分 R-次/分 Bp-/-mmHg 身高：- cm  体重：-kg BMI: -  \",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"92BB6EB79CF34493BF555283D08B0703\",\"tablename\":\"T36.5℃ P-次/分 R-次/分 Bp-/-mmHg 身高：- cm  体重：-kg BMI: -  \",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"36.5\",\"id\":\"E5C93AC0242C4C62818B68D2075D5447\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"36.5\"},{\"filedname\":\"-\",\"id\":\"E92BCABAD96F4257BC39C7E4D2C605F5\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"B0AF6677BC7C4A46861BD0E48358B649\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"96C4BAC1ECDA4A19A5A9C5836A84BB7D\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"A8033371F1104DAD971795D4F6F3AC00\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"H\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"W\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"BMI\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"-\"},{\"filedname\":\"0\",\"id\":\"016157457EFF4D84A0E326BA24B3EC13\",\"tablename\":\"\",\"type\":\"formelement\",\"value\":\"0\"},{\"filedname\":\"-\",\"id\":\"F405FB72F21E43A0BBAB913835CEDD73\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"8DFA3E510BAD463DB7755202C55428CE\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"-\"},{\"filedname\":\"-\",\"id\":\"C884C5D255584E198564FAAE4E407D42\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"DIAGNOSES\",\"tablename\":\"肺恶性肿瘤?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"AE81488AFF884FC792ACA5CC13FABFF7\",\"tablename\":\"肺恶性肿瘤?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"A53C30B09054426792EBA4E6873B0F97\",\"tablename\":\"肺恶性肿瘤?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"初步诊断:\",\"id\":\"5CFBD4BC5A4549EBBFBF1F5EB6DDD911\",\"tablename\":\"肺恶性肿瘤?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"肺恶性肿瘤?\",\"id\":\"C821B989347B4E01A6D6893CC1309BA5\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"肺恶性肿瘤?\"},{\"filedname\":\"\",\"id\":\"C225A4A7532A4A519BE3DFFE2E2E6221\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"诊疗意见：\",\"id\":\"AAA5236B1FD54F85B86DFB349B3CE743\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"用药：\",\"id\":\"MEDICAL_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"检查：\",\"id\":\"EXAM_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"检验：\",\"id\":\"LAB_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"处置：\",\"id\":\"TREATMENT_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"19E981C986404145AE3301455744EE7A\",\"tablename\":\"□住院治疗 □门诊复诊 □门诊随诊 √门诊治疗 □转科\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"患者去向：\",\"id\":\"49F9EA65DD1D47428963E7E3D999E280\",\"tablename\":\"□住院治疗 □门诊复诊 □门诊随诊 √门诊治疗 □转科\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"住院治疗\",\"id\":\"zyzl\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊复诊\",\"id\":\"mzfz\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊随诊\",\"id\":\"mzsz\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊治疗\",\"id\":\"mzzl\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"转科\",\"id\":\"zk\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"复诊时间：\",\"id\":\"textbox_1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"复诊时间：\"},{\"filedname\":\"\",\"id\":\"fzsj1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"复诊，复诊项目：\",\"id\":\"fzsj2\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"复诊，复诊项目：\"},{\"filedname\":\"\",\"id\":\"fzxm\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"；\",\"id\":\"fzxm1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"；\"},{\"filedname\":\"注意事项：\",\"id\":\"ZLYJ\",\"tablename\":\"注意保暖，戒烟\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"1、健康宣教：\",\"id\":\"jkxj\",\"tablename\":\"注意保暖，戒烟\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\" \",\"id\":\"imagSignature1\",\"tablename\":\"\",\"type\":\"objectimage\",\"value\":\"\"},{\"filedname\":\"2025-01-07\",\"id\":\"7B92923E5D7643A4A64A97C7E6942680\",\"tablename\":\"\",\"type\":\"formtime\",\"value\":\"20250107102506\"}]}";

//        String content="{\"code\":\"0\",\"value\":\"       姓  名：陈家忠职    业：工人       性  别：男工作单位：宿州市       年  龄：56岁住    址：安徽省宿州市-       婚  姻：已婚供 史 者：患者本人   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月01日 08:42       民  族：汉族记录日期：2025年01月01日 13:08主  诉：反复胸痛、胸闷半月余现病史：患者于半月前始无明显诱因下出现胸痛、胸闷症状，胸痛位于胸骨后，呈压榨样疼痛感，多在活动及劳累时加剧，持续数分钟至数十分钟左右，休息后可缓解，无大汗及肩背部放射痛，无夜间阵发性呼吸困难，无发热、咳嗽、咳痰及咯血，无反酸、恶心及呕吐，无腹痛及腹泻，现家属及患者为进一步明确诊疗至我院门诊，拟“冠心病”收住我科。病程中患者无四肢抽搐，无肢体活动障碍，饮食、睡眠尚可，大小便规律，体重未见明显改变。既往史：一般健康状况：良好；心血管疾病史：有“高血压”病史多年，最高时达“160/108mmHg”,平素口服“硝苯地平缓释片”药物不详，血压控制不佳；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；传染病史：无药物、食物过敏史：无，手术外伤史：手术史有，名称及时间有右上肢手术史外伤史有，外伤情况及时间有右上肢外伤史预防接种史：无输血史：无个人史：经常居留于原籍：是   寄生虫疫水接触史：无精神病无，癫痫无，遗传病无，冶游史无，其他无吸烟史：无。饮酒史：无。其他：无婚姻史：婚姻：已婚，结婚年龄： 适龄，配偶健康状况：良好，其他：无家族史：父：健在,患病名称，死因。母：健在,患病名称，死因。其他：不详体格检查T36.2℃ P87次/分 R18次/分  Bp155/107mmHg  身高：170cm 体重：77kg BMI: 26.644  一般状况：发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。皮肤黏膜：色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。浅表淋巴：浅表淋巴结肿大：未触及肿大。头    部：头颅大小：正常，头颅畸形：无，头发分布：正常 其他：无。眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。颈    部：颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无气管：居中，甲状腺：正常，其他：无。胸    部：胸廓：正常，胸骨叩痛：无，乳房：正常。  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。心    脏：视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常—。      右(cm)肋间左(cm)2Ⅱ32.5Ⅲ53Ⅳ6Ⅴ8           前正中线距锁骨中线8.5cm）听诊：心率87次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。腹    部：视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。叩诊：肝浊音界：存在肝上界位于右锁骨中线 5 肋间，叩痛：无，移动性浊音阴性。听诊：肠鸣音：正常，气过水声无，血管杂音无。其他：无。直肠肛门：未查。外生殖器：未查。脊    柱：正常，压痛无。四    肢：杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。神经系统：生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。专科情况\\\\r\\\\n1.患者陈家忠，男，56岁，因反复胸痛、胸闷半月余入院，既往有“高血压及高脂血症”病史。2.体格检查：Ｐ：87次/分，Bp：155/107mmHg，神志清楚，精神尚可，颈静脉未见充盈，甲状腺未触及肿大，双肺呼吸音清，未闻及干湿性啰音。心界无扩大，心率：87次／分，心律齐，各瓣膜听诊区未闻及明显病理性杂音。腹部无特殊，双下肢未见浮肿。3.辅助检查：(2025-01-01)床边心电图（住院）：1.窦性心律2.下壁异常Q波。辅助检查\\\\r\\\\n暂无。初步诊断：\\\\r\\\\n     1.急性冠脉综合征 2.冠状动脉粥样硬化性心脏病 3.心功能III级(NYHA分级) 4.原发性高血压病2级（极高危） 5.高脂血症    医师签名： 日期： 2025年01月01日10时05分入院诊断：\\\\r\\\\n     1.不稳定型心绞痛 2.冠状动脉粥样硬化性心脏病 3.心功能III级(NYHA分级) 4.原发性高血压病2级（极高危） 5.高脂血症    医师签名： 日期： 2025年01月03日09时05分修正诊断：\\\\r\\\\n        医师签名： 日期：           补充诊断：\\\\r\\\\n        医师签名： 日期：           \",\"valueList\":[{\"filedname\":\"\",\"id\":\"jws_ywswgms\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_CZ_XBMCG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_MURPHY\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_B_BPDQYT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_HXY\",\"tablename\":\"\",\"value\":\"清\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FTTBW\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_NM\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_PZ\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_SLFS\",\"tablename\":\"\",\"value\":\"存在\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_KZ_QZZXJSGZX\",\"tablename\":\"\",\"value\":\"8.5\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_WX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"jws_xhxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_ZY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_Y\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"OPERAHIS\",\"tablename\":\"\",\"value\":\"手术史有，名称及时间有右上肢手术史\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JSB\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JSC\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"Pulse\",\"id\":\"BODYCHECK_PULSE\",\"tablename\":\"TemperatureDetail\",\"value\":\"87\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_YFJZS_DESC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_S\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"C683E4484FC7418EAEFD53CAEA50A239\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"17B1D525A47C4A58A6A6B2A5262CF11E\",\"tablename\":\"\",\"value\":\"补充诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS\",\"tablename\":\"\",\"value\":\"既往史：一般健康状况：良好；心血管疾病史：有“高血压”病史多年，最高时达“160/108mmHg”,平素口服“硝苯地平缓释片”药物不详，血压控制不佳；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；传染病史：无药物、食物过敏史：无，手术外伤史：手术史有，名称及时间有右上肢手术史外伤史有，外伤情况及时间有右上肢外伤史预防接种史：无输血史：无\"},{\"filedname\":\"\",\"id\":\"5D96EA002FC84D17AD74787CEEE483BD\",\"tablename\":\"\",\"value\":\"父：健在,患病名称，死因。母：健在,患病名称，死因。其他：不详\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_JIAOMO\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_PFWD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_CZ_XMMCG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_YYCD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_GZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"Birthplace\",\"id\":\"BIRTHPLACE\",\"tablename\":\"Patient\",\"value\":\"安徽省宿州市\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZSZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"0\",\"tablename\":\"\",\"value\":\"2.8899999999999997\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_JX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_SZ_HXYD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_BD\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"AD006DE19CCB4CABBDE2213258747D83\",\"tablename\":\"\",\"value\":\"经常居留于原籍：是   寄生虫疫水接触史：无精神病无，癫痫无，遗传病无，冶游史无，其他无吸烟史：无。饮酒史：无。其他：无\"},{\"filedname\":\"\",\"id\":\"CBFA38EE98AA4BD89B96A092806F69C9\",\"tablename\":\"\",\"value\":\"      右(cm)肋间左(cm)2Ⅱ32.5Ⅲ53Ⅳ6Ⅴ8           前正中线距锁骨中线8.5cm）\"},{\"filedname\":\"\",\"id\":\"202501030922198\",\"tablename\":\"\",\"value\":\" 4.原发性高血压病2级（极高危）\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_NMCJZ\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"202501030922197\",\"tablename\":\"\",\"value\":\" 3.心功能III级(NYHA分级)\"},{\"filedname\":\"\",\"id\":\"F26B0F45631A43A1A849AC93163D83AD\",\"tablename\":\"\",\"value\":\"       姓  名：陈家忠职    业：工人       性  别：男工作单位：宿州市       年  龄：56岁住    址：安徽省宿州市-       婚  姻：已婚供 史 者：患者本人   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月01日 08:42       民  族：汉族记录日期：2025年01月01日 13:08\"},{\"filedname\":\"\",\"id\":\"EXTERNAL_GEN_EXAM_DESC\",\"tablename\":\"\",\"value\":\"未查\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM\",\"tablename\":\"\",\"value\":\"腹    部：视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。叩诊：肝浊音界：存在肝上界位于右锁骨中线 5 肋间，叩痛：无，移动性浊音阴性。听诊：肠鸣音：正常，气过水声无，血管杂音无。其他：无。\"},{\"filedname\":\"Nationality\",\"id\":\"NATIONALITY\",\"tablename\":\"Patient\",\"value\":\"汉族\"},{\"filedname\":\"\",\"id\":\"HPI\",\"tablename\":\"\",\"value\":\"现病史：患者于半月前始无明显诱因下出现胸痛、胸闷症状，胸痛位于胸骨后，呈压榨样疼痛感，多在活动及劳累时加剧，持续数分钟至数十分钟左右，休息后可缓解，无大汗及肩背部放射痛，无夜间阵发性呼吸困难，无发热、咳嗽、咳痰及咯血，无反酸、恶心及呕吐，无腹痛及腹泻，现家属及患者为进一步明确诊疗至我院门诊，拟“冠心病”收住我科。病程中患者无四肢抽搐，无肢体活动障碍，饮食、睡眠尚可，大小便规律，体重未见明显改变。\"},{\"filedname\":\"\",\"id\":\"SPINAL_EXAM_YT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"16C399E4ED954AD99581AA0218AFF644\",\"tablename\":\"\",\"value\":\"初步诊断：\\\\r\\\\n     1.急性冠脉综合征 2.冠状动脉粥样硬化性心脏病 3.心功能III级(NYHA分级) 4.原发性高血压病2级（极高危） 5.高脂血症    医师签名： 日期： 2025年01月01日10时05分\"},{\"filedname\":\"\",\"id\":\"jzs_f\",\"tablename\":\"\",\"value\":\"健在\"},{\"filedname\":\"\",\"id\":\"14E18959D8DF46A7B397807282BED930\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"Sex\",\"id\":\"SEX\",\"tablename\":\"Inpatient\",\"value\":\"男\"},{\"filedname\":\"\",\"id\":\"7B1956EE85DE416F8BA8F5682C883699\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"4AAB12F37AED4C45909AD153C7578750\",\"tablename\":\"\",\"value\":\"皖北煤电集团总医院\"},{\"filedname\":\"\",\"id\":\"F3216DAEE80B49F3AD2A483D14322833\",\"tablename\":\"\",\"value\":\" 姓名:陈家忠 性别:男年龄:56岁 床号:714 住院号:ZY010002301244 科室:心内科总院冠心病病区二组\"},{\"filedname\":\"\",\"id\":\"F603235AA1BE4CF685CD2757C8372D7D\",\"tablename\":\"\",\"value\":\"     1.急性冠脉综合征 2.冠状动脉粥样硬化性心脏病 3.心功能III级(NYHA分级) 4.原发性高血压病2级（极高危） 5.高脂血症\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_EK\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_SHZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS\",\"tablename\":\"\",\"value\":\"个人史：经常居留于原籍：是   寄生虫疫水接触史：无精神病无，癫痫无，遗传病无，冶游史无，其他无吸烟史：无。饮酒史：无。其他：无\"},{\"filedname\":\"\",\"id\":\"jzs_m\",\"tablename\":\"\",\"value\":\"健在\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_RF\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT3\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT4\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_B_BYSD\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SPINAL_EXAM_XT\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"C0AE8A00177842DE81A099E26C838EE9\",\"tablename\":\"\",\"value\":\" 1.急性冠脉综合征\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_C\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TXT5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"jws_xxgjbs\",\"tablename\":\"\",\"value\":\"有“高血压”病史多年，最高时达“160/108mmHg”,平素口服“硝苯地平缓释片”药物不详，血压控制不佳\"},{\"filedname\":\"\",\"id\":\"9857F8A6A11C4415BD3F19EBD898BC43\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"682D87DE4CA744E98A621910D2242232\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_TXT0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"AgeDesc\",\"id\":\"HZNL\",\"tablename\":\"Inpatient\",\"value\":\"56岁\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_TXT1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"Occupation\",\"id\":\"OCCUPATION\",\"tablename\":\"Patient\",\"value\":\"工人\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_FJXY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"BODYCHECK\",\"tablename\":\"\",\"value\":\"体格检查T36.2℃ P87次/分 R18次/分  Bp155/107mmHg  身高：170cm 体重：77kg BMI: 26.644  一般状况：发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。皮肤黏膜：色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。浅表淋巴：浅表淋巴结肿大：未触及肿大。头    部：头颅大小：正常，头颅畸形：无，头发分布：正常 其他：无。眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。颈    部：颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无气管：居中，甲状腺：正常，其他：无。胸    部：胸廓：正常，胸骨叩痛：无，乳房：正常。  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。心    脏：视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常—。      右(cm)肋间左(cm)2Ⅱ32.5Ⅲ53Ⅳ6Ⅴ8           前正中线距锁骨中线8.5cm）听诊：心率87次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。腹    部：视诊：外形：正常，胃型：无，肠型：无，腹式呼吸：存在，蠕动波：无，腹壁静脉：无显露，手术瘢痕：无 部位：-，其他：无。触诊：腹肌紧张度：柔软，压痛无，部位-，反跳痛：无，部位：-，肝脏：未触及，胆囊：未触及，Murphy征 阴性，脾脏：未触及，肾脏：未触及，腹内(壁)肿块：无，位置：-，大小-，质地-，活动度-，搏动-，压痛无。叩诊：肝浊音界：存在肝上界位于右锁骨中线 5 肋间，叩痛：无，移动性浊音阴性。听诊：肠鸣音：正常，气过水声无，血管杂音无。其他：无。直肠肛门：未查。外生殖器：未查。脊    柱：正常，压痛无。四    肢：杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。神经系统：生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。专科情况\\\\r\\\\n1.患者陈家忠，男，56岁，因反复胸痛、胸闷半月余入院，既往有“高血压及高脂血症”病史。2.体格检查：Ｐ：87次/分，Bp：155/107mmHg，神志清楚，精神尚可，颈静脉未见充盈，甲状腺未触及肿大，双肺呼吸音清，未闻及干湿性啰音。心界无扩大，心率：87次／分，心律齐，各瓣膜听诊区未闻及明显病理性杂音。腹部无特殊，双下肢未见浮肿。3.辅助检查：(2025-01-01)床边心电图（住院）：1.窦性心律2.下壁异常Q波。辅助检查\\\\r\\\\n暂无。\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_SXS_DESC\",\"tablename\":\"\",\"value\":\"        \"},{\"filedname\":\"Height\",\"id\":\"BODYCHECK_HEIGHT\",\"tablename\":\"Patient\",\"value\":\"170\"},{\"filedname\":\"\",\"id\":\"A2FE4034F15F48FCBAABE219A25F436D\",\"tablename\":\"\",\"value\":\"内科入院记录\"},{\"filedname\":\"\",\"id\":\"FAMILYHIS\",\"tablename\":\"\",\"value\":\"家族史：父：健在,患病名称，死因。母：健在,患病名称，死因。其他：不详\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_KZ_ZYJFX\",\"tablename\":\"\",\"value\":\"—\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_TFFB\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"DA372542941B40FBA2AC4045029BCEDB\",\"tablename\":\"\",\"value\":\" 1.不稳定型心绞痛\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_OTHER\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"9E02E0319CF241E3895010A03688CE00\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_FBJM\",\"tablename\":\"\",\"value\":\"无显露\"},{\"filedname\":\"\",\"id\":\"BEBD7ABA343842169D0BBC5372E3E52C\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"4FDD46C12FBF44BF957565882987D465\",\"tablename\":\"\",\"value\":\"       姓  名：陈家忠职    业：工人       性  别：男工作单位：宿州市       年  龄：56岁住    址：安徽省宿州市-       婚  姻：已婚供 史 者：患者本人   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月01日 08:42       民  族：汉族记录日期：2025年01月01日 13:08\"},{\"filedname\":\"\",\"id\":\"jws_nxgjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JBXGZY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"393FC29A5361466486A9AADE86D36894\",\"tablename\":\"\",\"value\":\"内科入院记录\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_CX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"C61B204F6B444A9CB8511E303AB9FA9B\",\"tablename\":\"\",\"value\":\"一般健康状况：良好；\"},{\"filedname\":\"\",\"id\":\"DFFCF7247F58478DAB3BC9539C152AE6\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT3\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_YDXZY\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FJJZD\",\"tablename\":\"\",\"value\":\"柔软\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FNZK_YT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT4\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_TXT5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_BHBW\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_TZ_CMY\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"87E1BF422F6945E6BEB1D7BF0EF08D97\",\"tablename\":\"\",\"value\":\"医师签名： 日期：           \"},{\"filedname\":\"Temper\",\"id\":\"BODYCHECK_TEMPER\",\"tablename\":\"TemperatureDetail\",\"value\":\"36.2\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"17D127C92D3147A895C122C846EA7B25\",\"tablename\":\"\",\"value\":\"医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"ANAL_EXAMINATION\",\"tablename\":\"\",\"value\":\"直肠肛门：未查。\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM\",\"tablename\":\"\",\"value\":\"四    肢：杵状指（趾）无，肢体畸形无，关节正常，下肢静脉曲张无，下肢水肿无，下肢溃疡无，下肢坏疽无。\"},{\"filedname\":\"PatientName\",\"id\":\"NAME\",\"tablename\":\"Inpatient\",\"value\":\"陈家忠\"},{\"filedname\":\"\",\"id\":\"1272C90134C648D38EEEF36A64F7E6CA\",\"tablename\":\"\",\"value\":\" 姓名:陈家忠 性别:男年龄:56岁 床号:714 住院号:ZY010002301244 科室:心内科总院冠心病病区二组\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_HDD\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"0B0F692E17844DCAB9A78F9C08CCC84A\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"Ipid\",\"id\":\"HZZYH\",\"tablename\":\"Inpatient\",\"value\":\"ZY010002301244\"},{\"filedname\":\"\",\"id\":\"67A853F2746040949A94109091C19CF1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"OPERAHIS_FLAG\",\"tablename\":\"\",\"value\":\"有\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_YY\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_YCB\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_TX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"INFECTION_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_POJK\",\"tablename\":\"\",\"value\":\"，其他：\"},{\"filedname\":\"\",\"id\":\"65290E0FFEAB4DD193B06B3FE617E590\",\"tablename\":\"\",\"value\":\"     1.不稳定型心绞痛 2.冠状动脉粥样硬化性心脏病 3.心功能III级(NYHA分级) 4.原发性高血压病2级（极高危） 5.高脂血症\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_XGKT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sss_sj\",\"tablename\":\"\",\"value\":\"有右上肢手术史\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"MENSESHIS\",\"tablename\":\"\",\"value\":\"婚姻史：婚姻：已婚，结婚年龄： 适龄，配偶健康状况：良好，其他：无\"},{\"filedname\":\"\",\"id\":\"202501030922195\",\"tablename\":\"\",\"value\":\" 3.心功能III级(NYHA分级)\"},{\"filedname\":\"\",\"id\":\"202501030922194\",\"tablename\":\"\",\"value\":\" 2.冠状动脉粥样硬化性心脏病\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_GJJMHLZ\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"202501030922192\",\"tablename\":\"\",\"value\":\" 2.冠状动脉粥样硬化性心脏病\"},{\"filedname\":\"\",\"id\":\"6C17AE65AA5D423DAA41D90C99FF0228\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_PL\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_TZ_QGSS\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"BedNo\",\"id\":\"HZCH\",\"tablename\":\"Inpatient\",\"value\":\"714\"},{\"filedname\":\"\",\"id\":\"3AFA5081E5B44B7691F668E8F5136292\",\"tablename\":\"\",\"value\":\"T36.2℃ P87次/分 R18次/分  Bp155/107mmHg  身高：170cm 体重：77kg BMI: 26.644  \"},{\"filedname\":\"\",\"id\":\"ANAL_EXAMINATION_DESC\",\"tablename\":\"\",\"value\":\"未查\"},{\"filedname\":\"\",\"id\":\"22CBFDF9ABCF40F0B95F21C6E646B5AC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"AgeDesc\",\"id\":\"AGE\",\"tablename\":\"Inpatient\",\"value\":\"56岁\"},{\"filedname\":\"AdmissionTime\",\"id\":\"RYRQ\",\"tablename\":\"Inpatient\",\"value\":\"20250101084215\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_XLJZ\",\"tablename\":\"\",\"value\":\"齐\"},{\"filedname\":\"\",\"id\":\"JZS_FQ\",\"tablename\":\"\",\"value\":\",患病名称，死因。\"},{\"filedname\":\"\",\"id\":\"6CC5A34AA7144865A0F3B7973B0752D2\",\"tablename\":\"\",\"value\":\"药物、食物过敏史：无，\"},{\"filedname\":\"\",\"id\":\"jzs_f_sy\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_FLAG\",\"tablename\":\"\",\"value\":\"否\"},{\"filedname\":\"\",\"id\":\"jws_mnxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_FY\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"30AFF8EFCFBA442E8631C14D3159D3F7\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SOURCE_RELATION\",\"tablename\":\"\",\"value\":\"患者本人\"},{\"filedname\":\"\",\"id\":\"JZS_MQ\",\"tablename\":\"\",\"value\":\",患病名称，死因。\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_XMMCG\",\"tablename\":\"\",\"value\":\"未闻及\"},{\"filedname\":\"\",\"id\":\"87AC32D277AC417BBAA189E5BCBB30C5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_SZ\",\"tablename\":\"\",\"value\":\"清醒\"},{\"filedname\":\"\",\"id\":\"3DB6C1E253814910B8914ED058EB683B\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"MarriageStatus\",\"id\":\"MARRIAGE\",\"tablename\":\"Inpatient\",\"value\":\"已婚\"},{\"filedname\":\"DiastolicPressure\",\"id\":\"BODYCHECK_DP\",\"tablename\":\"Temperature\",\"value\":\"107\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_KZ_KZQK\",\"tablename\":\"\",\"value\":\"清音\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_ZTJX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"C1FF809B03CC496C9B4BFB6A9D0236F2\",\"tablename\":\"\",\"value\":\" 1.不稳定型心绞痛\"},{\"filedname\":\"\",\"id\":\"jws_nfmxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_GZYJ\",\"tablename\":\"\",\"value\":\"存在\"},{\"filedname\":\"\",\"id\":\"RELIABIITY\",\"tablename\":\"\",\"value\":\"可靠\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZKY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"0629EA1248B141A58F83EA0F72B78108\",\"tablename\":\"\",\"value\":\"=\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_CZ_YC\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_RTYT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"wss\",\"tablename\":\"\",\"value\":\"有\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_DRINK_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_YT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZJMQZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"38240DF20AC946D2BFC57A65E29DC8AD\",\"tablename\":\"\",\"value\":\"修正诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_XK\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_KT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SPECIALCHECK\",\"tablename\":\"\",\"value\":\"专科情况\\\\r\\\\n1.患者陈家忠，男，56岁，因反复胸痛、胸闷半月余入院，既往有“高血压及高脂血症”病史。2.体格检查：Ｐ：87次/分，Bp：155/107mmHg，神志清楚，精神尚可，颈静脉未见充盈，甲状腺未触及肿大，双肺呼吸音清，未闻及干湿性啰音。心界无扩大，心率：87次／分，心律齐，各瓣膜听诊区未闻及明显病理性杂音。腹部无特殊，双下肢未见浮肿。3.辅助检查：(2025-01-01)床边心电图（住院）：1.窦性心律2.下壁异常Q波。\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_DGFS\",\"tablename\":\"\",\"value\":\"灵敏\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_FSHX\",\"tablename\":\"\",\"value\":\"存在\"},{\"filedname\":\"\",\"id\":\"2025010309221910\",\"tablename\":\"\",\"value\":\" 4.原发性高血压病2级（极高危）\"},{\"filedname\":\"\",\"id\":\"SUPERFIAL_LYMPH_EXAM\",\"tablename\":\"\",\"value\":\"浅表淋巴：浅表淋巴结肿大：未触及肿大。\"},{\"filedname\":\"\",\"id\":\"2025010309221911\",\"tablename\":\"\",\"value\":\" 5.高脂血症\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_SSBH\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"DIAGNOSES\",\"tablename\":\"\",\"value\":\"初步诊断：\\\\r\\\\n     1.急性冠脉综合征 2.冠状动脉粥样硬化性心脏病 3.心功能III级(NYHA分级) 4.原发性高血压病2级（极高危） 5.高脂血症    医师签名： 日期： 2025年01月01日10时05分入院诊断：\\\\r\\\\n     1.不稳定型心绞痛 2.冠状动脉粥样硬化性心脏病 3.心功能III级(NYHA分级) 4.原发性高血压病2级（极高危） 5.高脂血症    医师签名： 日期： 2025年01月03日09时05分修正诊断：\\\\r\\\\n        医师签名： 日期：           补充诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_TW\",\"tablename\":\"\",\"value\":\"自主体位\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_ZD\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"2025010309221913\",\"tablename\":\"\",\"value\":\" 5.高脂血症\"},{\"filedname\":\"Company\",\"id\":\"COMPANY\",\"tablename\":\"Patient\",\"value\":\"宿州市\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM\",\"tablename\":\"\",\"value\":\"心    脏：视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常—。      右(cm)肋间左(cm)2Ⅱ32.5Ⅲ53Ⅳ6Ⅴ8           前正中线距锁骨中线8.5cm）听诊：心率87次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。\"},{\"filedname\":\"\",\"id\":\"feibuid\",\"tablename\":\"\",\"value\":\"  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_DGFSBW\",\"tablename\":\"\",\"value\":\"（双）\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FTT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jzs_m_hb\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"MarriageStatus\",\"id\":\"MENSESHIS_HYZK\",\"tablename\":\"Inpatient\",\"value\":\"已婚\"},{\"filedname\":\"\",\"id\":\"PREINOHIS\",\"tablename\":\"\",\"value\":\"预防接种史：无\"},{\"filedname\":\"\",\"id\":\"725DF9B41CEC45B38422AFD10C2D0D5F\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_YTK\",\"tablename\":\"\",\"value\":\"3\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_PZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"0F7DAA2A92834E3AA79BE1974D159EFE\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_YFJZS_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM\",\"tablename\":\"\",\"value\":\"胸    部：胸廓：正常，胸骨叩痛：无，乳房：正常。  肺：视诊：呼吸运动：正常。      触诊：语颤：正常，胸膜摩擦感：无。      叩诊：清音。      听诊：呼吸音：清，啰音：未闻及，语音传导：正常，胸膜摩擦音：未闻及。      其他：无。\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON\",\"tablename\":\"\",\"value\":\"一般状况：发育：良好，营养：良好，面容：正常面容，体位：自主体位，神志：清醒，其他：无。\"},{\"filedname\":\"\",\"id\":\"370CE14E22834FD9B96C901BFE4D9026\",\"tablename\":\"\",\"value\":\"右(cm)肋间左(cm)2Ⅱ32.5Ⅲ53Ⅳ6Ⅴ8\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_SXS_FLAG\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM\",\"tablename\":\"\",\"value\":\"头    部：头颅大小：正常，头颅畸形：无，头发分布：正常 其他：无。眼：眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无，乳突、压痛：无，听力障碍：无，其他：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口唇：正常，黏膜：正常，舌：正常，齿：正常，咽：正常，扁桃体：正常，其他：无。\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_TZ_XGZY\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"Weight\",\"id\":\"BODYCHECK_WEIGHT\",\"tablename\":\"Patient\",\"value\":\"77\"},{\"filedname\":\"\",\"id\":\"B48295458BE14940919AD03D0F15A379\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_WEIXING\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"82DA07C0849146E1B6D7F69AF8F02F33\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JY_PJ\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_FNZK\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_WZ\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"E37C634DE1D2489D8150DA74EB183BB3\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"BDD34546F093425EBC845F9635071DE1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_SZ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"SystolicPressure\",\"id\":\"BODYCHECK_SP\",\"tablename\":\"Temperature\",\"value\":\"155\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_TK\",\"tablename\":\"\",\"value\":\"等大等圆\"},{\"filedname\":\"Sex\",\"id\":\"HZXB\",\"tablename\":\"Inpatient\",\"value\":\"男\"},{\"filedname\":\"Bmi\",\"id\":\"BMI\",\"tablename\":\"Patient\",\"value\":\"26.644\"},{\"filedname\":\"\",\"id\":\"C2ADF68064B248FBB3EA2505C3AE4AD9\",\"tablename\":\"\",\"value\":\"医师签名： 日期： 2025年01月03日09时05分\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_GZ\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM\",\"tablename\":\"\",\"value\":\"皮肤黏膜：色泽：正常，皮疹：无，皮下出血：无，毛发分布：正常，皮肤温度：正常，弹性：正常，水肿：无，肝掌：无，蜘蛛痣：无，其他：无。\"},{\"filedname\":\"\",\"id\":\"SUPERFIAL_LYMPH_EXAM_QBLBJZD\",\"tablename\":\"\",\"value\":\"未触及肿大\"},{\"filedname\":\"\",\"id\":\"1E1DB35BF4D74CB98E51B6E689811A4C\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"D2D3F768BB6042D19A1C21CE2AEC64C8\",\"tablename\":\"\",\"value\":\"心血管疾病史：有“高血压”病史多年，最高时达“160/108mmHg”,平素口服“硝苯地平缓释片”药物不详，血压控制不佳；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；\"},{\"filedname\":\"\",\"id\":\"0CA44E4F6D4A44DEA1A9FB5DB50E33B1\",\"tablename\":\"\",\"value\":\"20250101100525\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_JTXBD\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"RECORD_TIME\",\"tablename\":\"\",\"value\":\"20250101130816\"},{\"filedname\":\"\",\"id\":\"707BF2F94F1C423E9B050D03291B63E0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_PXCX\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_GMHR\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jzs_qt\",\"tablename\":\"\",\"value\":\"不详\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JJ_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ALLERGICHIS\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"E18171A343C54E8A8309F7FB2B8F4691\",\"tablename\":\"\",\"value\":\"外伤史有，外伤情况及时间有右上肢外伤史\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JZX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"jws_hxxtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JJM\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_DX\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"GENERAL_HEA_COND\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_ZTK\",\"tablename\":\"\",\"value\":\"3\"},{\"filedname\":\"\",\"id\":\"7E15E45A4F564B2A819FD3B15554D7A0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS_SXFY_DESC\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"2025010309221964\",\"tablename\":\"\",\"value\":\" 3.心功能III级(NYHA分级)\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JXQZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_XLCS\",\"tablename\":\"\",\"value\":\"87\"},{\"filedname\":\"\",\"id\":\"2025010309221967\",\"tablename\":\"\",\"value\":\" 4.原发性高血压病2级（极高危）\"},{\"filedname\":\"\",\"id\":\"245EDE8CA7E64BEAA24B06B4B952E3ED\",\"tablename\":\"\",\"value\":\"听诊：心率87次/分，心律齐，过早搏动无，心音正常，P2=A2 附加心音无，杂音无，其他无。周围血管症：无。\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_DX\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"2025010309221966\",\"tablename\":\"\",\"value\":\" 3.心功能III级(NYHA分级)\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_WEDFMW\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"2025010309221961\",\"tablename\":\"\",\"value\":\" 2.冠状动脉粥样硬化性心脏病\"},{\"filedname\":\"\",\"id\":\"sss_mc\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_XZHJ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jws_qtjbs\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"2025010309221963\",\"tablename\":\"\",\"value\":\" 2.冠状动脉粥样硬化性心脏病\"},{\"filedname\":\"\",\"id\":\"SPINAL_EXAM\",\"tablename\":\"\",\"value\":\"脊    柱：正常，压痛无。\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_DN\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"jzs_m_sy\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_XJBD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_KZ_LJWZ\",\"tablename\":\"\",\"value\":\" 5 \"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_XQQLQ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"2025010309221969\",\"tablename\":\"\",\"value\":\" 4.原发性高血压病2级（极高危）\"},{\"filedname\":\"\",\"id\":\"BC0C49566DC943449F21B63AE9878B54\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"93ED83E67AD3425F9B8FAAE64FC81FAF\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_YTBW\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"5E21BC55209748B1AF5F04B5AAB5C9F5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"jzs_f_hb\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INFECTHIS\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"SYRMHISOFBLOODTRANS\",\"tablename\":\"\",\"value\":\"输血史：无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_B_YCFMW\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"5D96EA002FC84D17AD74787CEEE483BD.2DC04CD5779A43B88A759DAAA41F9439.81579285B18B48619CFE9A3F4381030E\",\"tablename\":\"\",\"value\":\"手术外伤史：手术史有，名称及时间有右上肢手术史外伤史有，外伤情况及时间有右上肢外伤史\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_KC_BTT\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"sxs_a\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"sxs_c\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SMOKE_TIME\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_POJKZK\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"DD711E0917C241608072D2D007CD7A3C\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"PatientName\",\"id\":\"HZXM\",\"tablename\":\"Inpatient\",\"value\":\"陈家忠\"},{\"filedname\":\"\",\"id\":\"C78B204F6B444A9CB8511E303AB9FA9B\",\"tablename\":\"\",\"value\":\"一般健康状况：良好；心血管疾病史：有“高血压”病史多年，最高时达“160/108mmHg”,平素口服“硝苯地平缓释片”药物不详，血压控制不佳；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；传染病史：无药物、食物过敏史：无，手术外伤史：手术史有，名称及时间有右上肢手术史外伤史有，外伤情况及时间有右上肢外伤史预防接种史：无输血史：无\"},{\"filedname\":\"\",\"id\":\"2E2E341DE7E249C8BD78D2A4F941578C\",\"tablename\":\"\",\"value\":\"T36.2℃ P87次/分 R18次/分  Bp155/107mmHg  身高：170cm 体重：77kg BMI: 26.644  \"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_CZZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"LIMB_EXAM_GJ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_JDM\",\"tablename\":\"\",\"value\":\"搏动正常\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_GZBD\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_JIEMO\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"ASSISTANTCHECK\",\"tablename\":\"\",\"value\":\"辅助检查\\\\r\\\\n暂无。\"},{\"filedname\":\"\",\"id\":\"A7891916A4AF4B53AD2ECBF6EAE5A136\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_KZ_XZXDZYJ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"CRB\",\"tablename\":\"\",\"value\":\"传染病史：无\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM_BLFS\",\"tablename\":\"\",\"value\":\"未引出\"},{\"filedname\":\"\",\"id\":\"MENSESHIS_JH\",\"tablename\":\"\",\"value\":\"，结婚年龄： 适龄，配偶健康状况：\"},{\"filedname\":\"\",\"id\":\"C7DFAD4E984E47548A71A77DD0B43507\",\"tablename\":\"\",\"value\":\" 1.急性冠脉综合征\"},{\"filedname\":\"HomeAddress\",\"id\":\"ADDRESS\",\"tablename\":\"Patient\",\"value\":\"安徽省宿州市-\"},{\"filedname\":\"\",\"id\":\"jws_gmyw\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JLYJ\",\"tablename\":\"\",\"value\":\"是\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_Y_YJ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"CHIEF_COMPLAINT\",\"tablename\":\"\",\"value\":\"主  诉：反复胸痛、胸闷半月余\"},{\"filedname\":\"\",\"id\":\"HOSPITAL_NAME\",\"tablename\":\"\",\"value\":\"皖北煤电集团总医院\"},{\"filedname\":\"Breath\",\"id\":\"BODYCHECK_BREATH\",\"tablename\":\"TemperatureDetail\",\"value\":\"18\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_SZ_XJBDWZ\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"EXTERNAL_GEN_EXAM\",\"tablename\":\"\",\"value\":\"外生殖器：未查。\"},{\"filedname\":\"\",\"id\":\"964E073F0E274A3BB7A605CF7C1BFD5D\",\"tablename\":\"\",\"value\":\"入院诊断：\\\\r\\\\n     1.不稳定型心绞痛 2.冠状动脉粥样硬化性心脏病 3.心功能III级(NYHA分级) 4.原发性高血压病2级（极高危） 5.高脂血症    医师签名： 日期： 2025年01月03日09时05分\"},{\"filedname\":\"\",\"id\":\"GENL_HEALTH_CON_MR\",\"tablename\":\"\",\"value\":\"正常面容\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_CZ_ZC\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"B20872D4984C4E60BAA28D40F2926164\",\"tablename\":\"\",\"value\":\"视诊：心前区隆起无，心尖搏动：正常，剑突下搏动：无，心尖搏动位置正常。触诊：心尖搏动：正常，震颤：无，心包摩擦感：无。叩诊：心脏相对浊音界：正常—。\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_ZZZ\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_TL_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_TZ_XY\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"54BDCA57B81344208C0E2276B6EA0F74\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"C354A3C00FDC48848647A4FFFD51FB40\",\"tablename\":\"\",\"value\":\"20250103090551\"},{\"filedname\":\"\",\"id\":\"NEUROLO_EXAM\",\"tablename\":\"\",\"value\":\"神经系统：生理反射存在，病理反射未引出，脑膜刺激征，阴性其他：无。\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_CZ_SZ\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"HEAD_ORGANS_EXAM_E_TLZA\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"SKIN_MUCOUS_EXAM_MFFB\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"DeptName\",\"id\":\"HZKS\",\"tablename\":\"Inpatient\",\"value\":\"心内科总院冠心病病区二组\"},{\"filedname\":\"\",\"id\":\"wss_qk\",\"tablename\":\"\",\"value\":\"有右上肢外伤史\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_JJ_FLAG\",\"tablename\":\"\",\"value\":\"否\"},{\"filedname\":\"\",\"id\":\"CHEST_EXAM_F_TZ_LY\",\"tablename\":\"\",\"value\":\"未闻及\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM\",\"tablename\":\"\",\"value\":\"颈    部：颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无气管：居中，甲状腺：正常，其他：无。\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_QG\",\"tablename\":\"\",\"value\":\"居中\"},{\"filedname\":\"\",\"id\":\"DAB4AA2F94F24882BDB6C0EB568556FC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HEART_EXAM_CZ_XJBD\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"5685573C866B4D6184560CA851D714D2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"KKCD\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"2025010309221972\",\"tablename\":\"\",\"value\":\" 5.高脂血症\"},{\"filedname\":\"\",\"id\":\"wss_sj\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_SELF_OTHER\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"NECK_EXAM_QT\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"12D6E17FC6594C70B73DB00B413BA437\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"3DCE7A3F7E034207897DEAAC1B43BAD5\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"yfjz_a\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS_YYS\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ABDOMINAL_EXAM_SZ_RDB\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"2025010309221970\",\"tablename\":\"\",\"value\":\" 5.高脂血症\"},{\"filedname\":\"\",\"id\":\"4CCED7564D2848468CE672DC1AE8368A\",\"tablename\":\"\",\"value\":\"医师签名： 日期： 2025年01月01日10时05分\"}]}";

//        String content="{\"code\":\"0\",\"value\":\"       姓  名：张若汐职    业：其他       性  别：女工作单位：-       年  龄：5岁住    址：安徽省宿州市埇桥区南关街道龙玺台       婚  姻：未婚供 史 者：患者家属   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月07日 09:25       民  族：汉族记录日期：2025年01月07日 10:26(代)主诉：发热10余天现病史：患儿10余天前无明显诱因下出现发热，热峰39℃左右，偶有咳嗽，伴反复腹痛，脐周为主，无明显咳痰，无气促及呼吸困难，病初家人于当地输液治疗1次（具体不详），后续在家间断口服头孢、布洛芬等药物治疗（具体用药不详），效果欠佳，体温退而复升，咳嗽较前稍多，仍反复腹痛，今家人为进一步诊治来我院，门诊拟“发热待查”收住。病程中否认异物吸入史，患儿无呕吐腹泻，无腹胀，无气喘，无呼吸困难，进食及精神一般，大小便正常。既往史：  一般健康状况良好；  心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；气喘史：否认；异物吸入史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；  传染病史：无  药物、食物过敏史：无   手术外伤史：手术史无              外伤史无  预防接种史：有，预防接种疫苗：按规定接种  输血史：无个人史：出生史：第2胎 第2产，分娩情况：剖宫产，窒息史：无。喂养史：婴幼儿期喂养方式：母乳喂养，加辅食时间：6月开始添加辅食，开始普食时间：12月开始普食。生长发育史：体格发育：3月抬头6月坐 7月爬行 12月走路  智力发育：正常家族史：家族中有无与患者类似疾病：无，家族性传染性疾病：否认，家族性遗传性疾病：否认，其他：无。以上病史记录已经陈述者认同。陈述者签名 （手印）:   时间 :2025-01-07 10:26体格检查\\\\r\\\\nT38.1℃ P100次/分 R24次/分  Bp98/60mmHg  身高：110cm 体重：21kg BMI: 17.355  一般状况  ：发育：良好，营养：良好，神志：清醒，精神:正常。皮肤、粘膜：色泽：正常，皮疹：无，出血点：无，水肿：无浅表淋巴结：浅表淋巴结肿大：未触及。头      部：头形：正常，头围 : 54CM，  头发：分布均匀    颅骨软化：无前囟：已闭                      面色 : 红润眼：眼眶凹陷:无，眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口腔：口唇：正常，黏膜：正常，伸舌方向：正常，扁桃体：正常，咽：充血 -。颈      部：抵抗感：无，气管：居中，颈静脉：正常，颈动脉：搏动正常， 甲状腺：正常。胸      部：胸廓：正常，手术瘢痕：未见。肺：  视诊：呼吸运动：正常,三凹征：阴性,肋间隙：正常。      触诊：语颤：正常，胸膜摩擦感：无,皮下捻发感：无。      叩诊：呈：清音。      听诊：呼吸音：双肺增粗，干啰音：双肺可闻及，湿啰音：未闻及，胸膜摩擦音：未闻及。      其他：无。心      脏：视诊：心前区隆起无，心尖搏动：于第5肋间左锁骨中线：上0cm，搏动范围1cm2。触诊：心前区抬举感：无，震颤：未触及，心包摩擦感：未触及。叩诊：左界：左乳线外1CM   右界：右胸骨旁线。听诊：心率100次/分，心音有力，心律：齐，杂音未闻及。右（cm）肋间左（cm）ⅡⅢⅣⅤ                 （前正中线距锁骨中线cm）腹      部：视诊：外形：平坦，胃型：未见，肠型：未见，蠕动波：未见，脐：未见异常，腹壁静脉曲张：未见，手术瘢痕：未见。触诊：腹：稍胀，压痛有，部位-，反跳痛：无，部位：-，包块：未触及，肝脏：未触及，右肋缘下未触及，肝脏质地：未触及，胆囊：未触及，Murphy征：阴性，脾脏：未触及，于肋缘下未触及，肾脏：未触及。叩诊：移动性浊音：阴性，叩痛：无，肾区叩痛：无。听诊：肠鸣音：正常，血管杂音无。直肠、肛门：未见异常。外生殖器  ：未见异常。脊      柱：活动：正常，畸形：无。四      肢：畸形：无，关节红肿：无，肌肉萎缩：无，下肢水肿：无。神经系统  ：肌力：正常，肌张力：正常，生理反射：存在，克布氏征：阴性，左巴氏征：阴性，右巴氏征 ：阴性。专科检查Ｔ：38.1℃，P：100次/分，R：24次/分，W ：21kg。神志清楚，精神良好，营养发育正常，全身皮肤无黄染及皮疹，浅表淋巴结未及，头颅无畸形，唇红，咽部充血，颈软，双肺呼吸音粗，可闻及少量干啰音，心律齐，各瓣膜区未及杂音，腹稍胀，压痛描述不清，肝脾肋下未及，四肢肌力肌张力正常，双巴氏征（-）；辅助检查\\\\r\\\\n暂缺初步诊断：\\\\r\\\\n    1.发热待查2.呼吸道感染    医师签名： 日期： 2025年01月07日10时28分入院诊断：\\\\r\\\\n        医师签名： 日期：           修正诊断：\\\\r\\\\n        医师签名： 日期：           补充诊断：\\\\r\\\\n        医师签名： 日期：           \",\"valueList\":[{\"filedname\":\"\",\"id\":\"D4F1A386A4B240E3BDD37B8401D65C73\",\"tablename\":\"\",\"value\":\"未闻及\"},{\"filedname\":\"\",\"id\":\"HDSD0013104\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"Pulse\",\"id\":\"BODYCHECK_PULSE\",\"tablename\":\"TemperatureDetail\",\"value\":\"100\"},{\"filedname\":\"\",\"id\":\"HDSD0013105\",\"tablename\":\"\",\"value\":\"  预防接种史：有，预防接种疫苗：按规定接种\"},{\"filedname\":\"\",\"id\":\"qg\",\"tablename\":\"\",\"value\":\"居中\"},{\"filedname\":\"\",\"id\":\"GROWTH\",\"tablename\":\"\",\"value\":\"生长发育史：体格发育：3月抬头6月坐 7月爬行 12月走路  智力发育：正常\"},{\"filedname\":\"\",\"id\":\"2CFA0F62C4C24DFF95312C9CD9F2DD27\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"9691E422C17649C99A46641BC078D5B6\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"17B1D525A47C4A58A6A6B2A5262CF11E\",\"tablename\":\"\",\"value\":\"补充诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"EB37CDBFC86E41198FBCE83A74A9B66E\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"listbox_16\",\"tablename\":\"\",\"value\":\"。\"},{\"filedname\":\"\",\"id\":\"ELAPSEMHIS\",\"tablename\":\"\",\"value\":\"既往史：  一般健康状况良好；  心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；气喘史：否认；异物吸入史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；  传染病史：无  药物、食物过敏史：无   手术外伤史：手术史无              外伤史无  预防接种史：有，预防接种疫苗：按规定接种  输血史：无\"},{\"filedname\":\"\",\"id\":\"listbox_14\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"listbox_10\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"listbox_19\",\"tablename\":\"\",\"value\":\"平软\"},{\"filedname\":\"\",\"id\":\"1007B9321BD948BE9214821DFC95B1AA\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"Birthplace\",\"id\":\"BIRTHPLACE\",\"tablename\":\"Patient\",\"value\":\"安徽省宿州市\"},{\"filedname\":\"\",\"id\":\"listbox_18\",\"tablename\":\"\",\"value\":\"已闭\"},{\"filedname\":\"\",\"id\":\"0\",\"tablename\":\"\",\"value\":\"1.2100000000000002\"},{\"filedname\":\"\",\"id\":\"textbox_99\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"C693BB71D02045DEBAEDFD49306A3557\",\"tablename\":\"\",\"value\":\"       姓  名：张若汐职    业：其他       性  别：女工作单位：-       年  龄：5岁住    址：安徽省宿州市埇桥区南关街道龙玺台       婚  姻：未婚供 史 者：患者家属   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月07日 09:25       民  族：汉族记录日期：2025年01月07日 10:26\"},{\"filedname\":\"Nationality\",\"id\":\"NATIONALITY\",\"tablename\":\"Patient\",\"value\":\"汉族\"},{\"filedname\":\"Hpi\",\"id\":\"HPI\",\"tablename\":\"ProgressNote\",\"value\":\"现病史：患儿10余天前无明显诱因下出现发热，热峰39℃左右，偶有咳嗽，伴反复腹痛，脐周为主，无明显咳痰，无气促及呼吸困难，病初家人于当地输液治疗1次（具体不详），后续在家间断口服头孢、布洛芬等药物治疗（具体用药不详），效果欠佳，体温退而复升，咳嗽较前稍多，仍反复腹痛，今家人为进一步诊治来我院，门诊拟“发热待查”收住。病程中否认异物吸入史，患儿无呕吐腹泻，无腹胀，无气喘，无呼吸困难，进食及精神一般，大小便正常。\"},{\"filedname\":\"\",\"id\":\"listbox_26\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"listbox_27\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"listbox_24\",\"tablename\":\"\",\"value\":\"。\"},{\"filedname\":\"\",\"id\":\"16C399E4ED954AD99581AA0218AFF644\",\"tablename\":\"\",\"value\":\"初步诊断：\\\\r\\\\n    1.发热待查2.呼吸道感染    医师签名： 日期： 2025年01月07日10时28分\"},{\"filedname\":\"\",\"id\":\"listbox_25\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"16ADDE9D551542978408D4CA3165A2B6\",\"tablename\":\"\",\"value\":\"皖北煤电集团总医院儿科入院记录 姓名:张若汐 性别:女年龄:5岁 床号:912 住院号:ZY010002302005 科室:儿科二组\"},{\"filedname\":\"\",\"id\":\"listbox_23\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"14E18959D8DF46A7B397807282BED930\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"listbox_20\",\"tablename\":\"\",\"value\":\"红润\"},{\"filedname\":\"Sex\",\"id\":\"SEX\",\"tablename\":\"Inpatient\",\"value\":\"女\"},{\"filedname\":\"\",\"id\":\"timebox_1\",\"tablename\":\"\",\"value\":\"20250107102647\"},{\"filedname\":\"\",\"id\":\"listbox_21\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"46CD5250841D47FFB11351C9AC31957F\",\"tablename\":\"\",\"value\":\"未闻及\"},{\"filedname\":\"\",\"id\":\"7B1956EE85DE416F8BA8F5682C883699\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"listbox_28\",\"tablename\":\"\",\"value\":\"上\"},{\"filedname\":\"\",\"id\":\"listbox_29\",\"tablename\":\"\",\"value\":\"。\"},{\"filedname\":\"\",\"id\":\"F603235AA1BE4CF685CD2757C8372D7D\",\"tablename\":\"\",\"value\":\"    1.发热待查2.呼吸道感染\"},{\"filedname\":\"\",\"id\":\"INDIVIDUALMHIS\",\"tablename\":\"\",\"value\":\"个人史：\"},{\"filedname\":\"\",\"id\":\"listbox_37\",\"tablename\":\"\",\"value\":\"未见异常\"},{\"filedname\":\"\",\"id\":\"listbox_38\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"formtextbox_91\",\"tablename\":\"\",\"value\":\"3\"},{\"filedname\":\"\",\"id\":\"listbox_35\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"3A60158597524F1F8C86ACDD9DDD728A\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"formtextbox_90\",\"tablename\":\"\",\"value\":\"3\"},{\"filedname\":\"\",\"id\":\"D243D697FAD441B9BF7EF5F49A1D777E\",\"tablename\":\"\",\"value\":\"。\"},{\"filedname\":\"\",\"id\":\"listbox_36\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"C0AE8A00177842DE81A099E26C838EE9\",\"tablename\":\"\",\"value\":\"1.发热待查\"},{\"filedname\":\"\",\"id\":\"listbox_33\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"listbox_34\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"listbox_31\",\"tablename\":\"\",\"value\":\"左乳线外1CM\"},{\"filedname\":\"\",\"id\":\"sz\",\"tablename\":\"\",\"value\":\"清醒\"},{\"filedname\":\"\",\"id\":\"listbox_32\",\"tablename\":\"\",\"value\":\"右胸骨旁线\"},{\"filedname\":\"\",\"id\":\"9857F8A6A11C4415BD3F19EBD898BC43\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"682D87DE4CA744E98A621910D2242232\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"cs\",\"tablename\":\"\",\"value\":\"2\"},{\"filedname\":\"AgeDesc\",\"id\":\"HZNL\",\"tablename\":\"Inpatient\",\"value\":\"5岁\"},{\"filedname\":\"\",\"id\":\"151E07A557DD4C7BB3E9D1EB4ED57B5B\",\"tablename\":\"\",\"value\":\" 姓名:张若汐 性别:女年龄:5岁 床号:912 住院号:ZY010002302005 科室:儿科二组\"},{\"filedname\":\"Occupation\",\"id\":\"OCCUPATION\",\"tablename\":\"Patient\",\"value\":\"其他\"},{\"filedname\":\"\",\"id\":\"76236352CEF94AC78A283BBE5DF6202E\",\"tablename\":\"\",\"value\":\"未见\"},{\"filedname\":\"\",\"id\":\"BODYCHECK\",\"tablename\":\"\",\"value\":\"体格检查\\\\r\\\\nT38.1℃ P100次/分 R24次/分  Bp98/60mmHg  身高：110cm 体重：21kg BMI: 17.355  一般状况  ：发育：良好，营养：良好，神志：清醒，精神:正常。皮肤、粘膜：色泽：正常，皮疹：无，出血点：无，水肿：无浅表淋巴结：浅表淋巴结肿大：未触及。头      部：头形：正常，头围 : 54CM，  头发：分布均匀    颅骨软化：无前囟：已闭                      面色 : 红润眼：眼眶凹陷:无，眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口腔：口唇：正常，黏膜：正常，伸舌方向：正常，扁桃体：正常，咽：充血 -。颈      部：抵抗感：无，气管：居中，颈静脉：正常，颈动脉：搏动正常， 甲状腺：正常。胸      部：胸廓：正常，手术瘢痕：未见。肺：  视诊：呼吸运动：正常,三凹征：阴性,肋间隙：正常。      触诊：语颤：正常，胸膜摩擦感：无,皮下捻发感：无。      叩诊：呈：清音。      听诊：呼吸音：双肺增粗，干啰音：双肺可闻及，湿啰音：未闻及，胸膜摩擦音：未闻及。      其他：无。心      脏：视诊：心前区隆起无，心尖搏动：于第5肋间左锁骨中线：上0cm，搏动范围1cm2。触诊：心前区抬举感：无，震颤：未触及，心包摩擦感：未触及。叩诊：左界：左乳线外1CM   右界：右胸骨旁线。听诊：心率100次/分，心音有力，心律：齐，杂音未闻及。右（cm）肋间左（cm）ⅡⅢⅣⅤ                 （前正中线距锁骨中线cm）腹      部：视诊：外形：平坦，胃型：未见，肠型：未见，蠕动波：未见，脐：未见异常，腹壁静脉曲张：未见，手术瘢痕：未见。触诊：腹：稍胀，压痛有，部位-，反跳痛：无，部位：-，包块：未触及，肝脏：未触及，右肋缘下未触及，肝脏质地：未触及，胆囊：未触及，Murphy征：阴性，脾脏：未触及，于肋缘下未触及，肾脏：未触及。叩诊：移动性浊音：阴性，叩痛：无，肾区叩痛：无。听诊：肠鸣音：正常，血管杂音无。直肠、肛门：未见异常。外生殖器  ：未见异常。脊      柱：活动：正常，畸形：无。四      肢：畸形：无，关节红肿：无，肌肉萎缩：无，下肢水肿：无。神经系统  ：肌力：正常，肌张力：正常，生理反射：存在，克布氏征：阴性，左巴氏征：阴性，右巴氏征 ：阴性。\"},{\"filedname\":\"\",\"id\":\"ts\",\"tablename\":\"\",\"value\":\"2\"},{\"filedname\":\"Height\",\"id\":\"BODYCHECK_HEIGHT\",\"tablename\":\"Patient\",\"value\":\"110\"},{\"filedname\":\"\",\"id\":\"FAMILYHIS\",\"tablename\":\"\",\"value\":\"家族史：家族中有无与患者类似疾病：无，家族性传染性疾病：否认，家族性遗传性疾病：否认，其他：无。以上病史记录已经陈述者认同。陈述者签名 （手印）:   时间 :2025-01-07 10:26\"},{\"filedname\":\"\",\"id\":\"DA372542941B40FBA2AC4045029BCEDB\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"9E02E0319CF241E3895010A03688CE00\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"BEBD7ABA343842169D0BBC5372E3E52C\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"4FDD46C12FBF44BF957565882987D465\",\"tablename\":\"\",\"value\":\"       姓  名：张若汐职    业：其他       性  别：女工作单位：-       年  龄：5岁住    址：安徽省宿州市埇桥区南关街道龙玺台       婚  姻：未婚供 史 者：患者家属   可靠程度：可靠       出生地：安徽省宿州市入院日期：2025年01月07日 09:25       民  族：汉族记录日期：2025年01月07日 10:26\"},{\"filedname\":\"\",\"id\":\"textbox_70\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"textbox_71\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"textbox_69\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"DFFCF7247F58478DAB3BC9539C152AE6\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"C344A5299A9F47B681FABFEE5D5F51D4\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"E869C15446DA4A909C4B86622DF77300\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"7D175A1BD5FF4ABBACBE6A1DEF972295\",\"tablename\":\"\",\"value\":\"未见\"},{\"filedname\":\"\",\"id\":\"87E1BF422F6945E6BEB1D7BF0EF08D97\",\"tablename\":\"\",\"value\":\"医师签名： 日期：           \"},{\"filedname\":\"Temper\",\"id\":\"BODYCHECK_TEMPER\",\"tablename\":\"TemperatureDetail\",\"value\":\"38.1\"},{\"filedname\":\"\",\"id\":\"42A5F85B26074E19BA604C00C9F44A10\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"FE55D07E83214C41BE9EA7D1735481C8\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"17D127C92D3147A895C122C846EA7B25\",\"tablename\":\"\",\"value\":\"医师签名： 日期：           \"},{\"filedname\":\"PatientName\",\"id\":\"NAME\",\"tablename\":\"Inpatient\",\"value\":\"张若汐\"},{\"filedname\":\"\",\"id\":\"1272C90134C648D38EEEF36A64F7E6CA\",\"tablename\":\"\",\"value\":\" 姓名:张若汐 性别:女年龄:5岁 床号:912 住院号:ZY010002302005 科室:儿科二组\"},{\"filedname\":\"\",\"id\":\"textbox_109\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"0B0F692E17844DCAB9A78F9C08CCC84A\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"Ipid\",\"id\":\"HZZYH\",\"tablename\":\"Inpatient\",\"value\":\"ZY010002302005\"},{\"filedname\":\"\",\"id\":\"67A853F2746040949A94109091C19CF1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"DC7562631EB34422AFE73B0F75153D0A\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"2F30F98B9F484FA0A9EEE0088EEFFC86\",\"tablename\":\"\",\"value\":\"。\"},{\"filedname\":\"\",\"id\":\"65290E0FFEAB4DD193B06B3FE617E590\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"textbox_96\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"textbox_95\",\"tablename\":\"\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"6C17AE65AA5D423DAA41D90C99FF0228\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"1633D47E1247468796568B4221737292\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"48BBD3082F1A47B2BA51E1039C1AD30A\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"FFF4036586DB4926B32750EBCCA62AE8\",\"tablename\":\"\",\"value\":\"T38.1℃ P100次/分 R24次/分  Bp98/60mmHg  身高：110cm 体重：21kg BMI: 17.355  \"},{\"filedname\":\"BedNo\",\"id\":\"HZCH\",\"tablename\":\"Inpatient\",\"value\":\"912\"},{\"filedname\":\"\",\"id\":\"97A2D551365948ACA2D417B836EB1C53\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"3AFA5081E5B44B7691F668E8F5136292\",\"tablename\":\"\",\"value\":\"T38.1℃ P100次/分 R24次/分  Bp98/60mmHg  身高：110cm 体重：21kg BMI: 17.355  \"},{\"filedname\":\"\",\"id\":\"textbox_114\",\"tablename\":\"\",\"value\":\"0\"},{\"filedname\":\"\",\"id\":\"textbox_111\",\"tablename\":\"\",\"value\":\"54\"},{\"filedname\":\"\",\"id\":\"textbox_112\",\"tablename\":\"\",\"value\":\"1.5*1.5\"},{\"filedname\":\"\",\"id\":\"22CBFDF9ABCF40F0B95F21C6E646B5AC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"textbox_117\",\"tablename\":\"\",\"value\":\"0\"},{\"filedname\":\"\",\"id\":\"textbox_118\",\"tablename\":\"\",\"value\":\"0\"},{\"filedname\":\"\",\"id\":\"textbox_115\",\"tablename\":\"\",\"value\":\"1\"},{\"filedname\":\"AgeDesc\",\"id\":\"AGE\",\"tablename\":\"Inpatient\",\"value\":\"5岁\"},{\"filedname\":\"AdmissionTime\",\"id\":\"RYRQ\",\"tablename\":\"Inpatient\",\"value\":\"20250107092557\"},{\"filedname\":\"\",\"id\":\"ttsj\",\"tablename\":\"\",\"value\":\"3\"},{\"filedname\":\"\",\"id\":\"E675B00C9B1241F9BB9A207289D00375\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"textbox_121\",\"tablename\":\"\",\"value\":\"6\"},{\"filedname\":\"Hr\",\"id\":\"textbox_81\",\"tablename\":\"TemperatureDetail\",\"value\":\"100\"},{\"filedname\":\"\",\"id\":\"textbox_80\",\"tablename\":\"\",\"value\":\"儿科入院记录\"},{\"filedname\":\"\",\"id\":\"845221FB03CB41508F2A60DCFEE776E4\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"8A2DC52B8DC14A3F8A9A619FBA92D515\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"textbox_124\",\"tablename\":\"\",\"value\":\"6\"},{\"filedname\":\"\",\"id\":\"textbox_125\",\"tablename\":\"\",\"value\":\"7\"},{\"filedname\":\"\",\"id\":\"textbox_122\",\"tablename\":\"\",\"value\":\"12\"},{\"filedname\":\"\",\"id\":\"textbox_123\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"30AFF8EFCFBA442E8631C14D3159D3F7\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"textbox_126\",\"tablename\":\"\",\"value\":\"12\"},{\"filedname\":\"\",\"id\":\"xx\",\"tablename\":\"\",\"value\":\"        \"},{\"filedname\":\"\",\"id\":\"SOURCE_RELATION\",\"tablename\":\"\",\"value\":\"患者家属\"},{\"filedname\":\"\",\"id\":\"87AC32D277AC417BBAA189E5BCBB30C5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"3DB6C1E253814910B8914ED058EB683B\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"MarriageStatus\",\"id\":\"MARRIAGE\",\"tablename\":\"Inpatient\",\"value\":\"未婚\"},{\"filedname\":\"DiastolicPressure\",\"id\":\"BODYCHECK_DP\",\"tablename\":\"Temperature\",\"value\":\"60\"},{\"filedname\":\"\",\"id\":\"4860C47305884666B640CB28870CEFE8\",\"tablename\":\"\",\"value\":\"右（cm）肋间左（cm）ⅡⅢⅣⅤ                 （前正中线距锁骨中线cm）\"},{\"filedname\":\"\",\"id\":\"commbox_44\",\"tablename\":\"\",\"value\":\"齐\"},{\"filedname\":\"\",\"id\":\"C1FF809B03CC496C9B4BFB6A9D0236F2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"commbox_49\",\"tablename\":\"\",\"value\":\"未见异常\"},{\"filedname\":\"\",\"id\":\"HDSD0013075\",\"tablename\":\"\",\"value\":\"腹      部：视诊：外形：平坦，胃型：未见，肠型：未见，蠕动波：未见，脐：未见异常，腹壁静脉曲张：未见，手术瘢痕：未见。触诊：腹：稍胀，压痛有，部位-，反跳痛：无，部位：-，包块：未触及，肝脏：未触及，右肋缘下未触及，肝脏质地：未触及，胆囊：未触及，Murphy征：阴性，脾脏：未触及，于肋缘下未触及，肾脏：未触及。叩诊：移动性浊音：阴性，叩痛：无，肾区叩痛：无。听诊：肠鸣音：正常，血管杂音无。\"},{\"filedname\":\"\",\"id\":\"1180993861524B93BD229464BDA32615\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"commbox_48\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"855ACA7B823B4D3B80FC60FADFA91ADC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"RELIABIITY\",\"tablename\":\"\",\"value\":\"可靠\"},{\"filedname\":\"\",\"id\":\"fmqk\",\"tablename\":\"\",\"value\":\"剖宫产\"},{\"filedname\":\"\",\"id\":\"HDSD0013065\",\"tablename\":\"\",\"value\":\"  手术外伤史：手术史无              外伤史无\"},{\"filedname\":\"\",\"id\":\"HDSD0013066\",\"tablename\":\"\",\"value\":\"  输血史：无\"},{\"filedname\":\"\",\"id\":\"FB2518F99CA9498C8627709D1B4FC5FD\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"E73A271AA21C412B87B448629FDFFFDB\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"commbox_53\",\"tablename\":\"\",\"value\":\"存在\"},{\"filedname\":\"\",\"id\":\"38240DF20AC946D2BFC57A65E29DC8AD\",\"tablename\":\"\",\"value\":\"修正诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"6853ED6F11CC47FDADEB0C6D6B49F883\",\"tablename\":\"\",\"value\":\"未闻及\"},{\"filedname\":\"\",\"id\":\"8399ADD7F1A0463BBA752F1B3D8C7526\",\"tablename\":\"\",\"value\":\"有\"},{\"filedname\":\"\",\"id\":\"88569557128541A58B059F7B12F6D490\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"DIAGNOSES\",\"tablename\":\"\",\"value\":\"初步诊断：\\\\r\\\\n    1.发热待查2.呼吸道感染    医师签名： 日期： 2025年01月07日10时28分入院诊断：\\\\r\\\\n        医师签名： 日期：           修正诊断：\\\\r\\\\n        医师签名： 日期：           补充诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"EC553FE4FB6C45C98A858FA801F10AF4\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"commbox_56\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"31315C87994D49EBABF899F3D8E7C6B0\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"E8D00134638D4A47B8A5FEB4960CA5EF\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"commbox_58\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"177702AED8BC4EBDADCA81791E206DA6\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"commbox_59\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"55DCCDD0A4B74BD6BEAE899D594F30F1\",\"tablename\":\"\",\"value\":\"平坦\"},{\"filedname\":\"Company\",\"id\":\"COMPANY\",\"tablename\":\"Patient\",\"value\":\"-\"},{\"filedname\":\"\",\"id\":\"AD616CF7E5585AAAAE82FD4355F53C0\",\"tablename\":\"\",\"value\":\"2.呼吸道感染\"},{\"filedname\":\"\",\"id\":\"commbox_60\",\"tablename\":\"\",\"value\":\"未见\"},{\"filedname\":\"\",\"id\":\"725DF9B41CEC45B38422AFD10C2D0D5F\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"0F7DAA2A92834E3AA79BE1974D159EFE\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"Weight\",\"id\":\"BODYCHECK_WEIGHT\",\"tablename\":\"Patient\",\"value\":\"21\"},{\"filedname\":\"\",\"id\":\"HDSD0013092\",\"tablename\":\"\",\"value\":\"外生殖器  ：未见异常。\"},{\"filedname\":\"\",\"id\":\"B48295458BE14940919AD03D0F15A379\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"HDSD0013093\",\"tablename\":\"\",\"value\":\"胸      部：胸廓：正常，手术瘢痕：未见。肺：  视诊：呼吸运动：正常,三凹征：阴性,肋间隙：正常。      触诊：语颤：正常，胸膜摩擦感：无,皮下捻发感：无。      叩诊：呈：清音。      听诊：呼吸音：双肺增粗，干啰音：双肺可闻及，湿啰音：未闻及，胸膜摩擦音：未闻及。      其他：无。\"},{\"filedname\":\"\",\"id\":\"AB8F3157B1F84EABB108571F03FB8468\",\"tablename\":\"\",\"value\":\"未见\"},{\"filedname\":\"\",\"id\":\"HDSD0013091\",\"tablename\":\"\",\"value\":\"头      部：头形：正常，头围 : 54CM，  头发：分布均匀    颅骨软化：无前囟：已闭                      面色 : 红润眼：眼眶凹陷:无，眼睑情况：正常，结膜：正常，巩膜黄染：无，角膜：正常，瞳孔：等大等圆，    左瞳大小：3mm，右瞳大小：3mm，对光反射：灵敏（双）其他：无。耳：耳廓：正常，外耳道分泌物：无。鼻：鼻翼煽动：无，异常分泌物：无，鼻旁窦区压痛：无。口腔：口唇：正常，黏膜：正常，伸舌方向：正常，扁桃体：正常，咽：充血 -。\"},{\"filedname\":\"\",\"id\":\"943CB04E23B9494DB6390D62DCE23B01\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"82DA07C0849146E1B6D7F69AF8F02F33\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"HDSD0013094\",\"tablename\":\"\",\"value\":\"一般状况  ：发育：良好，营养：良好，神志：清醒，精神:正常。\"},{\"filedname\":\"\",\"id\":\"E37C634DE1D2489D8150DA74EB183BB3\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"47A431FD2D0F4E8C93C708E1056314A4\",\"tablename\":\"\",\"value\":\"有\"},{\"filedname\":\"\",\"id\":\"HDSD0013087\",\"tablename\":\"\",\"value\":\"四      肢：畸形：无，关节红肿：无，肌肉萎缩：无，下肢水肿：无。\"},{\"filedname\":\"\",\"id\":\"BDD34546F093425EBC845F9635071DE1\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"99E5718281DA44F79B56070DE7516A97\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"BIRTH\",\"tablename\":\"\",\"value\":\"出生史：第2胎 第2产，分娩情况：剖宫产，窒息史：无。\"},{\"filedname\":\"SystolicPressure\",\"id\":\"BODYCHECK_SP\",\"tablename\":\"Temperature\",\"value\":\"98\"},{\"filedname\":\"Sex\",\"id\":\"HZXB\",\"tablename\":\"Inpatient\",\"value\":\"女\"},{\"filedname\":\"Bmi\",\"id\":\"BMI\",\"tablename\":\"Patient\",\"value\":\"17.355\"},{\"filedname\":\"\",\"id\":\"C2ADF68064B248FBB3EA2505C3AE4AD9\",\"tablename\":\"\",\"value\":\"医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"1E1DB35BF4D74CB98E51B6E689811A4C\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"xinzang\",\"tablename\":\"\",\"value\":\"心      脏：视诊：心前区隆起无，心尖搏动：于第5肋间左锁骨中线：上0cm，搏动范围1cm2。触诊：心前区抬举感：无，震颤：未触及，心包摩擦感：未触及。叩诊：左界：左乳线外1CM   右界：右胸骨旁线。听诊：心率100次/分，心音有力，心律：齐，杂音未闻及。右（cm）肋间左（cm）ⅡⅢⅣⅤ                 （前正中线距锁骨中线cm）\"},{\"filedname\":\"\",\"id\":\"0CA44E4F6D4A44DEA1A9FB5DB50E33B1\",\"tablename\":\"\",\"value\":\"20250107102807\"},{\"filedname\":\"\",\"id\":\"8CF6D9CA62E7432FB411AB0D077A0CDC\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"84F9FC4582E24E0BAAAAEE5519993C78\",\"tablename\":\"\",\"value\":\"软\"},{\"filedname\":\"\",\"id\":\"RECORD_TIME\",\"tablename\":\"\",\"value\":\"20250107102647\"},{\"filedname\":\"\",\"id\":\"E25337B4443A43A9B6B494F1EE0F799F\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HDSD0013081\",\"tablename\":\"\",\"value\":\"皮肤、粘膜：色泽：正常，皮疹：无，出血点：无，水肿：无\"},{\"filedname\":\"\",\"id\":\"HDSD0013082\",\"tablename\":\"\",\"value\":\"浅表淋巴结：浅表淋巴结肿大：未触及。\"},{\"filedname\":\"\",\"id\":\"AE176AF247E44417BCE0FAAFE13A5045\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"92EB99AC3D334C7E837B2022B019F038\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"707BF2F94F1C423E9B050D03291B63E0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"B2F61F11855346838B9C7CCBC22D050B\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"B95BFB08867C1A380941477E3CA265C\",\"tablename\":\"\",\"value\":\"2.呼吸道感染\"},{\"filedname\":\"\",\"id\":\"HDSD0013084\",\"tablename\":\"\",\"value\":\"神经系统  ：肌力：正常，肌张力：正常，生理反射：存在，克布氏征：阴性，左巴氏征：阴性，右巴氏征 ：阴性。\"},{\"filedname\":\"\",\"id\":\"HDSD0013078\",\"tablename\":\"\",\"value\":\"脊      柱：活动：正常，畸形：无。\"},{\"filedname\":\"\",\"id\":\"HDSD0013079\",\"tablename\":\"\",\"value\":\"颈      部：抵抗感：无，气管：居中，颈静脉：正常，颈动脉：搏动正常， 甲状腺：正常。\"},{\"filedname\":\"\",\"id\":\"HDSD0013076\",\"tablename\":\"\",\"value\":\"直肠、肛门：未见异常。\"},{\"filedname\":\"\",\"id\":\"66620223C7DA41EEA529879AA6357DDF\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"E063F127CA07467E9CE84816541298DD\",\"tablename\":\"\",\"value\":\"未见\"},{\"filedname\":\"\",\"id\":\"241DD1D859974E70A4821B02A4117C34\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"A9CD62908D3E4648A35214DBFC3EF08C\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"7E15E45A4F564B2A819FD3B15554D7A0\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"4CAAB35667C145FFAA3347C8FB84597F\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"567FD51CB6CE4DE4AA1F2501A174605A\",\"tablename\":\"\",\"value\":\"按规定接种\"},{\"filedname\":\"\",\"id\":\"75D14FB036554FE5962A8BAF708C25D2\",\"tablename\":\"\",\"value\":\"有力\"},{\"filedname\":\"\",\"id\":\"9CC12598CB4A4799A5489C5FA2CE874B\",\"tablename\":\"\",\"value\":\"未见\"},{\"filedname\":\"\",\"id\":\"1A2AE34514F44573AD50BD40C4D19814\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"commbox_7\",\"tablename\":\"\",\"value\":\"未触及\"},{\"filedname\":\"\",\"id\":\"BC0C49566DC943449F21B63AE9878B54\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"93ED83E67AD3425F9B8FAAE64FC81FAF\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"commbox_5\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"5E21BC55209748B1AF5F04B5AAB5C9F5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"label_6\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"label_5\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"F1A21C1AD851433CB3B406AA98FA16C5\",\"tablename\":\"\",\"value\":\"专科检查Ｔ：38.1℃，P：100次/分，R：24次/分，W ：21kg。神志清楚，精神良好，营养发育正常，全身皮肤无黄染及皮疹，浅表淋巴结未及，头颅无畸形，唇红，咽部充血，颈软，双肺呼吸音粗，可闻及少量干啰音，心律齐，各瓣膜区未及杂音，腹稍胀，压痛描述不清，肝脾肋下未及，四肢肌力肌张力正常，双巴氏征（-）；\"},{\"filedname\":\"\",\"id\":\"label_4\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"label_3\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"E94EC897F98E41F4B0BE7607B69AE8B4\",\"tablename\":\"\",\"value\":\"。\"},{\"filedname\":\"\",\"id\":\"HDSD0013028\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"commbox_10\",\"tablename\":\"\",\"value\":\"分布均匀\"},{\"filedname\":\"\",\"id\":\"label_7\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"73D53F633C6448A5A6774C74549B160C\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"1C702B0D78F44D398B355651C6285F88\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"label_2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"E49161FDCAAA4C63A21057538F46DD86\",\"tablename\":\"\",\"value\":\"。\"},{\"filedname\":\"\",\"id\":\"9B0D4C2517DC484BA9F87485DEF82859\",\"tablename\":\"\",\"value\":\"皖北煤电集团总医院\"},{\"filedname\":\"\",\"id\":\"DD711E0917C241608072D2D007CD7A3C\",\"tablename\":\"\",\"value\":\"    \"},{\"filedname\":\"\",\"id\":\"commbox_19\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"PatientName\",\"id\":\"HZXM\",\"tablename\":\"Inpatient\",\"value\":\"张若汐\"},{\"filedname\":\"\",\"id\":\"commbox_12\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"commbox_11\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"commbox_14\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"commbox_13\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"commbox_16\",\"tablename\":\"\",\"value\":\"灵敏\"},{\"filedname\":\"\",\"id\":\"commbox_15\",\"tablename\":\"\",\"value\":\"等大等圆\"},{\"filedname\":\"\",\"id\":\"commbox_18\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"commbox_17\",\"tablename\":\"\",\"value\":\"（双）\"},{\"filedname\":\"\",\"id\":\"ASSISTANTCHECK\",\"tablename\":\"\",\"value\":\"辅助检查\\\\r\\\\n暂缺\"},{\"filedname\":\"\",\"id\":\"A7891916A4AF4B53AD2ECBF6EAE5A136\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"20C6130E8B70491D95072CA50A894A6F\",\"tablename\":\"\",\"value\":\"母乳喂养\"},{\"filedname\":\"\",\"id\":\"2E48DC378E0541AC92ED073BA2F15C31\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"commbox_21\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"C7DFAD4E984E47548A71A77DD0B43507\",\"tablename\":\"\",\"value\":\"1.发热待查\"},{\"filedname\":\"HomeAddress\",\"id\":\"ADDRESS\",\"tablename\":\"Patient\",\"value\":\"安徽省宿州市埇桥区南关街道龙玺台\"},{\"filedname\":\"\",\"id\":\"6FDC43B20841488BADEF5DE29D04FA58\",\"tablename\":\"\",\"value\":\"阴性\"},{\"filedname\":\"\",\"id\":\"HDSD0013104000\",\"tablename\":\"\",\"value\":\"  一般健康状况良好；\"},{\"filedname\":\"Chiefcomplaint\",\"id\":\"CHIEF_COMPLAINT\",\"tablename\":\"ProgressNote\",\"value\":\"(代)主诉：发热10余天\"},{\"filedname\":\"\",\"id\":\"FEED\",\"tablename\":\"\",\"value\":\"喂养史：婴幼儿期喂养方式：母乳喂养，加辅食时间：6月开始添加辅食，开始普食时间：12月开始普食。\"},{\"filedname\":\"\",\"id\":\"AD15297489D24AE3AE8F3B2F99EAB8FE\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"Breath\",\"id\":\"BODYCHECK_BREATH\",\"tablename\":\"TemperatureDetail\",\"value\":\"24\"},{\"filedname\":\"\",\"id\":\"964E073F0E274A3BB7A605CF7C1BFD5D\",\"tablename\":\"\",\"value\":\"入院诊断：\\\\r\\\\n        医师签名： 日期：           \"},{\"filedname\":\"\",\"id\":\"863402DC5F334B3CA3DF485070D718FA\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"commbox_23\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"commbox_22\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"commbox_25\",\"tablename\":\"\",\"value\":\"充血\"},{\"filedname\":\"\",\"id\":\"AD52224F1C0D4AA0B43965C0513313FC\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"commbox_27\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"32471558A01346689EDDFCA6FBDEC9FA\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"commbox_26\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"commbox_28\",\"tablename\":\"\",\"value\":\"搏动正常\"},{\"filedname\":\"\",\"id\":\"listbox_4\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"54BDCA57B81344208C0E2276B6EA0F74\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"C354A3C00FDC48848647A4FFFD51FB40\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"DE05.10.119.00\",\"tablename\":\"\",\"value\":\"  传染病史：无\"},{\"filedname\":\"\",\"id\":\"listbox_3\",\"tablename\":\"\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"listbox_9\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"commbox_32\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"DeptName\",\"id\":\"HZKS\",\"tablename\":\"Inpatient\",\"value\":\"儿科二组\"},{\"filedname\":\"\",\"id\":\"7A581A977DF74D249A3421E410091B81\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"DAB4AA2F94F24882BDB6C0EB568556FC\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"CD7FB94D1C514AD0A7FACDCED6918BC9\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"5685573C866B4D6184560CA851D714D2\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"1E5E6394EFE74B91A463DE2EFAA7CB4A\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"KKCD\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"commbox_33\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"126D33131FE34E57908DB9CB44FCBA6C\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"commbox_36\",\"tablename\":\"\",\"value\":\"清音\"},{\"filedname\":\"\",\"id\":\"commbox_35\",\"tablename\":\"\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"commbox_38\",\"tablename\":\"\",\"value\":\"双肺可闻及\"},{\"filedname\":\"\",\"id\":\"HDSD0013042\",\"tablename\":\"\",\"value\":\"  心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；气喘史：否认；异物吸入史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；\"},{\"filedname\":\"\",\"id\":\"commbox_37\",\"tablename\":\"\",\"value\":\"双肺增粗\"},{\"filedname\":\"\",\"id\":\"12D6E17FC6594C70B73DB00B413BA437\",\"tablename\":\"\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"commbox_39\",\"tablename\":\"\",\"value\":\"5\"},{\"filedname\":\"\",\"id\":\"29337C6F96D846BAB24E47785FE20991\",\"tablename\":\"\",\"value\":\"否认\"},{\"filedname\":\"\",\"id\":\"HDSD0013038\",\"tablename\":\"\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"HDSD0013037\",\"tablename\":\"\",\"value\":\"  药物、食物过敏史：无 \"},{\"filedname\":\"\",\"id\":\"DB1C88C3FC6F4EF7AEC1DED48DD01213\",\"tablename\":\"\",\"value\":\"未见异常\"},{\"filedname\":\"\",\"id\":\"4CCED7564D2848468CE672DC1AE8368A\",\"tablename\":\"\",\"value\":\"医师签名： 日期： 2025年01月07日10时28分\"},{\"filedname\":\"\",\"id\":\"229EB0FE125E4BF493B61448B13AEF1F\",\"tablename\":\"\",\"value\":\"。\"}]}";

//        String content="{\"code\":\"0\",\"value\":\"主诉：明确慢性丙型肝炎及肝恶性肿瘤确诊后2月；是否发热：否 \\n现病史：患者2月前确诊为肝癌肝内转移，未治疗。无明显头痛及关节疼痛，无明显恶心呕吐，无腹痛腹泻，无皮疹及出血斑，当地医院予以抗感染、止咳化痰等处理未见明显好转，患者现为求进一步治疗。遂来我院。门诊拟“肝癌”收住入科。患者既往有输血史，明确丙肝抗体阳性，进一步检查HCVRNA251000，患者基因型为2a型。患者肝脏超声提示肝硬化，肝癌，2024-12-30 PET-CT：PET-CT体部：1、脑代谢未见异常；脑萎缩；2、甲状腺密度欠均，不伴高代谢；\\n3、两肺间质密度稍增高； 两肺少许条索灶； 两肺门、纵隔内多发稍高密度淋巴结，伴高代谢，考虑炎性/老年性淋巴结； 两侧胸膜稍增厚、两侧胸腔少量积液；4、冠脉钙化；5、肝内多发低密度影，部分(S1及S6段）呈肿块样，伴高代谢，考虑恶性，肝癌伴肝内多发转移； 腹膜后结节/淋巴结影，伴高代谢，请随诊； 肝硬化； 肝内多发小囊性灶，不伴高代谢； 脾大不伴高代谢；6、贲门区脂肪灶不伴高代谢，考虑良性病变，倾向脂肪瘤；部分肠管生理性/炎性摄取； 肛管区高代谢，考虑痔7、两肾多发囊性灶不伴高代谢； 膀胱壁稍厚，底部壁钙化灶/结石；前列腺钙化灶；8、脊柱退变； 颈部右侧沿肌肉走形区条状高代谢，考虑生理性/炎性摄取。今来我院进一步予以抗病毒治疗。\\n既往史：一般健康状况：一般；心血管疾病史：否认；脑血管疾病史：否认；呼吸系统疾病史：否认；消化系统疾病史：否认；泌尿系统疾病史：否认；内分泌系统疾病史：否认；其他疾病史：否认；预防接种史：否认，预防接种疫苗：正常；血型：未查。\\n无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\\n过敏史：无\\n家族史：家人否患有同种疾病，家人无肝炎等传染性疾病史。\\n体格检查： 神清，淋巴结：浅表淋巴结未触及肿大。\\n颈部：颈项强直：无，颈静脉：正常，颈动脉：搏动正常，肝颈静脉回流症：阴性，颈部血管杂音：无 气管：居中，甲状腺：正常，其他：无。\\n胸部：胸廓：正常， \\n辅助检查：无\\n初步诊断:肝恶性肿瘤?\\n初步诊断:慢性丙型病毒性肝炎?\\n诊疗意见：\\n用药：\\n检查：\\n检验：\\n处置：\\n患者去向：□住院治疗 □门诊复诊 □门诊随诊 √门诊治疗 □转科\\n         \\n嘱托：1、清淡饮食。\\n2、定期复查。\\n注意事项：\\n1、复诊时间：根据病情，1-3月内门诊复查血常规、肝肾功能、丙肝RNA定量、肿瘤标志物，肝胆彩超、腹部增强CT或增强磁共振等。\\n2、健康宣教：普及慢肝的相关基础知识，治疗方法，各项检查、化验结果及其临床意义，并发症的预防及预后。疾病复发的诱因、症状及就诊方式。相关消毒隔离知识及手卫生知识，情绪控制，饮食调节，用药的目的，药物的服用方法、作用、副作用及应对措施。\\n3、其他：如有不适，我科随诊。门诊电话：3975060/3972834.\\n                                医师签名：   \\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t时间: 2025-01-07\\n\",\"valueList\":[{\"filedname\":\"肝\",\"id\":\"textbox_3\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"肝\"},{\"filedname\":\"2\",\"id\":\"textbox_2\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"2\"},{\"filedname\":\"月\",\"id\":\"listbox_59\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"月\"},{\"filedname\":\"否\",\"id\":\"sffr\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否\"},{\"filedname\":\"体温：\",\"id\":\"tw1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"体温：\"},{\"filedname\":\"\",\"id\":\"tw2\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"℃\",\"id\":\"tw3\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"℃\"},{\"filedname\":\"现病史：\",\"id\":\"HPI\",\"tablename\":\"患者2月前确诊为肝癌肝内转移，未治疗。无明显头痛及关节疼痛，无明显恶心呕吐，无腹痛腹泻，无皮疹及出血斑，当地医院予以抗感染、止咳化痰等处理未见明显好转，患者现为求进一步治疗。遂来我院。门诊拟“肝癌”收住入科。患者既往有输血史，明确丙肝抗体阳性，进一步检查HCVRNA251000，患者基因型为2a型。患者肝脏超声提示肝硬化，肝癌，2024-12-30 PET-CT：PET-CT体部：1、脑代谢未见异常；脑萎缩；2、甲状腺密度欠均，不伴高代谢；\\n3、两肺间质密度稍增高； 两肺少许条索灶； 两肺门、纵隔内多发稍高密度淋巴结，伴高代谢，考虑炎性/老年性淋巴结； 两侧胸膜稍增厚、两侧胸腔少量积液；4、冠脉钙化；5、肝内多发低密度影，部分(S1及S6段）呈肿块样，伴高代谢，考虑恶性，肝癌伴肝内多发转移； 腹膜后结节/淋巴结影，伴高代谢，请随诊； 肝硬化； 肝内多发小囊性灶，不伴高代谢； 脾大不伴高代谢；6、贲门区脂肪灶不伴高代谢，考虑良性病变，倾向脂肪瘤；部分肠管生理性/炎性摄取； 肛管区高代谢，考虑痔7、两肾多发囊性灶不伴高代谢； 膀胱壁稍厚，底部壁钙化灶/结石；前列腺钙化灶；8、脊柱退变； 颈部右侧沿肌肉走形区条状高代谢，考虑生理性/炎性摄取。今来我院进一步予以抗病毒治疗。\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"2\",\"id\":\"textbox_4\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"2\"},{\"filedname\":\"月\",\"id\":\"listbox_58\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"月\"},{\"filedname\":\"肝癌肝内转移\",\"id\":\"textbox_5\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"肝癌肝内转移\"},{\"filedname\":\"未治疗\",\"id\":\"textbox_12\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"未治疗\"},{\"filedname\":\"无\",\"id\":\"listbox_54\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"listbox_55\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"listbox_56\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"listbox_57\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"\"},{\"filedname\":\"肝癌\",\"id\":\"textbox_6\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"肝癌\"},{\"filedname\":\"一般\",\"id\":\"listbox_1\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"一般\"},{\"filedname\":\"否认\",\"id\":\"listbox_2\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否认\"},{\"filedname\":\"否认\",\"id\":\"listbox_3\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否认\"},{\"filedname\":\"否认\",\"id\":\"listbox_4\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否认\"},{\"filedname\":\"否认\",\"id\":\"listbox_5\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否认\"},{\"filedname\":\"否认\",\"id\":\"listbox_6\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否认\"},{\"filedname\":\"否认\",\"id\":\"listbox_7\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否认\"},{\"filedname\":\"否认\",\"id\":\"listbox_8\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否认\"},{\"filedname\":\"否认\",\"id\":\"listbox_12\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否认\"},{\"filedname\":\"正常\",\"id\":\"textbox_13\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"正常\"},{\"filedname\":\"未查\",\"id\":\"listbox_14\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"未查\"},{\"filedname\":\"\",\"id\":\"B3D829EF90CE4E27AAA108646932B79B\",\"tablename\":\"无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"F7CC4CB6E77A42AB8F7EC37810861CEE\",\"tablename\":\"无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"crbs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"crbst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sxs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sxst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sxfy\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sxfyt\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sss\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ssst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"jzs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jzst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"过敏史：\",\"id\":\"56E7D761F6DC44D881DB26F8D710770F\",\"tablename\":\"无\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"gms\",\"tablename\":\"\",\"type\":\"textcommbobox\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"AllergicHistory\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"家人\",\"id\":\"E35EF395F07E48A88A91C8601867A53A\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"家人\"},{\"filedname\":\"否\",\"id\":\"D0ED628DCB9A4D9E90E37B2F8D39AC19\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否\"},{\"filedname\":\"家人\",\"id\":\"BC66846B8CA140389313BBEF78A36440\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"家人\"},{\"filedname\":\"无\",\"id\":\"96A8630E58754D6A9184DD23A4DA23D3\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"肝炎\",\"id\":\"F00CFB9189324E438EA1917F0EFF6686\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"肝炎\"},{\"filedname\":\"\",\"id\":\"A7B4609B42D846A584B24F623E30B500\",\"tablename\":\" 神清，淋巴结：浅表淋巴结未触及肿大。\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"92BB6EB79CF34493BF555283D08B0703\",\"tablename\":\" 神清，淋巴结：浅表淋巴结未触及肿大。\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"未触及肿大\",\"id\":\"listbox_29\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"未触及肿大\"},{\"filedname\":\"无\",\"id\":\"listbox_30\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"正常\",\"id\":\"listbox_31\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"正常\"},{\"filedname\":\"\",\"id\":\"DIAGNOSES\",\"tablename\":\"肝恶性肿瘤?\\n慢性丙型病毒性肝炎?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"AE81488AFF884FC792ACA5CC13FABFF7\",\"tablename\":\"肝恶性肿瘤?\\n慢性丙型病毒性肝炎?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"A53C30B09054426792EBA4E6873B0F97\",\"tablename\":\"肝恶性肿瘤?\\n慢性丙型病毒性肝炎?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"肝恶性肿瘤?\",\"id\":\"C821B989347B4E01A6D6893CC1309BA5\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"肝恶性肿瘤?\"},{\"filedname\":\"慢性丙型病毒性肝炎?\",\"id\":\"0CEA4A61CD8546F68DAC43497F589A7B\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"慢性丙型病毒性肝炎?\"},{\"filedname\":\"\",\"id\":\"C225A4A7532A4A519BE3DFFE2E2E6221\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"诊疗意见：\",\"id\":\"5494C0B118684C5EA199EA9FA48813E7\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"用药：\",\"id\":\"MEDICAL_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"检查：\",\"id\":\"EXAM_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"检验：\",\"id\":\"LAB_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"处置：\",\"id\":\"TREATMENT_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"368CDE3CD06746A996B00A36531C2AA6\",\"tablename\":\"□住院治疗 □门诊复诊 □门诊随诊 √门诊治疗 □转科\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"患者去向：\",\"id\":\"49F9EA65DD1D47428963E7E3D999E280\",\"tablename\":\"□住院治疗 □门诊复诊 □门诊随诊 √门诊治疗 □转科\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"住院治疗\",\"id\":\"zyzl\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊复诊\",\"id\":\"mzfz\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊随诊\",\"id\":\"mzsz\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊治疗\",\"id\":\"mzzl\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"转科\",\"id\":\"zk\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"复诊时间：\",\"id\":\"D5E170C7AFAD41E8B7948F90CE584E0E\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"复诊时间：\"},{\"filedname\":\"\",\"id\":\"fzsj1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"复诊，复诊项目：\",\"id\":\"fzsj2\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"复诊，复诊项目：\"},{\"filedname\":\"\",\"id\":\"fzxm\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"；\",\"id\":\"fzxm1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"；\"},{\"filedname\":\"嘱托：\",\"id\":\"ZT\",\"tablename\":\"1、清淡饮食。\\n2、定期复查。\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"3、其他：\",\"id\":\"qt\",\"tablename\":\"如有不适，我科随诊。门诊电话：3975060/3972834.\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\" \",\"id\":\"imagSignature1\",\"tablename\":\"\",\"type\":\"objectimage\",\"value\":\"\"},{\"filedname\":\"2025-01-07\",\"id\":\"7B92923E5D7643A4A64A97C7E6942680\",\"tablename\":\"\",\"type\":\"formtime\",\"value\":\"20250107102612\"}]}";

//        String content="{\"code\":\"0\",\"value\":\"主诉：要求亮丙瑞林应用 ；是否发热：否 \\n现病史：患者平素月经规则，量中等，无痛经，LMP：不详。 病程中患者自诉饮食睡眠尚可，否认便秘、腹泻，否认尿频、尿急、尿痛，无暴饮暴食，无近期消瘦病史，精神状态正常。\\n既往史：既往体健，无高血压、糖尿病等慢性病史；\\n无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\\n婚育史：已婚\\n         孕产史：/\\n过敏史：无\\n体格检查：\\n一般状况良好；\\n妇检：未做\\n辅助检查：无\\n初步诊断:子宫腺肌病?\\n诊疗意见：\\n用药： \\n[注射用醋酸亮丙瑞林缓释微球][3.75][mg][皮下][临时][1天]\\n检查：\\n检验：\\n处置： \\n皮下注射 1\\n患者去向：□住院治疗 □门诊复诊 √门诊随诊 □门诊治疗 □转科\\n         \\n嘱托：注意定期健康检查；如有不适，请随时就诊。\\n提示：根据诊疗需求选择是否完善或做以下项目：\\n检查：血常规、血HCG、白带检查、宫颈TCT及HPV、子宫附件彩超等。\\n注意事项：\\n1、健康宣教：\\n2、其他：\\n                                医师签名：   \\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t时间: 2025-01-07\\n\",\"valueList\":[{\"filedname\":\"要求亮丙瑞林应用\",\"id\":\"8BA88687E7EB402DA6B2FD7D7DF6194D\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"要求亮丙瑞林应用\"},{\"filedname\":\"否\",\"id\":\"sffr\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"否\"},{\"filedname\":\"体温：\",\"id\":\"tw1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"体温：\"},{\"filedname\":\"\",\"id\":\"tw2\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"℃\",\"id\":\"tw3\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"℃\"},{\"filedname\":\"规则\",\"id\":\"textbox_21\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"规则\"},{\"filedname\":\"中等\",\"id\":\"textbox_22\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"中等\"},{\"filedname\":\"无\",\"id\":\"listbox_44\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"不详\",\"id\":\"textbox_9\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"不详\"},{\"filedname\":\"无\",\"id\":\"535FDC8A5823438381B9DC7C4536465E\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"40EB33E7FC494EDFB6DA6986C762578F\",\"tablename\":\"无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"1E6F25A6817C4D52BD84A7CC435CABA4\",\"tablename\":\"无传染病史；无输血史；无输血反应；无手术外伤史； 无家族史；\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"crbs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"crbst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sxs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sxst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sxfy\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"sxfyt\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"sss\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"ssst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"jzs\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"\",\"id\":\"jzst\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"已\",\"id\":\"20061E3097A84B1D8CA787BAF2DD8656\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"已\"},{\"filedname\":\"/\",\"id\":\"3103871786C24FBFBCACCD257E38D3D6\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"/\"},{\"filedname\":\"过敏史：\",\"id\":\"56E7D761F6DC44D881DB26F8D710770F\",\"tablename\":\"无\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"无\",\"id\":\"gms\",\"tablename\":\"\",\"type\":\"textcommbobox\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"AllergicHistory\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"7AE72F1EAB274B56A87F0F67EDF1BC50\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"92BB6EB79CF34493BF555283D08B0703\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"良好\",\"id\":\"ybzktxt\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"良好\"},{\"filedname\":\"\",\"id\":\"ybzk\",\"tablename\":\"血压：        ；皮肤黏膜        。\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"textbox_26\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"textbox_27\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"未做\",\"id\":\"fjtxt\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"欠佳\"},{\"filedname\":\"\",\"id\":\"fj\",\"tablename\":\"\\t外阴：已婚式；\\n\\t阴道：畅，壁光；\\n\\t宫颈：光；\\n\\t宫体：前位，常大，活动好,无压痛；\\n\\t附件：未及明显异常；\\n\\t宫旁：软。\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"已婚式\",\"id\":\"listbox_48\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"已婚式\"},{\"filedname\":\"畅，壁光\",\"id\":\"textbox_28\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"畅，壁光\"},{\"filedname\":\"光\",\"id\":\"listbox_49\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"光\"},{\"filedname\":\"前位\",\"id\":\"commbox_1\",\"tablename\":\"\",\"type\":\"textcommbobox\",\"value\":\"\"},{\"filedname\":\"常大\",\"id\":\"textbox_33\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"常大\"},{\"filedname\":\"好\",\"id\":\"textbox_32\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"好\"},{\"filedname\":\"无\",\"id\":\"listbox_50\",\"tablename\":\"\",\"type\":\"textlistbox\",\"value\":\"无\"},{\"filedname\":\"未及明显异常\",\"id\":\"textbox_30\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"未及明显异常\"},{\"filedname\":\"软\",\"id\":\"textbox_31\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"软\"},{\"filedname\":\"\",\"id\":\"DIAGNOSES\",\"tablename\":\"子宫腺肌病?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"AE81488AFF884FC792ACA5CC13FABFF7\",\"tablename\":\"子宫腺肌病?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"A53C30B09054426792EBA4E6873B0F97\",\"tablename\":\"子宫腺肌病?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"初步诊断:\",\"id\":\"5CFBD4BC5A4549EBBFBF1F5EB6DDD911\",\"tablename\":\"子宫腺肌病?\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"子宫腺肌病?\",\"id\":\"C821B989347B4E01A6D6893CC1309BA5\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"子宫腺肌病?\"},{\"filedname\":\"\",\"id\":\"C225A4A7532A4A519BE3DFFE2E2E6221\",\"tablename\":\"[注射用醋酸亮丙瑞林缓释微球][3.75][mg][皮下][临时][1天]\\n皮下注射 1\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"诊疗意见：\",\"id\":\"4BBD43A80BE141298C349B8704D5E87A\",\"tablename\":\"[注射用醋酸亮丙瑞林缓释微球][3.75][mg][皮下][临时][1天]\\n皮下注射 1\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"用药：\",\"id\":\"MEDICAL_ORDER\",\"tablename\":\"[注射用醋酸亮丙瑞林缓释微球][3.75][mg][皮下][临时][1天]\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"检查：\",\"id\":\"EXAM_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"检验：\",\"id\":\"LAB_ORDER\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"处置：\",\"id\":\"TREATMENT_ORDER\",\"tablename\":\"皮下注射 1\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"\",\"id\":\"E5D5B5D5C619439E9F8382F18E83D803\",\"tablename\":\"□住院治疗 □门诊复诊 √门诊随诊 □门诊治疗 □转科\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"患者去向：\",\"id\":\"49F9EA65DD1D47428963E7E3D999E280\",\"tablename\":\"□住院治疗 □门诊复诊 √门诊随诊 □门诊治疗 □转科\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"住院治疗\",\"id\":\"zyzl\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊复诊\",\"id\":\"mzfz\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊随诊\",\"id\":\"mzsz\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"门诊治疗\",\"id\":\"mzzl\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"转科\",\"id\":\"zk\",\"tablename\":\"\",\"type\":\"formcheckbox\",\"value\":\"\"},{\"filedname\":\"复诊时间：\",\"id\":\"textbox_34\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"复诊时间：\"},{\"filedname\":\"\",\"id\":\"fzsj1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"复诊，复诊项目：\",\"id\":\"fzsj2\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"复诊，复诊项目：\"},{\"filedname\":\"\",\"id\":\"fzxm\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"\"},{\"filedname\":\"；\",\"id\":\"fzxm1\",\"tablename\":\"\",\"type\":\"textelement\",\"value\":\"；\"},{\"filedname\":\"提示：\",\"id\":\"BED0D0060AF644D0AF89C498D9925A2A\",\"tablename\":\"根据诊疗需求选择是否完善或做以下项目：\\n检查：血常规、血HCG、白带检查、宫颈TCT及HPV、子宫附件彩超等。\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\"1、健康宣教：\",\"id\":\"jkxj\",\"tablename\":\"\",\"type\":\"panel\",\"value\":\"\"},{\"filedname\":\" \",\"id\":\"imagSignature1\",\"tablename\":\"\",\"type\":\"objectimage\",\"value\":\"\"},{\"filedname\":\"2025-01-07\",\"id\":\"7B92923E5D7643A4A64A97C7E6942680\",\"tablename\":\"\",\"type\":\"formtime\",\"value\":\"20250107102728\"}]}";



//        NLPContentChangeUtils2.getContentChangeBean(content);


    }


}
